#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2777
#define LARGE_STATE_COUNT 181
#define SYMBOL_COUNT 272
#define ALIAS_COUNT 2
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 142

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_type = 43,
  anon_sym_EQ = 44,
  anon_sym_class = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_AT = 48,
  anon_sym_DASH = 49,
  anon_sym__ = 50,
  anon_sym_PIPE = 51,
  anon_sym_LBRACE = 52,
  anon_sym_RBRACE = 53,
  anon_sym_PLUS = 54,
  anon_sym_not = 55,
  anon_sym_and = 56,
  anon_sym_or = 57,
  anon_sym_SLASH = 58,
  anon_sym_PERCENT = 59,
  anon_sym_SLASH_SLASH = 60,
  anon_sym_AMP = 61,
  anon_sym_CARET = 62,
  anon_sym_LT_LT = 63,
  anon_sym_TILDE = 64,
  anon_sym_is = 65,
  anon_sym_LT = 66,
  anon_sym_LT_EQ = 67,
  anon_sym_EQ_EQ = 68,
  anon_sym_BANG_EQ = 69,
  anon_sym_GT_EQ = 70,
  anon_sym_GT = 71,
  anon_sym_LT_GT = 72,
  anon_sym_lambda = 73,
  anon_sym_PLUS_EQ = 74,
  anon_sym_DASH_EQ = 75,
  anon_sym_STAR_EQ = 76,
  anon_sym_SLASH_EQ = 77,
  anon_sym_AT_EQ = 78,
  anon_sym_SLASH_SLASH_EQ = 79,
  anon_sym_PERCENT_EQ = 80,
  anon_sym_STAR_STAR_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_AMP_EQ = 84,
  anon_sym_CARET_EQ = 85,
  anon_sym_PIPE_EQ = 86,
  anon_sym_yield = 87,
  sym_ellipsis = 88,
  sym_escape_sequence = 89,
  anon_sym_BSLASH = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym_line_continuation = 100,
  sym__newline = 101,
  sym__indent = 102,
  sym__dedent = 103,
  sym_string_start = 104,
  sym__string_content = 105,
  sym_escape_interpolation = 106,
  sym_string_end = 107,
  sym_module = 108,
  sym__statement = 109,
  sym__simple_statements = 110,
  sym_import_statement = 111,
  sym_import_prefix = 112,
  sym_relative_import = 113,
  sym_future_import_statement = 114,
  sym_import_from_statement = 115,
  sym__import_list = 116,
  sym_aliased_import = 117,
  sym_wildcard_import = 118,
  sym_print_statement = 119,
  sym_chevron = 120,
  sym_assert_statement = 121,
  sym_expression_statement = 122,
  sym_named_expression = 123,
  sym__named_expression_lhs = 124,
  sym_return_statement = 125,
  sym_delete_statement = 126,
  sym_raise_statement = 127,
  sym_pass_statement = 128,
  sym_break_statement = 129,
  sym_continue_statement = 130,
  sym_if_statement = 131,
  sym_elif_clause = 132,
  sym_else_clause = 133,
  sym_match_statement = 134,
  sym__match_block = 135,
  sym_case_clause = 136,
  sym_for_statement = 137,
  sym_while_statement = 138,
  sym_try_statement = 139,
  sym_except_clause = 140,
  sym_except_group_clause = 141,
  sym_finally_clause = 142,
  sym_with_statement = 143,
  sym_with_clause = 144,
  sym_with_item = 145,
  sym_function_definition = 146,
  sym_parameters = 147,
  sym_lambda_parameters = 148,
  sym_list_splat = 149,
  sym_dictionary_splat = 150,
  sym_global_statement = 151,
  sym_nonlocal_statement = 152,
  sym_exec_statement = 153,
  sym_type_alias_statement = 154,
  sym_class_definition = 155,
  sym_type_parameter = 156,
  sym_parenthesized_list_splat = 157,
  sym_argument_list = 158,
  sym_decorated_definition = 159,
  sym_decorator = 160,
  sym_block = 161,
  sym_expression_list = 162,
  sym_dotted_name = 163,
  sym_case_pattern = 164,
  sym__simple_pattern = 165,
  sym__as_pattern = 166,
  sym_union_pattern = 167,
  sym__list_pattern = 168,
  sym__tuple_pattern = 169,
  sym_dict_pattern = 170,
  sym__key_value_pattern = 171,
  sym_keyword_pattern = 172,
  sym_splat_pattern = 173,
  sym_class_pattern = 174,
  sym_complex_pattern = 175,
  sym__parameters = 176,
  sym__patterns = 177,
  sym_parameter = 178,
  sym_pattern = 179,
  sym_tuple_pattern = 180,
  sym_list_pattern = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym_list_splat_pattern = 184,
  sym_dictionary_splat_pattern = 185,
  sym_as_pattern = 186,
  sym__expression_within_for_in_clause = 187,
  sym_expression = 188,
  sym_primary_expression = 189,
  sym_not_operator = 190,
  sym_boolean_operator = 191,
  sym_binary_operator = 192,
  sym_unary_operator = 193,
  sym__not_in = 194,
  sym__is_not = 195,
  sym_comparison_operator = 196,
  sym_lambda = 197,
  sym_lambda_within_for_in_clause = 198,
  sym_assignment = 199,
  sym_augmented_assignment = 200,
  sym_pattern_list = 201,
  sym__right_hand_side = 202,
  sym_yield = 203,
  sym_attribute = 204,
  sym_subscript = 205,
  sym_slice = 206,
  sym_call = 207,
  sym_typed_parameter = 208,
  sym_type = 209,
  sym_splat_type = 210,
  sym_generic_type = 211,
  sym_union_type = 212,
  sym_constrained_type = 213,
  sym_member_type = 214,
  sym_keyword_argument = 215,
  sym_list = 216,
  sym_set = 217,
  sym_tuple = 218,
  sym_dictionary = 219,
  sym_pair = 220,
  sym_list_comprehension = 221,
  sym_dictionary_comprehension = 222,
  sym_set_comprehension = 223,
  sym_generator_expression = 224,
  sym__comprehension_clauses = 225,
  sym_parenthesized_expression = 226,
  sym__collection_elements = 227,
  sym_for_in_clause = 228,
  sym_if_clause = 229,
  sym_conditional_expression = 230,
  sym_concatenated_string = 231,
  sym_string = 232,
  sym_string_content = 233,
  sym_interpolation = 234,
  sym__f_expression = 235,
  sym__not_escape_sequence = 236,
  sym_format_specifier = 237,
  sym_await = 238,
  sym_positional_separator = 239,
  sym_keyword_separator = 240,
  aux_sym_module_repeat1 = 241,
  aux_sym__simple_statements_repeat1 = 242,
  aux_sym_import_prefix_repeat1 = 243,
  aux_sym__import_list_repeat1 = 244,
  aux_sym_print_statement_repeat1 = 245,
  aux_sym_assert_statement_repeat1 = 246,
  aux_sym_if_statement_repeat1 = 247,
  aux_sym_match_statement_repeat1 = 248,
  aux_sym__match_block_repeat1 = 249,
  aux_sym_case_clause_repeat1 = 250,
  aux_sym_try_statement_repeat1 = 251,
  aux_sym_with_clause_repeat1 = 252,
  aux_sym_global_statement_repeat1 = 253,
  aux_sym_type_parameter_repeat1 = 254,
  aux_sym_argument_list_repeat1 = 255,
  aux_sym_decorated_definition_repeat1 = 256,
  aux_sym_dotted_name_repeat1 = 257,
  aux_sym_union_pattern_repeat1 = 258,
  aux_sym_dict_pattern_repeat1 = 259,
  aux_sym__parameters_repeat1 = 260,
  aux_sym__patterns_repeat1 = 261,
  aux_sym_comparison_operator_repeat1 = 262,
  aux_sym_subscript_repeat1 = 263,
  aux_sym_dictionary_repeat1 = 264,
  aux_sym__comprehension_clauses_repeat1 = 265,
  aux_sym__collection_elements_repeat1 = 266,
  aux_sym_for_in_clause_repeat1 = 267,
  aux_sym_concatenated_string_repeat1 = 268,
  aux_sym_string_repeat1 = 269,
  aux_sym_string_content_repeat1 = 270,
  aux_sym_format_specifier_repeat1 = 271,
  alias_sym_as_pattern_target = 272,
  alias_sym_format_expression = 273,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_is] = "is",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym__not_in] = "not in",
  [sym__is_not] = "is not",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym__not_in] = sym__not_in,
  [sym__is_not] = sym__is_not,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__not_in] = {
    .visible = true,
    .named = false,
  },
  [sym__is_not] = {
    .visible = true,
    .named = false,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 17, .length = 1},
  [19] = {.index = 18, .length = 2},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 3},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 1},
  [26] = {.index = 31, .length = 2},
  [27] = {.index = 33, .length = 1},
  [28] = {.index = 34, .length = 1},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 2},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 1},
  [35] = {.index = 43, .length = 1},
  [36] = {.index = 44, .length = 2},
  [37] = {.index = 46, .length = 1},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 1},
  [40] = {.index = 50, .length = 3},
  [41] = {.index = 53, .length = 2},
  [42] = {.index = 55, .length = 2},
  [43] = {.index = 57, .length = 2},
  [44] = {.index = 59, .length = 1},
  [45] = {.index = 60, .length = 2},
  [46] = {.index = 62, .length = 2},
  [47] = {.index = 64, .length = 2},
  [48] = {.index = 66, .length = 1},
  [49] = {.index = 67, .length = 2},
  [50] = {.index = 69, .length = 2},
  [52] = {.index = 71, .length = 2},
  [53] = {.index = 73, .length = 2},
  [54] = {.index = 75, .length = 1},
  [55] = {.index = 76, .length = 3},
  [56] = {.index = 79, .length = 3},
  [57] = {.index = 82, .length = 3},
  [58] = {.index = 85, .length = 3},
  [59] = {.index = 88, .length = 4},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 3},
  [62] = {.index = 96, .length = 3},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 3},
  [65] = {.index = 104, .length = 3},
  [66] = {.index = 107, .length = 3},
  [67] = {.index = 110, .length = 3},
  [68] = {.index = 113, .length = 3},
  [69] = {.index = 18, .length = 2},
  [70] = {.index = 116, .length = 1},
  [71] = {.index = 117, .length = 3},
  [72] = {.index = 120, .length = 2},
  [73] = {.index = 122, .length = 2},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 126, .length = 3},
  [76] = {.index = 129, .length = 1},
  [77] = {.index = 130, .length = 2},
  [78] = {.index = 132, .length = 4},
  [79] = {.index = 136, .length = 2},
  [80] = {.index = 138, .length = 4},
  [81] = {.index = 142, .length = 4},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 4},
  [84] = {.index = 151, .length = 2},
  [85] = {.index = 153, .length = 3},
  [86] = {.index = 156, .length = 3},
  [87] = {.index = 159, .length = 4},
  [89] = {.index = 163, .length = 4},
  [90] = {.index = 167, .length = 4},
  [91] = {.index = 171, .length = 4},
  [92] = {.index = 175, .length = 4},
  [93] = {.index = 179, .length = 4},
  [94] = {.index = 183, .length = 3},
  [95] = {.index = 186, .length = 3},
  [96] = {.index = 189, .length = 2},
  [97] = {.index = 191, .length = 3},
  [98] = {.index = 194, .length = 5},
  [99] = {.index = 199, .length = 3},
  [100] = {.index = 202, .length = 4},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [104] = {.index = 218, .length = 1},
  [106] = {.index = 219, .length = 4},
  [107] = {.index = 223, .length = 5},
  [108] = {.index = 228, .length = 5},
  [109] = {.index = 233, .length = 3},
  [110] = {.index = 236, .length = 2},
  [111] = {.index = 238, .length = 1},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 4},
  [114] = {.index = 247, .length = 4},
  [115] = {.index = 251, .length = 5},
  [116] = {.index = 256, .length = 5},
  [117] = {.index = 218, .length = 1},
  [118] = {.index = 261, .length = 5},
  [119] = {.index = 266, .length = 5},
  [120] = {.index = 271, .length = 4},
  [121] = {.index = 275, .length = 4},
  [122] = {.index = 279, .length = 2},
  [123] = {.index = 281, .length = 1},
  [124] = {.index = 282, .length = 2},
  [125] = {.index = 284, .length = 2},
  [126] = {.index = 286, .length = 5},
  [127] = {.index = 291, .length = 5},
  [128] = {.index = 296, .length = 5},
  [129] = {.index = 301, .length = 2},
  [131] = {.index = 303, .length = 6},
  [132] = {.index = 309, .length = 2},
  [133] = {.index = 311, .length = 2},
  [134] = {.index = 313, .length = 3},
  [135] = {.index = 316, .length = 1},
  [136] = {.index = 317, .length = 6},
  [137] = {.index = 301, .length = 2},
  [138] = {.index = 323, .length = 3},
  [139] = {.index = 326, .length = 2},
  [140] = {.index = 328, .length = 2},
  [141] = {.index = 330, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 2},
    {field_body, 3},
  [59] =
    {field_body, 3},
  [60] =
    {field_left, 1},
    {field_right, 3},
  [62] =
    {field_body, 3},
    {field_name, 1},
  [64] =
    {field_key, 0},
    {field_value, 2},
  [66] =
    {field_type, 2},
  [67] =
    {field_body, 3},
    {field_parameters, 1},
  [69] =
    {field_subscript, 2},
    {field_value, 0},
  [71] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [73] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [75] =
    {field_alternative, 0},
  [76] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [79] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [82] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [85] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [88] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [92] =
    {field_body, 4},
  [93] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [96] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [99] =
    {field_body, 3},
    {field_body, 4},
  [101] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [104] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [107] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [110] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [113] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [116] =
    {field_subscript, 1},
  [117] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [120] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [122] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [126] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [129] =
    {field_name, 4, .inherited = true},
  [130] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [132] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [136] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [138] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_alternative, 1, .inherited = true},
  [147] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [151] =
    {field_body, 4},
    {field_body, 5},
  [153] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [163] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [167] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [175] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [179] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [183] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [186] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [189] =
    {field_left, 2},
    {field_right, 4},
  [191] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [194] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [199] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [202] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [206] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [210] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [214] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [218] =
    {field_value, 1},
  [219] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [223] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [228] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [233] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [236] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [238] =
    {field_consequence, 3},
  [239] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [243] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [247] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [251] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [256] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [261] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [266] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [271] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [275] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [279] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [281] =
    {field_consequence, 4},
  [282] =
    {field_consequence, 3},
    {field_consequence, 4},
  [284] =
    {field_consequence, 4},
    {field_guard, 2},
  [286] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [291] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [296] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [301] =
    {field_alias, 3},
    {field_value, 1},
  [303] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [309] =
    {field_consequence, 4},
    {field_consequence, 5},
  [311] =
    {field_consequence, 5},
    {field_guard, 3},
  [313] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [316] =
    {field_consequence, 5},
  [317] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [323] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [326] =
    {field_consequence, 5},
    {field_consequence, 6},
  [328] =
    {field_consequence, 6},
    {field_guard, 4},
  [330] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [17] = {
    [2] = sym_block,
  },
  [23] = {
    [2] = alias_sym_as_pattern_target,
  },
  [34] = {
    [1] = sym_parenthesized_expression,
  },
  [38] = {
    [3] = sym_block,
  },
  [42] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [46] = {
    [3] = sym_block,
  },
  [51] = {
    [0] = alias_sym_format_expression,
  },
  [55] = {
    [3] = sym_block,
  },
  [56] = {
    [3] = sym_block,
  },
  [60] = {
    [4] = sym_block,
  },
  [61] = {
    [3] = sym_block,
  },
  [64] = {
    [4] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [67] = {
    [4] = sym_block,
  },
  [69] = {
    [0] = sym_identifier,
  },
  [78] = {
    [3] = sym_block,
  },
  [85] = {
    [5] = sym_block,
  },
  [86] = {
    [5] = sym_block,
  },
  [88] = {
    [2] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [99] = {
    [6] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [102] = {
    [5] = sym_block,
  },
  [104] = {
    [3] = sym_block,
  },
  [105] = {
    [3] = sym_block,
  },
  [106] = {
    [6] = sym_block,
  },
  [111] = {
    [3] = sym_block,
  },
  [112] = {
    [6] = sym_block,
  },
  [114] = {
    [7] = sym_block,
  },
  [119] = {
    [7] = sym_block,
  },
  [123] = {
    [4] = sym_block,
  },
  [125] = {
    [4] = sym_block,
  },
  [128] = {
    [8] = sym_block,
  },
  [129] = {
    [5] = sym_block,
  },
  [130] = {
    [5] = sym_block,
  },
  [133] = {
    [5] = sym_block,
  },
  [135] = {
    [5] = sym_block,
  },
  [140] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 27,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 13,
  [35] = 19,
  [36] = 20,
  [37] = 29,
  [38] = 38,
  [39] = 39,
  [40] = 30,
  [41] = 39,
  [42] = 3,
  [43] = 4,
  [44] = 5,
  [45] = 6,
  [46] = 7,
  [47] = 8,
  [48] = 9,
  [49] = 10,
  [50] = 11,
  [51] = 12,
  [52] = 14,
  [53] = 15,
  [54] = 16,
  [55] = 17,
  [56] = 18,
  [57] = 21,
  [58] = 22,
  [59] = 24,
  [60] = 25,
  [61] = 38,
  [62] = 62,
  [63] = 63,
  [64] = 62,
  [65] = 65,
  [66] = 65,
  [67] = 62,
  [68] = 62,
  [69] = 62,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 72,
  [77] = 75,
  [78] = 74,
  [79] = 73,
  [80] = 80,
  [81] = 80,
  [82] = 82,
  [83] = 82,
  [84] = 84,
  [85] = 85,
  [86] = 84,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 89,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 91,
  [99] = 90,
  [100] = 96,
  [101] = 97,
  [102] = 102,
  [103] = 102,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 104,
  [109] = 109,
  [110] = 105,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 106,
  [115] = 115,
  [116] = 116,
  [117] = 107,
  [118] = 85,
  [119] = 119,
  [120] = 120,
  [121] = 109,
  [122] = 92,
  [123] = 123,
  [124] = 111,
  [125] = 125,
  [126] = 93,
  [127] = 113,
  [128] = 115,
  [129] = 129,
  [130] = 120,
  [131] = 88,
  [132] = 95,
  [133] = 119,
  [134] = 134,
  [135] = 135,
  [136] = 135,
  [137] = 134,
  [138] = 134,
  [139] = 135,
  [140] = 135,
  [141] = 134,
  [142] = 134,
  [143] = 135,
  [144] = 144,
  [145] = 145,
  [146] = 145,
  [147] = 147,
  [148] = 148,
  [149] = 148,
  [150] = 150,
  [151] = 147,
  [152] = 145,
  [153] = 147,
  [154] = 148,
  [155] = 148,
  [156] = 148,
  [157] = 147,
  [158] = 150,
  [159] = 148,
  [160] = 160,
  [161] = 160,
  [162] = 162,
  [163] = 148,
  [164] = 160,
  [165] = 145,
  [166] = 150,
  [167] = 145,
  [168] = 162,
  [169] = 169,
  [170] = 150,
  [171] = 150,
  [172] = 147,
  [173] = 147,
  [174] = 148,
  [175] = 150,
  [176] = 150,
  [177] = 150,
  [178] = 169,
  [179] = 147,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 182,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 185,
  [188] = 182,
  [189] = 189,
  [190] = 185,
  [191] = 189,
  [192] = 185,
  [193] = 182,
  [194] = 189,
  [195] = 182,
  [196] = 185,
  [197] = 182,
  [198] = 189,
  [199] = 199,
  [200] = 189,
  [201] = 185,
  [202] = 182,
  [203] = 189,
  [204] = 185,
  [205] = 182,
  [206] = 189,
  [207] = 185,
  [208] = 182,
  [209] = 189,
  [210] = 185,
  [211] = 182,
  [212] = 182,
  [213] = 186,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 217,
  [219] = 217,
  [220] = 220,
  [221] = 220,
  [222] = 217,
  [223] = 220,
  [224] = 220,
  [225] = 216,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 228,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 214,
  [235] = 235,
  [236] = 215,
  [237] = 237,
  [238] = 238,
  [239] = 235,
  [240] = 240,
  [241] = 241,
  [242] = 232,
  [243] = 228,
  [244] = 244,
  [245] = 245,
  [246] = 235,
  [247] = 235,
  [248] = 248,
  [249] = 235,
  [250] = 227,
  [251] = 227,
  [252] = 235,
  [253] = 228,
  [254] = 235,
  [255] = 235,
  [256] = 256,
  [257] = 226,
  [258] = 226,
  [259] = 226,
  [260] = 240,
  [261] = 241,
  [262] = 248,
  [263] = 227,
  [264] = 264,
  [265] = 264,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 266,
  [273] = 267,
  [274] = 268,
  [275] = 269,
  [276] = 264,
  [277] = 266,
  [278] = 267,
  [279] = 270,
  [280] = 271,
  [281] = 268,
  [282] = 269,
  [283] = 264,
  [284] = 266,
  [285] = 267,
  [286] = 270,
  [287] = 271,
  [288] = 268,
  [289] = 269,
  [290] = 264,
  [291] = 267,
  [292] = 270,
  [293] = 271,
  [294] = 268,
  [295] = 269,
  [296] = 264,
  [297] = 266,
  [298] = 267,
  [299] = 270,
  [300] = 271,
  [301] = 268,
  [302] = 269,
  [303] = 268,
  [304] = 266,
  [305] = 267,
  [306] = 270,
  [307] = 271,
  [308] = 268,
  [309] = 269,
  [310] = 269,
  [311] = 266,
  [312] = 267,
  [313] = 270,
  [314] = 271,
  [315] = 270,
  [316] = 271,
  [317] = 266,
  [318] = 318,
  [319] = 319,
  [320] = 169,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 319,
  [326] = 322,
  [327] = 318,
  [328] = 319,
  [329] = 323,
  [330] = 330,
  [331] = 324,
  [332] = 323,
  [333] = 333,
  [334] = 321,
  [335] = 335,
  [336] = 324,
  [337] = 322,
  [338] = 318,
  [339] = 321,
  [340] = 256,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 342,
  [345] = 343,
  [346] = 256,
  [347] = 256,
  [348] = 341,
  [349] = 341,
  [350] = 342,
  [351] = 351,
  [352] = 341,
  [353] = 342,
  [354] = 341,
  [355] = 342,
  [356] = 341,
  [357] = 342,
  [358] = 342,
  [359] = 341,
  [360] = 343,
  [361] = 341,
  [362] = 342,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 364,
  [367] = 364,
  [368] = 363,
  [369] = 369,
  [370] = 370,
  [371] = 333,
  [372] = 147,
  [373] = 373,
  [374] = 374,
  [375] = 364,
  [376] = 363,
  [377] = 369,
  [378] = 378,
  [379] = 335,
  [380] = 364,
  [381] = 363,
  [382] = 369,
  [383] = 364,
  [384] = 364,
  [385] = 363,
  [386] = 369,
  [387] = 363,
  [388] = 369,
  [389] = 363,
  [390] = 364,
  [391] = 363,
  [392] = 369,
  [393] = 364,
  [394] = 363,
  [395] = 369,
  [396] = 364,
  [397] = 363,
  [398] = 369,
  [399] = 369,
  [400] = 369,
  [401] = 401,
  [402] = 402,
  [403] = 169,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 333,
  [408] = 408,
  [409] = 401,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 335,
  [415] = 413,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 402,
  [420] = 420,
  [421] = 405,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 169,
  [426] = 417,
  [427] = 405,
  [428] = 418,
  [429] = 429,
  [430] = 422,
  [431] = 411,
  [432] = 420,
  [433] = 420,
  [434] = 434,
  [435] = 435,
  [436] = 411,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 410,
  [441] = 333,
  [442] = 147,
  [443] = 378,
  [444] = 401,
  [445] = 422,
  [446] = 401,
  [447] = 447,
  [448] = 401,
  [449] = 335,
  [450] = 401,
  [451] = 401,
  [452] = 401,
  [453] = 401,
  [454] = 401,
  [455] = 169,
  [456] = 439,
  [457] = 424,
  [458] = 458,
  [459] = 459,
  [460] = 402,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 462,
  [468] = 333,
  [469] = 469,
  [470] = 463,
  [471] = 469,
  [472] = 335,
  [473] = 473,
  [474] = 461,
  [475] = 464,
  [476] = 473,
  [477] = 477,
  [478] = 466,
  [479] = 477,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 484,
  [496] = 485,
  [497] = 486,
  [498] = 487,
  [499] = 488,
  [500] = 500,
  [501] = 501,
  [502] = 491,
  [503] = 492,
  [504] = 504,
  [505] = 491,
  [506] = 484,
  [507] = 485,
  [508] = 486,
  [509] = 487,
  [510] = 488,
  [511] = 491,
  [512] = 492,
  [513] = 484,
  [514] = 485,
  [515] = 486,
  [516] = 487,
  [517] = 488,
  [518] = 491,
  [519] = 492,
  [520] = 484,
  [521] = 484,
  [522] = 485,
  [523] = 486,
  [524] = 487,
  [525] = 488,
  [526] = 491,
  [527] = 492,
  [528] = 484,
  [529] = 485,
  [530] = 486,
  [531] = 487,
  [532] = 488,
  [533] = 491,
  [534] = 492,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 500,
  [542] = 538,
  [543] = 504,
  [544] = 544,
  [545] = 544,
  [546] = 485,
  [547] = 547,
  [548] = 494,
  [549] = 537,
  [550] = 486,
  [551] = 487,
  [552] = 552,
  [553] = 488,
  [554] = 535,
  [555] = 489,
  [556] = 536,
  [557] = 537,
  [558] = 544,
  [559] = 559,
  [560] = 492,
  [561] = 561,
  [562] = 562,
  [563] = 535,
  [564] = 489,
  [565] = 536,
  [566] = 537,
  [567] = 567,
  [568] = 484,
  [569] = 535,
  [570] = 544,
  [571] = 485,
  [572] = 486,
  [573] = 487,
  [574] = 488,
  [575] = 536,
  [576] = 537,
  [577] = 489,
  [578] = 536,
  [579] = 579,
  [580] = 580,
  [581] = 491,
  [582] = 536,
  [583] = 537,
  [584] = 584,
  [585] = 536,
  [586] = 492,
  [587] = 482,
  [588] = 536,
  [589] = 480,
  [590] = 480,
  [591] = 480,
  [592] = 489,
  [593] = 480,
  [594] = 480,
  [595] = 480,
  [596] = 480,
  [597] = 481,
  [598] = 567,
  [599] = 599,
  [600] = 552,
  [601] = 601,
  [602] = 580,
  [603] = 501,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 607,
  [609] = 609,
  [610] = 610,
  [611] = 609,
  [612] = 612,
  [613] = 613,
  [614] = 606,
  [615] = 605,
  [616] = 613,
  [617] = 610,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 624,
  [629] = 629,
  [630] = 621,
  [631] = 631,
  [632] = 632,
  [633] = 627,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 626,
  [638] = 625,
  [639] = 639,
  [640] = 618,
  [641] = 620,
  [642] = 636,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 639,
  [647] = 644,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 643,
  [653] = 648,
  [654] = 649,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 656,
  [659] = 659,
  [660] = 660,
  [661] = 660,
  [662] = 662,
  [663] = 663,
  [664] = 629,
  [665] = 663,
  [666] = 634,
  [667] = 635,
  [668] = 622,
  [669] = 643,
  [670] = 660,
  [671] = 656,
  [672] = 643,
  [673] = 214,
  [674] = 618,
  [675] = 618,
  [676] = 215,
  [677] = 621,
  [678] = 621,
  [679] = 656,
  [680] = 660,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 682,
  [690] = 685,
  [691] = 691,
  [692] = 681,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 693,
  [697] = 697,
  [698] = 688,
  [699] = 695,
  [700] = 686,
  [701] = 687,
  [702] = 697,
  [703] = 694,
  [704] = 691,
  [705] = 684,
  [706] = 683,
  [707] = 707,
  [708] = 708,
  [709] = 707,
  [710] = 710,
  [711] = 710,
  [712] = 708,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 714,
  [751] = 718,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 717,
  [757] = 727,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 719,
  [763] = 742,
  [764] = 743,
  [765] = 765,
  [766] = 765,
  [767] = 767,
  [768] = 767,
  [769] = 769,
  [770] = 215,
  [771] = 771,
  [772] = 738,
  [773] = 769,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 214,
  [778] = 778,
  [779] = 732,
  [780] = 780,
  [781] = 746,
  [782] = 748,
  [783] = 753,
  [784] = 784,
  [785] = 760,
  [786] = 761,
  [787] = 776,
  [788] = 778,
  [789] = 780,
  [790] = 784,
  [791] = 791,
  [792] = 713,
  [793] = 752,
  [794] = 771,
  [795] = 795,
  [796] = 791,
  [797] = 797,
  [798] = 715,
  [799] = 725,
  [800] = 726,
  [801] = 749,
  [802] = 802,
  [803] = 803,
  [804] = 723,
  [805] = 735,
  [806] = 740,
  [807] = 741,
  [808] = 716,
  [809] = 720,
  [810] = 721,
  [811] = 722,
  [812] = 724,
  [813] = 728,
  [814] = 729,
  [815] = 730,
  [816] = 731,
  [817] = 802,
  [818] = 734,
  [819] = 797,
  [820] = 736,
  [821] = 803,
  [822] = 737,
  [823] = 739,
  [824] = 795,
  [825] = 758,
  [826] = 774,
  [827] = 733,
  [828] = 759,
  [829] = 754,
  [830] = 744,
  [831] = 745,
  [832] = 747,
  [833] = 755,
  [834] = 774,
  [835] = 733,
  [836] = 775,
  [837] = 837,
  [838] = 837,
  [839] = 837,
  [840] = 837,
  [841] = 837,
  [842] = 837,
  [843] = 843,
  [844] = 843,
  [845] = 845,
  [846] = 846,
  [847] = 846,
  [848] = 846,
  [849] = 846,
  [850] = 846,
  [851] = 846,
  [852] = 846,
  [853] = 846,
  [854] = 854,
  [855] = 855,
  [856] = 854,
  [857] = 845,
  [858] = 858,
  [859] = 855,
  [860] = 860,
  [861] = 854,
  [862] = 862,
  [863] = 862,
  [864] = 864,
  [865] = 865,
  [866] = 864,
  [867] = 858,
  [868] = 860,
  [869] = 869,
  [870] = 870,
  [871] = 870,
  [872] = 862,
  [873] = 854,
  [874] = 860,
  [875] = 875,
  [876] = 862,
  [877] = 860,
  [878] = 878,
  [879] = 878,
  [880] = 862,
  [881] = 865,
  [882] = 855,
  [883] = 865,
  [884] = 864,
  [885] = 885,
  [886] = 864,
  [887] = 885,
  [888] = 858,
  [889] = 860,
  [890] = 869,
  [891] = 862,
  [892] = 854,
  [893] = 845,
  [894] = 858,
  [895] = 885,
  [896] = 855,
  [897] = 865,
  [898] = 864,
  [899] = 870,
  [900] = 878,
  [901] = 845,
  [902] = 864,
  [903] = 860,
  [904] = 860,
  [905] = 858,
  [906] = 870,
  [907] = 865,
  [908] = 860,
  [909] = 875,
  [910] = 870,
  [911] = 878,
  [912] = 858,
  [913] = 869,
  [914] = 854,
  [915] = 855,
  [916] = 860,
  [917] = 862,
  [918] = 869,
  [919] = 864,
  [920] = 870,
  [921] = 865,
  [922] = 870,
  [923] = 885,
  [924] = 885,
  [925] = 878,
  [926] = 878,
  [927] = 854,
  [928] = 869,
  [929] = 878,
  [930] = 855,
  [931] = 865,
  [932] = 858,
  [933] = 858,
  [934] = 869,
  [935] = 869,
  [936] = 855,
  [937] = 864,
  [938] = 865,
  [939] = 860,
  [940] = 870,
  [941] = 860,
  [942] = 860,
  [943] = 860,
  [944] = 862,
  [945] = 878,
  [946] = 869,
  [947] = 854,
  [948] = 855,
  [949] = 845,
  [950] = 845,
  [951] = 951,
  [952] = 845,
  [953] = 845,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 954,
  [959] = 959,
  [960] = 951,
  [961] = 951,
  [962] = 962,
  [963] = 845,
  [964] = 955,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 955,
  [969] = 954,
  [970] = 951,
  [971] = 955,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 954,
  [976] = 976,
  [977] = 956,
  [978] = 955,
  [979] = 962,
  [980] = 980,
  [981] = 951,
  [982] = 972,
  [983] = 972,
  [984] = 954,
  [985] = 954,
  [986] = 986,
  [987] = 659,
  [988] = 632,
  [989] = 845,
  [990] = 962,
  [991] = 974,
  [992] = 955,
  [993] = 973,
  [994] = 845,
  [995] = 954,
  [996] = 657,
  [997] = 959,
  [998] = 951,
  [999] = 956,
  [1000] = 655,
  [1001] = 965,
  [1002] = 1002,
  [1003] = 966,
  [1004] = 965,
  [1005] = 959,
  [1006] = 951,
  [1007] = 845,
  [1008] = 959,
  [1009] = 973,
  [1010] = 967,
  [1011] = 972,
  [1012] = 1012,
  [1013] = 955,
  [1014] = 974,
  [1015] = 957,
  [1016] = 957,
  [1017] = 623,
  [1018] = 1018,
  [1019] = 662,
  [1020] = 974,
  [1021] = 957,
  [1022] = 956,
  [1023] = 962,
  [1024] = 966,
  [1025] = 967,
  [1026] = 966,
  [1027] = 965,
  [1028] = 967,
  [1029] = 631,
  [1030] = 973,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 655,
  [1034] = 659,
  [1035] = 662,
  [1036] = 631,
  [1037] = 632,
  [1038] = 612,
  [1039] = 651,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1031,
  [1043] = 1002,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 986,
  [1047] = 1047,
  [1048] = 976,
  [1049] = 1031,
  [1050] = 1002,
  [1051] = 959,
  [1052] = 986,
  [1053] = 980,
  [1054] = 1018,
  [1055] = 1012,
  [1056] = 974,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 976,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 986,
  [1070] = 959,
  [1071] = 974,
  [1072] = 976,
  [1073] = 956,
  [1074] = 965,
  [1075] = 973,
  [1076] = 957,
  [1077] = 962,
  [1078] = 966,
  [1079] = 967,
  [1080] = 972,
  [1081] = 954,
  [1082] = 980,
  [1083] = 1018,
  [1084] = 1012,
  [1085] = 956,
  [1086] = 955,
  [1087] = 965,
  [1088] = 951,
  [1089] = 973,
  [1090] = 957,
  [1091] = 962,
  [1092] = 966,
  [1093] = 967,
  [1094] = 972,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 605,
  [1109] = 607,
  [1110] = 645,
  [1111] = 650,
  [1112] = 980,
  [1113] = 1018,
  [1114] = 1012,
  [1115] = 959,
  [1116] = 974,
  [1117] = 1117,
  [1118] = 1064,
  [1119] = 1065,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 623,
  [1123] = 956,
  [1124] = 965,
  [1125] = 973,
  [1126] = 957,
  [1127] = 962,
  [1128] = 966,
  [1129] = 967,
  [1130] = 972,
  [1131] = 657,
  [1132] = 966,
  [1133] = 1040,
  [1134] = 1095,
  [1135] = 1097,
  [1136] = 1103,
  [1137] = 1041,
  [1138] = 1044,
  [1139] = 605,
  [1140] = 1057,
  [1141] = 1031,
  [1142] = 1096,
  [1143] = 1002,
  [1144] = 1066,
  [1145] = 1104,
  [1146] = 1105,
  [1147] = 1098,
  [1148] = 1100,
  [1149] = 1067,
  [1150] = 1068,
  [1151] = 1040,
  [1152] = 1041,
  [1153] = 1044,
  [1154] = 1057,
  [1155] = 1106,
  [1156] = 976,
  [1157] = 1107,
  [1158] = 607,
  [1159] = 1120,
  [1160] = 1096,
  [1161] = 1104,
  [1162] = 1105,
  [1163] = 1106,
  [1164] = 1107,
  [1165] = 1117,
  [1166] = 1121,
  [1167] = 1060,
  [1168] = 1061,
  [1169] = 1063,
  [1170] = 1117,
  [1171] = 1101,
  [1172] = 1102,
  [1173] = 1121,
  [1174] = 1060,
  [1175] = 1061,
  [1176] = 1063,
  [1177] = 1101,
  [1178] = 1102,
  [1179] = 623,
  [1180] = 1099,
  [1181] = 624,
  [1182] = 980,
  [1183] = 625,
  [1184] = 1018,
  [1185] = 626,
  [1186] = 645,
  [1187] = 650,
  [1188] = 657,
  [1189] = 655,
  [1190] = 659,
  [1191] = 662,
  [1192] = 631,
  [1193] = 632,
  [1194] = 651,
  [1195] = 986,
  [1196] = 651,
  [1197] = 1047,
  [1198] = 980,
  [1199] = 1018,
  [1200] = 1012,
  [1201] = 959,
  [1202] = 974,
  [1203] = 623,
  [1204] = 612,
  [1205] = 627,
  [1206] = 976,
  [1207] = 1067,
  [1208] = 1068,
  [1209] = 1095,
  [1210] = 956,
  [1211] = 965,
  [1212] = 973,
  [1213] = 957,
  [1214] = 962,
  [1215] = 1098,
  [1216] = 1100,
  [1217] = 972,
  [1218] = 1097,
  [1219] = 1103,
  [1220] = 645,
  [1221] = 650,
  [1222] = 986,
  [1223] = 645,
  [1224] = 650,
  [1225] = 605,
  [1226] = 607,
  [1227] = 1012,
  [1228] = 980,
  [1229] = 651,
  [1230] = 651,
  [1231] = 657,
  [1232] = 1018,
  [1233] = 1066,
  [1234] = 1064,
  [1235] = 1065,
  [1236] = 1120,
  [1237] = 655,
  [1238] = 659,
  [1239] = 662,
  [1240] = 1012,
  [1241] = 1095,
  [1242] = 1098,
  [1243] = 1100,
  [1244] = 1040,
  [1245] = 1041,
  [1246] = 1044,
  [1247] = 631,
  [1248] = 632,
  [1249] = 623,
  [1250] = 1057,
  [1251] = 1097,
  [1252] = 1103,
  [1253] = 612,
  [1254] = 986,
  [1255] = 1096,
  [1256] = 1104,
  [1257] = 1105,
  [1258] = 1106,
  [1259] = 1047,
  [1260] = 1107,
  [1261] = 1117,
  [1262] = 1121,
  [1263] = 1031,
  [1264] = 1002,
  [1265] = 657,
  [1266] = 1060,
  [1267] = 1061,
  [1268] = 976,
  [1269] = 1063,
  [1270] = 655,
  [1271] = 659,
  [1272] = 1067,
  [1273] = 1068,
  [1274] = 662,
  [1275] = 1101,
  [1276] = 1102,
  [1277] = 631,
  [1278] = 632,
  [1279] = 1099,
  [1280] = 1099,
  [1281] = 1066,
  [1282] = 651,
  [1283] = 1047,
  [1284] = 967,
  [1285] = 1041,
  [1286] = 1040,
  [1287] = 1041,
  [1288] = 1044,
  [1289] = 1066,
  [1290] = 1095,
  [1291] = 1098,
  [1292] = 1100,
  [1293] = 1040,
  [1294] = 1041,
  [1295] = 1060,
  [1296] = 1057,
  [1297] = 1097,
  [1298] = 655,
  [1299] = 659,
  [1300] = 662,
  [1301] = 1047,
  [1302] = 631,
  [1303] = 632,
  [1304] = 1096,
  [1305] = 1104,
  [1306] = 1105,
  [1307] = 1106,
  [1308] = 1107,
  [1309] = 1117,
  [1310] = 1121,
  [1311] = 1060,
  [1312] = 1061,
  [1313] = 1063,
  [1314] = 1101,
  [1315] = 1102,
  [1316] = 1101,
  [1317] = 1067,
  [1318] = 1068,
  [1319] = 1103,
  [1320] = 1047,
  [1321] = 1057,
  [1322] = 1058,
  [1323] = 1032,
  [1324] = 1059,
  [1325] = 645,
  [1326] = 650,
  [1327] = 619,
  [1328] = 623,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1099,
  [1332] = 1102,
  [1333] = 657,
  [1334] = 655,
  [1335] = 659,
  [1336] = 662,
  [1337] = 631,
  [1338] = 632,
  [1339] = 986,
  [1340] = 624,
  [1341] = 624,
  [1342] = 651,
  [1343] = 625,
  [1344] = 976,
  [1345] = 624,
  [1346] = 625,
  [1347] = 626,
  [1348] = 626,
  [1349] = 651,
  [1350] = 627,
  [1351] = 623,
  [1352] = 625,
  [1353] = 645,
  [1354] = 1096,
  [1355] = 1104,
  [1356] = 1105,
  [1357] = 1106,
  [1358] = 1107,
  [1359] = 1117,
  [1360] = 1121,
  [1361] = 650,
  [1362] = 651,
  [1363] = 1060,
  [1364] = 1061,
  [1365] = 1063,
  [1366] = 626,
  [1367] = 1066,
  [1368] = 627,
  [1369] = 1063,
  [1370] = 1067,
  [1371] = 1068,
  [1372] = 1047,
  [1373] = 1101,
  [1374] = 1102,
  [1375] = 1067,
  [1376] = 1068,
  [1377] = 1099,
  [1378] = 651,
  [1379] = 1098,
  [1380] = 1100,
  [1381] = 1099,
  [1382] = 1095,
  [1383] = 1097,
  [1384] = 657,
  [1385] = 1103,
  [1386] = 1066,
  [1387] = 645,
  [1388] = 650,
  [1389] = 1098,
  [1390] = 1100,
  [1391] = 980,
  [1392] = 1040,
  [1393] = 1061,
  [1394] = 1044,
  [1395] = 1018,
  [1396] = 1057,
  [1397] = 1012,
  [1398] = 1095,
  [1399] = 1097,
  [1400] = 627,
  [1401] = 1103,
  [1402] = 1096,
  [1403] = 1104,
  [1404] = 1105,
  [1405] = 1106,
  [1406] = 1107,
  [1407] = 1117,
  [1408] = 1121,
  [1409] = 619,
  [1410] = 1044,
  [1411] = 1044,
  [1412] = 1061,
  [1413] = 1120,
  [1414] = 1063,
  [1415] = 650,
  [1416] = 1068,
  [1417] = 1066,
  [1418] = 1101,
  [1419] = 1102,
  [1420] = 1067,
  [1421] = 1064,
  [1422] = 1098,
  [1423] = 1064,
  [1424] = 1100,
  [1425] = 1065,
  [1426] = 1095,
  [1427] = 1120,
  [1428] = 1040,
  [1429] = 1041,
  [1430] = 645,
  [1431] = 1060,
  [1432] = 657,
  [1433] = 655,
  [1434] = 659,
  [1435] = 662,
  [1436] = 631,
  [1437] = 632,
  [1438] = 1097,
  [1439] = 1057,
  [1440] = 1103,
  [1441] = 1099,
  [1442] = 1065,
  [1443] = 1120,
  [1444] = 1047,
  [1445] = 619,
  [1446] = 619,
  [1447] = 1096,
  [1448] = 1104,
  [1449] = 651,
  [1450] = 1105,
  [1451] = 1064,
  [1452] = 1065,
  [1453] = 1121,
  [1454] = 1106,
  [1455] = 1107,
  [1456] = 1117,
  [1457] = 623,
  [1458] = 651,
  [1459] = 662,
  [1460] = 631,
  [1461] = 632,
  [1462] = 650,
  [1463] = 1329,
  [1464] = 626,
  [1465] = 645,
  [1466] = 627,
  [1467] = 1330,
  [1468] = 623,
  [1469] = 657,
  [1470] = 655,
  [1471] = 651,
  [1472] = 651,
  [1473] = 651,
  [1474] = 659,
  [1475] = 624,
  [1476] = 625,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1485,
  [1489] = 1480,
  [1490] = 1479,
  [1491] = 1481,
  [1492] = 1482,
  [1493] = 1483,
  [1494] = 1484,
  [1495] = 1487,
  [1496] = 1486,
  [1497] = 1487,
  [1498] = 1480,
  [1499] = 1479,
  [1500] = 1481,
  [1501] = 1482,
  [1502] = 1480,
  [1503] = 1479,
  [1504] = 1486,
  [1505] = 1487,
  [1506] = 1481,
  [1507] = 1483,
  [1508] = 1484,
  [1509] = 1483,
  [1510] = 1484,
  [1511] = 1482,
  [1512] = 1485,
  [1513] = 1486,
  [1514] = 1485,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1516,
  [1518] = 1516,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1523,
  [1525] = 1525,
  [1526] = 1521,
  [1527] = 1525,
  [1528] = 1522,
  [1529] = 1523,
  [1530] = 1520,
  [1531] = 1521,
  [1532] = 1521,
  [1533] = 1525,
  [1534] = 1522,
  [1535] = 1523,
  [1536] = 1520,
  [1537] = 1520,
  [1538] = 1525,
  [1539] = 1522,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1541,
  [1543] = 1543,
  [1544] = 1541,
  [1545] = 1545,
  [1546] = 1543,
  [1547] = 1543,
  [1548] = 1541,
  [1549] = 1543,
  [1550] = 1550,
  [1551] = 1550,
  [1552] = 1545,
  [1553] = 1550,
  [1554] = 1545,
  [1555] = 1545,
  [1556] = 1550,
  [1557] = 1550,
  [1558] = 1545,
  [1559] = 1545,
  [1560] = 1545,
  [1561] = 1550,
  [1562] = 1550,
  [1563] = 1330,
  [1564] = 1550,
  [1565] = 627,
  [1566] = 1566,
  [1567] = 625,
  [1568] = 1545,
  [1569] = 624,
  [1570] = 1570,
  [1571] = 626,
  [1572] = 1329,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 645,
  [1576] = 1576,
  [1577] = 650,
  [1578] = 1578,
  [1579] = 651,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 627,
  [1583] = 1329,
  [1584] = 1584,
  [1585] = 1330,
  [1586] = 624,
  [1587] = 625,
  [1588] = 1581,
  [1589] = 624,
  [1590] = 1581,
  [1591] = 1330,
  [1592] = 627,
  [1593] = 1593,
  [1594] = 627,
  [1595] = 625,
  [1596] = 1329,
  [1597] = 1597,
  [1598] = 1581,
  [1599] = 651,
  [1600] = 1581,
  [1601] = 626,
  [1602] = 1602,
  [1603] = 1581,
  [1604] = 624,
  [1605] = 1578,
  [1606] = 1581,
  [1607] = 1581,
  [1608] = 1581,
  [1609] = 1329,
  [1610] = 1580,
  [1611] = 625,
  [1612] = 626,
  [1613] = 650,
  [1614] = 626,
  [1615] = 645,
  [1616] = 1573,
  [1617] = 1330,
  [1618] = 1581,
  [1619] = 1619,
  [1620] = 1576,
  [1621] = 1619,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1623,
  [1625] = 1584,
  [1626] = 1597,
  [1627] = 1622,
  [1628] = 1622,
  [1629] = 1622,
  [1630] = 1602,
  [1631] = 1622,
  [1632] = 1622,
  [1633] = 1622,
  [1634] = 1634,
  [1635] = 1622,
  [1636] = 1593,
  [1637] = 1619,
  [1638] = 1574,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1640,
  [1643] = 1641,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1646,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1650,
  [1656] = 1650,
  [1657] = 1650,
  [1658] = 1658,
  [1659] = 1650,
  [1660] = 1650,
  [1661] = 1650,
  [1662] = 1650,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1667,
  [1670] = 1648,
  [1671] = 1663,
  [1672] = 1666,
  [1673] = 1653,
  [1674] = 1664,
  [1675] = 1667,
  [1676] = 1665,
  [1677] = 1668,
  [1678] = 1665,
  [1679] = 1667,
  [1680] = 1654,
  [1681] = 1666,
  [1682] = 1667,
  [1683] = 1665,
  [1684] = 1668,
  [1685] = 1685,
  [1686] = 1666,
  [1687] = 1687,
  [1688] = 1668,
  [1689] = 1667,
  [1690] = 1668,
  [1691] = 1666,
  [1692] = 1667,
  [1693] = 1665,
  [1694] = 1658,
  [1695] = 1668,
  [1696] = 1666,
  [1697] = 1697,
  [1698] = 1667,
  [1699] = 1665,
  [1700] = 1668,
  [1701] = 1668,
  [1702] = 1666,
  [1703] = 1667,
  [1704] = 1651,
  [1705] = 1705,
  [1706] = 1666,
  [1707] = 1705,
  [1708] = 1666,
  [1709] = 1705,
  [1710] = 1649,
  [1711] = 1652,
  [1712] = 1705,
  [1713] = 1705,
  [1714] = 1705,
  [1715] = 1705,
  [1716] = 1705,
  [1717] = 1665,
  [1718] = 1665,
  [1719] = 1663,
  [1720] = 1720,
  [1721] = 1648,
  [1722] = 1649,
  [1723] = 1649,
  [1724] = 1724,
  [1725] = 1658,
  [1726] = 1651,
  [1727] = 1653,
  [1728] = 1652,
  [1729] = 1664,
  [1730] = 1654,
  [1731] = 1653,
  [1732] = 1658,
  [1733] = 1724,
  [1734] = 1734,
  [1735] = 1663,
  [1736] = 1651,
  [1737] = 1652,
  [1738] = 1664,
  [1739] = 1648,
  [1740] = 1654,
  [1741] = 1663,
  [1742] = 1652,
  [1743] = 1664,
  [1744] = 1664,
  [1745] = 1658,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1649,
  [1749] = 1654,
  [1750] = 1654,
  [1751] = 1648,
  [1752] = 1653,
  [1753] = 1663,
  [1754] = 1649,
  [1755] = 1648,
  [1756] = 1724,
  [1757] = 1653,
  [1758] = 1663,
  [1759] = 1648,
  [1760] = 1658,
  [1761] = 1651,
  [1762] = 1724,
  [1763] = 1658,
  [1764] = 1652,
  [1765] = 1664,
  [1766] = 1654,
  [1767] = 1767,
  [1768] = 1651,
  [1769] = 1649,
  [1770] = 1770,
  [1771] = 1651,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1652,
  [1775] = 1775,
  [1776] = 1653,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1777,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1779,
  [1785] = 1773,
  [1786] = 1777,
  [1787] = 1746,
  [1788] = 1663,
  [1789] = 1789,
  [1790] = 1648,
  [1791] = 1791,
  [1792] = 1777,
  [1793] = 1734,
  [1794] = 1651,
  [1795] = 1652,
  [1796] = 1664,
  [1797] = 1654,
  [1798] = 1779,
  [1799] = 1799,
  [1800] = 1777,
  [1801] = 1801,
  [1802] = 1782,
  [1803] = 1777,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1746,
  [1807] = 1649,
  [1808] = 1658,
  [1809] = 1777,
  [1810] = 1653,
  [1811] = 1777,
  [1812] = 1777,
  [1813] = 1777,
  [1814] = 1814,
  [1815] = 1746,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1817,
  [1820] = 1814,
  [1821] = 1782,
  [1822] = 1814,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1767,
  [1829] = 1829,
  [1830] = 1747,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1829,
  [1834] = 1772,
  [1835] = 1772,
  [1836] = 1829,
  [1837] = 1791,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1840,
  [1844] = 1747,
  [1845] = 1845,
  [1846] = 1842,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1826,
  [1851] = 1848,
  [1852] = 1824,
  [1853] = 1791,
  [1854] = 1849,
  [1855] = 1829,
  [1856] = 1829,
  [1857] = 1734,
  [1858] = 1838,
  [1859] = 1838,
  [1860] = 1829,
  [1861] = 1772,
  [1862] = 1734,
  [1863] = 1767,
  [1864] = 1767,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1848,
  [1868] = 1829,
  [1869] = 1829,
  [1870] = 1747,
  [1871] = 1840,
  [1872] = 1824,
  [1873] = 1791,
  [1874] = 1772,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1878,
  [1885] = 1881,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1574,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1888,
  [1895] = 1895,
  [1896] = 1789,
  [1897] = 1897,
  [1898] = 1770,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1832,
  [1906] = 1875,
  [1907] = 1892,
  [1908] = 1878,
  [1909] = 1909,
  [1910] = 1839,
  [1911] = 1576,
  [1912] = 1912,
  [1913] = 1773,
  [1914] = 1895,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1832,
  [1920] = 1903,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1773,
  [1924] = 1924,
  [1925] = 1747,
  [1926] = 1921,
  [1927] = 1770,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1876,
  [1931] = 1895,
  [1932] = 1912,
  [1933] = 1879,
  [1934] = 1934,
  [1935] = 1928,
  [1936] = 1936,
  [1937] = 1912,
  [1938] = 1773,
  [1939] = 1921,
  [1940] = 1940,
  [1941] = 1839,
  [1942] = 1875,
  [1943] = 1929,
  [1944] = 1944,
  [1945] = 1895,
  [1946] = 1946,
  [1947] = 1818,
  [1948] = 1948,
  [1949] = 1818,
  [1950] = 1880,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1892,
  [1954] = 1882,
  [1955] = 1929,
  [1956] = 1956,
  [1957] = 1888,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1901,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1818,
  [1966] = 1961,
  [1967] = 1883,
  [1968] = 1882,
  [1969] = 1936,
  [1970] = 1970,
  [1971] = 1901,
  [1972] = 1839,
  [1973] = 1922,
  [1974] = 1879,
  [1975] = 1958,
  [1976] = 1832,
  [1977] = 1956,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1767,
  [1981] = 1909,
  [1982] = 1770,
  [1983] = 1983,
  [1984] = 1964,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1883,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1989,
  [1991] = 1991,
  [1992] = 1989,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1881,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 1934,
  [2001] = 2001,
  [2002] = 1989,
  [2003] = 2003,
  [2004] = 1964,
  [2005] = 2005,
  [2006] = 1989,
  [2007] = 2007,
  [2008] = 1840,
  [2009] = 1909,
  [2010] = 1956,
  [2011] = 1961,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 1998,
  [2018] = 2018,
  [2019] = 1921,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 1818,
  [2025] = 1887,
  [2026] = 1909,
  [2027] = 2027,
  [2028] = 1970,
  [2029] = 1989,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 1887,
  [2033] = 2033,
  [2034] = 2016,
  [2035] = 1989,
  [2036] = 2027,
  [2037] = 2013,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2031,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 1922,
  [2047] = 1978,
  [2048] = 1978,
  [2049] = 1944,
  [2050] = 1918,
  [2051] = 1944,
  [2052] = 2005,
  [2053] = 1593,
  [2054] = 1934,
  [2055] = 2014,
  [2056] = 1964,
  [2057] = 1999,
  [2058] = 2031,
  [2059] = 2059,
  [2060] = 2022,
  [2061] = 2031,
  [2062] = 2062,
  [2063] = 1944,
  [2064] = 1602,
  [2065] = 2005,
  [2066] = 2014,
  [2067] = 1887,
  [2068] = 1597,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1989,
  [2072] = 2072,
  [2073] = 1879,
  [2074] = 1922,
  [2075] = 2072,
  [2076] = 1889,
  [2077] = 2077,
  [2078] = 1918,
  [2079] = 2023,
  [2080] = 1876,
  [2081] = 1956,
  [2082] = 1961,
  [2083] = 1876,
  [2084] = 1883,
  [2085] = 1881,
  [2086] = 2020,
  [2087] = 1918,
  [2088] = 1584,
  [2089] = 2089,
  [2090] = 1978,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2072,
  [2095] = 1924,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 1901,
  [2100] = 2100,
  [2101] = 1934,
  [2102] = 2102,
  [2103] = 2102,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2105,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 1993,
  [2121] = 1998,
  [2122] = 2018,
  [2123] = 2044,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 1983,
  [2127] = 2093,
  [2128] = 2097,
  [2129] = 1995,
  [2130] = 1997,
  [2131] = 2007,
  [2132] = 2132,
  [2133] = 1994,
  [2134] = 2012,
  [2135] = 2033,
  [2136] = 2059,
  [2137] = 2077,
  [2138] = 1986,
  [2139] = 2030,
  [2140] = 2089,
  [2141] = 2062,
  [2142] = 2043,
  [2143] = 1985,
  [2144] = 2001,
  [2145] = 2102,
  [2146] = 2015,
  [2147] = 2147,
  [2148] = 2118,
  [2149] = 2119,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2125,
  [2154] = 2154,
  [2155] = 1993,
  [2156] = 1998,
  [2157] = 2018,
  [2158] = 2044,
  [2159] = 1988,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2118,
  [2164] = 2119,
  [2165] = 1983,
  [2166] = 2093,
  [2167] = 2097,
  [2168] = 1995,
  [2169] = 1997,
  [2170] = 2125,
  [2171] = 2007,
  [2172] = 2100,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2012,
  [2177] = 2033,
  [2178] = 2059,
  [2179] = 2077,
  [2180] = 1986,
  [2181] = 2030,
  [2182] = 2089,
  [2183] = 2062,
  [2184] = 2043,
  [2185] = 1985,
  [2186] = 2001,
  [2187] = 2102,
  [2188] = 2118,
  [2189] = 2015,
  [2190] = 2119,
  [2191] = 1993,
  [2192] = 2018,
  [2193] = 2044,
  [2194] = 2091,
  [2195] = 1983,
  [2196] = 2093,
  [2197] = 2097,
  [2198] = 1995,
  [2199] = 1997,
  [2200] = 2007,
  [2201] = 1994,
  [2202] = 2012,
  [2203] = 2033,
  [2204] = 2059,
  [2205] = 2077,
  [2206] = 1986,
  [2207] = 2030,
  [2208] = 2089,
  [2209] = 2062,
  [2210] = 2043,
  [2211] = 1985,
  [2212] = 2001,
  [2213] = 2015,
  [2214] = 2214,
  [2215] = 2110,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2104,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2038,
  [2226] = 2045,
  [2227] = 2218,
  [2228] = 2107,
  [2229] = 2125,
  [2230] = 2230,
  [2231] = 1994,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2232,
  [2243] = 1960,
  [2244] = 1915,
  [2245] = 2233,
  [2246] = 1951,
  [2247] = 986,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2236,
  [2254] = 2150,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 1893,
  [2268] = 2240,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 1979,
  [2273] = 2273,
  [2274] = 2113,
  [2275] = 2275,
  [2276] = 2234,
  [2277] = 1959,
  [2278] = 2278,
  [2279] = 2237,
  [2280] = 2280,
  [2281] = 976,
  [2282] = 2240,
  [2283] = 2283,
  [2284] = 2234,
  [2285] = 2241,
  [2286] = 2232,
  [2287] = 2280,
  [2288] = 2233,
  [2289] = 2283,
  [2290] = 2248,
  [2291] = 1889,
  [2292] = 2250,
  [2293] = 2293,
  [2294] = 2251,
  [2295] = 2252,
  [2296] = 2296,
  [2297] = 2236,
  [2298] = 2298,
  [2299] = 1891,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2258,
  [2304] = 2260,
  [2305] = 2150,
  [2306] = 2261,
  [2307] = 2307,
  [2308] = 2262,
  [2309] = 2263,
  [2310] = 2257,
  [2311] = 2230,
  [2312] = 2175,
  [2313] = 2106,
  [2314] = 2264,
  [2315] = 1970,
  [2316] = 2273,
  [2317] = 2317,
  [2318] = 2238,
  [2319] = 2270,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2273,
  [2323] = 2323,
  [2324] = 2234,
  [2325] = 2239,
  [2326] = 2326,
  [2327] = 2237,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2240,
  [2331] = 2258,
  [2332] = 2241,
  [2333] = 2232,
  [2334] = 2334,
  [2335] = 2233,
  [2336] = 2248,
  [2337] = 2248,
  [2338] = 2250,
  [2339] = 2174,
  [2340] = 2251,
  [2341] = 2252,
  [2342] = 2250,
  [2343] = 2328,
  [2344] = 2344,
  [2345] = 2334,
  [2346] = 2346,
  [2347] = 2320,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2321,
  [2351] = 2251,
  [2352] = 2273,
  [2353] = 2264,
  [2354] = 2252,
  [2355] = 2150,
  [2356] = 2234,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2240,
  [2360] = 2258,
  [2361] = 2241,
  [2362] = 2362,
  [2363] = 2233,
  [2364] = 2248,
  [2365] = 2260,
  [2366] = 2250,
  [2367] = 2367,
  [2368] = 2232,
  [2369] = 2252,
  [2370] = 2261,
  [2371] = 2161,
  [2372] = 2280,
  [2373] = 2262,
  [2374] = 2263,
  [2375] = 2162,
  [2376] = 2248,
  [2377] = 2175,
  [2378] = 2273,
  [2379] = 2234,
  [2380] = 2259,
  [2381] = 2240,
  [2382] = 2250,
  [2383] = 2241,
  [2384] = 2232,
  [2385] = 2251,
  [2386] = 2233,
  [2387] = 2252,
  [2388] = 2248,
  [2389] = 2367,
  [2390] = 2250,
  [2391] = 2264,
  [2392] = 2251,
  [2393] = 2252,
  [2394] = 2230,
  [2395] = 2175,
  [2396] = 2302,
  [2397] = 2346,
  [2398] = 1584,
  [2399] = 2362,
  [2400] = 2400,
  [2401] = 2273,
  [2402] = 2402,
  [2403] = 2234,
  [2404] = 2241,
  [2405] = 2232,
  [2406] = 2270,
  [2407] = 2240,
  [2408] = 2241,
  [2409] = 2232,
  [2410] = 2410,
  [2411] = 2233,
  [2412] = 2248,
  [2413] = 2250,
  [2414] = 2106,
  [2415] = 2251,
  [2416] = 2252,
  [2417] = 2233,
  [2418] = 2237,
  [2419] = 2275,
  [2420] = 2317,
  [2421] = 2233,
  [2422] = 2251,
  [2423] = 2252,
  [2424] = 2424,
  [2425] = 2296,
  [2426] = 2233,
  [2427] = 2251,
  [2428] = 2252,
  [2429] = 1576,
  [2430] = 2329,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2346,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2249,
  [2439] = 2437,
  [2440] = 2440,
  [2441] = 2400,
  [2442] = 2260,
  [2443] = 2271,
  [2444] = 1889,
  [2445] = 2235,
  [2446] = 2261,
  [2447] = 2265,
  [2448] = 2301,
  [2449] = 2402,
  [2450] = 1889,
  [2451] = 2270,
  [2452] = 2262,
  [2453] = 2437,
  [2454] = 2400,
  [2455] = 1948,
  [2456] = 2273,
  [2457] = 2263,
  [2458] = 2221,
  [2459] = 2270,
  [2460] = 2222,
  [2461] = 2234,
  [2462] = 1970,
  [2463] = 1576,
  [2464] = 2237,
  [2465] = 1574,
  [2466] = 2238,
  [2467] = 2239,
  [2468] = 1970,
  [2469] = 2431,
  [2470] = 2432,
  [2471] = 2334,
  [2472] = 2236,
  [2473] = 2240,
  [2474] = 2474,
  [2475] = 1576,
  [2476] = 2273,
  [2477] = 2410,
  [2478] = 2436,
  [2479] = 2241,
  [2480] = 2251,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 1597,
  [2488] = 618,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2484,
  [2501] = 2501,
  [2502] = 2486,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2483,
  [2507] = 2507,
  [2508] = 2486,
  [2509] = 2509,
  [2510] = 2489,
  [2511] = 2484,
  [2512] = 2512,
  [2513] = 2486,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2489,
  [2518] = 2323,
  [2519] = 660,
  [2520] = 2520,
  [2521] = 2496,
  [2522] = 2496,
  [2523] = 2021,
  [2524] = 2524,
  [2525] = 2482,
  [2526] = 2526,
  [2527] = 2021,
  [2528] = 2528,
  [2529] = 2507,
  [2530] = 2530,
  [2531] = 1602,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 643,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 1593,
  [2543] = 2543,
  [2544] = 2503,
  [2545] = 1584,
  [2546] = 1597,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2021,
  [2550] = 2494,
  [2551] = 2543,
  [2552] = 2548,
  [2553] = 2540,
  [2554] = 2514,
  [2555] = 2555,
  [2556] = 2496,
  [2557] = 2557,
  [2558] = 1602,
  [2559] = 2559,
  [2560] = 656,
  [2561] = 2561,
  [2562] = 621,
  [2563] = 2563,
  [2564] = 2433,
  [2565] = 1593,
  [2566] = 2566,
  [2567] = 2489,
  [2568] = 2440,
  [2569] = 2569,
  [2570] = 2482,
  [2571] = 2569,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2507,
  [2575] = 2575,
  [2576] = 2515,
  [2577] = 2569,
  [2578] = 2497,
  [2579] = 2579,
  [2580] = 2484,
  [2581] = 2572,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2584,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2584,
  [2600] = 2590,
  [2601] = 2591,
  [2602] = 2589,
  [2603] = 2598,
  [2604] = 2582,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2584,
  [2608] = 2608,
  [2609] = 2593,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2592,
  [2615] = 2615,
  [2616] = 2585,
  [2617] = 2617,
  [2618] = 2598,
  [2619] = 2619,
  [2620] = 2617,
  [2621] = 2593,
  [2622] = 2590,
  [2623] = 2623,
  [2624] = 2608,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2612,
  [2629] = 2596,
  [2630] = 2598,
  [2631] = 2631,
  [2632] = 2596,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2585,
  [2639] = 2597,
  [2640] = 2598,
  [2641] = 2589,
  [2642] = 2588,
  [2643] = 2643,
  [2644] = 2596,
  [2645] = 2585,
  [2646] = 2598,
  [2647] = 2589,
  [2648] = 2648,
  [2649] = 2610,
  [2650] = 2585,
  [2651] = 2651,
  [2652] = 2597,
  [2653] = 2590,
  [2654] = 2654,
  [2655] = 2615,
  [2656] = 2637,
  [2657] = 2592,
  [2658] = 2658,
  [2659] = 2589,
  [2660] = 2593,
  [2661] = 2591,
  [2662] = 2662,
  [2663] = 2623,
  [2664] = 2648,
  [2665] = 2596,
  [2666] = 2592,
  [2667] = 2667,
  [2668] = 2597,
  [2669] = 2669,
  [2670] = 2598,
  [2671] = 2662,
  [2672] = 2593,
  [2673] = 2611,
  [2674] = 2674,
  [2675] = 2594,
  [2676] = 2676,
  [2677] = 2606,
  [2678] = 2648,
  [2679] = 2587,
  [2680] = 2631,
  [2681] = 2590,
  [2682] = 2591,
  [2683] = 2596,
  [2684] = 2597,
  [2685] = 2591,
  [2686] = 2591,
  [2687] = 2593,
  [2688] = 2598,
  [2689] = 2592,
  [2690] = 2667,
  [2691] = 2617,
  [2692] = 2582,
  [2693] = 2590,
  [2694] = 2694,
  [2695] = 2669,
  [2696] = 2605,
  [2697] = 2591,
  [2698] = 2585,
  [2699] = 2593,
  [2700] = 2592,
  [2701] = 2584,
  [2702] = 2676,
  [2703] = 2669,
  [2704] = 2582,
  [2705] = 2587,
  [2706] = 2605,
  [2707] = 2707,
  [2708] = 2582,
  [2709] = 2615,
  [2710] = 2605,
  [2711] = 2711,
  [2712] = 2589,
  [2713] = 2582,
  [2714] = 2714,
  [2715] = 2584,
  [2716] = 2585,
  [2717] = 2658,
  [2718] = 2648,
  [2719] = 2592,
  [2720] = 2720,
  [2721] = 2593,
  [2722] = 2722,
  [2723] = 2605,
  [2724] = 2605,
  [2725] = 2596,
  [2726] = 2615,
  [2727] = 2608,
  [2728] = 2597,
  [2729] = 2585,
  [2730] = 2654,
  [2731] = 2731,
  [2732] = 2598,
  [2733] = 2584,
  [2734] = 2582,
  [2735] = 2617,
  [2736] = 2720,
  [2737] = 2589,
  [2738] = 2598,
  [2739] = 2590,
  [2740] = 2596,
  [2741] = 2588,
  [2742] = 2635,
  [2743] = 2589,
  [2744] = 2605,
  [2745] = 2745,
  [2746] = 2658,
  [2747] = 2747,
  [2748] = 2651,
  [2749] = 2749,
  [2750] = 2608,
  [2751] = 2597,
  [2752] = 2590,
  [2753] = 2591,
  [2754] = 2617,
  [2755] = 2755,
  [2756] = 2615,
  [2757] = 2582,
  [2758] = 2605,
  [2759] = 2759,
  [2760] = 2707,
  [2761] = 2658,
  [2762] = 2762,
  [2763] = 2584,
  [2764] = 2597,
  [2765] = 2636,
  [2766] = 2731,
  [2767] = 2767,
  [2768] = 2613,
  [2769] = 2634,
  [2770] = 2749,
  [2771] = 2588,
  [2772] = 2674,
  [2773] = 2749,
  [2774] = 2648,
  [2775] = 2592,
  [2776] = 2707,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(54);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == 'e') ADVANCE(152);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(84);
      if (lookahead == '}') ADVANCE(86);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(155);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(127);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(132);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '}') ADVANCE(86);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(132);
      if (lookahead != 0) ADVANCE(133);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(84);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(95);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(83);
      if (lookahead == '}') ADVANCE(86);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(21);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(31);
      if (lookahead == '@') ADVANCE(23);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(24);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(25);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == '|') ADVANCE(84);
      if (lookahead == '}') ADVANCE(86);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == '|') ADVANCE(84);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(155);
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(11);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(84);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(95);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(83);
      if (lookahead == '}') ADVANCE(86);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(95);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '|') ADVANCE(83);
      if (lookahead == '}') ADVANCE(86);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(95);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '|') ADVANCE(83);
      if (lookahead == '}') ADVANCE(86);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(126);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 18:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(107);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(29);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(139);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(127);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(139);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 51:
      if (eof) ADVANCE(54);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(110);
      if (lookahead == '@') ADVANCE(79);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(98);
      if (lookahead == 'e') ADVANCE(152);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(84);
      if (lookahead == '}') ADVANCE(86);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 52:
      if (eof) ADVANCE(54);
      if (lookahead == '\r') SKIP(52);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(60);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(55);
      if (lookahead == '<') ADVANCE(104);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(109);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(83);
      if (lookahead == '}') ADVANCE(86);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 53:
      if (eof) ADVANCE(54);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == '-') ADVANCE(80);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == '@') ADVANCE(78);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(152);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '~') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(153);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(72);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(67);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(93);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(99);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(65);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        0, 155,
        '\n', 127,
        '\r', 2,
        'N', 35,
        'U', 49,
        'u', 45,
        'x', 43,
        '"', 127,
        '\'', 127,
        '\\', 127,
        'a', 127,
        'b', 127,
        'f', 127,
        'n', 127,
        'r', 127,
        't', 127,
        'v', 127,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(133);
      if (lookahead == '\r') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(133);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 132,
        '#', 133,
        '\\', 131,
        '\t', 132,
        0x0b, 132,
        '\f', 132,
        ' ', 132,
        0x200b, 132,
        0x2060, 132,
        0xfeff, 132,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 145,
        '_', 138,
        'B', 32,
        'b', 32,
        'E', 37,
        'e', 37,
        'O', 33,
        'o', 33,
        'X', 34,
        'x', 34,
        'J', 135,
        'L', 135,
        'j', 135,
        'l', 135,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 145,
        '_', 138,
        'E', 37,
        'e', 37,
        'J', 135,
        'L', 135,
        'j', 135,
        'l', 135,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(145);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(135);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(145);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(146);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(70);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(149);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(150);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(147);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(148);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'y') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(76);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(79);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(80);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(82);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(88);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 63:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 71:
      if (lookahead == 'f') ADVANCE(104);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(107);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(109);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 80:
      if (lookahead == 'b') ADVANCE(112);
      END_STATE();
    case 81:
      if (lookahead == 'c') ADVANCE(113);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 86:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 87:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 91:
      if (lookahead == 'h') ADVANCE(121);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(128);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 106:
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 112:
      if (lookahead == 'd') ADVANCE(135);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(137);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(140);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 122:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(143);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 130:
      if (lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 133:
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(151);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 145:
      if (lookahead == 'u') ADVANCE(154);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 147:
      if (lookahead == 'y') ADVANCE(155);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(156);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 156:
      if (lookahead == 'l') ADVANCE(159);
      END_STATE();
    case 157:
      if (lookahead == '_') ADVANCE(160);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 160:
      if (lookahead == '_') ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 52, .external_lex_state = 2},
  [2] = {.lex_state = 52, .external_lex_state = 3},
  [3] = {.lex_state = 52, .external_lex_state = 3},
  [4] = {.lex_state = 52, .external_lex_state = 3},
  [5] = {.lex_state = 52, .external_lex_state = 3},
  [6] = {.lex_state = 52, .external_lex_state = 3},
  [7] = {.lex_state = 52, .external_lex_state = 3},
  [8] = {.lex_state = 52, .external_lex_state = 3},
  [9] = {.lex_state = 52, .external_lex_state = 3},
  [10] = {.lex_state = 52, .external_lex_state = 3},
  [11] = {.lex_state = 52, .external_lex_state = 3},
  [12] = {.lex_state = 52, .external_lex_state = 3},
  [13] = {.lex_state = 52, .external_lex_state = 3},
  [14] = {.lex_state = 52, .external_lex_state = 3},
  [15] = {.lex_state = 52, .external_lex_state = 3},
  [16] = {.lex_state = 52, .external_lex_state = 3},
  [17] = {.lex_state = 52, .external_lex_state = 3},
  [18] = {.lex_state = 52, .external_lex_state = 3},
  [19] = {.lex_state = 52, .external_lex_state = 3},
  [20] = {.lex_state = 52, .external_lex_state = 3},
  [21] = {.lex_state = 52, .external_lex_state = 3},
  [22] = {.lex_state = 52, .external_lex_state = 3},
  [23] = {.lex_state = 52, .external_lex_state = 3},
  [24] = {.lex_state = 52, .external_lex_state = 3},
  [25] = {.lex_state = 52, .external_lex_state = 3},
  [26] = {.lex_state = 52, .external_lex_state = 3},
  [27] = {.lex_state = 52, .external_lex_state = 3},
  [28] = {.lex_state = 52, .external_lex_state = 3},
  [29] = {.lex_state = 52, .external_lex_state = 3},
  [30] = {.lex_state = 52, .external_lex_state = 3},
  [31] = {.lex_state = 52, .external_lex_state = 3},
  [32] = {.lex_state = 52, .external_lex_state = 3},
  [33] = {.lex_state = 52, .external_lex_state = 3},
  [34] = {.lex_state = 52, .external_lex_state = 3},
  [35] = {.lex_state = 52, .external_lex_state = 3},
  [36] = {.lex_state = 52, .external_lex_state = 3},
  [37] = {.lex_state = 52, .external_lex_state = 3},
  [38] = {.lex_state = 52, .external_lex_state = 3},
  [39] = {.lex_state = 52, .external_lex_state = 3},
  [40] = {.lex_state = 52, .external_lex_state = 3},
  [41] = {.lex_state = 52, .external_lex_state = 3},
  [42] = {.lex_state = 52, .external_lex_state = 3},
  [43] = {.lex_state = 52, .external_lex_state = 3},
  [44] = {.lex_state = 52, .external_lex_state = 3},
  [45] = {.lex_state = 52, .external_lex_state = 3},
  [46] = {.lex_state = 52, .external_lex_state = 3},
  [47] = {.lex_state = 52, .external_lex_state = 3},
  [48] = {.lex_state = 52, .external_lex_state = 3},
  [49] = {.lex_state = 52, .external_lex_state = 3},
  [50] = {.lex_state = 52, .external_lex_state = 3},
  [51] = {.lex_state = 52, .external_lex_state = 3},
  [52] = {.lex_state = 52, .external_lex_state = 3},
  [53] = {.lex_state = 52, .external_lex_state = 3},
  [54] = {.lex_state = 52, .external_lex_state = 3},
  [55] = {.lex_state = 52, .external_lex_state = 3},
  [56] = {.lex_state = 52, .external_lex_state = 3},
  [57] = {.lex_state = 52, .external_lex_state = 3},
  [58] = {.lex_state = 52, .external_lex_state = 3},
  [59] = {.lex_state = 52, .external_lex_state = 3},
  [60] = {.lex_state = 52, .external_lex_state = 3},
  [61] = {.lex_state = 52, .external_lex_state = 3},
  [62] = {.lex_state = 52, .external_lex_state = 3},
  [63] = {.lex_state = 52, .external_lex_state = 2},
  [64] = {.lex_state = 52, .external_lex_state = 3},
  [65] = {.lex_state = 52, .external_lex_state = 3},
  [66] = {.lex_state = 52, .external_lex_state = 2},
  [67] = {.lex_state = 52, .external_lex_state = 3},
  [68] = {.lex_state = 52, .external_lex_state = 3},
  [69] = {.lex_state = 52, .external_lex_state = 3},
  [70] = {.lex_state = 4, .external_lex_state = 4},
  [71] = {.lex_state = 4, .external_lex_state = 4},
  [72] = {.lex_state = 5, .external_lex_state = 5},
  [73] = {.lex_state = 5, .external_lex_state = 5},
  [74] = {.lex_state = 5, .external_lex_state = 5},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 4, .external_lex_state = 4},
  [81] = {.lex_state = 4, .external_lex_state = 4},
  [82] = {.lex_state = 4, .external_lex_state = 4},
  [83] = {.lex_state = 4, .external_lex_state = 4},
  [84] = {.lex_state = 52, .external_lex_state = 5},
  [85] = {.lex_state = 52, .external_lex_state = 5},
  [86] = {.lex_state = 52, .external_lex_state = 5},
  [87] = {.lex_state = 52, .external_lex_state = 5},
  [88] = {.lex_state = 52, .external_lex_state = 5},
  [89] = {.lex_state = 52, .external_lex_state = 5},
  [90] = {.lex_state = 52, .external_lex_state = 5},
  [91] = {.lex_state = 52, .external_lex_state = 5},
  [92] = {.lex_state = 52, .external_lex_state = 5},
  [93] = {.lex_state = 52, .external_lex_state = 5},
  [94] = {.lex_state = 52, .external_lex_state = 5},
  [95] = {.lex_state = 52, .external_lex_state = 5},
  [96] = {.lex_state = 52, .external_lex_state = 5},
  [97] = {.lex_state = 52, .external_lex_state = 5},
  [98] = {.lex_state = 52, .external_lex_state = 5},
  [99] = {.lex_state = 52, .external_lex_state = 5},
  [100] = {.lex_state = 52, .external_lex_state = 5},
  [101] = {.lex_state = 52, .external_lex_state = 5},
  [102] = {.lex_state = 52, .external_lex_state = 5},
  [103] = {.lex_state = 52, .external_lex_state = 5},
  [104] = {.lex_state = 52, .external_lex_state = 5},
  [105] = {.lex_state = 52, .external_lex_state = 5},
  [106] = {.lex_state = 52, .external_lex_state = 5},
  [107] = {.lex_state = 52, .external_lex_state = 5},
  [108] = {.lex_state = 52, .external_lex_state = 5},
  [109] = {.lex_state = 52, .external_lex_state = 5},
  [110] = {.lex_state = 52, .external_lex_state = 5},
  [111] = {.lex_state = 52, .external_lex_state = 5},
  [112] = {.lex_state = 52, .external_lex_state = 5},
  [113] = {.lex_state = 52, .external_lex_state = 5},
  [114] = {.lex_state = 52, .external_lex_state = 5},
  [115] = {.lex_state = 52, .external_lex_state = 5},
  [116] = {.lex_state = 52, .external_lex_state = 5},
  [117] = {.lex_state = 52, .external_lex_state = 5},
  [118] = {.lex_state = 52, .external_lex_state = 5},
  [119] = {.lex_state = 52, .external_lex_state = 5},
  [120] = {.lex_state = 52, .external_lex_state = 5},
  [121] = {.lex_state = 52, .external_lex_state = 5},
  [122] = {.lex_state = 52, .external_lex_state = 5},
  [123] = {.lex_state = 52, .external_lex_state = 5},
  [124] = {.lex_state = 52, .external_lex_state = 5},
  [125] = {.lex_state = 52, .external_lex_state = 5},
  [126] = {.lex_state = 52, .external_lex_state = 5},
  [127] = {.lex_state = 52, .external_lex_state = 5},
  [128] = {.lex_state = 52, .external_lex_state = 5},
  [129] = {.lex_state = 52, .external_lex_state = 5},
  [130] = {.lex_state = 52, .external_lex_state = 5},
  [131] = {.lex_state = 52, .external_lex_state = 5},
  [132] = {.lex_state = 52, .external_lex_state = 5},
  [133] = {.lex_state = 52, .external_lex_state = 5},
  [134] = {.lex_state = 52, .external_lex_state = 4},
  [135] = {.lex_state = 52, .external_lex_state = 4},
  [136] = {.lex_state = 52, .external_lex_state = 4},
  [137] = {.lex_state = 52, .external_lex_state = 4},
  [138] = {.lex_state = 52, .external_lex_state = 4},
  [139] = {.lex_state = 52, .external_lex_state = 4},
  [140] = {.lex_state = 52, .external_lex_state = 4},
  [141] = {.lex_state = 52, .external_lex_state = 4},
  [142] = {.lex_state = 52, .external_lex_state = 4},
  [143] = {.lex_state = 52, .external_lex_state = 4},
  [144] = {.lex_state = 52, .external_lex_state = 2},
  [145] = {.lex_state = 4, .external_lex_state = 4},
  [146] = {.lex_state = 4, .external_lex_state = 4},
  [147] = {.lex_state = 11, .external_lex_state = 4},
  [148] = {.lex_state = 5, .external_lex_state = 4},
  [149] = {.lex_state = 5, .external_lex_state = 6},
  [150] = {.lex_state = 12, .external_lex_state = 4},
  [151] = {.lex_state = 12, .external_lex_state = 6},
  [152] = {.lex_state = 5, .external_lex_state = 6},
  [153] = {.lex_state = 12, .external_lex_state = 4},
  [154] = {.lex_state = 5, .external_lex_state = 7},
  [155] = {.lex_state = 5, .external_lex_state = 2},
  [156] = {.lex_state = 5, .external_lex_state = 8},
  [157] = {.lex_state = 12, .external_lex_state = 8},
  [158] = {.lex_state = 12, .external_lex_state = 6},
  [159] = {.lex_state = 5, .external_lex_state = 6},
  [160] = {.lex_state = 5, .external_lex_state = 6},
  [161] = {.lex_state = 5, .external_lex_state = 7},
  [162] = {.lex_state = 5, .external_lex_state = 8},
  [163] = {.lex_state = 5, .external_lex_state = 8},
  [164] = {.lex_state = 5, .external_lex_state = 8},
  [165] = {.lex_state = 5, .external_lex_state = 7},
  [166] = {.lex_state = 12, .external_lex_state = 2},
  [167] = {.lex_state = 5, .external_lex_state = 8},
  [168] = {.lex_state = 5, .external_lex_state = 8},
  [169] = {.lex_state = 11, .external_lex_state = 4},
  [170] = {.lex_state = 12, .external_lex_state = 6},
  [171] = {.lex_state = 12, .external_lex_state = 7},
  [172] = {.lex_state = 12, .external_lex_state = 2},
  [173] = {.lex_state = 12, .external_lex_state = 7},
  [174] = {.lex_state = 5, .external_lex_state = 7},
  [175] = {.lex_state = 12, .external_lex_state = 8},
  [176] = {.lex_state = 5, .external_lex_state = 8},
  [177] = {.lex_state = 12, .external_lex_state = 7},
  [178] = {.lex_state = 11, .external_lex_state = 2},
  [179] = {.lex_state = 11, .external_lex_state = 2},
  [180] = {.lex_state = 5, .external_lex_state = 7},
  [181] = {.lex_state = 52, .external_lex_state = 2},
  [182] = {.lex_state = 52, .external_lex_state = 7},
  [183] = {.lex_state = 52, .external_lex_state = 7},
  [184] = {.lex_state = 52, .external_lex_state = 2},
  [185] = {.lex_state = 52, .external_lex_state = 8},
  [186] = {.lex_state = 52, .external_lex_state = 8},
  [187] = {.lex_state = 52, .external_lex_state = 8},
  [188] = {.lex_state = 52, .external_lex_state = 7},
  [189] = {.lex_state = 5, .external_lex_state = 6},
  [190] = {.lex_state = 52, .external_lex_state = 8},
  [191] = {.lex_state = 5, .external_lex_state = 6},
  [192] = {.lex_state = 52, .external_lex_state = 8},
  [193] = {.lex_state = 52, .external_lex_state = 7},
  [194] = {.lex_state = 5, .external_lex_state = 6},
  [195] = {.lex_state = 52, .external_lex_state = 7},
  [196] = {.lex_state = 52, .external_lex_state = 8},
  [197] = {.lex_state = 52, .external_lex_state = 7},
  [198] = {.lex_state = 5, .external_lex_state = 6},
  [199] = {.lex_state = 52, .external_lex_state = 2},
  [200] = {.lex_state = 5, .external_lex_state = 6},
  [201] = {.lex_state = 52, .external_lex_state = 8},
  [202] = {.lex_state = 52, .external_lex_state = 7},
  [203] = {.lex_state = 5, .external_lex_state = 6},
  [204] = {.lex_state = 52, .external_lex_state = 8},
  [205] = {.lex_state = 52, .external_lex_state = 7},
  [206] = {.lex_state = 5, .external_lex_state = 6},
  [207] = {.lex_state = 52, .external_lex_state = 8},
  [208] = {.lex_state = 52, .external_lex_state = 7},
  [209] = {.lex_state = 5, .external_lex_state = 6},
  [210] = {.lex_state = 52, .external_lex_state = 8},
  [211] = {.lex_state = 52, .external_lex_state = 7},
  [212] = {.lex_state = 52, .external_lex_state = 7},
  [213] = {.lex_state = 52, .external_lex_state = 8},
  [214] = {.lex_state = 6, .external_lex_state = 4},
  [215] = {.lex_state = 6, .external_lex_state = 4},
  [216] = {.lex_state = 52, .external_lex_state = 2},
  [217] = {.lex_state = 5, .external_lex_state = 7},
  [218] = {.lex_state = 5, .external_lex_state = 7},
  [219] = {.lex_state = 5, .external_lex_state = 7},
  [220] = {.lex_state = 5, .external_lex_state = 7},
  [221] = {.lex_state = 5, .external_lex_state = 7},
  [222] = {.lex_state = 5, .external_lex_state = 7},
  [223] = {.lex_state = 5, .external_lex_state = 7},
  [224] = {.lex_state = 5, .external_lex_state = 7},
  [225] = {.lex_state = 52, .external_lex_state = 2},
  [226] = {.lex_state = 5, .external_lex_state = 2},
  [227] = {.lex_state = 5, .external_lex_state = 2},
  [228] = {.lex_state = 5, .external_lex_state = 2},
  [229] = {.lex_state = 5, .external_lex_state = 2},
  [230] = {.lex_state = 5, .external_lex_state = 2},
  [231] = {.lex_state = 5, .external_lex_state = 8},
  [232] = {.lex_state = 5, .external_lex_state = 2},
  [233] = {.lex_state = 52, .external_lex_state = 8},
  [234] = {.lex_state = 6, .external_lex_state = 2},
  [235] = {.lex_state = 5, .external_lex_state = 8},
  [236] = {.lex_state = 6, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 2},
  [238] = {.lex_state = 5, .external_lex_state = 2},
  [239] = {.lex_state = 5, .external_lex_state = 8},
  [240] = {.lex_state = 5, .external_lex_state = 2},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 5, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 2},
  [244] = {.lex_state = 5, .external_lex_state = 2},
  [245] = {.lex_state = 5, .external_lex_state = 2},
  [246] = {.lex_state = 5, .external_lex_state = 8},
  [247] = {.lex_state = 5, .external_lex_state = 8},
  [248] = {.lex_state = 5, .external_lex_state = 2},
  [249] = {.lex_state = 5, .external_lex_state = 8},
  [250] = {.lex_state = 5, .external_lex_state = 2},
  [251] = {.lex_state = 5, .external_lex_state = 2},
  [252] = {.lex_state = 5, .external_lex_state = 8},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 5, .external_lex_state = 8},
  [255] = {.lex_state = 5, .external_lex_state = 8},
  [256] = {.lex_state = 52, .external_lex_state = 6},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 2},
  [259] = {.lex_state = 5, .external_lex_state = 2},
  [260] = {.lex_state = 5, .external_lex_state = 2},
  [261] = {.lex_state = 5, .external_lex_state = 2},
  [262] = {.lex_state = 5, .external_lex_state = 2},
  [263] = {.lex_state = 5, .external_lex_state = 2},
  [264] = {.lex_state = 52, .external_lex_state = 8},
  [265] = {.lex_state = 52, .external_lex_state = 8},
  [266] = {.lex_state = 5, .external_lex_state = 8},
  [267] = {.lex_state = 5, .external_lex_state = 8},
  [268] = {.lex_state = 52, .external_lex_state = 8},
  [269] = {.lex_state = 52, .external_lex_state = 7},
  [270] = {.lex_state = 5, .external_lex_state = 8},
  [271] = {.lex_state = 5, .external_lex_state = 8},
  [272] = {.lex_state = 5, .external_lex_state = 8},
  [273] = {.lex_state = 5, .external_lex_state = 8},
  [274] = {.lex_state = 52, .external_lex_state = 8},
  [275] = {.lex_state = 52, .external_lex_state = 7},
  [276] = {.lex_state = 52, .external_lex_state = 8},
  [277] = {.lex_state = 5, .external_lex_state = 8},
  [278] = {.lex_state = 5, .external_lex_state = 8},
  [279] = {.lex_state = 5, .external_lex_state = 8},
  [280] = {.lex_state = 5, .external_lex_state = 8},
  [281] = {.lex_state = 52, .external_lex_state = 8},
  [282] = {.lex_state = 52, .external_lex_state = 7},
  [283] = {.lex_state = 52, .external_lex_state = 8},
  [284] = {.lex_state = 5, .external_lex_state = 8},
  [285] = {.lex_state = 5, .external_lex_state = 8},
  [286] = {.lex_state = 5, .external_lex_state = 8},
  [287] = {.lex_state = 5, .external_lex_state = 8},
  [288] = {.lex_state = 52, .external_lex_state = 8},
  [289] = {.lex_state = 52, .external_lex_state = 7},
  [290] = {.lex_state = 52, .external_lex_state = 8},
  [291] = {.lex_state = 5, .external_lex_state = 8},
  [292] = {.lex_state = 5, .external_lex_state = 8},
  [293] = {.lex_state = 5, .external_lex_state = 8},
  [294] = {.lex_state = 52, .external_lex_state = 8},
  [295] = {.lex_state = 52, .external_lex_state = 7},
  [296] = {.lex_state = 52, .external_lex_state = 8},
  [297] = {.lex_state = 5, .external_lex_state = 8},
  [298] = {.lex_state = 5, .external_lex_state = 8},
  [299] = {.lex_state = 5, .external_lex_state = 8},
  [300] = {.lex_state = 5, .external_lex_state = 8},
  [301] = {.lex_state = 52, .external_lex_state = 8},
  [302] = {.lex_state = 52, .external_lex_state = 7},
  [303] = {.lex_state = 52, .external_lex_state = 8},
  [304] = {.lex_state = 5, .external_lex_state = 8},
  [305] = {.lex_state = 5, .external_lex_state = 8},
  [306] = {.lex_state = 5, .external_lex_state = 8},
  [307] = {.lex_state = 5, .external_lex_state = 8},
  [308] = {.lex_state = 52, .external_lex_state = 8},
  [309] = {.lex_state = 52, .external_lex_state = 7},
  [310] = {.lex_state = 52, .external_lex_state = 7},
  [311] = {.lex_state = 5, .external_lex_state = 8},
  [312] = {.lex_state = 5, .external_lex_state = 8},
  [313] = {.lex_state = 5, .external_lex_state = 8},
  [314] = {.lex_state = 5, .external_lex_state = 8},
  [315] = {.lex_state = 5, .external_lex_state = 8},
  [316] = {.lex_state = 5, .external_lex_state = 8},
  [317] = {.lex_state = 5, .external_lex_state = 8},
  [318] = {.lex_state = 52, .external_lex_state = 8},
  [319] = {.lex_state = 52, .external_lex_state = 8},
  [320] = {.lex_state = 12, .external_lex_state = 6},
  [321] = {.lex_state = 52, .external_lex_state = 8},
  [322] = {.lex_state = 52, .external_lex_state = 8},
  [323] = {.lex_state = 52, .external_lex_state = 8},
  [324] = {.lex_state = 52, .external_lex_state = 8},
  [325] = {.lex_state = 52, .external_lex_state = 7},
  [326] = {.lex_state = 52, .external_lex_state = 6},
  [327] = {.lex_state = 52, .external_lex_state = 6},
  [328] = {.lex_state = 52, .external_lex_state = 6},
  [329] = {.lex_state = 52, .external_lex_state = 6},
  [330] = {.lex_state = 5, .external_lex_state = 2},
  [331] = {.lex_state = 52, .external_lex_state = 7},
  [332] = {.lex_state = 52, .external_lex_state = 7},
  [333] = {.lex_state = 52, .external_lex_state = 6},
  [334] = {.lex_state = 52, .external_lex_state = 7},
  [335] = {.lex_state = 52, .external_lex_state = 6},
  [336] = {.lex_state = 52, .external_lex_state = 6},
  [337] = {.lex_state = 52, .external_lex_state = 7},
  [338] = {.lex_state = 52, .external_lex_state = 7},
  [339] = {.lex_state = 52, .external_lex_state = 6},
  [340] = {.lex_state = 52, .external_lex_state = 4},
  [341] = {.lex_state = 5, .external_lex_state = 6},
  [342] = {.lex_state = 5, .external_lex_state = 6},
  [343] = {.lex_state = 52, .external_lex_state = 2},
  [344] = {.lex_state = 5, .external_lex_state = 6},
  [345] = {.lex_state = 52, .external_lex_state = 2},
  [346] = {.lex_state = 52, .external_lex_state = 8},
  [347] = {.lex_state = 52, .external_lex_state = 7},
  [348] = {.lex_state = 5, .external_lex_state = 6},
  [349] = {.lex_state = 5, .external_lex_state = 6},
  [350] = {.lex_state = 5, .external_lex_state = 6},
  [351] = {.lex_state = 52, .external_lex_state = 4},
  [352] = {.lex_state = 5, .external_lex_state = 6},
  [353] = {.lex_state = 5, .external_lex_state = 6},
  [354] = {.lex_state = 5, .external_lex_state = 6},
  [355] = {.lex_state = 5, .external_lex_state = 6},
  [356] = {.lex_state = 5, .external_lex_state = 6},
  [357] = {.lex_state = 5, .external_lex_state = 6},
  [358] = {.lex_state = 5, .external_lex_state = 6},
  [359] = {.lex_state = 5, .external_lex_state = 6},
  [360] = {.lex_state = 52, .external_lex_state = 2},
  [361] = {.lex_state = 5, .external_lex_state = 6},
  [362] = {.lex_state = 5, .external_lex_state = 6},
  [363] = {.lex_state = 52, .external_lex_state = 7},
  [364] = {.lex_state = 52, .external_lex_state = 7},
  [365] = {.lex_state = 52, .external_lex_state = 7},
  [366] = {.lex_state = 52, .external_lex_state = 7},
  [367] = {.lex_state = 52, .external_lex_state = 7},
  [368] = {.lex_state = 52, .external_lex_state = 7},
  [369] = {.lex_state = 52, .external_lex_state = 7},
  [370] = {.lex_state = 52, .external_lex_state = 7},
  [371] = {.lex_state = 52, .external_lex_state = 4},
  [372] = {.lex_state = 12, .external_lex_state = 8},
  [373] = {.lex_state = 5, .external_lex_state = 2},
  [374] = {.lex_state = 52, .external_lex_state = 4},
  [375] = {.lex_state = 52, .external_lex_state = 7},
  [376] = {.lex_state = 52, .external_lex_state = 7},
  [377] = {.lex_state = 52, .external_lex_state = 7},
  [378] = {.lex_state = 12, .external_lex_state = 8},
  [379] = {.lex_state = 52, .external_lex_state = 4},
  [380] = {.lex_state = 52, .external_lex_state = 7},
  [381] = {.lex_state = 52, .external_lex_state = 7},
  [382] = {.lex_state = 52, .external_lex_state = 7},
  [383] = {.lex_state = 52, .external_lex_state = 7},
  [384] = {.lex_state = 52, .external_lex_state = 7},
  [385] = {.lex_state = 52, .external_lex_state = 7},
  [386] = {.lex_state = 52, .external_lex_state = 7},
  [387] = {.lex_state = 52, .external_lex_state = 7},
  [388] = {.lex_state = 52, .external_lex_state = 7},
  [389] = {.lex_state = 52, .external_lex_state = 7},
  [390] = {.lex_state = 52, .external_lex_state = 7},
  [391] = {.lex_state = 52, .external_lex_state = 7},
  [392] = {.lex_state = 52, .external_lex_state = 7},
  [393] = {.lex_state = 52, .external_lex_state = 7},
  [394] = {.lex_state = 52, .external_lex_state = 7},
  [395] = {.lex_state = 52, .external_lex_state = 7},
  [396] = {.lex_state = 52, .external_lex_state = 7},
  [397] = {.lex_state = 52, .external_lex_state = 7},
  [398] = {.lex_state = 52, .external_lex_state = 7},
  [399] = {.lex_state = 52, .external_lex_state = 7},
  [400] = {.lex_state = 52, .external_lex_state = 7},
  [401] = {.lex_state = 52, .external_lex_state = 2},
  [402] = {.lex_state = 52, .external_lex_state = 2},
  [403] = {.lex_state = 5, .external_lex_state = 2},
  [404] = {.lex_state = 52, .external_lex_state = 7},
  [405] = {.lex_state = 52, .external_lex_state = 2},
  [406] = {.lex_state = 52, .external_lex_state = 4},
  [407] = {.lex_state = 52, .external_lex_state = 7},
  [408] = {.lex_state = 52, .external_lex_state = 2},
  [409] = {.lex_state = 52, .external_lex_state = 2},
  [410] = {.lex_state = 53, .external_lex_state = 9},
  [411] = {.lex_state = 52, .external_lex_state = 2},
  [412] = {.lex_state = 52, .external_lex_state = 2},
  [413] = {.lex_state = 53, .external_lex_state = 9},
  [414] = {.lex_state = 52, .external_lex_state = 8},
  [415] = {.lex_state = 53, .external_lex_state = 10},
  [416] = {.lex_state = 52, .external_lex_state = 7},
  [417] = {.lex_state = 53, .external_lex_state = 10},
  [418] = {.lex_state = 53, .external_lex_state = 10},
  [419] = {.lex_state = 52, .external_lex_state = 2},
  [420] = {.lex_state = 52, .external_lex_state = 2},
  [421] = {.lex_state = 52, .external_lex_state = 2},
  [422] = {.lex_state = 52, .external_lex_state = 2},
  [423] = {.lex_state = 52, .external_lex_state = 8},
  [424] = {.lex_state = 52, .external_lex_state = 2},
  [425] = {.lex_state = 5, .external_lex_state = 8},
  [426] = {.lex_state = 53, .external_lex_state = 9},
  [427] = {.lex_state = 52, .external_lex_state = 2},
  [428] = {.lex_state = 53, .external_lex_state = 9},
  [429] = {.lex_state = 52, .external_lex_state = 4},
  [430] = {.lex_state = 52, .external_lex_state = 2},
  [431] = {.lex_state = 52, .external_lex_state = 2},
  [432] = {.lex_state = 52, .external_lex_state = 2},
  [433] = {.lex_state = 52, .external_lex_state = 2},
  [434] = {.lex_state = 52, .external_lex_state = 7},
  [435] = {.lex_state = 52, .external_lex_state = 8},
  [436] = {.lex_state = 52, .external_lex_state = 2},
  [437] = {.lex_state = 52, .external_lex_state = 4},
  [438] = {.lex_state = 52, .external_lex_state = 2},
  [439] = {.lex_state = 52, .external_lex_state = 2},
  [440] = {.lex_state = 53, .external_lex_state = 10},
  [441] = {.lex_state = 52, .external_lex_state = 8},
  [442] = {.lex_state = 12, .external_lex_state = 2},
  [443] = {.lex_state = 12, .external_lex_state = 2},
  [444] = {.lex_state = 52, .external_lex_state = 2},
  [445] = {.lex_state = 52, .external_lex_state = 2},
  [446] = {.lex_state = 52, .external_lex_state = 2},
  [447] = {.lex_state = 52, .external_lex_state = 4},
  [448] = {.lex_state = 52, .external_lex_state = 2},
  [449] = {.lex_state = 52, .external_lex_state = 7},
  [450] = {.lex_state = 52, .external_lex_state = 2},
  [451] = {.lex_state = 52, .external_lex_state = 2},
  [452] = {.lex_state = 52, .external_lex_state = 2},
  [453] = {.lex_state = 52, .external_lex_state = 2},
  [454] = {.lex_state = 52, .external_lex_state = 2},
  [455] = {.lex_state = 5, .external_lex_state = 7},
  [456] = {.lex_state = 52, .external_lex_state = 2},
  [457] = {.lex_state = 52, .external_lex_state = 2},
  [458] = {.lex_state = 52, .external_lex_state = 4},
  [459] = {.lex_state = 52, .external_lex_state = 4},
  [460] = {.lex_state = 52, .external_lex_state = 2},
  [461] = {.lex_state = 52, .external_lex_state = 2},
  [462] = {.lex_state = 7, .external_lex_state = 4},
  [463] = {.lex_state = 52, .external_lex_state = 2},
  [464] = {.lex_state = 52, .external_lex_state = 2},
  [465] = {.lex_state = 52, .external_lex_state = 2},
  [466] = {.lex_state = 52, .external_lex_state = 2},
  [467] = {.lex_state = 7, .external_lex_state = 4},
  [468] = {.lex_state = 52, .external_lex_state = 2},
  [469] = {.lex_state = 52, .external_lex_state = 2},
  [470] = {.lex_state = 52, .external_lex_state = 2},
  [471] = {.lex_state = 52, .external_lex_state = 2},
  [472] = {.lex_state = 52, .external_lex_state = 2},
  [473] = {.lex_state = 52, .external_lex_state = 2},
  [474] = {.lex_state = 52, .external_lex_state = 2},
  [475] = {.lex_state = 52, .external_lex_state = 2},
  [476] = {.lex_state = 52, .external_lex_state = 2},
  [477] = {.lex_state = 7, .external_lex_state = 11},
  [478] = {.lex_state = 52, .external_lex_state = 2},
  [479] = {.lex_state = 7, .external_lex_state = 11},
  [480] = {.lex_state = 52, .external_lex_state = 2},
  [481] = {.lex_state = 52, .external_lex_state = 2},
  [482] = {.lex_state = 53, .external_lex_state = 9},
  [483] = {.lex_state = 52, .external_lex_state = 2},
  [484] = {.lex_state = 52, .external_lex_state = 2},
  [485] = {.lex_state = 52, .external_lex_state = 2},
  [486] = {.lex_state = 52, .external_lex_state = 2},
  [487] = {.lex_state = 52, .external_lex_state = 2},
  [488] = {.lex_state = 52, .external_lex_state = 2},
  [489] = {.lex_state = 52, .external_lex_state = 2},
  [490] = {.lex_state = 52, .external_lex_state = 2},
  [491] = {.lex_state = 52, .external_lex_state = 2},
  [492] = {.lex_state = 52, .external_lex_state = 2},
  [493] = {.lex_state = 52, .external_lex_state = 2},
  [494] = {.lex_state = 52, .external_lex_state = 2},
  [495] = {.lex_state = 52, .external_lex_state = 2},
  [496] = {.lex_state = 52, .external_lex_state = 2},
  [497] = {.lex_state = 52, .external_lex_state = 2},
  [498] = {.lex_state = 52, .external_lex_state = 2},
  [499] = {.lex_state = 52, .external_lex_state = 2},
  [500] = {.lex_state = 52, .external_lex_state = 2},
  [501] = {.lex_state = 52, .external_lex_state = 2},
  [502] = {.lex_state = 52, .external_lex_state = 2},
  [503] = {.lex_state = 52, .external_lex_state = 2},
  [504] = {.lex_state = 52, .external_lex_state = 2},
  [505] = {.lex_state = 52, .external_lex_state = 2},
  [506] = {.lex_state = 52, .external_lex_state = 2},
  [507] = {.lex_state = 52, .external_lex_state = 2},
  [508] = {.lex_state = 52, .external_lex_state = 2},
  [509] = {.lex_state = 52, .external_lex_state = 2},
  [510] = {.lex_state = 52, .external_lex_state = 2},
  [511] = {.lex_state = 52, .external_lex_state = 2},
  [512] = {.lex_state = 52, .external_lex_state = 2},
  [513] = {.lex_state = 52, .external_lex_state = 2},
  [514] = {.lex_state = 52, .external_lex_state = 2},
  [515] = {.lex_state = 52, .external_lex_state = 2},
  [516] = {.lex_state = 52, .external_lex_state = 2},
  [517] = {.lex_state = 52, .external_lex_state = 2},
  [518] = {.lex_state = 52, .external_lex_state = 2},
  [519] = {.lex_state = 52, .external_lex_state = 2},
  [520] = {.lex_state = 52, .external_lex_state = 2},
  [521] = {.lex_state = 52, .external_lex_state = 2},
  [522] = {.lex_state = 52, .external_lex_state = 2},
  [523] = {.lex_state = 52, .external_lex_state = 2},
  [524] = {.lex_state = 52, .external_lex_state = 2},
  [525] = {.lex_state = 52, .external_lex_state = 2},
  [526] = {.lex_state = 52, .external_lex_state = 2},
  [527] = {.lex_state = 52, .external_lex_state = 2},
  [528] = {.lex_state = 52, .external_lex_state = 2},
  [529] = {.lex_state = 52, .external_lex_state = 2},
  [530] = {.lex_state = 52, .external_lex_state = 2},
  [531] = {.lex_state = 52, .external_lex_state = 2},
  [532] = {.lex_state = 52, .external_lex_state = 2},
  [533] = {.lex_state = 52, .external_lex_state = 2},
  [534] = {.lex_state = 52, .external_lex_state = 2},
  [535] = {.lex_state = 52, .external_lex_state = 2},
  [536] = {.lex_state = 52, .external_lex_state = 2},
  [537] = {.lex_state = 52, .external_lex_state = 2},
  [538] = {.lex_state = 52, .external_lex_state = 2},
  [539] = {.lex_state = 52, .external_lex_state = 2},
  [540] = {.lex_state = 52, .external_lex_state = 2},
  [541] = {.lex_state = 52, .external_lex_state = 2},
  [542] = {.lex_state = 52, .external_lex_state = 2},
  [543] = {.lex_state = 52, .external_lex_state = 2},
  [544] = {.lex_state = 52, .external_lex_state = 2},
  [545] = {.lex_state = 52, .external_lex_state = 2},
  [546] = {.lex_state = 52, .external_lex_state = 2},
  [547] = {.lex_state = 52, .external_lex_state = 2},
  [548] = {.lex_state = 52, .external_lex_state = 2},
  [549] = {.lex_state = 52, .external_lex_state = 2},
  [550] = {.lex_state = 52, .external_lex_state = 2},
  [551] = {.lex_state = 52, .external_lex_state = 2},
  [552] = {.lex_state = 52, .external_lex_state = 2},
  [553] = {.lex_state = 52, .external_lex_state = 2},
  [554] = {.lex_state = 52, .external_lex_state = 2},
  [555] = {.lex_state = 52, .external_lex_state = 2},
  [556] = {.lex_state = 52, .external_lex_state = 2},
  [557] = {.lex_state = 52, .external_lex_state = 2},
  [558] = {.lex_state = 52, .external_lex_state = 2},
  [559] = {.lex_state = 52, .external_lex_state = 2},
  [560] = {.lex_state = 52, .external_lex_state = 2},
  [561] = {.lex_state = 52, .external_lex_state = 2},
  [562] = {.lex_state = 52, .external_lex_state = 2},
  [563] = {.lex_state = 52, .external_lex_state = 2},
  [564] = {.lex_state = 52, .external_lex_state = 2},
  [565] = {.lex_state = 52, .external_lex_state = 2},
  [566] = {.lex_state = 52, .external_lex_state = 2},
  [567] = {.lex_state = 52, .external_lex_state = 2},
  [568] = {.lex_state = 52, .external_lex_state = 2},
  [569] = {.lex_state = 52, .external_lex_state = 2},
  [570] = {.lex_state = 52, .external_lex_state = 2},
  [571] = {.lex_state = 52, .external_lex_state = 2},
  [572] = {.lex_state = 52, .external_lex_state = 2},
  [573] = {.lex_state = 52, .external_lex_state = 2},
  [574] = {.lex_state = 52, .external_lex_state = 2},
  [575] = {.lex_state = 52, .external_lex_state = 2},
  [576] = {.lex_state = 52, .external_lex_state = 2},
  [577] = {.lex_state = 52, .external_lex_state = 2},
  [578] = {.lex_state = 52, .external_lex_state = 2},
  [579] = {.lex_state = 52, .external_lex_state = 2},
  [580] = {.lex_state = 52, .external_lex_state = 2},
  [581] = {.lex_state = 52, .external_lex_state = 2},
  [582] = {.lex_state = 52, .external_lex_state = 2},
  [583] = {.lex_state = 52, .external_lex_state = 2},
  [584] = {.lex_state = 52, .external_lex_state = 2},
  [585] = {.lex_state = 52, .external_lex_state = 2},
  [586] = {.lex_state = 52, .external_lex_state = 2},
  [587] = {.lex_state = 53, .external_lex_state = 10},
  [588] = {.lex_state = 52, .external_lex_state = 2},
  [589] = {.lex_state = 52, .external_lex_state = 2},
  [590] = {.lex_state = 52, .external_lex_state = 2},
  [591] = {.lex_state = 52, .external_lex_state = 2},
  [592] = {.lex_state = 52, .external_lex_state = 2},
  [593] = {.lex_state = 52, .external_lex_state = 2},
  [594] = {.lex_state = 52, .external_lex_state = 2},
  [595] = {.lex_state = 52, .external_lex_state = 2},
  [596] = {.lex_state = 52, .external_lex_state = 2},
  [597] = {.lex_state = 52, .external_lex_state = 2},
  [598] = {.lex_state = 52, .external_lex_state = 2},
  [599] = {.lex_state = 52, .external_lex_state = 2},
  [600] = {.lex_state = 52, .external_lex_state = 2},
  [601] = {.lex_state = 52, .external_lex_state = 2},
  [602] = {.lex_state = 52, .external_lex_state = 2},
  [603] = {.lex_state = 52, .external_lex_state = 2},
  [604] = {.lex_state = 7, .external_lex_state = 11},
  [605] = {.lex_state = 7, .external_lex_state = 11},
  [606] = {.lex_state = 52, .external_lex_state = 2},
  [607] = {.lex_state = 7, .external_lex_state = 11},
  [608] = {.lex_state = 7, .external_lex_state = 11},
  [609] = {.lex_state = 52, .external_lex_state = 3},
  [610] = {.lex_state = 52, .external_lex_state = 2},
  [611] = {.lex_state = 52, .external_lex_state = 2},
  [612] = {.lex_state = 7, .external_lex_state = 11},
  [613] = {.lex_state = 52, .external_lex_state = 3},
  [614] = {.lex_state = 52, .external_lex_state = 3},
  [615] = {.lex_state = 7, .external_lex_state = 11},
  [616] = {.lex_state = 52, .external_lex_state = 2},
  [617] = {.lex_state = 52, .external_lex_state = 3},
  [618] = {.lex_state = 53, .external_lex_state = 10},
  [619] = {.lex_state = 8, .external_lex_state = 11},
  [620] = {.lex_state = 53, .external_lex_state = 10},
  [621] = {.lex_state = 53, .external_lex_state = 9},
  [622] = {.lex_state = 53, .external_lex_state = 10},
  [623] = {.lex_state = 8, .external_lex_state = 11},
  [624] = {.lex_state = 8, .external_lex_state = 11},
  [625] = {.lex_state = 8, .external_lex_state = 11},
  [626] = {.lex_state = 8, .external_lex_state = 11},
  [627] = {.lex_state = 8, .external_lex_state = 11},
  [628] = {.lex_state = 8, .external_lex_state = 11},
  [629] = {.lex_state = 53, .external_lex_state = 9},
  [630] = {.lex_state = 53, .external_lex_state = 10},
  [631] = {.lex_state = 8, .external_lex_state = 11},
  [632] = {.lex_state = 8, .external_lex_state = 11},
  [633] = {.lex_state = 8, .external_lex_state = 11},
  [634] = {.lex_state = 53, .external_lex_state = 9},
  [635] = {.lex_state = 53, .external_lex_state = 9},
  [636] = {.lex_state = 53, .external_lex_state = 9},
  [637] = {.lex_state = 8, .external_lex_state = 11},
  [638] = {.lex_state = 8, .external_lex_state = 11},
  [639] = {.lex_state = 53, .external_lex_state = 10},
  [640] = {.lex_state = 53, .external_lex_state = 9},
  [641] = {.lex_state = 53, .external_lex_state = 9},
  [642] = {.lex_state = 53, .external_lex_state = 10},
  [643] = {.lex_state = 53, .external_lex_state = 10},
  [644] = {.lex_state = 53, .external_lex_state = 10},
  [645] = {.lex_state = 8, .external_lex_state = 11},
  [646] = {.lex_state = 53, .external_lex_state = 9},
  [647] = {.lex_state = 53, .external_lex_state = 9},
  [648] = {.lex_state = 53, .external_lex_state = 9},
  [649] = {.lex_state = 53, .external_lex_state = 9},
  [650] = {.lex_state = 8, .external_lex_state = 11},
  [651] = {.lex_state = 8, .external_lex_state = 11},
  [652] = {.lex_state = 53, .external_lex_state = 9},
  [653] = {.lex_state = 53, .external_lex_state = 10},
  [654] = {.lex_state = 53, .external_lex_state = 10},
  [655] = {.lex_state = 8, .external_lex_state = 11},
  [656] = {.lex_state = 53, .external_lex_state = 10},
  [657] = {.lex_state = 8, .external_lex_state = 11},
  [658] = {.lex_state = 53, .external_lex_state = 9},
  [659] = {.lex_state = 8, .external_lex_state = 11},
  [660] = {.lex_state = 53, .external_lex_state = 9},
  [661] = {.lex_state = 53, .external_lex_state = 10},
  [662] = {.lex_state = 8, .external_lex_state = 11},
  [663] = {.lex_state = 52, .external_lex_state = 3},
  [664] = {.lex_state = 53, .external_lex_state = 10},
  [665] = {.lex_state = 52, .external_lex_state = 2},
  [666] = {.lex_state = 53, .external_lex_state = 10},
  [667] = {.lex_state = 53, .external_lex_state = 10},
  [668] = {.lex_state = 53, .external_lex_state = 9},
  [669] = {.lex_state = 52, .external_lex_state = 3},
  [670] = {.lex_state = 52, .external_lex_state = 3},
  [671] = {.lex_state = 52, .external_lex_state = 3},
  [672] = {.lex_state = 52, .external_lex_state = 2},
  [673] = {.lex_state = 52, .external_lex_state = 6},
  [674] = {.lex_state = 52, .external_lex_state = 2},
  [675] = {.lex_state = 52, .external_lex_state = 3},
  [676] = {.lex_state = 52, .external_lex_state = 6},
  [677] = {.lex_state = 52, .external_lex_state = 3},
  [678] = {.lex_state = 52, .external_lex_state = 2},
  [679] = {.lex_state = 52, .external_lex_state = 2},
  [680] = {.lex_state = 52, .external_lex_state = 2},
  [681] = {.lex_state = 52, .external_lex_state = 2},
  [682] = {.lex_state = 52, .external_lex_state = 3},
  [683] = {.lex_state = 52, .external_lex_state = 2},
  [684] = {.lex_state = 52, .external_lex_state = 3},
  [685] = {.lex_state = 52, .external_lex_state = 3},
  [686] = {.lex_state = 52, .external_lex_state = 2},
  [687] = {.lex_state = 52, .external_lex_state = 2},
  [688] = {.lex_state = 52, .external_lex_state = 2},
  [689] = {.lex_state = 52, .external_lex_state = 2},
  [690] = {.lex_state = 52, .external_lex_state = 2},
  [691] = {.lex_state = 52, .external_lex_state = 3},
  [692] = {.lex_state = 52, .external_lex_state = 3},
  [693] = {.lex_state = 52, .external_lex_state = 3},
  [694] = {.lex_state = 52, .external_lex_state = 2},
  [695] = {.lex_state = 52, .external_lex_state = 3},
  [696] = {.lex_state = 52, .external_lex_state = 2},
  [697] = {.lex_state = 52, .external_lex_state = 2},
  [698] = {.lex_state = 52, .external_lex_state = 3},
  [699] = {.lex_state = 52, .external_lex_state = 2},
  [700] = {.lex_state = 52, .external_lex_state = 3},
  [701] = {.lex_state = 52, .external_lex_state = 3},
  [702] = {.lex_state = 52, .external_lex_state = 3},
  [703] = {.lex_state = 52, .external_lex_state = 3},
  [704] = {.lex_state = 52, .external_lex_state = 2},
  [705] = {.lex_state = 52, .external_lex_state = 2},
  [706] = {.lex_state = 52, .external_lex_state = 3},
  [707] = {.lex_state = 52, .external_lex_state = 2},
  [708] = {.lex_state = 52, .external_lex_state = 8},
  [709] = {.lex_state = 52, .external_lex_state = 3},
  [710] = {.lex_state = 52, .external_lex_state = 2},
  [711] = {.lex_state = 52, .external_lex_state = 3},
  [712] = {.lex_state = 52, .external_lex_state = 8},
  [713] = {.lex_state = 52, .external_lex_state = 2},
  [714] = {.lex_state = 52, .external_lex_state = 3},
  [715] = {.lex_state = 52, .external_lex_state = 2},
  [716] = {.lex_state = 52, .external_lex_state = 2},
  [717] = {.lex_state = 52, .external_lex_state = 3},
  [718] = {.lex_state = 52, .external_lex_state = 3},
  [719] = {.lex_state = 52, .external_lex_state = 3},
  [720] = {.lex_state = 52, .external_lex_state = 2},
  [721] = {.lex_state = 52, .external_lex_state = 2},
  [722] = {.lex_state = 52, .external_lex_state = 2},
  [723] = {.lex_state = 52, .external_lex_state = 2},
  [724] = {.lex_state = 52, .external_lex_state = 2},
  [725] = {.lex_state = 52, .external_lex_state = 2},
  [726] = {.lex_state = 52, .external_lex_state = 2},
  [727] = {.lex_state = 52, .external_lex_state = 3},
  [728] = {.lex_state = 52, .external_lex_state = 2},
  [729] = {.lex_state = 52, .external_lex_state = 2},
  [730] = {.lex_state = 52, .external_lex_state = 2},
  [731] = {.lex_state = 52, .external_lex_state = 2},
  [732] = {.lex_state = 52, .external_lex_state = 8},
  [733] = {.lex_state = 52, .external_lex_state = 2},
  [734] = {.lex_state = 52, .external_lex_state = 2},
  [735] = {.lex_state = 52, .external_lex_state = 2},
  [736] = {.lex_state = 52, .external_lex_state = 2},
  [737] = {.lex_state = 52, .external_lex_state = 2},
  [738] = {.lex_state = 52, .external_lex_state = 2},
  [739] = {.lex_state = 52, .external_lex_state = 2},
  [740] = {.lex_state = 52, .external_lex_state = 2},
  [741] = {.lex_state = 52, .external_lex_state = 2},
  [742] = {.lex_state = 52, .external_lex_state = 3},
  [743] = {.lex_state = 52, .external_lex_state = 3},
  [744] = {.lex_state = 52, .external_lex_state = 2},
  [745] = {.lex_state = 52, .external_lex_state = 2},
  [746] = {.lex_state = 52, .external_lex_state = 2},
  [747] = {.lex_state = 52, .external_lex_state = 2},
  [748] = {.lex_state = 52, .external_lex_state = 2},
  [749] = {.lex_state = 52, .external_lex_state = 2},
  [750] = {.lex_state = 52, .external_lex_state = 2},
  [751] = {.lex_state = 52, .external_lex_state = 2},
  [752] = {.lex_state = 52, .external_lex_state = 2},
  [753] = {.lex_state = 52, .external_lex_state = 2},
  [754] = {.lex_state = 52, .external_lex_state = 2},
  [755] = {.lex_state = 52, .external_lex_state = 2},
  [756] = {.lex_state = 52, .external_lex_state = 2},
  [757] = {.lex_state = 52, .external_lex_state = 2},
  [758] = {.lex_state = 52, .external_lex_state = 2},
  [759] = {.lex_state = 52, .external_lex_state = 2},
  [760] = {.lex_state = 52, .external_lex_state = 2},
  [761] = {.lex_state = 52, .external_lex_state = 2},
  [762] = {.lex_state = 52, .external_lex_state = 2},
  [763] = {.lex_state = 52, .external_lex_state = 2},
  [764] = {.lex_state = 52, .external_lex_state = 2},
  [765] = {.lex_state = 52, .external_lex_state = 3},
  [766] = {.lex_state = 52, .external_lex_state = 2},
  [767] = {.lex_state = 52, .external_lex_state = 2},
  [768] = {.lex_state = 52, .external_lex_state = 3},
  [769] = {.lex_state = 52, .external_lex_state = 2},
  [770] = {.lex_state = 52, .external_lex_state = 2},
  [771] = {.lex_state = 52, .external_lex_state = 2},
  [772] = {.lex_state = 52, .external_lex_state = 2},
  [773] = {.lex_state = 52, .external_lex_state = 3},
  [774] = {.lex_state = 52, .external_lex_state = 2},
  [775] = {.lex_state = 52, .external_lex_state = 7},
  [776] = {.lex_state = 52, .external_lex_state = 2},
  [777] = {.lex_state = 52, .external_lex_state = 2},
  [778] = {.lex_state = 52, .external_lex_state = 2},
  [779] = {.lex_state = 52, .external_lex_state = 7},
  [780] = {.lex_state = 52, .external_lex_state = 2},
  [781] = {.lex_state = 52, .external_lex_state = 3},
  [782] = {.lex_state = 52, .external_lex_state = 3},
  [783] = {.lex_state = 52, .external_lex_state = 3},
  [784] = {.lex_state = 52, .external_lex_state = 2},
  [785] = {.lex_state = 52, .external_lex_state = 3},
  [786] = {.lex_state = 52, .external_lex_state = 3},
  [787] = {.lex_state = 52, .external_lex_state = 3},
  [788] = {.lex_state = 52, .external_lex_state = 3},
  [789] = {.lex_state = 52, .external_lex_state = 3},
  [790] = {.lex_state = 52, .external_lex_state = 3},
  [791] = {.lex_state = 52, .external_lex_state = 3},
  [792] = {.lex_state = 52, .external_lex_state = 3},
  [793] = {.lex_state = 52, .external_lex_state = 2},
  [794] = {.lex_state = 52, .external_lex_state = 3},
  [795] = {.lex_state = 52, .external_lex_state = 3},
  [796] = {.lex_state = 52, .external_lex_state = 2},
  [797] = {.lex_state = 52, .external_lex_state = 3},
  [798] = {.lex_state = 52, .external_lex_state = 3},
  [799] = {.lex_state = 52, .external_lex_state = 3},
  [800] = {.lex_state = 52, .external_lex_state = 3},
  [801] = {.lex_state = 52, .external_lex_state = 3},
  [802] = {.lex_state = 52, .external_lex_state = 3},
  [803] = {.lex_state = 52, .external_lex_state = 3},
  [804] = {.lex_state = 52, .external_lex_state = 3},
  [805] = {.lex_state = 52, .external_lex_state = 3},
  [806] = {.lex_state = 52, .external_lex_state = 3},
  [807] = {.lex_state = 52, .external_lex_state = 3},
  [808] = {.lex_state = 52, .external_lex_state = 3},
  [809] = {.lex_state = 52, .external_lex_state = 3},
  [810] = {.lex_state = 52, .external_lex_state = 3},
  [811] = {.lex_state = 52, .external_lex_state = 3},
  [812] = {.lex_state = 52, .external_lex_state = 3},
  [813] = {.lex_state = 52, .external_lex_state = 3},
  [814] = {.lex_state = 52, .external_lex_state = 3},
  [815] = {.lex_state = 52, .external_lex_state = 3},
  [816] = {.lex_state = 52, .external_lex_state = 3},
  [817] = {.lex_state = 52, .external_lex_state = 2},
  [818] = {.lex_state = 52, .external_lex_state = 3},
  [819] = {.lex_state = 52, .external_lex_state = 2},
  [820] = {.lex_state = 52, .external_lex_state = 3},
  [821] = {.lex_state = 52, .external_lex_state = 2},
  [822] = {.lex_state = 52, .external_lex_state = 3},
  [823] = {.lex_state = 52, .external_lex_state = 3},
  [824] = {.lex_state = 52, .external_lex_state = 2},
  [825] = {.lex_state = 52, .external_lex_state = 3},
  [826] = {.lex_state = 52, .external_lex_state = 2},
  [827] = {.lex_state = 52, .external_lex_state = 2},
  [828] = {.lex_state = 52, .external_lex_state = 3},
  [829] = {.lex_state = 52, .external_lex_state = 3},
  [830] = {.lex_state = 52, .external_lex_state = 3},
  [831] = {.lex_state = 52, .external_lex_state = 3},
  [832] = {.lex_state = 52, .external_lex_state = 3},
  [833] = {.lex_state = 52, .external_lex_state = 3},
  [834] = {.lex_state = 52, .external_lex_state = 2},
  [835] = {.lex_state = 52, .external_lex_state = 2},
  [836] = {.lex_state = 52, .external_lex_state = 8},
  [837] = {.lex_state = 52, .external_lex_state = 2},
  [838] = {.lex_state = 52, .external_lex_state = 2},
  [839] = {.lex_state = 52, .external_lex_state = 2},
  [840] = {.lex_state = 52, .external_lex_state = 2},
  [841] = {.lex_state = 52, .external_lex_state = 2},
  [842] = {.lex_state = 52, .external_lex_state = 2},
  [843] = {.lex_state = 52, .external_lex_state = 8},
  [844] = {.lex_state = 52, .external_lex_state = 2},
  [845] = {.lex_state = 13, .external_lex_state = 11},
  [846] = {.lex_state = 52, .external_lex_state = 2},
  [847] = {.lex_state = 52, .external_lex_state = 2},
  [848] = {.lex_state = 52, .external_lex_state = 2},
  [849] = {.lex_state = 52, .external_lex_state = 2},
  [850] = {.lex_state = 52, .external_lex_state = 2},
  [851] = {.lex_state = 52, .external_lex_state = 2},
  [852] = {.lex_state = 52, .external_lex_state = 2},
  [853] = {.lex_state = 52, .external_lex_state = 2},
  [854] = {.lex_state = 52, .external_lex_state = 2},
  [855] = {.lex_state = 52, .external_lex_state = 2},
  [856] = {.lex_state = 52, .external_lex_state = 2},
  [857] = {.lex_state = 13, .external_lex_state = 12},
  [858] = {.lex_state = 52, .external_lex_state = 2},
  [859] = {.lex_state = 52, .external_lex_state = 2},
  [860] = {.lex_state = 52, .external_lex_state = 2},
  [861] = {.lex_state = 52, .external_lex_state = 2},
  [862] = {.lex_state = 52, .external_lex_state = 2},
  [863] = {.lex_state = 52, .external_lex_state = 2},
  [864] = {.lex_state = 52, .external_lex_state = 2},
  [865] = {.lex_state = 52, .external_lex_state = 2},
  [866] = {.lex_state = 52, .external_lex_state = 2},
  [867] = {.lex_state = 52, .external_lex_state = 2},
  [868] = {.lex_state = 52, .external_lex_state = 2},
  [869] = {.lex_state = 52, .external_lex_state = 2},
  [870] = {.lex_state = 52, .external_lex_state = 2},
  [871] = {.lex_state = 52, .external_lex_state = 2},
  [872] = {.lex_state = 52, .external_lex_state = 2},
  [873] = {.lex_state = 52, .external_lex_state = 2},
  [874] = {.lex_state = 52, .external_lex_state = 2},
  [875] = {.lex_state = 52, .external_lex_state = 2},
  [876] = {.lex_state = 52, .external_lex_state = 2},
  [877] = {.lex_state = 52, .external_lex_state = 2},
  [878] = {.lex_state = 52, .external_lex_state = 2},
  [879] = {.lex_state = 52, .external_lex_state = 2},
  [880] = {.lex_state = 52, .external_lex_state = 2},
  [881] = {.lex_state = 52, .external_lex_state = 2},
  [882] = {.lex_state = 52, .external_lex_state = 2},
  [883] = {.lex_state = 52, .external_lex_state = 2},
  [884] = {.lex_state = 52, .external_lex_state = 2},
  [885] = {.lex_state = 52, .external_lex_state = 2},
  [886] = {.lex_state = 52, .external_lex_state = 2},
  [887] = {.lex_state = 52, .external_lex_state = 2},
  [888] = {.lex_state = 52, .external_lex_state = 2},
  [889] = {.lex_state = 52, .external_lex_state = 2},
  [890] = {.lex_state = 52, .external_lex_state = 2},
  [891] = {.lex_state = 52, .external_lex_state = 2},
  [892] = {.lex_state = 52, .external_lex_state = 2},
  [893] = {.lex_state = 13, .external_lex_state = 13},
  [894] = {.lex_state = 52, .external_lex_state = 2},
  [895] = {.lex_state = 52, .external_lex_state = 2},
  [896] = {.lex_state = 52, .external_lex_state = 2},
  [897] = {.lex_state = 52, .external_lex_state = 2},
  [898] = {.lex_state = 52, .external_lex_state = 2},
  [899] = {.lex_state = 52, .external_lex_state = 2},
  [900] = {.lex_state = 52, .external_lex_state = 2},
  [901] = {.lex_state = 13, .external_lex_state = 13},
  [902] = {.lex_state = 52, .external_lex_state = 2},
  [903] = {.lex_state = 52, .external_lex_state = 2},
  [904] = {.lex_state = 52, .external_lex_state = 2},
  [905] = {.lex_state = 52, .external_lex_state = 2},
  [906] = {.lex_state = 52, .external_lex_state = 2},
  [907] = {.lex_state = 52, .external_lex_state = 2},
  [908] = {.lex_state = 52, .external_lex_state = 2},
  [909] = {.lex_state = 52, .external_lex_state = 2},
  [910] = {.lex_state = 52, .external_lex_state = 2},
  [911] = {.lex_state = 52, .external_lex_state = 2},
  [912] = {.lex_state = 52, .external_lex_state = 2},
  [913] = {.lex_state = 52, .external_lex_state = 2},
  [914] = {.lex_state = 52, .external_lex_state = 2},
  [915] = {.lex_state = 52, .external_lex_state = 2},
  [916] = {.lex_state = 52, .external_lex_state = 2},
  [917] = {.lex_state = 52, .external_lex_state = 2},
  [918] = {.lex_state = 52, .external_lex_state = 2},
  [919] = {.lex_state = 52, .external_lex_state = 2},
  [920] = {.lex_state = 52, .external_lex_state = 2},
  [921] = {.lex_state = 52, .external_lex_state = 2},
  [922] = {.lex_state = 52, .external_lex_state = 2},
  [923] = {.lex_state = 52, .external_lex_state = 2},
  [924] = {.lex_state = 52, .external_lex_state = 2},
  [925] = {.lex_state = 52, .external_lex_state = 2},
  [926] = {.lex_state = 52, .external_lex_state = 2},
  [927] = {.lex_state = 52, .external_lex_state = 2},
  [928] = {.lex_state = 52, .external_lex_state = 2},
  [929] = {.lex_state = 52, .external_lex_state = 2},
  [930] = {.lex_state = 52, .external_lex_state = 2},
  [931] = {.lex_state = 52, .external_lex_state = 2},
  [932] = {.lex_state = 52, .external_lex_state = 2},
  [933] = {.lex_state = 52, .external_lex_state = 2},
  [934] = {.lex_state = 52, .external_lex_state = 2},
  [935] = {.lex_state = 52, .external_lex_state = 2},
  [936] = {.lex_state = 52, .external_lex_state = 2},
  [937] = {.lex_state = 52, .external_lex_state = 2},
  [938] = {.lex_state = 52, .external_lex_state = 2},
  [939] = {.lex_state = 52, .external_lex_state = 2},
  [940] = {.lex_state = 52, .external_lex_state = 2},
  [941] = {.lex_state = 52, .external_lex_state = 2},
  [942] = {.lex_state = 52, .external_lex_state = 2},
  [943] = {.lex_state = 52, .external_lex_state = 2},
  [944] = {.lex_state = 52, .external_lex_state = 2},
  [945] = {.lex_state = 52, .external_lex_state = 2},
  [946] = {.lex_state = 52, .external_lex_state = 2},
  [947] = {.lex_state = 52, .external_lex_state = 2},
  [948] = {.lex_state = 52, .external_lex_state = 2},
  [949] = {.lex_state = 13, .external_lex_state = 11},
  [950] = {.lex_state = 13, .external_lex_state = 14},
  [951] = {.lex_state = 13, .external_lex_state = 4},
  [952] = {.lex_state = 13, .external_lex_state = 15},
  [953] = {.lex_state = 13, .external_lex_state = 14},
  [954] = {.lex_state = 13, .external_lex_state = 4},
  [955] = {.lex_state = 13, .external_lex_state = 4},
  [956] = {.lex_state = 13, .external_lex_state = 11},
  [957] = {.lex_state = 13, .external_lex_state = 11},
  [958] = {.lex_state = 13, .external_lex_state = 6},
  [959] = {.lex_state = 13, .external_lex_state = 11},
  [960] = {.lex_state = 13, .external_lex_state = 6},
  [961] = {.lex_state = 13, .external_lex_state = 7},
  [962] = {.lex_state = 13, .external_lex_state = 11},
  [963] = {.lex_state = 13, .external_lex_state = 12},
  [964] = {.lex_state = 13, .external_lex_state = 6},
  [965] = {.lex_state = 13, .external_lex_state = 11},
  [966] = {.lex_state = 13, .external_lex_state = 11},
  [967] = {.lex_state = 13, .external_lex_state = 11},
  [968] = {.lex_state = 13, .external_lex_state = 7},
  [969] = {.lex_state = 13, .external_lex_state = 7},
  [970] = {.lex_state = 13, .external_lex_state = 6},
  [971] = {.lex_state = 13, .external_lex_state = 6},
  [972] = {.lex_state = 13, .external_lex_state = 11},
  [973] = {.lex_state = 13, .external_lex_state = 11},
  [974] = {.lex_state = 13, .external_lex_state = 11},
  [975] = {.lex_state = 13, .external_lex_state = 6},
  [976] = {.lex_state = 13, .external_lex_state = 4},
  [977] = {.lex_state = 13, .external_lex_state = 13},
  [978] = {.lex_state = 13, .external_lex_state = 8},
  [979] = {.lex_state = 13, .external_lex_state = 13},
  [980] = {.lex_state = 14, .external_lex_state = 11},
  [981] = {.lex_state = 13, .external_lex_state = 8},
  [982] = {.lex_state = 13, .external_lex_state = 12},
  [983] = {.lex_state = 13, .external_lex_state = 13},
  [984] = {.lex_state = 13, .external_lex_state = 2},
  [985] = {.lex_state = 13, .external_lex_state = 8},
  [986] = {.lex_state = 13, .external_lex_state = 4},
  [987] = {.lex_state = 13, .external_lex_state = 13},
  [988] = {.lex_state = 13, .external_lex_state = 13},
  [989] = {.lex_state = 13, .external_lex_state = 13},
  [990] = {.lex_state = 13, .external_lex_state = 13},
  [991] = {.lex_state = 13, .external_lex_state = 12},
  [992] = {.lex_state = 13, .external_lex_state = 8},
  [993] = {.lex_state = 13, .external_lex_state = 13},
  [994] = {.lex_state = 13, .external_lex_state = 14},
  [995] = {.lex_state = 13, .external_lex_state = 8},
  [996] = {.lex_state = 13, .external_lex_state = 13},
  [997] = {.lex_state = 13, .external_lex_state = 12},
  [998] = {.lex_state = 13, .external_lex_state = 8},
  [999] = {.lex_state = 13, .external_lex_state = 12},
  [1000] = {.lex_state = 13, .external_lex_state = 13},
  [1001] = {.lex_state = 13, .external_lex_state = 12},
  [1002] = {.lex_state = 14, .external_lex_state = 12},
  [1003] = {.lex_state = 13, .external_lex_state = 13},
  [1004] = {.lex_state = 13, .external_lex_state = 13},
  [1005] = {.lex_state = 13, .external_lex_state = 13},
  [1006] = {.lex_state = 13, .external_lex_state = 2},
  [1007] = {.lex_state = 13, .external_lex_state = 12},
  [1008] = {.lex_state = 13, .external_lex_state = 13},
  [1009] = {.lex_state = 13, .external_lex_state = 12},
  [1010] = {.lex_state = 13, .external_lex_state = 13},
  [1011] = {.lex_state = 13, .external_lex_state = 13},
  [1012] = {.lex_state = 14, .external_lex_state = 11},
  [1013] = {.lex_state = 13, .external_lex_state = 2},
  [1014] = {.lex_state = 13, .external_lex_state = 13},
  [1015] = {.lex_state = 13, .external_lex_state = 13},
  [1016] = {.lex_state = 13, .external_lex_state = 12},
  [1017] = {.lex_state = 13, .external_lex_state = 13},
  [1018] = {.lex_state = 14, .external_lex_state = 11},
  [1019] = {.lex_state = 13, .external_lex_state = 13},
  [1020] = {.lex_state = 13, .external_lex_state = 13},
  [1021] = {.lex_state = 13, .external_lex_state = 13},
  [1022] = {.lex_state = 13, .external_lex_state = 13},
  [1023] = {.lex_state = 13, .external_lex_state = 12},
  [1024] = {.lex_state = 13, .external_lex_state = 12},
  [1025] = {.lex_state = 13, .external_lex_state = 12},
  [1026] = {.lex_state = 13, .external_lex_state = 13},
  [1027] = {.lex_state = 13, .external_lex_state = 13},
  [1028] = {.lex_state = 13, .external_lex_state = 13},
  [1029] = {.lex_state = 13, .external_lex_state = 13},
  [1030] = {.lex_state = 13, .external_lex_state = 13},
  [1031] = {.lex_state = 14, .external_lex_state = 12},
  [1032] = {.lex_state = 14, .external_lex_state = 14},
  [1033] = {.lex_state = 13, .external_lex_state = 11},
  [1034] = {.lex_state = 13, .external_lex_state = 11},
  [1035] = {.lex_state = 13, .external_lex_state = 11},
  [1036] = {.lex_state = 13, .external_lex_state = 11},
  [1037] = {.lex_state = 13, .external_lex_state = 11},
  [1038] = {.lex_state = 14, .external_lex_state = 13},
  [1039] = {.lex_state = 13, .external_lex_state = 11},
  [1040] = {.lex_state = 13, .external_lex_state = 11},
  [1041] = {.lex_state = 13, .external_lex_state = 11},
  [1042] = {.lex_state = 14, .external_lex_state = 14},
  [1043] = {.lex_state = 14, .external_lex_state = 14},
  [1044] = {.lex_state = 13, .external_lex_state = 11},
  [1045] = {.lex_state = 14, .external_lex_state = 12},
  [1046] = {.lex_state = 13, .external_lex_state = 7},
  [1047] = {.lex_state = 13, .external_lex_state = 11},
  [1048] = {.lex_state = 13, .external_lex_state = 7},
  [1049] = {.lex_state = 14, .external_lex_state = 11},
  [1050] = {.lex_state = 14, .external_lex_state = 11},
  [1051] = {.lex_state = 13, .external_lex_state = 14},
  [1052] = {.lex_state = 13, .external_lex_state = 6},
  [1053] = {.lex_state = 14, .external_lex_state = 12},
  [1054] = {.lex_state = 14, .external_lex_state = 12},
  [1055] = {.lex_state = 14, .external_lex_state = 12},
  [1056] = {.lex_state = 13, .external_lex_state = 14},
  [1057] = {.lex_state = 13, .external_lex_state = 11},
  [1058] = {.lex_state = 14, .external_lex_state = 14},
  [1059] = {.lex_state = 14, .external_lex_state = 14},
  [1060] = {.lex_state = 13, .external_lex_state = 11},
  [1061] = {.lex_state = 13, .external_lex_state = 11},
  [1062] = {.lex_state = 13, .external_lex_state = 6},
  [1063] = {.lex_state = 13, .external_lex_state = 11},
  [1064] = {.lex_state = 14, .external_lex_state = 12},
  [1065] = {.lex_state = 14, .external_lex_state = 12},
  [1066] = {.lex_state = 13, .external_lex_state = 11},
  [1067] = {.lex_state = 13, .external_lex_state = 11},
  [1068] = {.lex_state = 13, .external_lex_state = 11},
  [1069] = {.lex_state = 13, .external_lex_state = 6},
  [1070] = {.lex_state = 13, .external_lex_state = 14},
  [1071] = {.lex_state = 13, .external_lex_state = 14},
  [1072] = {.lex_state = 13, .external_lex_state = 6},
  [1073] = {.lex_state = 13, .external_lex_state = 14},
  [1074] = {.lex_state = 13, .external_lex_state = 14},
  [1075] = {.lex_state = 13, .external_lex_state = 14},
  [1076] = {.lex_state = 13, .external_lex_state = 14},
  [1077] = {.lex_state = 13, .external_lex_state = 14},
  [1078] = {.lex_state = 13, .external_lex_state = 14},
  [1079] = {.lex_state = 13, .external_lex_state = 14},
  [1080] = {.lex_state = 13, .external_lex_state = 14},
  [1081] = {.lex_state = 13, .external_lex_state = 7},
  [1082] = {.lex_state = 14, .external_lex_state = 13},
  [1083] = {.lex_state = 14, .external_lex_state = 13},
  [1084] = {.lex_state = 14, .external_lex_state = 13},
  [1085] = {.lex_state = 13, .external_lex_state = 14},
  [1086] = {.lex_state = 13, .external_lex_state = 7},
  [1087] = {.lex_state = 13, .external_lex_state = 14},
  [1088] = {.lex_state = 13, .external_lex_state = 7},
  [1089] = {.lex_state = 13, .external_lex_state = 14},
  [1090] = {.lex_state = 13, .external_lex_state = 14},
  [1091] = {.lex_state = 13, .external_lex_state = 14},
  [1092] = {.lex_state = 13, .external_lex_state = 14},
  [1093] = {.lex_state = 13, .external_lex_state = 14},
  [1094] = {.lex_state = 13, .external_lex_state = 14},
  [1095] = {.lex_state = 13, .external_lex_state = 11},
  [1096] = {.lex_state = 13, .external_lex_state = 11},
  [1097] = {.lex_state = 13, .external_lex_state = 11},
  [1098] = {.lex_state = 13, .external_lex_state = 11},
  [1099] = {.lex_state = 13, .external_lex_state = 11},
  [1100] = {.lex_state = 13, .external_lex_state = 11},
  [1101] = {.lex_state = 13, .external_lex_state = 11},
  [1102] = {.lex_state = 13, .external_lex_state = 11},
  [1103] = {.lex_state = 13, .external_lex_state = 11},
  [1104] = {.lex_state = 13, .external_lex_state = 11},
  [1105] = {.lex_state = 13, .external_lex_state = 11},
  [1106] = {.lex_state = 13, .external_lex_state = 11},
  [1107] = {.lex_state = 13, .external_lex_state = 11},
  [1108] = {.lex_state = 14, .external_lex_state = 13},
  [1109] = {.lex_state = 14, .external_lex_state = 13},
  [1110] = {.lex_state = 13, .external_lex_state = 11},
  [1111] = {.lex_state = 13, .external_lex_state = 11},
  [1112] = {.lex_state = 14, .external_lex_state = 13},
  [1113] = {.lex_state = 14, .external_lex_state = 13},
  [1114] = {.lex_state = 14, .external_lex_state = 13},
  [1115] = {.lex_state = 13, .external_lex_state = 15},
  [1116] = {.lex_state = 13, .external_lex_state = 15},
  [1117] = {.lex_state = 13, .external_lex_state = 11},
  [1118] = {.lex_state = 14, .external_lex_state = 13},
  [1119] = {.lex_state = 14, .external_lex_state = 13},
  [1120] = {.lex_state = 14, .external_lex_state = 13},
  [1121] = {.lex_state = 13, .external_lex_state = 11},
  [1122] = {.lex_state = 13, .external_lex_state = 11},
  [1123] = {.lex_state = 13, .external_lex_state = 15},
  [1124] = {.lex_state = 13, .external_lex_state = 15},
  [1125] = {.lex_state = 13, .external_lex_state = 15},
  [1126] = {.lex_state = 13, .external_lex_state = 15},
  [1127] = {.lex_state = 13, .external_lex_state = 15},
  [1128] = {.lex_state = 13, .external_lex_state = 15},
  [1129] = {.lex_state = 13, .external_lex_state = 15},
  [1130] = {.lex_state = 13, .external_lex_state = 15},
  [1131] = {.lex_state = 13, .external_lex_state = 11},
  [1132] = {.lex_state = 13, .external_lex_state = 12},
  [1133] = {.lex_state = 13, .external_lex_state = 12},
  [1134] = {.lex_state = 13, .external_lex_state = 13},
  [1135] = {.lex_state = 13, .external_lex_state = 13},
  [1136] = {.lex_state = 13, .external_lex_state = 13},
  [1137] = {.lex_state = 13, .external_lex_state = 12},
  [1138] = {.lex_state = 13, .external_lex_state = 12},
  [1139] = {.lex_state = 14, .external_lex_state = 14},
  [1140] = {.lex_state = 13, .external_lex_state = 12},
  [1141] = {.lex_state = 14, .external_lex_state = 15},
  [1142] = {.lex_state = 13, .external_lex_state = 12},
  [1143] = {.lex_state = 14, .external_lex_state = 15},
  [1144] = {.lex_state = 13, .external_lex_state = 13},
  [1145] = {.lex_state = 13, .external_lex_state = 12},
  [1146] = {.lex_state = 13, .external_lex_state = 12},
  [1147] = {.lex_state = 13, .external_lex_state = 13},
  [1148] = {.lex_state = 13, .external_lex_state = 13},
  [1149] = {.lex_state = 13, .external_lex_state = 12},
  [1150] = {.lex_state = 13, .external_lex_state = 12},
  [1151] = {.lex_state = 13, .external_lex_state = 13},
  [1152] = {.lex_state = 13, .external_lex_state = 13},
  [1153] = {.lex_state = 13, .external_lex_state = 13},
  [1154] = {.lex_state = 13, .external_lex_state = 13},
  [1155] = {.lex_state = 13, .external_lex_state = 12},
  [1156] = {.lex_state = 13, .external_lex_state = 8},
  [1157] = {.lex_state = 13, .external_lex_state = 12},
  [1158] = {.lex_state = 14, .external_lex_state = 14},
  [1159] = {.lex_state = 14, .external_lex_state = 12},
  [1160] = {.lex_state = 13, .external_lex_state = 13},
  [1161] = {.lex_state = 13, .external_lex_state = 13},
  [1162] = {.lex_state = 13, .external_lex_state = 13},
  [1163] = {.lex_state = 13, .external_lex_state = 13},
  [1164] = {.lex_state = 13, .external_lex_state = 13},
  [1165] = {.lex_state = 13, .external_lex_state = 13},
  [1166] = {.lex_state = 13, .external_lex_state = 13},
  [1167] = {.lex_state = 13, .external_lex_state = 13},
  [1168] = {.lex_state = 13, .external_lex_state = 13},
  [1169] = {.lex_state = 13, .external_lex_state = 13},
  [1170] = {.lex_state = 13, .external_lex_state = 12},
  [1171] = {.lex_state = 13, .external_lex_state = 13},
  [1172] = {.lex_state = 13, .external_lex_state = 13},
  [1173] = {.lex_state = 13, .external_lex_state = 12},
  [1174] = {.lex_state = 13, .external_lex_state = 12},
  [1175] = {.lex_state = 13, .external_lex_state = 12},
  [1176] = {.lex_state = 13, .external_lex_state = 12},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 12},
  [1179] = {.lex_state = 13, .external_lex_state = 13},
  [1180] = {.lex_state = 13, .external_lex_state = 13},
  [1181] = {.lex_state = 13, .external_lex_state = 13},
  [1182] = {.lex_state = 14, .external_lex_state = 14},
  [1183] = {.lex_state = 13, .external_lex_state = 13},
  [1184] = {.lex_state = 14, .external_lex_state = 14},
  [1185] = {.lex_state = 13, .external_lex_state = 13},
  [1186] = {.lex_state = 13, .external_lex_state = 13},
  [1187] = {.lex_state = 13, .external_lex_state = 13},
  [1188] = {.lex_state = 13, .external_lex_state = 13},
  [1189] = {.lex_state = 13, .external_lex_state = 13},
  [1190] = {.lex_state = 13, .external_lex_state = 13},
  [1191] = {.lex_state = 13, .external_lex_state = 13},
  [1192] = {.lex_state = 13, .external_lex_state = 13},
  [1193] = {.lex_state = 13, .external_lex_state = 13},
  [1194] = {.lex_state = 13, .external_lex_state = 12},
  [1195] = {.lex_state = 13, .external_lex_state = 8},
  [1196] = {.lex_state = 13, .external_lex_state = 13},
  [1197] = {.lex_state = 13, .external_lex_state = 13},
  [1198] = {.lex_state = 14, .external_lex_state = 14},
  [1199] = {.lex_state = 14, .external_lex_state = 14},
  [1200] = {.lex_state = 14, .external_lex_state = 14},
  [1201] = {.lex_state = 13, .external_lex_state = 12},
  [1202] = {.lex_state = 13, .external_lex_state = 12},
  [1203] = {.lex_state = 13, .external_lex_state = 14},
  [1204] = {.lex_state = 14, .external_lex_state = 14},
  [1205] = {.lex_state = 13, .external_lex_state = 13},
  [1206] = {.lex_state = 13, .external_lex_state = 8},
  [1207] = {.lex_state = 13, .external_lex_state = 13},
  [1208] = {.lex_state = 13, .external_lex_state = 13},
  [1209] = {.lex_state = 13, .external_lex_state = 13},
  [1210] = {.lex_state = 13, .external_lex_state = 12},
  [1211] = {.lex_state = 13, .external_lex_state = 12},
  [1212] = {.lex_state = 13, .external_lex_state = 12},
  [1213] = {.lex_state = 13, .external_lex_state = 12},
  [1214] = {.lex_state = 13, .external_lex_state = 12},
  [1215] = {.lex_state = 13, .external_lex_state = 12},
  [1216] = {.lex_state = 13, .external_lex_state = 12},
  [1217] = {.lex_state = 13, .external_lex_state = 12},
  [1218] = {.lex_state = 13, .external_lex_state = 13},
  [1219] = {.lex_state = 13, .external_lex_state = 13},
  [1220] = {.lex_state = 13, .external_lex_state = 12},
  [1221] = {.lex_state = 13, .external_lex_state = 12},
  [1222] = {.lex_state = 13, .external_lex_state = 8},
  [1223] = {.lex_state = 13, .external_lex_state = 13},
  [1224] = {.lex_state = 13, .external_lex_state = 13},
  [1225] = {.lex_state = 14, .external_lex_state = 12},
  [1226] = {.lex_state = 14, .external_lex_state = 12},
  [1227] = {.lex_state = 14, .external_lex_state = 14},
  [1228] = {.lex_state = 14, .external_lex_state = 15},
  [1229] = {.lex_state = 13, .external_lex_state = 12},
  [1230] = {.lex_state = 13, .external_lex_state = 13},
  [1231] = {.lex_state = 13, .external_lex_state = 14},
  [1232] = {.lex_state = 14, .external_lex_state = 15},
  [1233] = {.lex_state = 13, .external_lex_state = 13},
  [1234] = {.lex_state = 14, .external_lex_state = 14},
  [1235] = {.lex_state = 14, .external_lex_state = 14},
  [1236] = {.lex_state = 14, .external_lex_state = 14},
  [1237] = {.lex_state = 13, .external_lex_state = 14},
  [1238] = {.lex_state = 13, .external_lex_state = 14},
  [1239] = {.lex_state = 13, .external_lex_state = 14},
  [1240] = {.lex_state = 14, .external_lex_state = 15},
  [1241] = {.lex_state = 13, .external_lex_state = 12},
  [1242] = {.lex_state = 13, .external_lex_state = 13},
  [1243] = {.lex_state = 13, .external_lex_state = 13},
  [1244] = {.lex_state = 13, .external_lex_state = 13},
  [1245] = {.lex_state = 13, .external_lex_state = 13},
  [1246] = {.lex_state = 13, .external_lex_state = 13},
  [1247] = {.lex_state = 13, .external_lex_state = 14},
  [1248] = {.lex_state = 13, .external_lex_state = 14},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 13, .external_lex_state = 13},
  [1251] = {.lex_state = 13, .external_lex_state = 12},
  [1252] = {.lex_state = 13, .external_lex_state = 12},
  [1253] = {.lex_state = 14, .external_lex_state = 12},
  [1254] = {.lex_state = 13, .external_lex_state = 2},
  [1255] = {.lex_state = 13, .external_lex_state = 13},
  [1256] = {.lex_state = 13, .external_lex_state = 13},
  [1257] = {.lex_state = 13, .external_lex_state = 13},
  [1258] = {.lex_state = 13, .external_lex_state = 13},
  [1259] = {.lex_state = 13, .external_lex_state = 13},
  [1260] = {.lex_state = 13, .external_lex_state = 13},
  [1261] = {.lex_state = 13, .external_lex_state = 13},
  [1262] = {.lex_state = 13, .external_lex_state = 13},
  [1263] = {.lex_state = 14, .external_lex_state = 12},
  [1264] = {.lex_state = 14, .external_lex_state = 12},
  [1265] = {.lex_state = 13, .external_lex_state = 12},
  [1266] = {.lex_state = 13, .external_lex_state = 13},
  [1267] = {.lex_state = 13, .external_lex_state = 13},
  [1268] = {.lex_state = 13, .external_lex_state = 2},
  [1269] = {.lex_state = 13, .external_lex_state = 13},
  [1270] = {.lex_state = 13, .external_lex_state = 12},
  [1271] = {.lex_state = 13, .external_lex_state = 12},
  [1272] = {.lex_state = 13, .external_lex_state = 13},
  [1273] = {.lex_state = 13, .external_lex_state = 13},
  [1274] = {.lex_state = 13, .external_lex_state = 12},
  [1275] = {.lex_state = 13, .external_lex_state = 13},
  [1276] = {.lex_state = 13, .external_lex_state = 13},
  [1277] = {.lex_state = 13, .external_lex_state = 12},
  [1278] = {.lex_state = 13, .external_lex_state = 12},
  [1279] = {.lex_state = 13, .external_lex_state = 13},
  [1280] = {.lex_state = 13, .external_lex_state = 12},
  [1281] = {.lex_state = 13, .external_lex_state = 12},
  [1282] = {.lex_state = 13, .external_lex_state = 13},
  [1283] = {.lex_state = 13, .external_lex_state = 12},
  [1284] = {.lex_state = 13, .external_lex_state = 12},
  [1285] = {.lex_state = 13, .external_lex_state = 15},
  [1286] = {.lex_state = 13, .external_lex_state = 14},
  [1287] = {.lex_state = 13, .external_lex_state = 14},
  [1288] = {.lex_state = 13, .external_lex_state = 14},
  [1289] = {.lex_state = 13, .external_lex_state = 14},
  [1290] = {.lex_state = 13, .external_lex_state = 14},
  [1291] = {.lex_state = 13, .external_lex_state = 14},
  [1292] = {.lex_state = 13, .external_lex_state = 14},
  [1293] = {.lex_state = 13, .external_lex_state = 14},
  [1294] = {.lex_state = 13, .external_lex_state = 14},
  [1295] = {.lex_state = 13, .external_lex_state = 15},
  [1296] = {.lex_state = 13, .external_lex_state = 14},
  [1297] = {.lex_state = 13, .external_lex_state = 14},
  [1298] = {.lex_state = 13, .external_lex_state = 15},
  [1299] = {.lex_state = 13, .external_lex_state = 15},
  [1300] = {.lex_state = 13, .external_lex_state = 15},
  [1301] = {.lex_state = 13, .external_lex_state = 14},
  [1302] = {.lex_state = 13, .external_lex_state = 15},
  [1303] = {.lex_state = 13, .external_lex_state = 15},
  [1304] = {.lex_state = 13, .external_lex_state = 14},
  [1305] = {.lex_state = 13, .external_lex_state = 14},
  [1306] = {.lex_state = 13, .external_lex_state = 14},
  [1307] = {.lex_state = 13, .external_lex_state = 14},
  [1308] = {.lex_state = 13, .external_lex_state = 14},
  [1309] = {.lex_state = 13, .external_lex_state = 14},
  [1310] = {.lex_state = 13, .external_lex_state = 14},
  [1311] = {.lex_state = 13, .external_lex_state = 14},
  [1312] = {.lex_state = 13, .external_lex_state = 14},
  [1313] = {.lex_state = 13, .external_lex_state = 14},
  [1314] = {.lex_state = 13, .external_lex_state = 14},
  [1315] = {.lex_state = 13, .external_lex_state = 14},
  [1316] = {.lex_state = 13, .external_lex_state = 15},
  [1317] = {.lex_state = 13, .external_lex_state = 14},
  [1318] = {.lex_state = 13, .external_lex_state = 14},
  [1319] = {.lex_state = 13, .external_lex_state = 14},
  [1320] = {.lex_state = 13, .external_lex_state = 14},
  [1321] = {.lex_state = 13, .external_lex_state = 14},
  [1322] = {.lex_state = 14, .external_lex_state = 14},
  [1323] = {.lex_state = 14, .external_lex_state = 14},
  [1324] = {.lex_state = 14, .external_lex_state = 14},
  [1325] = {.lex_state = 13, .external_lex_state = 14},
  [1326] = {.lex_state = 13, .external_lex_state = 14},
  [1327] = {.lex_state = 13, .external_lex_state = 14},
  [1328] = {.lex_state = 13, .external_lex_state = 14},
  [1329] = {.lex_state = 8, .external_lex_state = 11},
  [1330] = {.lex_state = 8, .external_lex_state = 11},
  [1331] = {.lex_state = 13, .external_lex_state = 14},
  [1332] = {.lex_state = 13, .external_lex_state = 15},
  [1333] = {.lex_state = 13, .external_lex_state = 14},
  [1334] = {.lex_state = 13, .external_lex_state = 14},
  [1335] = {.lex_state = 13, .external_lex_state = 14},
  [1336] = {.lex_state = 13, .external_lex_state = 14},
  [1337] = {.lex_state = 13, .external_lex_state = 14},
  [1338] = {.lex_state = 13, .external_lex_state = 14},
  [1339] = {.lex_state = 13, .external_lex_state = 7},
  [1340] = {.lex_state = 13, .external_lex_state = 14},
  [1341] = {.lex_state = 13, .external_lex_state = 12},
  [1342] = {.lex_state = 13, .external_lex_state = 14},
  [1343] = {.lex_state = 13, .external_lex_state = 14},
  [1344] = {.lex_state = 13, .external_lex_state = 7},
  [1345] = {.lex_state = 8, .external_lex_state = 11},
  [1346] = {.lex_state = 8, .external_lex_state = 11},
  [1347] = {.lex_state = 8, .external_lex_state = 11},
  [1348] = {.lex_state = 13, .external_lex_state = 14},
  [1349] = {.lex_state = 13, .external_lex_state = 14},
  [1350] = {.lex_state = 8, .external_lex_state = 11},
  [1351] = {.lex_state = 13, .external_lex_state = 15},
  [1352] = {.lex_state = 13, .external_lex_state = 12},
  [1353] = {.lex_state = 13, .external_lex_state = 15},
  [1354] = {.lex_state = 13, .external_lex_state = 14},
  [1355] = {.lex_state = 13, .external_lex_state = 14},
  [1356] = {.lex_state = 13, .external_lex_state = 14},
  [1357] = {.lex_state = 13, .external_lex_state = 14},
  [1358] = {.lex_state = 13, .external_lex_state = 14},
  [1359] = {.lex_state = 13, .external_lex_state = 14},
  [1360] = {.lex_state = 13, .external_lex_state = 14},
  [1361] = {.lex_state = 13, .external_lex_state = 15},
  [1362] = {.lex_state = 13, .external_lex_state = 14},
  [1363] = {.lex_state = 13, .external_lex_state = 14},
  [1364] = {.lex_state = 13, .external_lex_state = 14},
  [1365] = {.lex_state = 13, .external_lex_state = 14},
  [1366] = {.lex_state = 13, .external_lex_state = 12},
  [1367] = {.lex_state = 13, .external_lex_state = 14},
  [1368] = {.lex_state = 13, .external_lex_state = 12},
  [1369] = {.lex_state = 13, .external_lex_state = 15},
  [1370] = {.lex_state = 13, .external_lex_state = 15},
  [1371] = {.lex_state = 13, .external_lex_state = 15},
  [1372] = {.lex_state = 13, .external_lex_state = 15},
  [1373] = {.lex_state = 13, .external_lex_state = 14},
  [1374] = {.lex_state = 13, .external_lex_state = 14},
  [1375] = {.lex_state = 13, .external_lex_state = 14},
  [1376] = {.lex_state = 13, .external_lex_state = 14},
  [1377] = {.lex_state = 13, .external_lex_state = 15},
  [1378] = {.lex_state = 13, .external_lex_state = 15},
  [1379] = {.lex_state = 13, .external_lex_state = 14},
  [1380] = {.lex_state = 13, .external_lex_state = 14},
  [1381] = {.lex_state = 13, .external_lex_state = 14},
  [1382] = {.lex_state = 13, .external_lex_state = 15},
  [1383] = {.lex_state = 13, .external_lex_state = 15},
  [1384] = {.lex_state = 13, .external_lex_state = 15},
  [1385] = {.lex_state = 13, .external_lex_state = 15},
  [1386] = {.lex_state = 13, .external_lex_state = 15},
  [1387] = {.lex_state = 13, .external_lex_state = 14},
  [1388] = {.lex_state = 13, .external_lex_state = 14},
  [1389] = {.lex_state = 13, .external_lex_state = 15},
  [1390] = {.lex_state = 13, .external_lex_state = 15},
  [1391] = {.lex_state = 14, .external_lex_state = 12},
  [1392] = {.lex_state = 13, .external_lex_state = 15},
  [1393] = {.lex_state = 13, .external_lex_state = 15},
  [1394] = {.lex_state = 13, .external_lex_state = 15},
  [1395] = {.lex_state = 14, .external_lex_state = 12},
  [1396] = {.lex_state = 13, .external_lex_state = 15},
  [1397] = {.lex_state = 14, .external_lex_state = 12},
  [1398] = {.lex_state = 13, .external_lex_state = 14},
  [1399] = {.lex_state = 13, .external_lex_state = 14},
  [1400] = {.lex_state = 13, .external_lex_state = 14},
  [1401] = {.lex_state = 13, .external_lex_state = 14},
  [1402] = {.lex_state = 13, .external_lex_state = 15},
  [1403] = {.lex_state = 13, .external_lex_state = 15},
  [1404] = {.lex_state = 13, .external_lex_state = 15},
  [1405] = {.lex_state = 13, .external_lex_state = 15},
  [1406] = {.lex_state = 13, .external_lex_state = 15},
  [1407] = {.lex_state = 13, .external_lex_state = 15},
  [1408] = {.lex_state = 13, .external_lex_state = 15},
  [1409] = {.lex_state = 13, .external_lex_state = 11},
  [1410] = {.lex_state = 13, .external_lex_state = 14},
  [1411] = {.lex_state = 13, .external_lex_state = 12},
  [1412] = {.lex_state = 13, .external_lex_state = 12},
  [1413] = {.lex_state = 14, .external_lex_state = 13},
  [1414] = {.lex_state = 13, .external_lex_state = 12},
  [1415] = {.lex_state = 13, .external_lex_state = 12},
  [1416] = {.lex_state = 13, .external_lex_state = 12},
  [1417] = {.lex_state = 13, .external_lex_state = 12},
  [1418] = {.lex_state = 13, .external_lex_state = 12},
  [1419] = {.lex_state = 13, .external_lex_state = 12},
  [1420] = {.lex_state = 13, .external_lex_state = 12},
  [1421] = {.lex_state = 14, .external_lex_state = 14},
  [1422] = {.lex_state = 13, .external_lex_state = 12},
  [1423] = {.lex_state = 14, .external_lex_state = 12},
  [1424] = {.lex_state = 13, .external_lex_state = 12},
  [1425] = {.lex_state = 14, .external_lex_state = 12},
  [1426] = {.lex_state = 13, .external_lex_state = 12},
  [1427] = {.lex_state = 14, .external_lex_state = 12},
  [1428] = {.lex_state = 13, .external_lex_state = 12},
  [1429] = {.lex_state = 13, .external_lex_state = 12},
  [1430] = {.lex_state = 13, .external_lex_state = 12},
  [1431] = {.lex_state = 13, .external_lex_state = 12},
  [1432] = {.lex_state = 13, .external_lex_state = 12},
  [1433] = {.lex_state = 13, .external_lex_state = 12},
  [1434] = {.lex_state = 13, .external_lex_state = 12},
  [1435] = {.lex_state = 13, .external_lex_state = 12},
  [1436] = {.lex_state = 13, .external_lex_state = 12},
  [1437] = {.lex_state = 13, .external_lex_state = 12},
  [1438] = {.lex_state = 13, .external_lex_state = 12},
  [1439] = {.lex_state = 13, .external_lex_state = 12},
  [1440] = {.lex_state = 13, .external_lex_state = 12},
  [1441] = {.lex_state = 13, .external_lex_state = 12},
  [1442] = {.lex_state = 14, .external_lex_state = 14},
  [1443] = {.lex_state = 14, .external_lex_state = 14},
  [1444] = {.lex_state = 13, .external_lex_state = 12},
  [1445] = {.lex_state = 13, .external_lex_state = 12},
  [1446] = {.lex_state = 13, .external_lex_state = 15},
  [1447] = {.lex_state = 13, .external_lex_state = 12},
  [1448] = {.lex_state = 13, .external_lex_state = 12},
  [1449] = {.lex_state = 13, .external_lex_state = 12},
  [1450] = {.lex_state = 13, .external_lex_state = 12},
  [1451] = {.lex_state = 14, .external_lex_state = 13},
  [1452] = {.lex_state = 14, .external_lex_state = 13},
  [1453] = {.lex_state = 13, .external_lex_state = 12},
  [1454] = {.lex_state = 13, .external_lex_state = 12},
  [1455] = {.lex_state = 13, .external_lex_state = 12},
  [1456] = {.lex_state = 13, .external_lex_state = 12},
  [1457] = {.lex_state = 13, .external_lex_state = 12},
  [1458] = {.lex_state = 13, .external_lex_state = 12},
  [1459] = {.lex_state = 8, .external_lex_state = 15},
  [1460] = {.lex_state = 8, .external_lex_state = 15},
  [1461] = {.lex_state = 8, .external_lex_state = 15},
  [1462] = {.lex_state = 8, .external_lex_state = 15},
  [1463] = {.lex_state = 8, .external_lex_state = 15},
  [1464] = {.lex_state = 8, .external_lex_state = 15},
  [1465] = {.lex_state = 8, .external_lex_state = 15},
  [1466] = {.lex_state = 8, .external_lex_state = 15},
  [1467] = {.lex_state = 8, .external_lex_state = 15},
  [1468] = {.lex_state = 8, .external_lex_state = 15},
  [1469] = {.lex_state = 8, .external_lex_state = 15},
  [1470] = {.lex_state = 8, .external_lex_state = 15},
  [1471] = {.lex_state = 8, .external_lex_state = 15},
  [1472] = {.lex_state = 13, .external_lex_state = 14},
  [1473] = {.lex_state = 13, .external_lex_state = 13},
  [1474] = {.lex_state = 8, .external_lex_state = 15},
  [1475] = {.lex_state = 8, .external_lex_state = 15},
  [1476] = {.lex_state = 8, .external_lex_state = 15},
  [1477] = {.lex_state = 12, .external_lex_state = 2},
  [1478] = {.lex_state = 12, .external_lex_state = 2},
  [1479] = {.lex_state = 5, .external_lex_state = 7},
  [1480] = {.lex_state = 5, .external_lex_state = 8},
  [1481] = {.lex_state = 5, .external_lex_state = 8},
  [1482] = {.lex_state = 5, .external_lex_state = 8},
  [1483] = {.lex_state = 5, .external_lex_state = 8},
  [1484] = {.lex_state = 5, .external_lex_state = 7},
  [1485] = {.lex_state = 5, .external_lex_state = 8},
  [1486] = {.lex_state = 5, .external_lex_state = 8},
  [1487] = {.lex_state = 5, .external_lex_state = 7},
  [1488] = {.lex_state = 5, .external_lex_state = 8},
  [1489] = {.lex_state = 5, .external_lex_state = 8},
  [1490] = {.lex_state = 5, .external_lex_state = 7},
  [1491] = {.lex_state = 5, .external_lex_state = 8},
  [1492] = {.lex_state = 5, .external_lex_state = 8},
  [1493] = {.lex_state = 5, .external_lex_state = 8},
  [1494] = {.lex_state = 5, .external_lex_state = 7},
  [1495] = {.lex_state = 5, .external_lex_state = 7},
  [1496] = {.lex_state = 5, .external_lex_state = 8},
  [1497] = {.lex_state = 5, .external_lex_state = 7},
  [1498] = {.lex_state = 5, .external_lex_state = 8},
  [1499] = {.lex_state = 5, .external_lex_state = 7},
  [1500] = {.lex_state = 5, .external_lex_state = 8},
  [1501] = {.lex_state = 5, .external_lex_state = 8},
  [1502] = {.lex_state = 5, .external_lex_state = 8},
  [1503] = {.lex_state = 5, .external_lex_state = 7},
  [1504] = {.lex_state = 5, .external_lex_state = 8},
  [1505] = {.lex_state = 5, .external_lex_state = 7},
  [1506] = {.lex_state = 5, .external_lex_state = 8},
  [1507] = {.lex_state = 5, .external_lex_state = 8},
  [1508] = {.lex_state = 5, .external_lex_state = 7},
  [1509] = {.lex_state = 5, .external_lex_state = 8},
  [1510] = {.lex_state = 5, .external_lex_state = 7},
  [1511] = {.lex_state = 5, .external_lex_state = 8},
  [1512] = {.lex_state = 5, .external_lex_state = 8},
  [1513] = {.lex_state = 5, .external_lex_state = 8},
  [1514] = {.lex_state = 5, .external_lex_state = 8},
  [1515] = {.lex_state = 5, .external_lex_state = 2},
  [1516] = {.lex_state = 5, .external_lex_state = 2},
  [1517] = {.lex_state = 5, .external_lex_state = 2},
  [1518] = {.lex_state = 5, .external_lex_state = 2},
  [1519] = {.lex_state = 5, .external_lex_state = 2},
  [1520] = {.lex_state = 5, .external_lex_state = 6},
  [1521] = {.lex_state = 5, .external_lex_state = 6},
  [1522] = {.lex_state = 5, .external_lex_state = 6},
  [1523] = {.lex_state = 5, .external_lex_state = 6},
  [1524] = {.lex_state = 5, .external_lex_state = 6},
  [1525] = {.lex_state = 5, .external_lex_state = 6},
  [1526] = {.lex_state = 5, .external_lex_state = 6},
  [1527] = {.lex_state = 5, .external_lex_state = 6},
  [1528] = {.lex_state = 5, .external_lex_state = 6},
  [1529] = {.lex_state = 5, .external_lex_state = 6},
  [1530] = {.lex_state = 5, .external_lex_state = 6},
  [1531] = {.lex_state = 5, .external_lex_state = 6},
  [1532] = {.lex_state = 5, .external_lex_state = 6},
  [1533] = {.lex_state = 5, .external_lex_state = 6},
  [1534] = {.lex_state = 5, .external_lex_state = 6},
  [1535] = {.lex_state = 5, .external_lex_state = 6},
  [1536] = {.lex_state = 5, .external_lex_state = 6},
  [1537] = {.lex_state = 5, .external_lex_state = 6},
  [1538] = {.lex_state = 5, .external_lex_state = 6},
  [1539] = {.lex_state = 5, .external_lex_state = 6},
  [1540] = {.lex_state = 5, .external_lex_state = 2},
  [1541] = {.lex_state = 5, .external_lex_state = 2},
  [1542] = {.lex_state = 5, .external_lex_state = 2},
  [1543] = {.lex_state = 5, .external_lex_state = 2},
  [1544] = {.lex_state = 5, .external_lex_state = 2},
  [1545] = {.lex_state = 8, .external_lex_state = 11},
  [1546] = {.lex_state = 5, .external_lex_state = 2},
  [1547] = {.lex_state = 5, .external_lex_state = 2},
  [1548] = {.lex_state = 5, .external_lex_state = 2},
  [1549] = {.lex_state = 5, .external_lex_state = 2},
  [1550] = {.lex_state = 8, .external_lex_state = 11},
  [1551] = {.lex_state = 8, .external_lex_state = 12},
  [1552] = {.lex_state = 8, .external_lex_state = 12},
  [1553] = {.lex_state = 8, .external_lex_state = 14},
  [1554] = {.lex_state = 8, .external_lex_state = 15},
  [1555] = {.lex_state = 8, .external_lex_state = 14},
  [1556] = {.lex_state = 8, .external_lex_state = 15},
  [1557] = {.lex_state = 52, .external_lex_state = 13},
  [1558] = {.lex_state = 52, .external_lex_state = 13},
  [1559] = {.lex_state = 8, .external_lex_state = 12},
  [1560] = {.lex_state = 52, .external_lex_state = 13},
  [1561] = {.lex_state = 52, .external_lex_state = 13},
  [1562] = {.lex_state = 8, .external_lex_state = 12},
  [1563] = {.lex_state = 13, .external_lex_state = 13},
  [1564] = {.lex_state = 52, .external_lex_state = 14},
  [1565] = {.lex_state = 13, .external_lex_state = 13},
  [1566] = {.lex_state = 52, .external_lex_state = 2},
  [1567] = {.lex_state = 13, .external_lex_state = 13},
  [1568] = {.lex_state = 52, .external_lex_state = 14},
  [1569] = {.lex_state = 13, .external_lex_state = 13},
  [1570] = {.lex_state = 52, .external_lex_state = 2},
  [1571] = {.lex_state = 13, .external_lex_state = 13},
  [1572] = {.lex_state = 13, .external_lex_state = 13},
  [1573] = {.lex_state = 13, .external_lex_state = 14},
  [1574] = {.lex_state = 11, .external_lex_state = 11},
  [1575] = {.lex_state = 13, .external_lex_state = 14},
  [1576] = {.lex_state = 11, .external_lex_state = 11},
  [1577] = {.lex_state = 13, .external_lex_state = 14},
  [1578] = {.lex_state = 13, .external_lex_state = 14},
  [1579] = {.lex_state = 13, .external_lex_state = 14},
  [1580] = {.lex_state = 13, .external_lex_state = 14},
  [1581] = {.lex_state = 13, .external_lex_state = 15},
  [1582] = {.lex_state = 13, .external_lex_state = 12},
  [1583] = {.lex_state = 13, .external_lex_state = 12},
  [1584] = {.lex_state = 11, .external_lex_state = 11},
  [1585] = {.lex_state = 13, .external_lex_state = 12},
  [1586] = {.lex_state = 13, .external_lex_state = 12},
  [1587] = {.lex_state = 13, .external_lex_state = 12},
  [1588] = {.lex_state = 13, .external_lex_state = 15},
  [1589] = {.lex_state = 13, .external_lex_state = 14},
  [1590] = {.lex_state = 13, .external_lex_state = 15},
  [1591] = {.lex_state = 13, .external_lex_state = 15},
  [1592] = {.lex_state = 13, .external_lex_state = 15},
  [1593] = {.lex_state = 11, .external_lex_state = 11},
  [1594] = {.lex_state = 13, .external_lex_state = 14},
  [1595] = {.lex_state = 13, .external_lex_state = 14},
  [1596] = {.lex_state = 13, .external_lex_state = 14},
  [1597] = {.lex_state = 11, .external_lex_state = 11},
  [1598] = {.lex_state = 13, .external_lex_state = 15},
  [1599] = {.lex_state = 13, .external_lex_state = 15},
  [1600] = {.lex_state = 13, .external_lex_state = 15},
  [1601] = {.lex_state = 13, .external_lex_state = 14},
  [1602] = {.lex_state = 11, .external_lex_state = 11},
  [1603] = {.lex_state = 13, .external_lex_state = 15},
  [1604] = {.lex_state = 13, .external_lex_state = 15},
  [1605] = {.lex_state = 13, .external_lex_state = 15},
  [1606] = {.lex_state = 13, .external_lex_state = 15},
  [1607] = {.lex_state = 13, .external_lex_state = 15},
  [1608] = {.lex_state = 13, .external_lex_state = 15},
  [1609] = {.lex_state = 13, .external_lex_state = 15},
  [1610] = {.lex_state = 13, .external_lex_state = 15},
  [1611] = {.lex_state = 13, .external_lex_state = 15},
  [1612] = {.lex_state = 13, .external_lex_state = 12},
  [1613] = {.lex_state = 13, .external_lex_state = 15},
  [1614] = {.lex_state = 13, .external_lex_state = 15},
  [1615] = {.lex_state = 13, .external_lex_state = 15},
  [1616] = {.lex_state = 13, .external_lex_state = 15},
  [1617] = {.lex_state = 13, .external_lex_state = 14},
  [1618] = {.lex_state = 13, .external_lex_state = 15},
  [1619] = {.lex_state = 12, .external_lex_state = 15},
  [1620] = {.lex_state = 11, .external_lex_state = 15},
  [1621] = {.lex_state = 12, .external_lex_state = 15},
  [1622] = {.lex_state = 12, .external_lex_state = 15},
  [1623] = {.lex_state = 11, .external_lex_state = 15},
  [1624] = {.lex_state = 11, .external_lex_state = 15},
  [1625] = {.lex_state = 11, .external_lex_state = 15},
  [1626] = {.lex_state = 11, .external_lex_state = 15},
  [1627] = {.lex_state = 12, .external_lex_state = 15},
  [1628] = {.lex_state = 12, .external_lex_state = 15},
  [1629] = {.lex_state = 12, .external_lex_state = 15},
  [1630] = {.lex_state = 11, .external_lex_state = 15},
  [1631] = {.lex_state = 12, .external_lex_state = 15},
  [1632] = {.lex_state = 12, .external_lex_state = 15},
  [1633] = {.lex_state = 12, .external_lex_state = 15},
  [1634] = {.lex_state = 11, .external_lex_state = 11},
  [1635] = {.lex_state = 12, .external_lex_state = 15},
  [1636] = {.lex_state = 11, .external_lex_state = 15},
  [1637] = {.lex_state = 12, .external_lex_state = 15},
  [1638] = {.lex_state = 11, .external_lex_state = 15},
  [1639] = {.lex_state = 5, .external_lex_state = 14},
  [1640] = {.lex_state = 5, .external_lex_state = 14},
  [1641] = {.lex_state = 5, .external_lex_state = 14},
  [1642] = {.lex_state = 12, .external_lex_state = 15},
  [1643] = {.lex_state = 12, .external_lex_state = 15},
  [1644] = {.lex_state = 11, .external_lex_state = 15},
  [1645] = {.lex_state = 8, .external_lex_state = 12},
  [1646] = {.lex_state = 5, .external_lex_state = 15},
  [1647] = {.lex_state = 5, .external_lex_state = 15},
  [1648] = {.lex_state = 8, .external_lex_state = 11},
  [1649] = {.lex_state = 8, .external_lex_state = 11},
  [1650] = {.lex_state = 52, .external_lex_state = 13},
  [1651] = {.lex_state = 8, .external_lex_state = 11},
  [1652] = {.lex_state = 8, .external_lex_state = 11},
  [1653] = {.lex_state = 8, .external_lex_state = 11},
  [1654] = {.lex_state = 8, .external_lex_state = 11},
  [1655] = {.lex_state = 52, .external_lex_state = 13},
  [1656] = {.lex_state = 52, .external_lex_state = 13},
  [1657] = {.lex_state = 52, .external_lex_state = 13},
  [1658] = {.lex_state = 8, .external_lex_state = 11},
  [1659] = {.lex_state = 52, .external_lex_state = 13},
  [1660] = {.lex_state = 52, .external_lex_state = 13},
  [1661] = {.lex_state = 52, .external_lex_state = 13},
  [1662] = {.lex_state = 52, .external_lex_state = 13},
  [1663] = {.lex_state = 8, .external_lex_state = 11},
  [1664] = {.lex_state = 8, .external_lex_state = 11},
  [1665] = {.lex_state = 52, .external_lex_state = 14},
  [1666] = {.lex_state = 0, .external_lex_state = 16},
  [1667] = {.lex_state = 0, .external_lex_state = 16},
  [1668] = {.lex_state = 52, .external_lex_state = 14},
  [1669] = {.lex_state = 0, .external_lex_state = 16},
  [1670] = {.lex_state = 8, .external_lex_state = 12},
  [1671] = {.lex_state = 8, .external_lex_state = 12},
  [1672] = {.lex_state = 0, .external_lex_state = 16},
  [1673] = {.lex_state = 8, .external_lex_state = 12},
  [1674] = {.lex_state = 8, .external_lex_state = 12},
  [1675] = {.lex_state = 0, .external_lex_state = 16},
  [1676] = {.lex_state = 52, .external_lex_state = 14},
  [1677] = {.lex_state = 52, .external_lex_state = 14},
  [1678] = {.lex_state = 52, .external_lex_state = 14},
  [1679] = {.lex_state = 0, .external_lex_state = 16},
  [1680] = {.lex_state = 8, .external_lex_state = 12},
  [1681] = {.lex_state = 0, .external_lex_state = 16},
  [1682] = {.lex_state = 0, .external_lex_state = 16},
  [1683] = {.lex_state = 52, .external_lex_state = 14},
  [1684] = {.lex_state = 52, .external_lex_state = 14},
  [1685] = {.lex_state = 8, .external_lex_state = 11},
  [1686] = {.lex_state = 0, .external_lex_state = 16},
  [1687] = {.lex_state = 52, .external_lex_state = 14},
  [1688] = {.lex_state = 52, .external_lex_state = 14},
  [1689] = {.lex_state = 0, .external_lex_state = 16},
  [1690] = {.lex_state = 52, .external_lex_state = 14},
  [1691] = {.lex_state = 0, .external_lex_state = 16},
  [1692] = {.lex_state = 0, .external_lex_state = 16},
  [1693] = {.lex_state = 52, .external_lex_state = 14},
  [1694] = {.lex_state = 8, .external_lex_state = 12},
  [1695] = {.lex_state = 52, .external_lex_state = 14},
  [1696] = {.lex_state = 0, .external_lex_state = 16},
  [1697] = {.lex_state = 0, .external_lex_state = 16},
  [1698] = {.lex_state = 0, .external_lex_state = 16},
  [1699] = {.lex_state = 52, .external_lex_state = 14},
  [1700] = {.lex_state = 52, .external_lex_state = 14},
  [1701] = {.lex_state = 52, .external_lex_state = 14},
  [1702] = {.lex_state = 0, .external_lex_state = 16},
  [1703] = {.lex_state = 0, .external_lex_state = 16},
  [1704] = {.lex_state = 8, .external_lex_state = 12},
  [1705] = {.lex_state = 52, .external_lex_state = 12},
  [1706] = {.lex_state = 0, .external_lex_state = 16},
  [1707] = {.lex_state = 52, .external_lex_state = 12},
  [1708] = {.lex_state = 0, .external_lex_state = 16},
  [1709] = {.lex_state = 52, .external_lex_state = 12},
  [1710] = {.lex_state = 8, .external_lex_state = 12},
  [1711] = {.lex_state = 8, .external_lex_state = 12},
  [1712] = {.lex_state = 52, .external_lex_state = 12},
  [1713] = {.lex_state = 52, .external_lex_state = 12},
  [1714] = {.lex_state = 52, .external_lex_state = 12},
  [1715] = {.lex_state = 52, .external_lex_state = 12},
  [1716] = {.lex_state = 52, .external_lex_state = 12},
  [1717] = {.lex_state = 52, .external_lex_state = 14},
  [1718] = {.lex_state = 52, .external_lex_state = 14},
  [1719] = {.lex_state = 8, .external_lex_state = 14},
  [1720] = {.lex_state = 52, .external_lex_state = 13},
  [1721] = {.lex_state = 8, .external_lex_state = 14},
  [1722] = {.lex_state = 8, .external_lex_state = 14},
  [1723] = {.lex_state = 8, .external_lex_state = 15},
  [1724] = {.lex_state = 8, .external_lex_state = 11},
  [1725] = {.lex_state = 8, .external_lex_state = 15},
  [1726] = {.lex_state = 8, .external_lex_state = 15},
  [1727] = {.lex_state = 8, .external_lex_state = 14},
  [1728] = {.lex_state = 8, .external_lex_state = 15},
  [1729] = {.lex_state = 8, .external_lex_state = 15},
  [1730] = {.lex_state = 8, .external_lex_state = 15},
  [1731] = {.lex_state = 8, .external_lex_state = 15},
  [1732] = {.lex_state = 8, .external_lex_state = 14},
  [1733] = {.lex_state = 8, .external_lex_state = 14},
  [1734] = {.lex_state = 52, .external_lex_state = 13},
  [1735] = {.lex_state = 8, .external_lex_state = 15},
  [1736] = {.lex_state = 8, .external_lex_state = 14},
  [1737] = {.lex_state = 8, .external_lex_state = 14},
  [1738] = {.lex_state = 8, .external_lex_state = 14},
  [1739] = {.lex_state = 8, .external_lex_state = 15},
  [1740] = {.lex_state = 8, .external_lex_state = 14},
  [1741] = {.lex_state = 52, .external_lex_state = 13},
  [1742] = {.lex_state = 52, .external_lex_state = 13},
  [1743] = {.lex_state = 52, .external_lex_state = 13},
  [1744] = {.lex_state = 8, .external_lex_state = 12},
  [1745] = {.lex_state = 8, .external_lex_state = 12},
  [1746] = {.lex_state = 8, .external_lex_state = 15},
  [1747] = {.lex_state = 8, .external_lex_state = 15},
  [1748] = {.lex_state = 8, .external_lex_state = 12},
  [1749] = {.lex_state = 52, .external_lex_state = 13},
  [1750] = {.lex_state = 8, .external_lex_state = 12},
  [1751] = {.lex_state = 8, .external_lex_state = 12},
  [1752] = {.lex_state = 52, .external_lex_state = 13},
  [1753] = {.lex_state = 8, .external_lex_state = 12},
  [1754] = {.lex_state = 52, .external_lex_state = 13},
  [1755] = {.lex_state = 52, .external_lex_state = 13},
  [1756] = {.lex_state = 8, .external_lex_state = 12},
  [1757] = {.lex_state = 52, .external_lex_state = 13},
  [1758] = {.lex_state = 52, .external_lex_state = 13},
  [1759] = {.lex_state = 52, .external_lex_state = 13},
  [1760] = {.lex_state = 52, .external_lex_state = 13},
  [1761] = {.lex_state = 52, .external_lex_state = 13},
  [1762] = {.lex_state = 8, .external_lex_state = 15},
  [1763] = {.lex_state = 52, .external_lex_state = 13},
  [1764] = {.lex_state = 52, .external_lex_state = 13},
  [1765] = {.lex_state = 52, .external_lex_state = 13},
  [1766] = {.lex_state = 52, .external_lex_state = 13},
  [1767] = {.lex_state = 8, .external_lex_state = 15},
  [1768] = {.lex_state = 52, .external_lex_state = 13},
  [1769] = {.lex_state = 52, .external_lex_state = 13},
  [1770] = {.lex_state = 52, .external_lex_state = 13},
  [1771] = {.lex_state = 8, .external_lex_state = 12},
  [1772] = {.lex_state = 8, .external_lex_state = 15},
  [1773] = {.lex_state = 52, .external_lex_state = 13},
  [1774] = {.lex_state = 8, .external_lex_state = 12},
  [1775] = {.lex_state = 52, .external_lex_state = 11},
  [1776] = {.lex_state = 8, .external_lex_state = 12},
  [1777] = {.lex_state = 52, .external_lex_state = 12},
  [1778] = {.lex_state = 52, .external_lex_state = 11},
  [1779] = {.lex_state = 52, .external_lex_state = 14},
  [1780] = {.lex_state = 52, .external_lex_state = 12},
  [1781] = {.lex_state = 52, .external_lex_state = 11},
  [1782] = {.lex_state = 52, .external_lex_state = 12},
  [1783] = {.lex_state = 0, .external_lex_state = 16},
  [1784] = {.lex_state = 52, .external_lex_state = 12},
  [1785] = {.lex_state = 52, .external_lex_state = 11},
  [1786] = {.lex_state = 52, .external_lex_state = 12},
  [1787] = {.lex_state = 7, .external_lex_state = 13},
  [1788] = {.lex_state = 52, .external_lex_state = 14},
  [1789] = {.lex_state = 52, .external_lex_state = 13},
  [1790] = {.lex_state = 52, .external_lex_state = 14},
  [1791] = {.lex_state = 52, .external_lex_state = 2},
  [1792] = {.lex_state = 52, .external_lex_state = 12},
  [1793] = {.lex_state = 52, .external_lex_state = 11},
  [1794] = {.lex_state = 52, .external_lex_state = 14},
  [1795] = {.lex_state = 52, .external_lex_state = 14},
  [1796] = {.lex_state = 52, .external_lex_state = 14},
  [1797] = {.lex_state = 52, .external_lex_state = 14},
  [1798] = {.lex_state = 52, .external_lex_state = 13},
  [1799] = {.lex_state = 52, .external_lex_state = 11},
  [1800] = {.lex_state = 52, .external_lex_state = 12},
  [1801] = {.lex_state = 52, .external_lex_state = 11},
  [1802] = {.lex_state = 52, .external_lex_state = 14},
  [1803] = {.lex_state = 52, .external_lex_state = 12},
  [1804] = {.lex_state = 0, .external_lex_state = 16},
  [1805] = {.lex_state = 52, .external_lex_state = 11},
  [1806] = {.lex_state = 7, .external_lex_state = 12},
  [1807] = {.lex_state = 52, .external_lex_state = 14},
  [1808] = {.lex_state = 52, .external_lex_state = 14},
  [1809] = {.lex_state = 52, .external_lex_state = 12},
  [1810] = {.lex_state = 52, .external_lex_state = 14},
  [1811] = {.lex_state = 52, .external_lex_state = 12},
  [1812] = {.lex_state = 52, .external_lex_state = 12},
  [1813] = {.lex_state = 52, .external_lex_state = 12},
  [1814] = {.lex_state = 52, .external_lex_state = 12},
  [1815] = {.lex_state = 7, .external_lex_state = 14},
  [1816] = {.lex_state = 52, .external_lex_state = 11},
  [1817] = {.lex_state = 52, .external_lex_state = 15},
  [1818] = {.lex_state = 8, .external_lex_state = 15},
  [1819] = {.lex_state = 52, .external_lex_state = 15},
  [1820] = {.lex_state = 52, .external_lex_state = 13},
  [1821] = {.lex_state = 52, .external_lex_state = 13},
  [1822] = {.lex_state = 52, .external_lex_state = 14},
  [1823] = {.lex_state = 52, .external_lex_state = 11},
  [1824] = {.lex_state = 52, .external_lex_state = 12},
  [1825] = {.lex_state = 52, .external_lex_state = 11},
  [1826] = {.lex_state = 52, .external_lex_state = 15},
  [1827] = {.lex_state = 52, .external_lex_state = 14},
  [1828] = {.lex_state = 7, .external_lex_state = 13},
  [1829] = {.lex_state = 52, .external_lex_state = 13},
  [1830] = {.lex_state = 7, .external_lex_state = 14},
  [1831] = {.lex_state = 52, .external_lex_state = 15},
  [1832] = {.lex_state = 52, .external_lex_state = 15},
  [1833] = {.lex_state = 52, .external_lex_state = 13},
  [1834] = {.lex_state = 7, .external_lex_state = 14},
  [1835] = {.lex_state = 7, .external_lex_state = 13},
  [1836] = {.lex_state = 52, .external_lex_state = 13},
  [1837] = {.lex_state = 52, .external_lex_state = 7},
  [1838] = {.lex_state = 52, .external_lex_state = 13},
  [1839] = {.lex_state = 52, .external_lex_state = 15},
  [1840] = {.lex_state = 52, .external_lex_state = 12},
  [1841] = {.lex_state = 7, .external_lex_state = 15},
  [1842] = {.lex_state = 52, .external_lex_state = 15},
  [1843] = {.lex_state = 52, .external_lex_state = 14},
  [1844] = {.lex_state = 7, .external_lex_state = 13},
  [1845] = {.lex_state = 52, .external_lex_state = 12},
  [1846] = {.lex_state = 52, .external_lex_state = 15},
  [1847] = {.lex_state = 52, .external_lex_state = 11},
  [1848] = {.lex_state = 52, .external_lex_state = 14},
  [1849] = {.lex_state = 52, .external_lex_state = 15},
  [1850] = {.lex_state = 52, .external_lex_state = 15},
  [1851] = {.lex_state = 52, .external_lex_state = 12},
  [1852] = {.lex_state = 52, .external_lex_state = 14},
  [1853] = {.lex_state = 52, .external_lex_state = 8},
  [1854] = {.lex_state = 52, .external_lex_state = 15},
  [1855] = {.lex_state = 52, .external_lex_state = 13},
  [1856] = {.lex_state = 52, .external_lex_state = 13},
  [1857] = {.lex_state = 52, .external_lex_state = 14},
  [1858] = {.lex_state = 52, .external_lex_state = 12},
  [1859] = {.lex_state = 52, .external_lex_state = 14},
  [1860] = {.lex_state = 52, .external_lex_state = 13},
  [1861] = {.lex_state = 7, .external_lex_state = 12},
  [1862] = {.lex_state = 52, .external_lex_state = 12},
  [1863] = {.lex_state = 7, .external_lex_state = 12},
  [1864] = {.lex_state = 7, .external_lex_state = 14},
  [1865] = {.lex_state = 52, .external_lex_state = 12},
  [1866] = {.lex_state = 52, .external_lex_state = 12},
  [1867] = {.lex_state = 52, .external_lex_state = 13},
  [1868] = {.lex_state = 52, .external_lex_state = 13},
  [1869] = {.lex_state = 52, .external_lex_state = 13},
  [1870] = {.lex_state = 7, .external_lex_state = 12},
  [1871] = {.lex_state = 52, .external_lex_state = 13},
  [1872] = {.lex_state = 52, .external_lex_state = 13},
  [1873] = {.lex_state = 52, .external_lex_state = 6},
  [1874] = {.lex_state = 7, .external_lex_state = 11},
  [1875] = {.lex_state = 52, .external_lex_state = 13},
  [1876] = {.lex_state = 8, .external_lex_state = 11},
  [1877] = {.lex_state = 52, .external_lex_state = 12},
  [1878] = {.lex_state = 52, .external_lex_state = 12},
  [1879] = {.lex_state = 8, .external_lex_state = 14},
  [1880] = {.lex_state = 52, .external_lex_state = 15},
  [1881] = {.lex_state = 8, .external_lex_state = 14},
  [1882] = {.lex_state = 52, .external_lex_state = 14},
  [1883] = {.lex_state = 8, .external_lex_state = 11},
  [1884] = {.lex_state = 52, .external_lex_state = 14},
  [1885] = {.lex_state = 8, .external_lex_state = 11},
  [1886] = {.lex_state = 52, .external_lex_state = 15},
  [1887] = {.lex_state = 52, .external_lex_state = 15},
  [1888] = {.lex_state = 52, .external_lex_state = 12},
  [1889] = {.lex_state = 52, .external_lex_state = 13},
  [1890] = {.lex_state = 52, .external_lex_state = 13},
  [1891] = {.lex_state = 0, .external_lex_state = 16},
  [1892] = {.lex_state = 52, .external_lex_state = 12},
  [1893] = {.lex_state = 0, .external_lex_state = 16},
  [1894] = {.lex_state = 52, .external_lex_state = 14},
  [1895] = {.lex_state = 8, .external_lex_state = 12},
  [1896] = {.lex_state = 52, .external_lex_state = 13},
  [1897] = {.lex_state = 52, .external_lex_state = 15},
  [1898] = {.lex_state = 52, .external_lex_state = 11},
  [1899] = {.lex_state = 52, .external_lex_state = 11},
  [1900] = {.lex_state = 52, .external_lex_state = 12},
  [1901] = {.lex_state = 8, .external_lex_state = 11},
  [1902] = {.lex_state = 52, .external_lex_state = 15},
  [1903] = {.lex_state = 52, .external_lex_state = 14},
  [1904] = {.lex_state = 52, .external_lex_state = 15},
  [1905] = {.lex_state = 52, .external_lex_state = 12},
  [1906] = {.lex_state = 52, .external_lex_state = 12},
  [1907] = {.lex_state = 52, .external_lex_state = 14},
  [1908] = {.lex_state = 52, .external_lex_state = 13},
  [1909] = {.lex_state = 8, .external_lex_state = 11},
  [1910] = {.lex_state = 52, .external_lex_state = 13},
  [1911] = {.lex_state = 52, .external_lex_state = 13},
  [1912] = {.lex_state = 52, .external_lex_state = 13},
  [1913] = {.lex_state = 52, .external_lex_state = 12},
  [1914] = {.lex_state = 8, .external_lex_state = 12},
  [1915] = {.lex_state = 0, .external_lex_state = 16},
  [1916] = {.lex_state = 52, .external_lex_state = 14},
  [1917] = {.lex_state = 52, .external_lex_state = 14},
  [1918] = {.lex_state = 52, .external_lex_state = 15},
  [1919] = {.lex_state = 52, .external_lex_state = 14},
  [1920] = {.lex_state = 52, .external_lex_state = 13},
  [1921] = {.lex_state = 8, .external_lex_state = 14},
  [1922] = {.lex_state = 8, .external_lex_state = 14},
  [1923] = {.lex_state = 52, .external_lex_state = 15},
  [1924] = {.lex_state = 8, .external_lex_state = 14},
  [1925] = {.lex_state = 7, .external_lex_state = 11},
  [1926] = {.lex_state = 8, .external_lex_state = 11},
  [1927] = {.lex_state = 52, .external_lex_state = 14},
  [1928] = {.lex_state = 52, .external_lex_state = 14},
  [1929] = {.lex_state = 52, .external_lex_state = 12},
  [1930] = {.lex_state = 8, .external_lex_state = 14},
  [1931] = {.lex_state = 8, .external_lex_state = 12},
  [1932] = {.lex_state = 52, .external_lex_state = 12},
  [1933] = {.lex_state = 8, .external_lex_state = 15},
  [1934] = {.lex_state = 52, .external_lex_state = 15},
  [1935] = {.lex_state = 52, .external_lex_state = 15},
  [1936] = {.lex_state = 52, .external_lex_state = 15},
  [1937] = {.lex_state = 52, .external_lex_state = 14},
  [1938] = {.lex_state = 52, .external_lex_state = 14},
  [1939] = {.lex_state = 8, .external_lex_state = 15},
  [1940] = {.lex_state = 8, .external_lex_state = 11},
  [1941] = {.lex_state = 52, .external_lex_state = 14},
  [1942] = {.lex_state = 52, .external_lex_state = 14},
  [1943] = {.lex_state = 52, .external_lex_state = 13},
  [1944] = {.lex_state = 52, .external_lex_state = 15},
  [1945] = {.lex_state = 8, .external_lex_state = 12},
  [1946] = {.lex_state = 52, .external_lex_state = 11},
  [1947] = {.lex_state = 7, .external_lex_state = 13},
  [1948] = {.lex_state = 0, .external_lex_state = 16},
  [1949] = {.lex_state = 7, .external_lex_state = 12},
  [1950] = {.lex_state = 52, .external_lex_state = 14},
  [1951] = {.lex_state = 0, .external_lex_state = 16},
  [1952] = {.lex_state = 52, .external_lex_state = 14},
  [1953] = {.lex_state = 52, .external_lex_state = 13},
  [1954] = {.lex_state = 52, .external_lex_state = 12},
  [1955] = {.lex_state = 52, .external_lex_state = 14},
  [1956] = {.lex_state = 8, .external_lex_state = 11},
  [1957] = {.lex_state = 52, .external_lex_state = 13},
  [1958] = {.lex_state = 52, .external_lex_state = 14},
  [1959] = {.lex_state = 0, .external_lex_state = 16},
  [1960] = {.lex_state = 0, .external_lex_state = 16},
  [1961] = {.lex_state = 8, .external_lex_state = 11},
  [1962] = {.lex_state = 8, .external_lex_state = 15},
  [1963] = {.lex_state = 52, .external_lex_state = 12},
  [1964] = {.lex_state = 52, .external_lex_state = 15},
  [1965] = {.lex_state = 7, .external_lex_state = 14},
  [1966] = {.lex_state = 8, .external_lex_state = 14},
  [1967] = {.lex_state = 8, .external_lex_state = 14},
  [1968] = {.lex_state = 52, .external_lex_state = 13},
  [1969] = {.lex_state = 52, .external_lex_state = 15},
  [1970] = {.lex_state = 52, .external_lex_state = 13},
  [1971] = {.lex_state = 8, .external_lex_state = 14},
  [1972] = {.lex_state = 52, .external_lex_state = 12},
  [1973] = {.lex_state = 8, .external_lex_state = 11},
  [1974] = {.lex_state = 8, .external_lex_state = 11},
  [1975] = {.lex_state = 52, .external_lex_state = 15},
  [1976] = {.lex_state = 52, .external_lex_state = 13},
  [1977] = {.lex_state = 8, .external_lex_state = 14},
  [1978] = {.lex_state = 52, .external_lex_state = 15},
  [1979] = {.lex_state = 0, .external_lex_state = 16},
  [1980] = {.lex_state = 7, .external_lex_state = 11},
  [1981] = {.lex_state = 8, .external_lex_state = 14},
  [1982] = {.lex_state = 52, .external_lex_state = 12},
  [1983] = {.lex_state = 52, .external_lex_state = 15},
  [1984] = {.lex_state = 52, .external_lex_state = 14},
  [1985] = {.lex_state = 52, .external_lex_state = 15},
  [1986] = {.lex_state = 52, .external_lex_state = 15},
  [1987] = {.lex_state = 8, .external_lex_state = 15},
  [1988] = {.lex_state = 52, .external_lex_state = 11},
  [1989] = {.lex_state = 52, .external_lex_state = 15},
  [1990] = {.lex_state = 52, .external_lex_state = 15},
  [1991] = {.lex_state = 8, .external_lex_state = 11},
  [1992] = {.lex_state = 52, .external_lex_state = 15},
  [1993] = {.lex_state = 52, .external_lex_state = 15},
  [1994] = {.lex_state = 52, .external_lex_state = 15},
  [1995] = {.lex_state = 52, .external_lex_state = 15},
  [1996] = {.lex_state = 8, .external_lex_state = 15},
  [1997] = {.lex_state = 52, .external_lex_state = 15},
  [1998] = {.lex_state = 52, .external_lex_state = 13},
  [1999] = {.lex_state = 52, .external_lex_state = 13},
  [2000] = {.lex_state = 52, .external_lex_state = 12},
  [2001] = {.lex_state = 52, .external_lex_state = 15},
  [2002] = {.lex_state = 52, .external_lex_state = 15},
  [2003] = {.lex_state = 52, .external_lex_state = 11},
  [2004] = {.lex_state = 52, .external_lex_state = 12},
  [2005] = {.lex_state = 52, .external_lex_state = 13},
  [2006] = {.lex_state = 52, .external_lex_state = 15},
  [2007] = {.lex_state = 52, .external_lex_state = 15},
  [2008] = {.lex_state = 52, .external_lex_state = 15},
  [2009] = {.lex_state = 8, .external_lex_state = 12},
  [2010] = {.lex_state = 8, .external_lex_state = 12},
  [2011] = {.lex_state = 8, .external_lex_state = 12},
  [2012] = {.lex_state = 52, .external_lex_state = 15},
  [2013] = {.lex_state = 52, .external_lex_state = 15},
  [2014] = {.lex_state = 52, .external_lex_state = 12},
  [2015] = {.lex_state = 52, .external_lex_state = 15},
  [2016] = {.lex_state = 52, .external_lex_state = 15},
  [2017] = {.lex_state = 52, .external_lex_state = 15},
  [2018] = {.lex_state = 52, .external_lex_state = 15},
  [2019] = {.lex_state = 8, .external_lex_state = 12},
  [2020] = {.lex_state = 52, .external_lex_state = 15},
  [2021] = {.lex_state = 52, .external_lex_state = 13},
  [2022] = {.lex_state = 52, .external_lex_state = 15},
  [2023] = {.lex_state = 52, .external_lex_state = 15},
  [2024] = {.lex_state = 7, .external_lex_state = 11},
  [2025] = {.lex_state = 52, .external_lex_state = 14},
  [2026] = {.lex_state = 8, .external_lex_state = 15},
  [2027] = {.lex_state = 52, .external_lex_state = 15},
  [2028] = {.lex_state = 52, .external_lex_state = 11},
  [2029] = {.lex_state = 52, .external_lex_state = 15},
  [2030] = {.lex_state = 52, .external_lex_state = 15},
  [2031] = {.lex_state = 52, .external_lex_state = 13},
  [2032] = {.lex_state = 52, .external_lex_state = 13},
  [2033] = {.lex_state = 52, .external_lex_state = 15},
  [2034] = {.lex_state = 52, .external_lex_state = 15},
  [2035] = {.lex_state = 52, .external_lex_state = 15},
  [2036] = {.lex_state = 52, .external_lex_state = 15},
  [2037] = {.lex_state = 52, .external_lex_state = 15},
  [2038] = {.lex_state = 52, .external_lex_state = 11},
  [2039] = {.lex_state = 52, .external_lex_state = 15},
  [2040] = {.lex_state = 8, .external_lex_state = 12},
  [2041] = {.lex_state = 3, .external_lex_state = 13},
  [2042] = {.lex_state = 52, .external_lex_state = 13},
  [2043] = {.lex_state = 52, .external_lex_state = 15},
  [2044] = {.lex_state = 52, .external_lex_state = 15},
  [2045] = {.lex_state = 52, .external_lex_state = 11},
  [2046] = {.lex_state = 8, .external_lex_state = 12},
  [2047] = {.lex_state = 52, .external_lex_state = 14},
  [2048] = {.lex_state = 52, .external_lex_state = 13},
  [2049] = {.lex_state = 52, .external_lex_state = 14},
  [2050] = {.lex_state = 52, .external_lex_state = 13},
  [2051] = {.lex_state = 52, .external_lex_state = 13},
  [2052] = {.lex_state = 52, .external_lex_state = 12},
  [2053] = {.lex_state = 52, .external_lex_state = 13},
  [2054] = {.lex_state = 52, .external_lex_state = 13},
  [2055] = {.lex_state = 52, .external_lex_state = 14},
  [2056] = {.lex_state = 52, .external_lex_state = 13},
  [2057] = {.lex_state = 52, .external_lex_state = 13},
  [2058] = {.lex_state = 52, .external_lex_state = 13},
  [2059] = {.lex_state = 52, .external_lex_state = 15},
  [2060] = {.lex_state = 52, .external_lex_state = 15},
  [2061] = {.lex_state = 52, .external_lex_state = 13},
  [2062] = {.lex_state = 52, .external_lex_state = 15},
  [2063] = {.lex_state = 52, .external_lex_state = 12},
  [2064] = {.lex_state = 52, .external_lex_state = 13},
  [2065] = {.lex_state = 52, .external_lex_state = 14},
  [2066] = {.lex_state = 52, .external_lex_state = 13},
  [2067] = {.lex_state = 52, .external_lex_state = 12},
  [2068] = {.lex_state = 52, .external_lex_state = 13},
  [2069] = {.lex_state = 52, .external_lex_state = 15},
  [2070] = {.lex_state = 52, .external_lex_state = 15},
  [2071] = {.lex_state = 52, .external_lex_state = 15},
  [2072] = {.lex_state = 52, .external_lex_state = 12},
  [2073] = {.lex_state = 8, .external_lex_state = 12},
  [2074] = {.lex_state = 8, .external_lex_state = 15},
  [2075] = {.lex_state = 52, .external_lex_state = 14},
  [2076] = {.lex_state = 52, .external_lex_state = 11},
  [2077] = {.lex_state = 52, .external_lex_state = 15},
  [2078] = {.lex_state = 52, .external_lex_state = 12},
  [2079] = {.lex_state = 52, .external_lex_state = 15},
  [2080] = {.lex_state = 8, .external_lex_state = 15},
  [2081] = {.lex_state = 8, .external_lex_state = 15},
  [2082] = {.lex_state = 8, .external_lex_state = 15},
  [2083] = {.lex_state = 8, .external_lex_state = 12},
  [2084] = {.lex_state = 8, .external_lex_state = 12},
  [2085] = {.lex_state = 8, .external_lex_state = 12},
  [2086] = {.lex_state = 52, .external_lex_state = 15},
  [2087] = {.lex_state = 52, .external_lex_state = 14},
  [2088] = {.lex_state = 52, .external_lex_state = 13},
  [2089] = {.lex_state = 52, .external_lex_state = 15},
  [2090] = {.lex_state = 52, .external_lex_state = 12},
  [2091] = {.lex_state = 52, .external_lex_state = 11},
  [2092] = {.lex_state = 3, .external_lex_state = 13},
  [2093] = {.lex_state = 52, .external_lex_state = 15},
  [2094] = {.lex_state = 52, .external_lex_state = 13},
  [2095] = {.lex_state = 8, .external_lex_state = 15},
  [2096] = {.lex_state = 52, .external_lex_state = 15},
  [2097] = {.lex_state = 52, .external_lex_state = 15},
  [2098] = {.lex_state = 3, .external_lex_state = 13},
  [2099] = {.lex_state = 8, .external_lex_state = 12},
  [2100] = {.lex_state = 8, .external_lex_state = 14},
  [2101] = {.lex_state = 52, .external_lex_state = 14},
  [2102] = {.lex_state = 52, .external_lex_state = 15},
  [2103] = {.lex_state = 52, .external_lex_state = 13},
  [2104] = {.lex_state = 52, .external_lex_state = 13},
  [2105] = {.lex_state = 52, .external_lex_state = 17},
  [2106] = {.lex_state = 52, .external_lex_state = 15},
  [2107] = {.lex_state = 52, .external_lex_state = 15},
  [2108] = {.lex_state = 52, .external_lex_state = 11},
  [2109] = {.lex_state = 52, .external_lex_state = 11},
  [2110] = {.lex_state = 52, .external_lex_state = 17},
  [2111] = {.lex_state = 52, .external_lex_state = 11},
  [2112] = {.lex_state = 52, .external_lex_state = 11},
  [2113] = {.lex_state = 52, .external_lex_state = 11},
  [2114] = {.lex_state = 52, .external_lex_state = 17},
  [2115] = {.lex_state = 52, .external_lex_state = 11},
  [2116] = {.lex_state = 52, .external_lex_state = 13},
  [2117] = {.lex_state = 52, .external_lex_state = 11},
  [2118] = {.lex_state = 52, .external_lex_state = 14},
  [2119] = {.lex_state = 52, .external_lex_state = 12},
  [2120] = {.lex_state = 52, .external_lex_state = 12},
  [2121] = {.lex_state = 52, .external_lex_state = 12},
  [2122] = {.lex_state = 52, .external_lex_state = 12},
  [2123] = {.lex_state = 52, .external_lex_state = 12},
  [2124] = {.lex_state = 8, .external_lex_state = 15},
  [2125] = {.lex_state = 52, .external_lex_state = 14},
  [2126] = {.lex_state = 52, .external_lex_state = 12},
  [2127] = {.lex_state = 52, .external_lex_state = 12},
  [2128] = {.lex_state = 52, .external_lex_state = 12},
  [2129] = {.lex_state = 52, .external_lex_state = 12},
  [2130] = {.lex_state = 52, .external_lex_state = 12},
  [2131] = {.lex_state = 52, .external_lex_state = 12},
  [2132] = {.lex_state = 7, .external_lex_state = 15},
  [2133] = {.lex_state = 52, .external_lex_state = 12},
  [2134] = {.lex_state = 52, .external_lex_state = 12},
  [2135] = {.lex_state = 52, .external_lex_state = 12},
  [2136] = {.lex_state = 52, .external_lex_state = 12},
  [2137] = {.lex_state = 52, .external_lex_state = 12},
  [2138] = {.lex_state = 52, .external_lex_state = 12},
  [2139] = {.lex_state = 52, .external_lex_state = 12},
  [2140] = {.lex_state = 52, .external_lex_state = 12},
  [2141] = {.lex_state = 52, .external_lex_state = 12},
  [2142] = {.lex_state = 52, .external_lex_state = 12},
  [2143] = {.lex_state = 52, .external_lex_state = 12},
  [2144] = {.lex_state = 52, .external_lex_state = 12},
  [2145] = {.lex_state = 52, .external_lex_state = 12},
  [2146] = {.lex_state = 52, .external_lex_state = 12},
  [2147] = {.lex_state = 52, .external_lex_state = 11},
  [2148] = {.lex_state = 52, .external_lex_state = 14},
  [2149] = {.lex_state = 52, .external_lex_state = 12},
  [2150] = {.lex_state = 52, .external_lex_state = 15},
  [2151] = {.lex_state = 52, .external_lex_state = 15},
  [2152] = {.lex_state = 52, .external_lex_state = 17},
  [2153] = {.lex_state = 52, .external_lex_state = 14},
  [2154] = {.lex_state = 52, .external_lex_state = 11},
  [2155] = {.lex_state = 52, .external_lex_state = 14},
  [2156] = {.lex_state = 52, .external_lex_state = 14},
  [2157] = {.lex_state = 52, .external_lex_state = 14},
  [2158] = {.lex_state = 52, .external_lex_state = 14},
  [2159] = {.lex_state = 52, .external_lex_state = 14},
  [2160] = {.lex_state = 52, .external_lex_state = 15},
  [2161] = {.lex_state = 52, .external_lex_state = 11},
  [2162] = {.lex_state = 52, .external_lex_state = 11},
  [2163] = {.lex_state = 52, .external_lex_state = 14},
  [2164] = {.lex_state = 52, .external_lex_state = 12},
  [2165] = {.lex_state = 52, .external_lex_state = 14},
  [2166] = {.lex_state = 52, .external_lex_state = 14},
  [2167] = {.lex_state = 52, .external_lex_state = 14},
  [2168] = {.lex_state = 52, .external_lex_state = 14},
  [2169] = {.lex_state = 52, .external_lex_state = 14},
  [2170] = {.lex_state = 52, .external_lex_state = 14},
  [2171] = {.lex_state = 52, .external_lex_state = 14},
  [2172] = {.lex_state = 8, .external_lex_state = 15},
  [2173] = {.lex_state = 7, .external_lex_state = 15},
  [2174] = {.lex_state = 52, .external_lex_state = 14},
  [2175] = {.lex_state = 52, .external_lex_state = 15},
  [2176] = {.lex_state = 52, .external_lex_state = 14},
  [2177] = {.lex_state = 52, .external_lex_state = 14},
  [2178] = {.lex_state = 52, .external_lex_state = 14},
  [2179] = {.lex_state = 52, .external_lex_state = 14},
  [2180] = {.lex_state = 52, .external_lex_state = 14},
  [2181] = {.lex_state = 52, .external_lex_state = 14},
  [2182] = {.lex_state = 52, .external_lex_state = 14},
  [2183] = {.lex_state = 52, .external_lex_state = 14},
  [2184] = {.lex_state = 52, .external_lex_state = 14},
  [2185] = {.lex_state = 52, .external_lex_state = 14},
  [2186] = {.lex_state = 52, .external_lex_state = 14},
  [2187] = {.lex_state = 52, .external_lex_state = 14},
  [2188] = {.lex_state = 52, .external_lex_state = 14},
  [2189] = {.lex_state = 52, .external_lex_state = 14},
  [2190] = {.lex_state = 52, .external_lex_state = 12},
  [2191] = {.lex_state = 52, .external_lex_state = 13},
  [2192] = {.lex_state = 52, .external_lex_state = 13},
  [2193] = {.lex_state = 52, .external_lex_state = 13},
  [2194] = {.lex_state = 52, .external_lex_state = 14},
  [2195] = {.lex_state = 52, .external_lex_state = 13},
  [2196] = {.lex_state = 52, .external_lex_state = 13},
  [2197] = {.lex_state = 52, .external_lex_state = 13},
  [2198] = {.lex_state = 52, .external_lex_state = 13},
  [2199] = {.lex_state = 52, .external_lex_state = 13},
  [2200] = {.lex_state = 52, .external_lex_state = 13},
  [2201] = {.lex_state = 52, .external_lex_state = 13},
  [2202] = {.lex_state = 52, .external_lex_state = 13},
  [2203] = {.lex_state = 52, .external_lex_state = 13},
  [2204] = {.lex_state = 52, .external_lex_state = 13},
  [2205] = {.lex_state = 52, .external_lex_state = 13},
  [2206] = {.lex_state = 52, .external_lex_state = 13},
  [2207] = {.lex_state = 52, .external_lex_state = 13},
  [2208] = {.lex_state = 52, .external_lex_state = 13},
  [2209] = {.lex_state = 52, .external_lex_state = 13},
  [2210] = {.lex_state = 52, .external_lex_state = 13},
  [2211] = {.lex_state = 52, .external_lex_state = 13},
  [2212] = {.lex_state = 52, .external_lex_state = 13},
  [2213] = {.lex_state = 52, .external_lex_state = 13},
  [2214] = {.lex_state = 52, .external_lex_state = 11},
  [2215] = {.lex_state = 52, .external_lex_state = 17},
  [2216] = {.lex_state = 52, .external_lex_state = 11},
  [2217] = {.lex_state = 52, .external_lex_state = 11},
  [2218] = {.lex_state = 52, .external_lex_state = 15},
  [2219] = {.lex_state = 52, .external_lex_state = 13},
  [2220] = {.lex_state = 52, .external_lex_state = 11},
  [2221] = {.lex_state = 52, .external_lex_state = 11},
  [2222] = {.lex_state = 52, .external_lex_state = 11},
  [2223] = {.lex_state = 52, .external_lex_state = 15},
  [2224] = {.lex_state = 52, .external_lex_state = 15},
  [2225] = {.lex_state = 52, .external_lex_state = 14},
  [2226] = {.lex_state = 52, .external_lex_state = 14},
  [2227] = {.lex_state = 52, .external_lex_state = 15},
  [2228] = {.lex_state = 52, .external_lex_state = 15},
  [2229] = {.lex_state = 52, .external_lex_state = 14},
  [2230] = {.lex_state = 52, .external_lex_state = 15},
  [2231] = {.lex_state = 52, .external_lex_state = 14},
  [2232] = {.lex_state = 52, .external_lex_state = 14},
  [2233] = {.lex_state = 52, .external_lex_state = 12},
  [2234] = {.lex_state = 52, .external_lex_state = 13},
  [2235] = {.lex_state = 8, .external_lex_state = 15},
  [2236] = {.lex_state = 52, .external_lex_state = 12},
  [2237] = {.lex_state = 52, .external_lex_state = 11},
  [2238] = {.lex_state = 52, .external_lex_state = 14},
  [2239] = {.lex_state = 52, .external_lex_state = 14},
  [2240] = {.lex_state = 52, .external_lex_state = 13},
  [2241] = {.lex_state = 52, .external_lex_state = 14},
  [2242] = {.lex_state = 52, .external_lex_state = 14},
  [2243] = {.lex_state = 3, .external_lex_state = 13},
  [2244] = {.lex_state = 3, .external_lex_state = 13},
  [2245] = {.lex_state = 52, .external_lex_state = 12},
  [2246] = {.lex_state = 3, .external_lex_state = 13},
  [2247] = {.lex_state = 52, .external_lex_state = 11},
  [2248] = {.lex_state = 52, .external_lex_state = 14},
  [2249] = {.lex_state = 52, .external_lex_state = 15},
  [2250] = {.lex_state = 52, .external_lex_state = 14},
  [2251] = {.lex_state = 52, .external_lex_state = 12},
  [2252] = {.lex_state = 52, .external_lex_state = 12},
  [2253] = {.lex_state = 52, .external_lex_state = 12},
  [2254] = {.lex_state = 52, .external_lex_state = 14},
  [2255] = {.lex_state = 52, .external_lex_state = 14},
  [2256] = {.lex_state = 52, .external_lex_state = 15},
  [2257] = {.lex_state = 52, .external_lex_state = 14},
  [2258] = {.lex_state = 52, .external_lex_state = 13},
  [2259] = {.lex_state = 52, .external_lex_state = 15},
  [2260] = {.lex_state = 52, .external_lex_state = 14},
  [2261] = {.lex_state = 52, .external_lex_state = 12},
  [2262] = {.lex_state = 52, .external_lex_state = 13},
  [2263] = {.lex_state = 52, .external_lex_state = 13},
  [2264] = {.lex_state = 52, .external_lex_state = 14},
  [2265] = {.lex_state = 8, .external_lex_state = 15},
  [2266] = {.lex_state = 52, .external_lex_state = 11},
  [2267] = {.lex_state = 3, .external_lex_state = 13},
  [2268] = {.lex_state = 52, .external_lex_state = 13},
  [2269] = {.lex_state = 52, .external_lex_state = 14},
  [2270] = {.lex_state = 52, .external_lex_state = 11},
  [2271] = {.lex_state = 52, .external_lex_state = 18},
  [2272] = {.lex_state = 3, .external_lex_state = 13},
  [2273] = {.lex_state = 52, .external_lex_state = 14},
  [2274] = {.lex_state = 52, .external_lex_state = 14},
  [2275] = {.lex_state = 52, .external_lex_state = 15},
  [2276] = {.lex_state = 52, .external_lex_state = 13},
  [2277] = {.lex_state = 3, .external_lex_state = 13},
  [2278] = {.lex_state = 52, .external_lex_state = 11},
  [2279] = {.lex_state = 52, .external_lex_state = 11},
  [2280] = {.lex_state = 52, .external_lex_state = 12},
  [2281] = {.lex_state = 52, .external_lex_state = 11},
  [2282] = {.lex_state = 52, .external_lex_state = 13},
  [2283] = {.lex_state = 52, .external_lex_state = 12},
  [2284] = {.lex_state = 52, .external_lex_state = 13},
  [2285] = {.lex_state = 52, .external_lex_state = 14},
  [2286] = {.lex_state = 52, .external_lex_state = 14},
  [2287] = {.lex_state = 52, .external_lex_state = 14},
  [2288] = {.lex_state = 52, .external_lex_state = 12},
  [2289] = {.lex_state = 52, .external_lex_state = 14},
  [2290] = {.lex_state = 52, .external_lex_state = 14},
  [2291] = {.lex_state = 52, .external_lex_state = 12},
  [2292] = {.lex_state = 52, .external_lex_state = 14},
  [2293] = {.lex_state = 52, .external_lex_state = 13},
  [2294] = {.lex_state = 52, .external_lex_state = 12},
  [2295] = {.lex_state = 52, .external_lex_state = 12},
  [2296] = {.lex_state = 52, .external_lex_state = 15},
  [2297] = {.lex_state = 52, .external_lex_state = 12},
  [2298] = {.lex_state = 52, .external_lex_state = 12},
  [2299] = {.lex_state = 3, .external_lex_state = 13},
  [2300] = {.lex_state = 52, .external_lex_state = 11},
  [2301] = {.lex_state = 8, .external_lex_state = 15},
  [2302] = {.lex_state = 52, .external_lex_state = 15},
  [2303] = {.lex_state = 52, .external_lex_state = 13},
  [2304] = {.lex_state = 52, .external_lex_state = 14},
  [2305] = {.lex_state = 52, .external_lex_state = 12},
  [2306] = {.lex_state = 52, .external_lex_state = 12},
  [2307] = {.lex_state = 52, .external_lex_state = 13},
  [2308] = {.lex_state = 52, .external_lex_state = 13},
  [2309] = {.lex_state = 52, .external_lex_state = 13},
  [2310] = {.lex_state = 52, .external_lex_state = 15},
  [2311] = {.lex_state = 52, .external_lex_state = 14},
  [2312] = {.lex_state = 52, .external_lex_state = 14},
  [2313] = {.lex_state = 52, .external_lex_state = 14},
  [2314] = {.lex_state = 52, .external_lex_state = 14},
  [2315] = {.lex_state = 52, .external_lex_state = 12},
  [2316] = {.lex_state = 52, .external_lex_state = 14},
  [2317] = {.lex_state = 52, .external_lex_state = 18},
  [2318] = {.lex_state = 52, .external_lex_state = 14},
  [2319] = {.lex_state = 52, .external_lex_state = 11},
  [2320] = {.lex_state = 52, .external_lex_state = 14},
  [2321] = {.lex_state = 52, .external_lex_state = 14},
  [2322] = {.lex_state = 52, .external_lex_state = 14},
  [2323] = {.lex_state = 52, .external_lex_state = 14},
  [2324] = {.lex_state = 52, .external_lex_state = 13},
  [2325] = {.lex_state = 52, .external_lex_state = 14},
  [2326] = {.lex_state = 52, .external_lex_state = 13},
  [2327] = {.lex_state = 52, .external_lex_state = 11},
  [2328] = {.lex_state = 52, .external_lex_state = 18},
  [2329] = {.lex_state = 52, .external_lex_state = 13},
  [2330] = {.lex_state = 52, .external_lex_state = 13},
  [2331] = {.lex_state = 52, .external_lex_state = 13},
  [2332] = {.lex_state = 52, .external_lex_state = 14},
  [2333] = {.lex_state = 52, .external_lex_state = 14},
  [2334] = {.lex_state = 52, .external_lex_state = 13},
  [2335] = {.lex_state = 52, .external_lex_state = 12},
  [2336] = {.lex_state = 52, .external_lex_state = 14},
  [2337] = {.lex_state = 52, .external_lex_state = 14},
  [2338] = {.lex_state = 52, .external_lex_state = 14},
  [2339] = {.lex_state = 52, .external_lex_state = 15},
  [2340] = {.lex_state = 52, .external_lex_state = 12},
  [2341] = {.lex_state = 52, .external_lex_state = 12},
  [2342] = {.lex_state = 52, .external_lex_state = 14},
  [2343] = {.lex_state = 52, .external_lex_state = 18},
  [2344] = {.lex_state = 52, .external_lex_state = 15},
  [2345] = {.lex_state = 52, .external_lex_state = 14},
  [2346] = {.lex_state = 52, .external_lex_state = 14},
  [2347] = {.lex_state = 52, .external_lex_state = 15},
  [2348] = {.lex_state = 52, .external_lex_state = 12},
  [2349] = {.lex_state = 52, .external_lex_state = 15},
  [2350] = {.lex_state = 52, .external_lex_state = 15},
  [2351] = {.lex_state = 52, .external_lex_state = 12},
  [2352] = {.lex_state = 52, .external_lex_state = 14},
  [2353] = {.lex_state = 52, .external_lex_state = 14},
  [2354] = {.lex_state = 52, .external_lex_state = 12},
  [2355] = {.lex_state = 52, .external_lex_state = 13},
  [2356] = {.lex_state = 52, .external_lex_state = 13},
  [2357] = {.lex_state = 3, .external_lex_state = 13},
  [2358] = {.lex_state = 52, .external_lex_state = 15},
  [2359] = {.lex_state = 52, .external_lex_state = 13},
  [2360] = {.lex_state = 52, .external_lex_state = 13},
  [2361] = {.lex_state = 52, .external_lex_state = 14},
  [2362] = {.lex_state = 52, .external_lex_state = 14},
  [2363] = {.lex_state = 52, .external_lex_state = 12},
  [2364] = {.lex_state = 52, .external_lex_state = 14},
  [2365] = {.lex_state = 52, .external_lex_state = 14},
  [2366] = {.lex_state = 52, .external_lex_state = 14},
  [2367] = {.lex_state = 52, .external_lex_state = 13},
  [2368] = {.lex_state = 52, .external_lex_state = 14},
  [2369] = {.lex_state = 52, .external_lex_state = 12},
  [2370] = {.lex_state = 52, .external_lex_state = 12},
  [2371] = {.lex_state = 52, .external_lex_state = 14},
  [2372] = {.lex_state = 52, .external_lex_state = 13},
  [2373] = {.lex_state = 52, .external_lex_state = 13},
  [2374] = {.lex_state = 52, .external_lex_state = 13},
  [2375] = {.lex_state = 52, .external_lex_state = 14},
  [2376] = {.lex_state = 52, .external_lex_state = 14},
  [2377] = {.lex_state = 52, .external_lex_state = 13},
  [2378] = {.lex_state = 52, .external_lex_state = 14},
  [2379] = {.lex_state = 52, .external_lex_state = 13},
  [2380] = {.lex_state = 52, .external_lex_state = 14},
  [2381] = {.lex_state = 52, .external_lex_state = 13},
  [2382] = {.lex_state = 52, .external_lex_state = 14},
  [2383] = {.lex_state = 52, .external_lex_state = 14},
  [2384] = {.lex_state = 52, .external_lex_state = 14},
  [2385] = {.lex_state = 52, .external_lex_state = 12},
  [2386] = {.lex_state = 52, .external_lex_state = 12},
  [2387] = {.lex_state = 52, .external_lex_state = 12},
  [2388] = {.lex_state = 52, .external_lex_state = 14},
  [2389] = {.lex_state = 52, .external_lex_state = 13},
  [2390] = {.lex_state = 52, .external_lex_state = 14},
  [2391] = {.lex_state = 52, .external_lex_state = 14},
  [2392] = {.lex_state = 52, .external_lex_state = 12},
  [2393] = {.lex_state = 52, .external_lex_state = 12},
  [2394] = {.lex_state = 52, .external_lex_state = 12},
  [2395] = {.lex_state = 52, .external_lex_state = 12},
  [2396] = {.lex_state = 52, .external_lex_state = 15},
  [2397] = {.lex_state = 52, .external_lex_state = 12},
  [2398] = {.lex_state = 52, .external_lex_state = 14},
  [2399] = {.lex_state = 52, .external_lex_state = 12},
  [2400] = {.lex_state = 52, .external_lex_state = 15},
  [2401] = {.lex_state = 52, .external_lex_state = 14},
  [2402] = {.lex_state = 8, .external_lex_state = 15},
  [2403] = {.lex_state = 52, .external_lex_state = 13},
  [2404] = {.lex_state = 52, .external_lex_state = 14},
  [2405] = {.lex_state = 52, .external_lex_state = 14},
  [2406] = {.lex_state = 52, .external_lex_state = 11},
  [2407] = {.lex_state = 52, .external_lex_state = 13},
  [2408] = {.lex_state = 52, .external_lex_state = 14},
  [2409] = {.lex_state = 52, .external_lex_state = 14},
  [2410] = {.lex_state = 52, .external_lex_state = 15},
  [2411] = {.lex_state = 52, .external_lex_state = 12},
  [2412] = {.lex_state = 52, .external_lex_state = 14},
  [2413] = {.lex_state = 52, .external_lex_state = 14},
  [2414] = {.lex_state = 52, .external_lex_state = 12},
  [2415] = {.lex_state = 52, .external_lex_state = 12},
  [2416] = {.lex_state = 52, .external_lex_state = 12},
  [2417] = {.lex_state = 52, .external_lex_state = 12},
  [2418] = {.lex_state = 52, .external_lex_state = 11},
  [2419] = {.lex_state = 52, .external_lex_state = 14},
  [2420] = {.lex_state = 52, .external_lex_state = 18},
  [2421] = {.lex_state = 52, .external_lex_state = 12},
  [2422] = {.lex_state = 52, .external_lex_state = 12},
  [2423] = {.lex_state = 52, .external_lex_state = 12},
  [2424] = {.lex_state = 52, .external_lex_state = 15},
  [2425] = {.lex_state = 52, .external_lex_state = 14},
  [2426] = {.lex_state = 52, .external_lex_state = 12},
  [2427] = {.lex_state = 52, .external_lex_state = 12},
  [2428] = {.lex_state = 52, .external_lex_state = 12},
  [2429] = {.lex_state = 52, .external_lex_state = 14},
  [2430] = {.lex_state = 52, .external_lex_state = 13},
  [2431] = {.lex_state = 52, .external_lex_state = 18},
  [2432] = {.lex_state = 52, .external_lex_state = 15},
  [2433] = {.lex_state = 52, .external_lex_state = 11},
  [2434] = {.lex_state = 52, .external_lex_state = 13},
  [2435] = {.lex_state = 52, .external_lex_state = 11},
  [2436] = {.lex_state = 52, .external_lex_state = 15},
  [2437] = {.lex_state = 52, .external_lex_state = 15},
  [2438] = {.lex_state = 52, .external_lex_state = 15},
  [2439] = {.lex_state = 52, .external_lex_state = 15},
  [2440] = {.lex_state = 52, .external_lex_state = 11},
  [2441] = {.lex_state = 52, .external_lex_state = 15},
  [2442] = {.lex_state = 52, .external_lex_state = 14},
  [2443] = {.lex_state = 52, .external_lex_state = 18},
  [2444] = {.lex_state = 52, .external_lex_state = 14},
  [2445] = {.lex_state = 8, .external_lex_state = 15},
  [2446] = {.lex_state = 52, .external_lex_state = 12},
  [2447] = {.lex_state = 8, .external_lex_state = 15},
  [2448] = {.lex_state = 8, .external_lex_state = 15},
  [2449] = {.lex_state = 8, .external_lex_state = 15},
  [2450] = {.lex_state = 52, .external_lex_state = 15},
  [2451] = {.lex_state = 52, .external_lex_state = 11},
  [2452] = {.lex_state = 52, .external_lex_state = 13},
  [2453] = {.lex_state = 52, .external_lex_state = 15},
  [2454] = {.lex_state = 52, .external_lex_state = 15},
  [2455] = {.lex_state = 3, .external_lex_state = 13},
  [2456] = {.lex_state = 52, .external_lex_state = 14},
  [2457] = {.lex_state = 52, .external_lex_state = 13},
  [2458] = {.lex_state = 52, .external_lex_state = 14},
  [2459] = {.lex_state = 52, .external_lex_state = 11},
  [2460] = {.lex_state = 52, .external_lex_state = 14},
  [2461] = {.lex_state = 52, .external_lex_state = 13},
  [2462] = {.lex_state = 52, .external_lex_state = 15},
  [2463] = {.lex_state = 52, .external_lex_state = 12},
  [2464] = {.lex_state = 52, .external_lex_state = 11},
  [2465] = {.lex_state = 52, .external_lex_state = 15},
  [2466] = {.lex_state = 52, .external_lex_state = 14},
  [2467] = {.lex_state = 52, .external_lex_state = 14},
  [2468] = {.lex_state = 52, .external_lex_state = 14},
  [2469] = {.lex_state = 52, .external_lex_state = 18},
  [2470] = {.lex_state = 52, .external_lex_state = 15},
  [2471] = {.lex_state = 52, .external_lex_state = 12},
  [2472] = {.lex_state = 52, .external_lex_state = 12},
  [2473] = {.lex_state = 52, .external_lex_state = 13},
  [2474] = {.lex_state = 52, .external_lex_state = 14},
  [2475] = {.lex_state = 52, .external_lex_state = 15},
  [2476] = {.lex_state = 52, .external_lex_state = 14},
  [2477] = {.lex_state = 52, .external_lex_state = 15},
  [2478] = {.lex_state = 52, .external_lex_state = 15},
  [2479] = {.lex_state = 52, .external_lex_state = 14},
  [2480] = {.lex_state = 52, .external_lex_state = 12},
  [2481] = {.lex_state = 52, .external_lex_state = 11},
  [2482] = {.lex_state = 52, .external_lex_state = 14},
  [2483] = {.lex_state = 52, .external_lex_state = 14},
  [2484] = {.lex_state = 52, .external_lex_state = 15},
  [2485] = {.lex_state = 52, .external_lex_state = 11},
  [2486] = {.lex_state = 52, .external_lex_state = 15},
  [2487] = {.lex_state = 52, .external_lex_state = 12},
  [2488] = {.lex_state = 52, .external_lex_state = 17},
  [2489] = {.lex_state = 52, .external_lex_state = 15},
  [2490] = {.lex_state = 52, .external_lex_state = 11},
  [2491] = {.lex_state = 52, .external_lex_state = 17},
  [2492] = {.lex_state = 52, .external_lex_state = 17},
  [2493] = {.lex_state = 52, .external_lex_state = 17},
  [2494] = {.lex_state = 9, .external_lex_state = 15},
  [2495] = {.lex_state = 52, .external_lex_state = 17},
  [2496] = {.lex_state = 52, .external_lex_state = 15},
  [2497] = {.lex_state = 52, .external_lex_state = 15},
  [2498] = {.lex_state = 52, .external_lex_state = 13},
  [2499] = {.lex_state = 52, .external_lex_state = 17},
  [2500] = {.lex_state = 52, .external_lex_state = 15},
  [2501] = {.lex_state = 52, .external_lex_state = 17},
  [2502] = {.lex_state = 52, .external_lex_state = 15},
  [2503] = {.lex_state = 52, .external_lex_state = 15},
  [2504] = {.lex_state = 52, .external_lex_state = 17},
  [2505] = {.lex_state = 52, .external_lex_state = 11},
  [2506] = {.lex_state = 52, .external_lex_state = 15},
  [2507] = {.lex_state = 52, .external_lex_state = 14},
  [2508] = {.lex_state = 52, .external_lex_state = 15},
  [2509] = {.lex_state = 52, .external_lex_state = 11},
  [2510] = {.lex_state = 52, .external_lex_state = 15},
  [2511] = {.lex_state = 52, .external_lex_state = 15},
  [2512] = {.lex_state = 52, .external_lex_state = 14},
  [2513] = {.lex_state = 52, .external_lex_state = 15},
  [2514] = {.lex_state = 52, .external_lex_state = 15},
  [2515] = {.lex_state = 52, .external_lex_state = 15},
  [2516] = {.lex_state = 52, .external_lex_state = 14},
  [2517] = {.lex_state = 52, .external_lex_state = 15},
  [2518] = {.lex_state = 52, .external_lex_state = 15},
  [2519] = {.lex_state = 52, .external_lex_state = 17},
  [2520] = {.lex_state = 52, .external_lex_state = 17},
  [2521] = {.lex_state = 52, .external_lex_state = 15},
  [2522] = {.lex_state = 52, .external_lex_state = 15},
  [2523] = {.lex_state = 52, .external_lex_state = 11},
  [2524] = {.lex_state = 52, .external_lex_state = 17},
  [2525] = {.lex_state = 52, .external_lex_state = 13},
  [2526] = {.lex_state = 52, .external_lex_state = 13},
  [2527] = {.lex_state = 52, .external_lex_state = 12},
  [2528] = {.lex_state = 52, .external_lex_state = 17},
  [2529] = {.lex_state = 52, .external_lex_state = 13},
  [2530] = {.lex_state = 9, .external_lex_state = 15},
  [2531] = {.lex_state = 52, .external_lex_state = 14},
  [2532] = {.lex_state = 52, .external_lex_state = 17},
  [2533] = {.lex_state = 52, .external_lex_state = 17},
  [2534] = {.lex_state = 52, .external_lex_state = 11},
  [2535] = {.lex_state = 52, .external_lex_state = 11},
  [2536] = {.lex_state = 52, .external_lex_state = 11},
  [2537] = {.lex_state = 52, .external_lex_state = 17},
  [2538] = {.lex_state = 52, .external_lex_state = 11},
  [2539] = {.lex_state = 52, .external_lex_state = 12},
  [2540] = {.lex_state = 9, .external_lex_state = 15},
  [2541] = {.lex_state = 52, .external_lex_state = 11},
  [2542] = {.lex_state = 52, .external_lex_state = 14},
  [2543] = {.lex_state = 9, .external_lex_state = 15},
  [2544] = {.lex_state = 52, .external_lex_state = 14},
  [2545] = {.lex_state = 52, .external_lex_state = 12},
  [2546] = {.lex_state = 52, .external_lex_state = 14},
  [2547] = {.lex_state = 52, .external_lex_state = 11},
  [2548] = {.lex_state = 9, .external_lex_state = 15},
  [2549] = {.lex_state = 52, .external_lex_state = 14},
  [2550] = {.lex_state = 9, .external_lex_state = 15},
  [2551] = {.lex_state = 9, .external_lex_state = 15},
  [2552] = {.lex_state = 9, .external_lex_state = 15},
  [2553] = {.lex_state = 9, .external_lex_state = 15},
  [2554] = {.lex_state = 52, .external_lex_state = 14},
  [2555] = {.lex_state = 52, .external_lex_state = 11},
  [2556] = {.lex_state = 52, .external_lex_state = 15},
  [2557] = {.lex_state = 52, .external_lex_state = 11},
  [2558] = {.lex_state = 52, .external_lex_state = 12},
  [2559] = {.lex_state = 52, .external_lex_state = 11},
  [2560] = {.lex_state = 52, .external_lex_state = 17},
  [2561] = {.lex_state = 9, .external_lex_state = 15},
  [2562] = {.lex_state = 52, .external_lex_state = 17},
  [2563] = {.lex_state = 52, .external_lex_state = 11},
  [2564] = {.lex_state = 52, .external_lex_state = 14},
  [2565] = {.lex_state = 52, .external_lex_state = 12},
  [2566] = {.lex_state = 52, .external_lex_state = 11},
  [2567] = {.lex_state = 52, .external_lex_state = 15},
  [2568] = {.lex_state = 52, .external_lex_state = 14},
  [2569] = {.lex_state = 52, .external_lex_state = 12},
  [2570] = {.lex_state = 52, .external_lex_state = 12},
  [2571] = {.lex_state = 52, .external_lex_state = 13},
  [2572] = {.lex_state = 52, .external_lex_state = 15},
  [2573] = {.lex_state = 52, .external_lex_state = 11},
  [2574] = {.lex_state = 52, .external_lex_state = 12},
  [2575] = {.lex_state = 52, .external_lex_state = 17},
  [2576] = {.lex_state = 52, .external_lex_state = 15},
  [2577] = {.lex_state = 52, .external_lex_state = 14},
  [2578] = {.lex_state = 52, .external_lex_state = 15},
  [2579] = {.lex_state = 52, .external_lex_state = 15},
  [2580] = {.lex_state = 52, .external_lex_state = 15},
  [2581] = {.lex_state = 52, .external_lex_state = 14},
  [2582] = {.lex_state = 52, .external_lex_state = 13},
  [2583] = {.lex_state = 52, .external_lex_state = 14},
  [2584] = {.lex_state = 52, .external_lex_state = 14},
  [2585] = {.lex_state = 4, .external_lex_state = 15},
  [2586] = {.lex_state = 52, .external_lex_state = 15},
  [2587] = {.lex_state = 52, .external_lex_state = 15},
  [2588] = {.lex_state = 52, .external_lex_state = 15},
  [2589] = {.lex_state = 52, .external_lex_state = 14},
  [2590] = {.lex_state = 52, .external_lex_state = 14},
  [2591] = {.lex_state = 52, .external_lex_state = 12},
  [2592] = {.lex_state = 52, .external_lex_state = 12},
  [2593] = {.lex_state = 52, .external_lex_state = 13},
  [2594] = {.lex_state = 52, .external_lex_state = 15},
  [2595] = {.lex_state = 52, .external_lex_state = 14},
  [2596] = {.lex_state = 52, .external_lex_state = 13},
  [2597] = {.lex_state = 52, .external_lex_state = 15},
  [2598] = {.lex_state = 52, .external_lex_state = 15},
  [2599] = {.lex_state = 52, .external_lex_state = 14},
  [2600] = {.lex_state = 52, .external_lex_state = 14},
  [2601] = {.lex_state = 52, .external_lex_state = 12},
  [2602] = {.lex_state = 52, .external_lex_state = 14},
  [2603] = {.lex_state = 52, .external_lex_state = 15},
  [2604] = {.lex_state = 52, .external_lex_state = 13},
  [2605] = {.lex_state = 52, .external_lex_state = 13},
  [2606] = {.lex_state = 52, .external_lex_state = 15},
  [2607] = {.lex_state = 52, .external_lex_state = 14},
  [2608] = {.lex_state = 52, .external_lex_state = 15},
  [2609] = {.lex_state = 52, .external_lex_state = 13},
  [2610] = {.lex_state = 52, .external_lex_state = 15},
  [2611] = {.lex_state = 52, .external_lex_state = 15},
  [2612] = {.lex_state = 52, .external_lex_state = 13},
  [2613] = {.lex_state = 52, .external_lex_state = 15},
  [2614] = {.lex_state = 52, .external_lex_state = 12},
  [2615] = {.lex_state = 52, .external_lex_state = 14},
  [2616] = {.lex_state = 4, .external_lex_state = 15},
  [2617] = {.lex_state = 52, .external_lex_state = 15},
  [2618] = {.lex_state = 52, .external_lex_state = 15},
  [2619] = {.lex_state = 52, .external_lex_state = 15},
  [2620] = {.lex_state = 52, .external_lex_state = 15},
  [2621] = {.lex_state = 52, .external_lex_state = 13},
  [2622] = {.lex_state = 52, .external_lex_state = 14},
  [2623] = {.lex_state = 52, .external_lex_state = 15},
  [2624] = {.lex_state = 52, .external_lex_state = 15},
  [2625] = {.lex_state = 52, .external_lex_state = 15},
  [2626] = {.lex_state = 52, .external_lex_state = 14},
  [2627] = {.lex_state = 52, .external_lex_state = 15},
  [2628] = {.lex_state = 52, .external_lex_state = 13},
  [2629] = {.lex_state = 52, .external_lex_state = 13},
  [2630] = {.lex_state = 52, .external_lex_state = 15},
  [2631] = {.lex_state = 52, .external_lex_state = 15},
  [2632] = {.lex_state = 52, .external_lex_state = 13},
  [2633] = {.lex_state = 52, .external_lex_state = 15},
  [2634] = {.lex_state = 52, .external_lex_state = 15},
  [2635] = {.lex_state = 52, .external_lex_state = 15},
  [2636] = {.lex_state = 52, .external_lex_state = 15},
  [2637] = {.lex_state = 52, .external_lex_state = 15},
  [2638] = {.lex_state = 4, .external_lex_state = 15},
  [2639] = {.lex_state = 52, .external_lex_state = 15},
  [2640] = {.lex_state = 52, .external_lex_state = 15},
  [2641] = {.lex_state = 52, .external_lex_state = 14},
  [2642] = {.lex_state = 52, .external_lex_state = 15},
  [2643] = {.lex_state = 52, .external_lex_state = 15},
  [2644] = {.lex_state = 52, .external_lex_state = 13},
  [2645] = {.lex_state = 4, .external_lex_state = 15},
  [2646] = {.lex_state = 52, .external_lex_state = 15},
  [2647] = {.lex_state = 52, .external_lex_state = 14},
  [2648] = {.lex_state = 52, .external_lex_state = 12},
  [2649] = {.lex_state = 52, .external_lex_state = 15},
  [2650] = {.lex_state = 4, .external_lex_state = 15},
  [2651] = {.lex_state = 52, .external_lex_state = 13},
  [2652] = {.lex_state = 52, .external_lex_state = 15},
  [2653] = {.lex_state = 52, .external_lex_state = 14},
  [2654] = {.lex_state = 52, .external_lex_state = 13},
  [2655] = {.lex_state = 52, .external_lex_state = 14},
  [2656] = {.lex_state = 52, .external_lex_state = 15},
  [2657] = {.lex_state = 52, .external_lex_state = 12},
  [2658] = {.lex_state = 52, .external_lex_state = 15},
  [2659] = {.lex_state = 52, .external_lex_state = 14},
  [2660] = {.lex_state = 52, .external_lex_state = 13},
  [2661] = {.lex_state = 52, .external_lex_state = 12},
  [2662] = {.lex_state = 52, .external_lex_state = 15},
  [2663] = {.lex_state = 52, .external_lex_state = 15},
  [2664] = {.lex_state = 52, .external_lex_state = 12},
  [2665] = {.lex_state = 52, .external_lex_state = 13},
  [2666] = {.lex_state = 52, .external_lex_state = 12},
  [2667] = {.lex_state = 52, .external_lex_state = 15},
  [2668] = {.lex_state = 52, .external_lex_state = 15},
  [2669] = {.lex_state = 52, .external_lex_state = 15},
  [2670] = {.lex_state = 52, .external_lex_state = 15},
  [2671] = {.lex_state = 52, .external_lex_state = 15},
  [2672] = {.lex_state = 52, .external_lex_state = 13},
  [2673] = {.lex_state = 52, .external_lex_state = 15},
  [2674] = {.lex_state = 52, .external_lex_state = 15},
  [2675] = {.lex_state = 52, .external_lex_state = 15},
  [2676] = {.lex_state = 52, .external_lex_state = 13},
  [2677] = {.lex_state = 52, .external_lex_state = 15},
  [2678] = {.lex_state = 52, .external_lex_state = 12},
  [2679] = {.lex_state = 52, .external_lex_state = 15},
  [2680] = {.lex_state = 52, .external_lex_state = 15},
  [2681] = {.lex_state = 52, .external_lex_state = 14},
  [2682] = {.lex_state = 52, .external_lex_state = 12},
  [2683] = {.lex_state = 52, .external_lex_state = 13},
  [2684] = {.lex_state = 52, .external_lex_state = 15},
  [2685] = {.lex_state = 52, .external_lex_state = 12},
  [2686] = {.lex_state = 52, .external_lex_state = 12},
  [2687] = {.lex_state = 52, .external_lex_state = 13},
  [2688] = {.lex_state = 52, .external_lex_state = 15},
  [2689] = {.lex_state = 52, .external_lex_state = 12},
  [2690] = {.lex_state = 52, .external_lex_state = 15},
  [2691] = {.lex_state = 52, .external_lex_state = 15},
  [2692] = {.lex_state = 52, .external_lex_state = 13},
  [2693] = {.lex_state = 52, .external_lex_state = 14},
  [2694] = {.lex_state = 52, .external_lex_state = 15},
  [2695] = {.lex_state = 52, .external_lex_state = 15},
  [2696] = {.lex_state = 52, .external_lex_state = 13},
  [2697] = {.lex_state = 52, .external_lex_state = 12},
  [2698] = {.lex_state = 4, .external_lex_state = 15},
  [2699] = {.lex_state = 52, .external_lex_state = 13},
  [2700] = {.lex_state = 52, .external_lex_state = 12},
  [2701] = {.lex_state = 52, .external_lex_state = 14},
  [2702] = {.lex_state = 52, .external_lex_state = 13},
  [2703] = {.lex_state = 52, .external_lex_state = 15},
  [2704] = {.lex_state = 52, .external_lex_state = 13},
  [2705] = {.lex_state = 52, .external_lex_state = 15},
  [2706] = {.lex_state = 52, .external_lex_state = 13},
  [2707] = {.lex_state = 52, .external_lex_state = 15},
  [2708] = {.lex_state = 52, .external_lex_state = 13},
  [2709] = {.lex_state = 52, .external_lex_state = 14},
  [2710] = {.lex_state = 52, .external_lex_state = 13},
  [2711] = {.lex_state = 52, .external_lex_state = 15},
  [2712] = {.lex_state = 52, .external_lex_state = 14},
  [2713] = {.lex_state = 52, .external_lex_state = 13},
  [2714] = {.lex_state = 52, .external_lex_state = 15},
  [2715] = {.lex_state = 52, .external_lex_state = 14},
  [2716] = {.lex_state = 4, .external_lex_state = 15},
  [2717] = {.lex_state = 52, .external_lex_state = 15},
  [2718] = {.lex_state = 52, .external_lex_state = 12},
  [2719] = {.lex_state = 52, .external_lex_state = 12},
  [2720] = {.lex_state = 52, .external_lex_state = 15},
  [2721] = {.lex_state = 52, .external_lex_state = 13},
  [2722] = {.lex_state = 52, .external_lex_state = 15},
  [2723] = {.lex_state = 52, .external_lex_state = 13},
  [2724] = {.lex_state = 52, .external_lex_state = 13},
  [2725] = {.lex_state = 52, .external_lex_state = 13},
  [2726] = {.lex_state = 52, .external_lex_state = 14},
  [2727] = {.lex_state = 52, .external_lex_state = 15},
  [2728] = {.lex_state = 52, .external_lex_state = 15},
  [2729] = {.lex_state = 4, .external_lex_state = 15},
  [2730] = {.lex_state = 52, .external_lex_state = 13},
  [2731] = {.lex_state = 52, .external_lex_state = 15},
  [2732] = {.lex_state = 52, .external_lex_state = 15},
  [2733] = {.lex_state = 52, .external_lex_state = 14},
  [2734] = {.lex_state = 52, .external_lex_state = 13},
  [2735] = {.lex_state = 52, .external_lex_state = 15},
  [2736] = {.lex_state = 52, .external_lex_state = 15},
  [2737] = {.lex_state = 52, .external_lex_state = 14},
  [2738] = {.lex_state = 52, .external_lex_state = 15},
  [2739] = {.lex_state = 52, .external_lex_state = 14},
  [2740] = {.lex_state = 52, .external_lex_state = 13},
  [2741] = {.lex_state = 52, .external_lex_state = 15},
  [2742] = {.lex_state = 52, .external_lex_state = 15},
  [2743] = {.lex_state = 52, .external_lex_state = 14},
  [2744] = {.lex_state = 52, .external_lex_state = 13},
  [2745] = {.lex_state = 52, .external_lex_state = 15},
  [2746] = {.lex_state = 52, .external_lex_state = 15},
  [2747] = {.lex_state = 52, .external_lex_state = 15},
  [2748] = {.lex_state = 52, .external_lex_state = 13},
  [2749] = {.lex_state = 52, .external_lex_state = 15},
  [2750] = {.lex_state = 52, .external_lex_state = 15},
  [2751] = {.lex_state = 52, .external_lex_state = 15},
  [2752] = {.lex_state = 52, .external_lex_state = 14},
  [2753] = {.lex_state = 52, .external_lex_state = 12},
  [2754] = {.lex_state = 52, .external_lex_state = 15},
  [2755] = {.lex_state = 52, .external_lex_state = 15},
  [2756] = {.lex_state = 52, .external_lex_state = 14},
  [2757] = {.lex_state = 52, .external_lex_state = 13},
  [2758] = {.lex_state = 52, .external_lex_state = 13},
  [2759] = {.lex_state = 52, .external_lex_state = 14},
  [2760] = {.lex_state = 52, .external_lex_state = 15},
  [2761] = {.lex_state = 52, .external_lex_state = 15},
  [2762] = {.lex_state = 52, .external_lex_state = 15},
  [2763] = {.lex_state = 52, .external_lex_state = 14},
  [2764] = {.lex_state = 52, .external_lex_state = 15},
  [2765] = {.lex_state = 52, .external_lex_state = 15},
  [2766] = {.lex_state = 52, .external_lex_state = 15},
  [2767] = {.lex_state = 52, .external_lex_state = 15},
  [2768] = {.lex_state = 52, .external_lex_state = 15},
  [2769] = {.lex_state = 52, .external_lex_state = 15},
  [2770] = {.lex_state = 52, .external_lex_state = 15},
  [2771] = {.lex_state = 52, .external_lex_state = 15},
  [2772] = {.lex_state = 52, .external_lex_state = 15},
  [2773] = {.lex_state = 52, .external_lex_state = 15},
  [2774] = {.lex_state = 52, .external_lex_state = 12},
  [2775] = {.lex_state = 52, .external_lex_state = 12},
  [2776] = {.lex_state = 52, .external_lex_state = 15},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2755),
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1817),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1817),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [2] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2495),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [3] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(696),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [4] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [5] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(725),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [6] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(740),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [7] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(724),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [8] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(729),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [9] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(731),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [10] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(736),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [11] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(697),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [12] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(710),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [13] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(634),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [14] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(744),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [15] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(750),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [16] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(751),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [17] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(683),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [18] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(756),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [19] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(641),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [20] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(668),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [21] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(758),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [22] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(689),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [23] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2499),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [24] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(763),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [25] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(766),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [26] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2492),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [27] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(768),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [28] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(767),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [29] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(648),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [30] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(426),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2520),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2524),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [33] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(2532),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [34] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(666),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [35] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(620),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [36] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(622),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [37] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(653),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [38] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(654),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [39] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(606),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [40] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(417),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [41] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(614),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [42] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(693),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [43] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [44] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(799),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [45] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(806),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [46] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(812),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [47] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(814),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [48] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(816),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [49] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(820),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [50] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [51] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(711),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [52] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(830),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [53] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(714),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [54] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(718),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [55] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [56] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(717),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [57] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(825),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [58] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(682),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [59] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(742),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [60] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(765),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [61] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1819),
    [sym_block] = STATE(649),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [62] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [63] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1817),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1817),
    [ts_builtin_sym_end] = ACTIONS(113),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [64] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [65] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(120),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(132),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(138),
    [anon_sym_del] = ACTIONS(141),
    [anon_sym_raise] = ACTIONS(144),
    [anon_sym_pass] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(150),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(156),
    [anon_sym_match] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(162),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(168),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(174),
    [anon_sym_def] = ACTIONS(177),
    [anon_sym_global] = ACTIONS(180),
    [anon_sym_nonlocal] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(186),
    [anon_sym_type] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(198),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_LBRACE] = ACTIONS(204),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(201),
    [anon_sym_lambda] = ACTIONS(210),
    [anon_sym_yield] = ACTIONS(213),
    [sym_ellipsis] = ACTIONS(216),
    [sym_integer] = ACTIONS(219),
    [sym_float] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(222),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [sym_none] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(225),
    [sym_string_start] = ACTIONS(227),
  },
  [66] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1817),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1817),
    [ts_builtin_sym_end] = ACTIONS(225),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(120),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(132),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(138),
    [anon_sym_del] = ACTIONS(141),
    [anon_sym_raise] = ACTIONS(144),
    [anon_sym_pass] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(150),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(230),
    [anon_sym_match] = ACTIONS(233),
    [anon_sym_async] = ACTIONS(236),
    [anon_sym_for] = ACTIONS(239),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_try] = ACTIONS(245),
    [anon_sym_with] = ACTIONS(248),
    [anon_sym_def] = ACTIONS(251),
    [anon_sym_global] = ACTIONS(180),
    [anon_sym_nonlocal] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(186),
    [anon_sym_type] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(254),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(198),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_LBRACE] = ACTIONS(204),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(201),
    [anon_sym_lambda] = ACTIONS(210),
    [anon_sym_yield] = ACTIONS(213),
    [sym_ellipsis] = ACTIONS(216),
    [sym_integer] = ACTIONS(219),
    [sym_float] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(222),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [sym_none] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(227),
  },
  [67] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(257),
    [sym_string_start] = ACTIONS(81),
  },
  [68] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(259),
    [sym_string_start] = ACTIONS(81),
  },
  [69] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1819),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(261),
    [sym_string_start] = ACTIONS(81),
  },
  [70] = {
    [sym_named_expression] = STATE(1723),
    [sym__named_expression_lhs] = STATE(2729),
    [sym_type_parameter] = STATE(2081),
    [sym_list_splat_pattern] = STATE(1372),
    [sym_as_pattern] = STATE(1723),
    [sym_expression] = STATE(1762),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_comparison_operator] = STATE(1723),
    [sym_lambda] = STATE(1723),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_type] = STATE(2124),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_conditional_expression] = STATE(1723),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_print] = ACTIONS(278),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(278),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(278),
    [anon_sym_type] = ACTIONS(290),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(296),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(296),
    [anon_sym_not] = ACTIONS(301),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(306),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(314),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(316),
  },
  [71] = {
    [sym_named_expression] = STATE(1723),
    [sym__named_expression_lhs] = STATE(2729),
    [sym_list_splat_pattern] = STATE(1372),
    [sym_as_pattern] = STATE(1723),
    [sym_expression] = STATE(1762),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_comparison_operator] = STATE(1723),
    [sym_lambda] = STATE(1723),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_type] = STATE(2124),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_conditional_expression] = STATE(1723),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_print] = ACTIONS(278),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(292),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(278),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(278),
    [anon_sym_type] = ACTIONS(290),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(296),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(296),
    [anon_sym_not] = ACTIONS(301),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(306),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(314),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(316),
  },
  [72] = {
    [sym__simple_statements] = STATE(832),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__indent] = ACTIONS(345),
    [sym_string_start] = ACTIONS(81),
  },
  [73] = {
    [sym__simple_statements] = STATE(759),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__indent] = ACTIONS(349),
    [sym_string_start] = ACTIONS(81),
  },
  [74] = {
    [sym__simple_statements] = STATE(833),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym_string_start] = ACTIONS(81),
  },
  [75] = {
    [sym__simple_statements] = STATE(743),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(81),
  },
  [76] = {
    [sym__simple_statements] = STATE(747),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(81),
  },
  [77] = {
    [sym__simple_statements] = STATE(764),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(81),
  },
  [78] = {
    [sym__simple_statements] = STATE(755),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(81),
  },
  [79] = {
    [sym__simple_statements] = STATE(828),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(624),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_call] = STATE(1099),
    [sym_type] = STATE(1987),
    [sym_splat_type] = STATE(2074),
    [sym_generic_type] = STATE(2074),
    [sym_union_type] = STATE(2074),
    [sym_constrained_type] = STATE(2074),
    [sym_member_type] = STATE(2074),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_print] = ACTIONS(327),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(329),
    [anon_sym_async] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(341),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(81),
  },
  [80] = {
    [sym_chevron] = STATE(2147),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_list_splat_pattern] = STATE(1047),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(845),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(377),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_print] = ACTIONS(383),
    [anon_sym_GT_GT] = ACTIONS(385),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(383),
    [anon_sym_type] = ACTIONS(387),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(398),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [81] = {
    [sym_chevron] = STATE(2147),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_list_splat_pattern] = STATE(1047),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(845),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(377),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_print] = ACTIONS(383),
    [anon_sym_GT_GT] = ACTIONS(385),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(292),
    [anon_sym_match] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(383),
    [anon_sym_type] = ACTIONS(387),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(398),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [82] = {
    [sym_named_expression] = STATE(1723),
    [sym__named_expression_lhs] = STATE(2729),
    [sym_list_splat_pattern] = STATE(1372),
    [sym_as_pattern] = STATE(1723),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_comparison_operator] = STATE(1723),
    [sym_lambda] = STATE(1723),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_conditional_expression] = STATE(1723),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(400),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_print] = ACTIONS(278),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(292),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(278),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(278),
    [anon_sym_type] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(296),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(296),
    [anon_sym_not] = ACTIONS(301),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(306),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(314),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(316),
  },
  [83] = {
    [sym_named_expression] = STATE(1723),
    [sym__named_expression_lhs] = STATE(2729),
    [sym_list_splat_pattern] = STATE(1372),
    [sym_as_pattern] = STATE(1723),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_comparison_operator] = STATE(1723),
    [sym_lambda] = STATE(1723),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_conditional_expression] = STATE(1723),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(400),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_print] = ACTIONS(278),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(292),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(278),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(278),
    [anon_sym_type] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(296),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(296),
    [anon_sym_not] = ACTIONS(301),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_lambda] = ACTIONS(306),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(314),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(316),
  },
  [84] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__indent] = ACTIONS(411),
    [sym_string_start] = ACTIONS(81),
  },
  [85] = {
    [sym__simple_statements] = STATE(635),
    [sym_import_statement] = STATE(2451),
    [sym_future_import_statement] = STATE(2451),
    [sym_import_from_statement] = STATE(2451),
    [sym_print_statement] = STATE(2451),
    [sym_assert_statement] = STATE(2451),
    [sym_expression_statement] = STATE(2451),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2451),
    [sym_delete_statement] = STATE(2451),
    [sym_raise_statement] = STATE(2451),
    [sym_pass_statement] = STATE(2451),
    [sym_break_statement] = STATE(2451),
    [sym_continue_statement] = STATE(2451),
    [sym_global_statement] = STATE(2451),
    [sym_nonlocal_statement] = STATE(2451),
    [sym_exec_statement] = STATE(2451),
    [sym_type_alias_statement] = STATE(2451),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(413),
    [sym__indent] = ACTIONS(415),
    [sym_string_start] = ACTIONS(81),
  },
  [86] = {
    [sym__simple_statements] = STATE(686),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym_string_start] = ACTIONS(81),
  },
  [87] = {
    [sym__simple_statements] = STATE(2575),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym_string_start] = ACTIONS(81),
  },
  [88] = {
    [sym__simple_statements] = STATE(440),
    [sym_import_statement] = STATE(2270),
    [sym_future_import_statement] = STATE(2270),
    [sym_import_from_statement] = STATE(2270),
    [sym_print_statement] = STATE(2270),
    [sym_assert_statement] = STATE(2270),
    [sym_expression_statement] = STATE(2270),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2270),
    [sym_delete_statement] = STATE(2270),
    [sym_raise_statement] = STATE(2270),
    [sym_pass_statement] = STATE(2270),
    [sym_break_statement] = STATE(2270),
    [sym_continue_statement] = STATE(2270),
    [sym_global_statement] = STATE(2270),
    [sym_nonlocal_statement] = STATE(2270),
    [sym_exec_statement] = STATE(2270),
    [sym_type_alias_statement] = STATE(2270),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym_string_start] = ACTIONS(81),
  },
  [89] = {
    [sym__simple_statements] = STATE(609),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym_string_start] = ACTIONS(81),
  },
  [90] = {
    [sym__simple_statements] = STATE(684),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym_string_start] = ACTIONS(81),
  },
  [91] = {
    [sym__simple_statements] = STATE(715),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym_string_start] = ACTIONS(81),
  },
  [92] = {
    [sym__simple_statements] = STATE(785),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym_string_start] = ACTIONS(81),
  },
  [93] = {
    [sym__simple_statements] = STATE(786),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym_string_start] = ACTIONS(81),
  },
  [94] = {
    [sym__simple_statements] = STATE(611),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym_string_start] = ACTIONS(81),
  },
  [95] = {
    [sym__simple_statements] = STATE(791),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym_string_start] = ACTIONS(81),
  },
  [96] = {
    [sym__simple_statements] = STATE(726),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym_string_start] = ACTIONS(81),
  },
  [97] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym_string_start] = ACTIONS(81),
  },
  [98] = {
    [sym__simple_statements] = STATE(798),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym_string_start] = ACTIONS(81),
  },
  [99] = {
    [sym__simple_statements] = STATE(705),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym_string_start] = ACTIONS(81),
  },
  [100] = {
    [sym__simple_statements] = STATE(800),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym_string_start] = ACTIONS(81),
  },
  [101] = {
    [sym__simple_statements] = STATE(801),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym_string_start] = ACTIONS(81),
  },
  [102] = {
    [sym__simple_statements] = STATE(741),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym_string_start] = ACTIONS(81),
  },
  [103] = {
    [sym__simple_statements] = STATE(807),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym_string_start] = ACTIONS(81),
  },
  [104] = {
    [sym__simple_statements] = STATE(698),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym_string_start] = ACTIONS(81),
  },
  [105] = {
    [sym__simple_statements] = STATE(709),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym_string_start] = ACTIONS(81),
  },
  [106] = {
    [sym__simple_statements] = STATE(664),
    [sym_import_statement] = STATE(2270),
    [sym_future_import_statement] = STATE(2270),
    [sym_import_from_statement] = STATE(2270),
    [sym_print_statement] = STATE(2270),
    [sym_assert_statement] = STATE(2270),
    [sym_expression_statement] = STATE(2270),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2270),
    [sym_delete_statement] = STATE(2270),
    [sym_raise_statement] = STATE(2270),
    [sym_pass_statement] = STATE(2270),
    [sym_break_statement] = STATE(2270),
    [sym_continue_statement] = STATE(2270),
    [sym_global_statement] = STATE(2270),
    [sym_nonlocal_statement] = STATE(2270),
    [sym_exec_statement] = STATE(2270),
    [sym_type_alias_statement] = STATE(2270),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym_string_start] = ACTIONS(81),
  },
  [107] = {
    [sym__simple_statements] = STATE(809),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym_string_start] = ACTIONS(81),
  },
  [108] = {
    [sym__simple_statements] = STATE(688),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym_string_start] = ACTIONS(81),
  },
  [109] = {
    [sym__simple_statements] = STATE(813),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym_string_start] = ACTIONS(81),
  },
  [110] = {
    [sym__simple_statements] = STATE(707),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym_string_start] = ACTIONS(81),
  },
  [111] = {
    [sym__simple_statements] = STATE(815),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym_string_start] = ACTIONS(81),
  },
  [112] = {
    [sym__simple_statements] = STATE(2491),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym_string_start] = ACTIONS(81),
  },
  [113] = {
    [sym__simple_statements] = STATE(703),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym_string_start] = ACTIONS(81),
  },
  [114] = {
    [sym__simple_statements] = STATE(629),
    [sym_import_statement] = STATE(2451),
    [sym_future_import_statement] = STATE(2451),
    [sym_import_from_statement] = STATE(2451),
    [sym_print_statement] = STATE(2451),
    [sym_assert_statement] = STATE(2451),
    [sym_expression_statement] = STATE(2451),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2451),
    [sym_delete_statement] = STATE(2451),
    [sym_raise_statement] = STATE(2451),
    [sym_pass_statement] = STATE(2451),
    [sym_break_statement] = STATE(2451),
    [sym_continue_statement] = STATE(2451),
    [sym_global_statement] = STATE(2451),
    [sym_nonlocal_statement] = STATE(2451),
    [sym_exec_statement] = STATE(2451),
    [sym_type_alias_statement] = STATE(2451),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym_string_start] = ACTIONS(81),
  },
  [115] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(2459),
    [sym_future_import_statement] = STATE(2459),
    [sym_import_from_statement] = STATE(2459),
    [sym_print_statement] = STATE(2459),
    [sym_assert_statement] = STATE(2459),
    [sym_expression_statement] = STATE(2459),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2459),
    [sym_delete_statement] = STATE(2459),
    [sym_raise_statement] = STATE(2459),
    [sym_pass_statement] = STATE(2459),
    [sym_break_statement] = STATE(2459),
    [sym_continue_statement] = STATE(2459),
    [sym_global_statement] = STATE(2459),
    [sym_nonlocal_statement] = STATE(2459),
    [sym_exec_statement] = STATE(2459),
    [sym_type_alias_statement] = STATE(2459),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym_string_start] = ACTIONS(81),
  },
  [116] = {
    [sym__simple_statements] = STATE(2504),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym_string_start] = ACTIONS(81),
  },
  [117] = {
    [sym__simple_statements] = STATE(720),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym_string_start] = ACTIONS(81),
  },
  [118] = {
    [sym__simple_statements] = STATE(667),
    [sym_import_statement] = STATE(2270),
    [sym_future_import_statement] = STATE(2270),
    [sym_import_from_statement] = STATE(2270),
    [sym_print_statement] = STATE(2270),
    [sym_assert_statement] = STATE(2270),
    [sym_expression_statement] = STATE(2270),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2270),
    [sym_delete_statement] = STATE(2270),
    [sym_raise_statement] = STATE(2270),
    [sym_pass_statement] = STATE(2270),
    [sym_break_statement] = STATE(2270),
    [sym_continue_statement] = STATE(2270),
    [sym_global_statement] = STATE(2270),
    [sym_nonlocal_statement] = STATE(2270),
    [sym_exec_statement] = STATE(2270),
    [sym_type_alias_statement] = STATE(2270),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym_string_start] = ACTIONS(81),
  },
  [119] = {
    [sym__simple_statements] = STATE(642),
    [sym_import_statement] = STATE(2270),
    [sym_future_import_statement] = STATE(2270),
    [sym_import_from_statement] = STATE(2270),
    [sym_print_statement] = STATE(2270),
    [sym_assert_statement] = STATE(2270),
    [sym_expression_statement] = STATE(2270),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2270),
    [sym_delete_statement] = STATE(2270),
    [sym_raise_statement] = STATE(2270),
    [sym_pass_statement] = STATE(2270),
    [sym_break_statement] = STATE(2270),
    [sym_continue_statement] = STATE(2270),
    [sym_global_statement] = STATE(2270),
    [sym_nonlocal_statement] = STATE(2270),
    [sym_exec_statement] = STATE(2270),
    [sym_type_alias_statement] = STATE(2270),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym_string_start] = ACTIONS(81),
  },
  [120] = {
    [sym__simple_statements] = STATE(646),
    [sym_import_statement] = STATE(2451),
    [sym_future_import_statement] = STATE(2451),
    [sym_import_from_statement] = STATE(2451),
    [sym_print_statement] = STATE(2451),
    [sym_assert_statement] = STATE(2451),
    [sym_expression_statement] = STATE(2451),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2451),
    [sym_delete_statement] = STATE(2451),
    [sym_raise_statement] = STATE(2451),
    [sym_pass_statement] = STATE(2451),
    [sym_break_statement] = STATE(2451),
    [sym_continue_statement] = STATE(2451),
    [sym_global_statement] = STATE(2451),
    [sym_nonlocal_statement] = STATE(2451),
    [sym_exec_statement] = STATE(2451),
    [sym_type_alias_statement] = STATE(2451),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym_string_start] = ACTIONS(81),
  },
  [121] = {
    [sym__simple_statements] = STATE(728),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym_string_start] = ACTIONS(81),
  },
  [122] = {
    [sym__simple_statements] = STATE(760),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__indent] = ACTIONS(563),
    [sym_string_start] = ACTIONS(81),
  },
  [123] = {
    [sym__simple_statements] = STATE(2493),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__indent] = ACTIONS(567),
    [sym_string_start] = ACTIONS(81),
  },
  [124] = {
    [sym__simple_statements] = STATE(730),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__indent] = ACTIONS(571),
    [sym_string_start] = ACTIONS(81),
  },
  [125] = {
    [sym__simple_statements] = STATE(2501),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym__indent] = ACTIONS(575),
    [sym_string_start] = ACTIONS(81),
  },
  [126] = {
    [sym__simple_statements] = STATE(761),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__indent] = ACTIONS(579),
    [sym_string_start] = ACTIONS(81),
  },
  [127] = {
    [sym__simple_statements] = STATE(694),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__indent] = ACTIONS(583),
    [sym_string_start] = ACTIONS(81),
  },
  [128] = {
    [sym__simple_statements] = STATE(737),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__indent] = ACTIONS(587),
    [sym_string_start] = ACTIONS(81),
  },
  [129] = {
    [sym__simple_statements] = STATE(2528),
    [sym_import_statement] = STATE(2319),
    [sym_future_import_statement] = STATE(2319),
    [sym_import_from_statement] = STATE(2319),
    [sym_print_statement] = STATE(2319),
    [sym_assert_statement] = STATE(2319),
    [sym_expression_statement] = STATE(2319),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2319),
    [sym_delete_statement] = STATE(2319),
    [sym_raise_statement] = STATE(2319),
    [sym_pass_statement] = STATE(2319),
    [sym_break_statement] = STATE(2319),
    [sym_continue_statement] = STATE(2319),
    [sym_global_statement] = STATE(2319),
    [sym_nonlocal_statement] = STATE(2319),
    [sym_exec_statement] = STATE(2319),
    [sym_type_alias_statement] = STATE(2319),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__indent] = ACTIONS(591),
    [sym_string_start] = ACTIONS(81),
  },
  [130] = {
    [sym__simple_statements] = STATE(639),
    [sym_import_statement] = STATE(2270),
    [sym_future_import_statement] = STATE(2270),
    [sym_import_from_statement] = STATE(2270),
    [sym_print_statement] = STATE(2270),
    [sym_assert_statement] = STATE(2270),
    [sym_expression_statement] = STATE(2270),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2270),
    [sym_delete_statement] = STATE(2270),
    [sym_raise_statement] = STATE(2270),
    [sym_pass_statement] = STATE(2270),
    [sym_break_statement] = STATE(2270),
    [sym_continue_statement] = STATE(2270),
    [sym_global_statement] = STATE(2270),
    [sym_nonlocal_statement] = STATE(2270),
    [sym_exec_statement] = STATE(2270),
    [sym_type_alias_statement] = STATE(2270),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__indent] = ACTIONS(595),
    [sym_string_start] = ACTIONS(81),
  },
  [131] = {
    [sym__simple_statements] = STATE(410),
    [sym_import_statement] = STATE(2451),
    [sym_future_import_statement] = STATE(2451),
    [sym_import_from_statement] = STATE(2451),
    [sym_print_statement] = STATE(2451),
    [sym_assert_statement] = STATE(2451),
    [sym_expression_statement] = STATE(2451),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2451),
    [sym_delete_statement] = STATE(2451),
    [sym_raise_statement] = STATE(2451),
    [sym_pass_statement] = STATE(2451),
    [sym_break_statement] = STATE(2451),
    [sym_continue_statement] = STATE(2451),
    [sym_global_statement] = STATE(2451),
    [sym_nonlocal_statement] = STATE(2451),
    [sym_exec_statement] = STATE(2451),
    [sym_type_alias_statement] = STATE(2451),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__indent] = ACTIONS(599),
    [sym_string_start] = ACTIONS(81),
  },
  [132] = {
    [sym__simple_statements] = STATE(796),
    [sym_import_statement] = STATE(2406),
    [sym_future_import_statement] = STATE(2406),
    [sym_import_from_statement] = STATE(2406),
    [sym_print_statement] = STATE(2406),
    [sym_assert_statement] = STATE(2406),
    [sym_expression_statement] = STATE(2406),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2406),
    [sym_delete_statement] = STATE(2406),
    [sym_raise_statement] = STATE(2406),
    [sym_pass_statement] = STATE(2406),
    [sym_break_statement] = STATE(2406),
    [sym_continue_statement] = STATE(2406),
    [sym_global_statement] = STATE(2406),
    [sym_nonlocal_statement] = STATE(2406),
    [sym_exec_statement] = STATE(2406),
    [sym_type_alias_statement] = STATE(2406),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__indent] = ACTIONS(603),
    [sym_string_start] = ACTIONS(81),
  },
  [133] = {
    [sym__simple_statements] = STATE(636),
    [sym_import_statement] = STATE(2451),
    [sym_future_import_statement] = STATE(2451),
    [sym_import_from_statement] = STATE(2451),
    [sym_print_statement] = STATE(2451),
    [sym_assert_statement] = STATE(2451),
    [sym_expression_statement] = STATE(2451),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2451),
    [sym_delete_statement] = STATE(2451),
    [sym_raise_statement] = STATE(2451),
    [sym_pass_statement] = STATE(2451),
    [sym_break_statement] = STATE(2451),
    [sym_continue_statement] = STATE(2451),
    [sym_global_statement] = STATE(2451),
    [sym_nonlocal_statement] = STATE(2451),
    [sym_exec_statement] = STATE(2451),
    [sym_type_alias_statement] = STATE(2451),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(605),
    [sym__indent] = ACTIONS(607),
    [sym_string_start] = ACTIONS(81),
  },
  [134] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(609),
    [sym_string_start] = ACTIONS(81),
  },
  [135] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(611),
    [sym_string_start] = ACTIONS(81),
  },
  [136] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(613),
    [sym_string_start] = ACTIONS(81),
  },
  [137] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(615),
    [sym_string_start] = ACTIONS(81),
  },
  [138] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(617),
    [sym_string_start] = ACTIONS(81),
  },
  [139] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(619),
    [sym_string_start] = ACTIONS(81),
  },
  [140] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(621),
    [sym_string_start] = ACTIONS(81),
  },
  [141] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(623),
    [sym_string_start] = ACTIONS(81),
  },
  [142] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(625),
    [sym_string_start] = ACTIONS(81),
  },
  [143] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(627),
    [sym_string_start] = ACTIONS(81),
  },
  [144] = {
    [sym_import_statement] = STATE(2509),
    [sym_future_import_statement] = STATE(2509),
    [sym_import_from_statement] = STATE(2509),
    [sym_print_statement] = STATE(2509),
    [sym_assert_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_named_expression] = STATE(1649),
    [sym__named_expression_lhs] = STATE(2616),
    [sym_return_statement] = STATE(2509),
    [sym_delete_statement] = STATE(2509),
    [sym_raise_statement] = STATE(2509),
    [sym_pass_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_global_statement] = STATE(2509),
    [sym_nonlocal_statement] = STATE(2509),
    [sym_exec_statement] = STATE(2509),
    [sym_type_alias_statement] = STATE(2509),
    [sym_pattern] = STATE(1624),
    [sym_tuple_pattern] = STATE(1626),
    [sym_list_pattern] = STATE(1626),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1649),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(949),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_assignment] = STATE(2566),
    [sym_augmented_assignment] = STATE(2566),
    [sym_pattern_list] = STATE(1644),
    [sym_yield] = STATE(2566),
    [sym_attribute] = STATE(638),
    [sym_subscript] = STATE(638),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [145] = {
    [sym_list_splat_pattern] = STATE(1047),
    [sym_primary_expression] = STATE(974),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_print] = ACTIONS(633),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(633),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(633),
    [anon_sym_type] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(641),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [146] = {
    [sym_list_splat_pattern] = STATE(1047),
    [sym_primary_expression] = STATE(974),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_print] = ACTIONS(633),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(292),
    [anon_sym_match] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(633),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(633),
    [anon_sym_type] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(641),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [147] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_SEMI] = ACTIONS(643),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_SLASH_SLASH] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_DASH_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_AT_EQ] = ACTIONS(643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(643),
    [anon_sym_GT_GT_EQ] = ACTIONS(643),
    [anon_sym_LT_LT_EQ] = ACTIONS(643),
    [anon_sym_AMP_EQ] = ACTIONS(643),
    [anon_sym_CARET_EQ] = ACTIONS(643),
    [anon_sym_PIPE_EQ] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym_string_start] = ACTIONS(316),
  },
  [148] = {
    [sym_list_splat_pattern] = STATE(1047),
    [sym_primary_expression] = STATE(974),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_from] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_print] = ACTIONS(633),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(633),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(633),
    [anon_sym_type] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(641),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [149] = {
    [sym_list_splat_pattern] = STATE(1197),
    [sym_primary_expression] = STATE(1020),
    [sym_binary_operator] = STATE(1279),
    [sym_unary_operator] = STATE(1279),
    [sym_attribute] = STATE(1279),
    [sym_subscript] = STATE(1279),
    [sym_call] = STATE(1279),
    [sym_list] = STATE(1279),
    [sym_set] = STATE(1279),
    [sym_tuple] = STATE(1279),
    [sym_dictionary] = STATE(1279),
    [sym_list_comprehension] = STATE(1279),
    [sym_dictionary_comprehension] = STATE(1279),
    [sym_set_comprehension] = STATE(1279),
    [sym_generator_expression] = STATE(1279),
    [sym_parenthesized_expression] = STATE(1279),
    [sym_concatenated_string] = STATE(1279),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1279),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_print] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(680),
    [sym_type_conversion] = ACTIONS(265),
    [sym_integer] = ACTIONS(664),
    [sym_float] = ACTIONS(680),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(664),
    [sym_false] = ACTIONS(664),
    [sym_none] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(684),
  },
  [150] = {
    [sym_list_splat_pattern] = STATE(1047),
    [sym_primary_expression] = STATE(974),
    [sym_binary_operator] = STATE(1099),
    [sym_unary_operator] = STATE(1099),
    [sym_attribute] = STATE(1099),
    [sym_subscript] = STATE(1099),
    [sym_call] = STATE(1099),
    [sym_list] = STATE(1099),
    [sym_set] = STATE(1099),
    [sym_tuple] = STATE(1099),
    [sym_dictionary] = STATE(1099),
    [sym_list_comprehension] = STATE(1099),
    [sym_dictionary_comprehension] = STATE(1099),
    [sym_set_comprehension] = STATE(1099),
    [sym_generator_expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1099),
    [sym_concatenated_string] = STATE(1099),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1099),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_from] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_print] = ACTIONS(633),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(633),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(633),
    [anon_sym_type] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(641),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [151] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_type_conversion] = ACTIONS(643),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [152] = {
    [sym_list_splat_pattern] = STATE(1197),
    [sym_primary_expression] = STATE(1020),
    [sym_binary_operator] = STATE(1279),
    [sym_unary_operator] = STATE(1279),
    [sym_attribute] = STATE(1279),
    [sym_subscript] = STATE(1279),
    [sym_call] = STATE(1279),
    [sym_list] = STATE(1279),
    [sym_set] = STATE(1279),
    [sym_tuple] = STATE(1279),
    [sym_dictionary] = STATE(1279),
    [sym_list_comprehension] = STATE(1279),
    [sym_dictionary_comprehension] = STATE(1279),
    [sym_set_comprehension] = STATE(1279),
    [sym_generator_expression] = STATE(1279),
    [sym_parenthesized_expression] = STATE(1279),
    [sym_concatenated_string] = STATE(1279),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1279),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_print] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(680),
    [sym_type_conversion] = ACTIONS(265),
    [sym_integer] = ACTIONS(664),
    [sym_float] = ACTIONS(680),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(664),
    [sym_false] = ACTIONS(664),
    [sym_none] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(684),
  },
  [153] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_SEMI] = ACTIONS(643),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_from] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym_string_start] = ACTIONS(316),
  },
  [154] = {
    [sym_list_splat_pattern] = STATE(1283),
    [sym_primary_expression] = STATE(991),
    [sym_binary_operator] = STATE(1280),
    [sym_unary_operator] = STATE(1280),
    [sym_attribute] = STATE(1280),
    [sym_subscript] = STATE(1280),
    [sym_call] = STATE(1280),
    [sym_list] = STATE(1280),
    [sym_set] = STATE(1280),
    [sym_tuple] = STATE(1280),
    [sym_dictionary] = STATE(1280),
    [sym_list_comprehension] = STATE(1280),
    [sym_dictionary_comprehension] = STATE(1280),
    [sym_set_comprehension] = STATE(1280),
    [sym_generator_expression] = STATE(1280),
    [sym_parenthesized_expression] = STATE(1280),
    [sym_concatenated_string] = STATE(1280),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1280),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(693),
    [anon_sym_print] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_async] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(695),
    [anon_sym_type] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(705),
    [sym_integer] = ACTIONS(689),
    [sym_float] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(707),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_none] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(709),
  },
  [155] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [156] = {
    [sym_list_splat_pattern] = STATE(1301),
    [sym_primary_expression] = STATE(1071),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(995),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_print] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(727),
    [sym_integer] = ACTIONS(711),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(729),
    [sym_true] = ACTIONS(711),
    [sym_false] = ACTIONS(711),
    [sym_none] = ACTIONS(711),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(731),
  },
  [157] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [158] = {
    [sym_list_splat_pattern] = STATE(1197),
    [sym_primary_expression] = STATE(1020),
    [sym_binary_operator] = STATE(1279),
    [sym_unary_operator] = STATE(1279),
    [sym_attribute] = STATE(1279),
    [sym_subscript] = STATE(1279),
    [sym_call] = STATE(1279),
    [sym_list] = STATE(1279),
    [sym_set] = STATE(1279),
    [sym_tuple] = STATE(1279),
    [sym_dictionary] = STATE(1279),
    [sym_list_comprehension] = STATE(1279),
    [sym_dictionary_comprehension] = STATE(1279),
    [sym_set_comprehension] = STATE(1279),
    [sym_generator_expression] = STATE(1279),
    [sym_parenthesized_expression] = STATE(1279),
    [sym_concatenated_string] = STATE(1279),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1279),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_print] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(680),
    [sym_type_conversion] = ACTIONS(265),
    [sym_integer] = ACTIONS(664),
    [sym_float] = ACTIONS(680),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(664),
    [sym_false] = ACTIONS(664),
    [sym_none] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(684),
  },
  [159] = {
    [sym_list_splat_pattern] = STATE(1259),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1180),
    [sym_unary_operator] = STATE(1180),
    [sym_attribute] = STATE(1180),
    [sym_subscript] = STATE(1180),
    [sym_call] = STATE(1180),
    [sym_list] = STATE(1180),
    [sym_set] = STATE(1180),
    [sym_tuple] = STATE(1180),
    [sym_dictionary] = STATE(1180),
    [sym_list_comprehension] = STATE(1180),
    [sym_dictionary_comprehension] = STATE(1180),
    [sym_set_comprehension] = STATE(1180),
    [sym_generator_expression] = STATE(1180),
    [sym_parenthesized_expression] = STATE(1180),
    [sym_concatenated_string] = STATE(1180),
    [sym_string] = STATE(958),
    [sym_await] = STATE(1180),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(737),
    [anon_sym_print] = ACTIONS(739),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(739),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [160] = {
    [sym_list_splat_pattern] = STATE(1197),
    [sym_primary_expression] = STATE(1020),
    [sym_binary_operator] = STATE(1279),
    [sym_unary_operator] = STATE(1279),
    [sym_attribute] = STATE(1279),
    [sym_subscript] = STATE(1279),
    [sym_call] = STATE(1279),
    [sym_list] = STATE(1279),
    [sym_set] = STATE(1279),
    [sym_tuple] = STATE(1279),
    [sym_dictionary] = STATE(1279),
    [sym_list_comprehension] = STATE(1279),
    [sym_dictionary_comprehension] = STATE(1279),
    [sym_set_comprehension] = STATE(1279),
    [sym_generator_expression] = STATE(1279),
    [sym_parenthesized_expression] = STATE(1279),
    [sym_concatenated_string] = STATE(1279),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1279),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(686),
    [anon_sym_as] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_print] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(672),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_not] = ACTIONS(645),
    [anon_sym_and] = ACTIONS(645),
    [anon_sym_or] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_is] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(686),
    [anon_sym_EQ_EQ] = ACTIONS(686),
    [anon_sym_BANG_EQ] = ACTIONS(686),
    [anon_sym_GT_EQ] = ACTIONS(686),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_LT_GT] = ACTIONS(686),
    [sym_ellipsis] = ACTIONS(680),
    [sym_integer] = ACTIONS(664),
    [sym_float] = ACTIONS(680),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(664),
    [sym_false] = ACTIONS(664),
    [sym_none] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(684),
  },
  [161] = {
    [sym_list_splat_pattern] = STATE(1444),
    [sym_primary_expression] = STATE(1202),
    [sym_binary_operator] = STATE(1441),
    [sym_unary_operator] = STATE(1441),
    [sym_attribute] = STATE(1441),
    [sym_subscript] = STATE(1441),
    [sym_call] = STATE(1441),
    [sym_list] = STATE(1441),
    [sym_set] = STATE(1441),
    [sym_tuple] = STATE(1441),
    [sym_dictionary] = STATE(1441),
    [sym_list_comprehension] = STATE(1441),
    [sym_dictionary_comprehension] = STATE(1441),
    [sym_set_comprehension] = STATE(1441),
    [sym_generator_expression] = STATE(1441),
    [sym_parenthesized_expression] = STATE(1441),
    [sym_concatenated_string] = STATE(1441),
    [sym_string] = STATE(1081),
    [sym_await] = STATE(1441),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(686),
    [anon_sym_as] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(645),
    [anon_sym_and] = ACTIONS(645),
    [anon_sym_or] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(686),
    [anon_sym_EQ_EQ] = ACTIONS(686),
    [anon_sym_BANG_EQ] = ACTIONS(686),
    [anon_sym_GT_EQ] = ACTIONS(686),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_LT_GT] = ACTIONS(686),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [162] = {
    [sym_list_splat_pattern] = STATE(1320),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1331),
    [sym_unary_operator] = STATE(1331),
    [sym_attribute] = STATE(1331),
    [sym_subscript] = STATE(1331),
    [sym_call] = STATE(1331),
    [sym_list] = STATE(1331),
    [sym_set] = STATE(1331),
    [sym_tuple] = STATE(1331),
    [sym_dictionary] = STATE(1331),
    [sym_list_comprehension] = STATE(1331),
    [sym_dictionary_comprehension] = STATE(1331),
    [sym_set_comprehension] = STATE(1331),
    [sym_generator_expression] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(1331),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1331),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(791),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(795),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(797),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(799),
  },
  [163] = {
    [sym_list_splat_pattern] = STATE(1320),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1331),
    [sym_unary_operator] = STATE(1331),
    [sym_attribute] = STATE(1331),
    [sym_subscript] = STATE(1331),
    [sym_call] = STATE(1331),
    [sym_list] = STATE(1331),
    [sym_set] = STATE(1331),
    [sym_tuple] = STATE(1331),
    [sym_dictionary] = STATE(1331),
    [sym_list_comprehension] = STATE(1331),
    [sym_dictionary_comprehension] = STATE(1331),
    [sym_set_comprehension] = STATE(1331),
    [sym_generator_expression] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(1331),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1331),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(791),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(795),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(797),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(799),
  },
  [164] = {
    [sym_list_splat_pattern] = STATE(1301),
    [sym_primary_expression] = STATE(1071),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(995),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(686),
    [anon_sym_as] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_print] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(719),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_not] = ACTIONS(645),
    [anon_sym_and] = ACTIONS(645),
    [anon_sym_or] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_is] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(686),
    [anon_sym_EQ_EQ] = ACTIONS(686),
    [anon_sym_BANG_EQ] = ACTIONS(686),
    [anon_sym_GT_EQ] = ACTIONS(686),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_LT_GT] = ACTIONS(686),
    [sym_ellipsis] = ACTIONS(727),
    [sym_integer] = ACTIONS(711),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(729),
    [sym_true] = ACTIONS(711),
    [sym_false] = ACTIONS(711),
    [sym_none] = ACTIONS(711),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(731),
  },
  [165] = {
    [sym_list_splat_pattern] = STATE(1283),
    [sym_primary_expression] = STATE(991),
    [sym_binary_operator] = STATE(1280),
    [sym_unary_operator] = STATE(1280),
    [sym_attribute] = STATE(1280),
    [sym_subscript] = STATE(1280),
    [sym_call] = STATE(1280),
    [sym_list] = STATE(1280),
    [sym_set] = STATE(1280),
    [sym_tuple] = STATE(1280),
    [sym_dictionary] = STATE(1280),
    [sym_list_comprehension] = STATE(1280),
    [sym_dictionary_comprehension] = STATE(1280),
    [sym_set_comprehension] = STATE(1280),
    [sym_generator_expression] = STATE(1280),
    [sym_parenthesized_expression] = STATE(1280),
    [sym_concatenated_string] = STATE(1280),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1280),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(693),
    [anon_sym_print] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_async] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(695),
    [anon_sym_type] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(705),
    [sym_integer] = ACTIONS(689),
    [sym_float] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(707),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_none] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(709),
  },
  [166] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_else] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [167] = {
    [sym_list_splat_pattern] = STATE(1320),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1331),
    [sym_unary_operator] = STATE(1331),
    [sym_attribute] = STATE(1331),
    [sym_subscript] = STATE(1331),
    [sym_call] = STATE(1331),
    [sym_list] = STATE(1331),
    [sym_set] = STATE(1331),
    [sym_tuple] = STATE(1331),
    [sym_dictionary] = STATE(1331),
    [sym_list_comprehension] = STATE(1331),
    [sym_dictionary_comprehension] = STATE(1331),
    [sym_set_comprehension] = STATE(1331),
    [sym_generator_expression] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(1331),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1331),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(791),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(795),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(797),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(799),
  },
  [168] = {
    [sym_list_splat_pattern] = STATE(1301),
    [sym_primary_expression] = STATE(1071),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(995),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_print] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(727),
    [sym_integer] = ACTIONS(711),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(729),
    [sym_true] = ACTIONS(711),
    [sym_false] = ACTIONS(711),
    [sym_none] = ACTIONS(711),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(731),
  },
  [169] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_SEMI] = ACTIONS(308),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(308),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(308),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(308),
    [sym_string_start] = ACTIONS(316),
  },
  [170] = {
    [sym_list_splat_pattern] = STATE(1259),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1180),
    [sym_unary_operator] = STATE(1180),
    [sym_attribute] = STATE(1180),
    [sym_subscript] = STATE(1180),
    [sym_call] = STATE(1180),
    [sym_list] = STATE(1180),
    [sym_set] = STATE(1180),
    [sym_tuple] = STATE(1180),
    [sym_dictionary] = STATE(1180),
    [sym_list_comprehension] = STATE(1180),
    [sym_dictionary_comprehension] = STATE(1180),
    [sym_set_comprehension] = STATE(1180),
    [sym_generator_expression] = STATE(1180),
    [sym_parenthesized_expression] = STATE(1180),
    [sym_concatenated_string] = STATE(1180),
    [sym_string] = STATE(958),
    [sym_await] = STATE(1180),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(737),
    [anon_sym_print] = ACTIONS(739),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(739),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [171] = {
    [sym_list_splat_pattern] = STATE(1283),
    [sym_primary_expression] = STATE(991),
    [sym_binary_operator] = STATE(1280),
    [sym_unary_operator] = STATE(1280),
    [sym_attribute] = STATE(1280),
    [sym_subscript] = STATE(1280),
    [sym_call] = STATE(1280),
    [sym_list] = STATE(1280),
    [sym_set] = STATE(1280),
    [sym_tuple] = STATE(1280),
    [sym_dictionary] = STATE(1280),
    [sym_list_comprehension] = STATE(1280),
    [sym_dictionary_comprehension] = STATE(1280),
    [sym_set_comprehension] = STATE(1280),
    [sym_generator_expression] = STATE(1280),
    [sym_parenthesized_expression] = STATE(1280),
    [sym_concatenated_string] = STATE(1280),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1280),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(693),
    [anon_sym_print] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_async] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(695),
    [anon_sym_type] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(705),
    [sym_integer] = ACTIONS(689),
    [sym_float] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(707),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_none] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(709),
  },
  [172] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_else] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [173] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(686),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_RBRACK] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(650),
    [anon_sym_or] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(686),
    [anon_sym_SLASH_SLASH] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [anon_sym_LT_LT] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_LT_GT] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [174] = {
    [sym_list_splat_pattern] = STATE(1444),
    [sym_primary_expression] = STATE(1202),
    [sym_binary_operator] = STATE(1441),
    [sym_unary_operator] = STATE(1441),
    [sym_attribute] = STATE(1441),
    [sym_subscript] = STATE(1441),
    [sym_call] = STATE(1441),
    [sym_list] = STATE(1441),
    [sym_set] = STATE(1441),
    [sym_tuple] = STATE(1441),
    [sym_dictionary] = STATE(1441),
    [sym_list_comprehension] = STATE(1441),
    [sym_dictionary_comprehension] = STATE(1441),
    [sym_set_comprehension] = STATE(1441),
    [sym_generator_expression] = STATE(1441),
    [sym_parenthesized_expression] = STATE(1441),
    [sym_concatenated_string] = STATE(1441),
    [sym_string] = STATE(1081),
    [sym_await] = STATE(1441),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_COLON_EQ] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [175] = {
    [sym_list_splat_pattern] = STATE(1301),
    [sym_primary_expression] = STATE(1071),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(995),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_print] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(727),
    [sym_integer] = ACTIONS(711),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(729),
    [sym_true] = ACTIONS(711),
    [sym_false] = ACTIONS(711),
    [sym_none] = ACTIONS(711),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(731),
  },
  [176] = {
    [sym_list_splat_pattern] = STATE(1320),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1331),
    [sym_unary_operator] = STATE(1331),
    [sym_attribute] = STATE(1331),
    [sym_subscript] = STATE(1331),
    [sym_call] = STATE(1331),
    [sym_list] = STATE(1331),
    [sym_set] = STATE(1331),
    [sym_tuple] = STATE(1331),
    [sym_dictionary] = STATE(1331),
    [sym_list_comprehension] = STATE(1331),
    [sym_dictionary_comprehension] = STATE(1331),
    [sym_set_comprehension] = STATE(1331),
    [sym_generator_expression] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(1331),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1331),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(791),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(795),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(797),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(799),
  },
  [177] = {
    [sym_list_splat_pattern] = STATE(1444),
    [sym_primary_expression] = STATE(1202),
    [sym_binary_operator] = STATE(1441),
    [sym_unary_operator] = STATE(1441),
    [sym_attribute] = STATE(1441),
    [sym_subscript] = STATE(1441),
    [sym_call] = STATE(1441),
    [sym_list] = STATE(1441),
    [sym_set] = STATE(1441),
    [sym_tuple] = STATE(1441),
    [sym_dictionary] = STATE(1441),
    [sym_list_comprehension] = STATE(1441),
    [sym_dictionary_comprehension] = STATE(1441),
    [sym_set_comprehension] = STATE(1441),
    [sym_generator_expression] = STATE(1441),
    [sym_parenthesized_expression] = STATE(1441),
    [sym_concatenated_string] = STATE(1441),
    [sym_string] = STATE(1081),
    [sym_await] = STATE(1441),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_as] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_in] = ACTIONS(267),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_and] = ACTIONS(267),
    [anon_sym_or] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(267),
    [anon_sym_LT] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(265),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [178] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(308),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(308),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_STAR_STAR] = ACTIONS(267),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_PLUS_EQ] = ACTIONS(308),
    [anon_sym_DASH_EQ] = ACTIONS(308),
    [anon_sym_STAR_EQ] = ACTIONS(308),
    [anon_sym_SLASH_EQ] = ACTIONS(308),
    [anon_sym_AT_EQ] = ACTIONS(308),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(308),
    [anon_sym_PERCENT_EQ] = ACTIONS(308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(308),
    [anon_sym_GT_GT_EQ] = ACTIONS(308),
    [anon_sym_LT_LT_EQ] = ACTIONS(308),
    [anon_sym_AMP_EQ] = ACTIONS(308),
    [anon_sym_CARET_EQ] = ACTIONS(308),
    [anon_sym_PIPE_EQ] = ACTIONS(308),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [179] = {
    [sym_list_splat_pattern] = STATE(1372),
    [sym_primary_expression] = STATE(1116),
    [sym_binary_operator] = STATE(1377),
    [sym_unary_operator] = STATE(1377),
    [sym_attribute] = STATE(1377),
    [sym_subscript] = STATE(1377),
    [sym_call] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_set] = STATE(1377),
    [sym_tuple] = STATE(1377),
    [sym_dictionary] = STATE(1377),
    [sym_list_comprehension] = STATE(1377),
    [sym_dictionary_comprehension] = STATE(1377),
    [sym_set_comprehension] = STATE(1377),
    [sym_generator_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1377),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_print] = ACTIONS(654),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_exec] = ACTIONS(654),
    [anon_sym_type] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_SLASH_SLASH] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_DASH_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_AT_EQ] = ACTIONS(643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(643),
    [anon_sym_GT_GT_EQ] = ACTIONS(643),
    [anon_sym_LT_LT_EQ] = ACTIONS(643),
    [anon_sym_AMP_EQ] = ACTIONS(643),
    [anon_sym_CARET_EQ] = ACTIONS(643),
    [anon_sym_PIPE_EQ] = ACTIONS(643),
    [sym_ellipsis] = ACTIONS(310),
    [sym_integer] = ACTIONS(312),
    [sym_float] = ACTIONS(310),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(312),
    [sym_false] = ACTIONS(312),
    [sym_none] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(316),
  },
  [180] = {
    [sym_named_expression] = STATE(1710),
    [sym__named_expression_lhs] = STATE(2716),
    [sym_list_splat] = STATE(2280),
    [sym_parenthesized_list_splat] = STATE(2280),
    [sym_list_splat_pattern] = STATE(1283),
    [sym_as_pattern] = STATE(1710),
    [sym_expression] = STATE(1645),
    [sym_primary_expression] = STATE(857),
    [sym_not_operator] = STATE(1710),
    [sym_boolean_operator] = STATE(1710),
    [sym_binary_operator] = STATE(1280),
    [sym_unary_operator] = STATE(1280),
    [sym_comparison_operator] = STATE(1710),
    [sym_lambda] = STATE(1710),
    [sym_yield] = STATE(2280),
    [sym_attribute] = STATE(1280),
    [sym_subscript] = STATE(1280),
    [sym_call] = STATE(1280),
    [sym_type] = STATE(1931),
    [sym_splat_type] = STATE(2046),
    [sym_generic_type] = STATE(2046),
    [sym_union_type] = STATE(2046),
    [sym_constrained_type] = STATE(2046),
    [sym_member_type] = STATE(2046),
    [sym_list] = STATE(1280),
    [sym_set] = STATE(1280),
    [sym_tuple] = STATE(1280),
    [sym_dictionary] = STATE(1280),
    [sym_list_comprehension] = STATE(1280),
    [sym_dictionary_comprehension] = STATE(1280),
    [sym_set_comprehension] = STATE(1280),
    [sym_generator_expression] = STATE(1280),
    [sym_parenthesized_expression] = STATE(1280),
    [sym__collection_elements] = STATE(2689),
    [sym_conditional_expression] = STATE(1710),
    [sym_concatenated_string] = STATE(1280),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1280),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_print] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(809),
    [anon_sym_async] = ACTIONS(807),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_exec] = ACTIONS(807),
    [anon_sym_type] = ACTIONS(813),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_not] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_lambda] = ACTIONS(819),
    [anon_sym_yield] = ACTIONS(821),
    [sym_ellipsis] = ACTIONS(705),
    [sym_integer] = ACTIONS(689),
    [sym_float] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(823),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_none] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(709),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(949), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1623), 1,
      sym_pattern,
    STATE(1634), 1,
      sym_pattern_list,
    STATE(1816), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(405), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(638), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(407), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2547), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [120] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2648), 1,
      sym__patterns,
    STATE(2700), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [244] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(841), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2648), 1,
      sym__patterns,
    STATE(2700), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [368] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(949), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1623), 1,
      sym_pattern,
    STATE(1634), 1,
      sym_pattern_list,
    STATE(1816), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(405), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(638), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(407), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2485), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [488] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(847), 1,
      anon_sym_RPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2316), 1,
      sym_yield,
    STATE(2615), 1,
      sym__patterns,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [614] = 32,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2273), 1,
      sym_yield,
    STATE(2289), 1,
      sym_pattern,
    STATE(2466), 1,
      sym_list_splat,
    STATE(2467), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2743), 1,
      sym__collection_elements,
    STATE(2756), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [742] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(867), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2352), 1,
      sym_yield,
    STATE(2602), 1,
      sym__collection_elements,
    STATE(2615), 1,
      sym__patterns,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [868] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(869), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2648), 1,
      sym__patterns,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [992] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_COMMA,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(885), 1,
      anon_sym_RBRACE,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1655), 1,
      sym_expression,
    STATE(1856), 1,
      sym_pair,
    STATE(2234), 1,
      sym_dictionary_splat,
    STATE(2644), 1,
      sym__collection_elements,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1116] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2615), 1,
      sym__patterns,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1242] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(897), 1,
      anon_sym_COMMA,
    ACTIONS(899), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1650), 1,
      sym_expression,
    STATE(1829), 1,
      sym_pair,
    STATE(2284), 1,
      sym_dictionary_splat,
    STATE(2629), 1,
      sym__collection_elements,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1366] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(901), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2709), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1492] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(903), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2678), 1,
      sym__patterns,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2775), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1616] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(907), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1657), 1,
      sym_expression,
    STATE(1860), 1,
      sym_pair,
    STATE(2276), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2740), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1740] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(909), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2718), 1,
      sym__patterns,
    STATE(2719), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1864] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2615), 1,
      sym__patterns,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1990] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(913), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2614), 1,
      sym__collection_elements,
    STATE(2648), 1,
      sym__patterns,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2114] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(915), 1,
      anon_sym_COMMA,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1659), 1,
      sym_expression,
    STATE(1868), 1,
      sym_pair,
    STATE(2324), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2683), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2238] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(949), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1623), 1,
      sym_pattern,
    STATE(1634), 1,
      sym_pattern_list,
    STATE(1816), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(405), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(638), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(407), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2538), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2358] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(919), 1,
      anon_sym_COMMA,
    ACTIONS(921), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1656), 1,
      sym_expression,
    STATE(1836), 1,
      sym_pair,
    STATE(2461), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2725), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2482] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2756), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2608] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(925), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2718), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2732] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(929), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1660), 1,
      sym_expression,
    STATE(1855), 1,
      sym_pair,
    STATE(2356), 1,
      sym_dictionary_splat,
    STATE(2632), 1,
      sym__collection_elements,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2856] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2726), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2982] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2648), 1,
      sym__patterns,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3106] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(935), 1,
      anon_sym_COMMA,
    ACTIONS(937), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1661), 1,
      sym_expression,
    STATE(1869), 1,
      sym_pair,
    STATE(2379), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2665), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3230] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2655), 1,
      sym__patterns,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3356] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2678), 1,
      sym__patterns,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3480] = 30,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_COMMA,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1662), 1,
      sym_expression,
    STATE(1833), 1,
      sym_pair,
    STATE(2403), 1,
      sym_dictionary_splat,
    STATE(2596), 1,
      sym__collection_elements,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2372), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3604] = 31,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2316), 1,
      sym_yield,
    STATE(2615), 1,
      sym__patterns,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3730] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(949), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2774), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3854] = 30,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(825), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_await,
    ACTIONS(951), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1341), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2283), 1,
      sym_pattern,
    STATE(2664), 1,
      sym__patterns,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1352), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3978] = 32,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(953), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1340), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2289), 1,
      sym_pattern,
    STATE(2318), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2456), 1,
      sym_yield,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2709), 1,
      sym__patterns,
    STATE(2712), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4106] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(304), 1,
      anon_sym_TILDE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(955), 1,
      sym_identifier,
    ACTIONS(959), 1,
      anon_sym_LPAREN,
    ACTIONS(961), 1,
      anon_sym_STAR,
    ACTIONS(967), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1345), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_pattern,
    STATE(1598), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(660), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(965), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1346), 2,
      sym_attribute,
      sym_subscript,
    STATE(1597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(963), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(957), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4213] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(304), 1,
      anon_sym_TILDE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(955), 1,
      sym_identifier,
    ACTIONS(959), 1,
      anon_sym_LPAREN,
    ACTIONS(961), 1,
      anon_sym_STAR,
    ACTIONS(967), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1345), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_pattern,
    STATE(1598), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(660), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(965), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1346), 2,
      sym_attribute,
      sym_subscript,
    STATE(1597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(963), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(971), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 27,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(973), 1,
      sym_identifier,
    ACTIONS(975), 1,
      anon_sym_LPAREN,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(989), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1181), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2579), 1,
      sym_pattern,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1183), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2057), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4436] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1001), 1,
      anon_sym_RBRACK,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4552] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4668] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4784] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1013), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4900] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1015), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5016] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1017), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5132] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1019), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5248] = 27,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1021), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5364] = 27,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(973), 1,
      sym_identifier,
    ACTIONS(975), 1,
      anon_sym_LPAREN,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(989), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1181), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2579), 1,
      sym_pattern,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1183), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1999), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5480] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(1931), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5593] = 26,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1023), 1,
      sym_identifier,
    ACTIONS(1025), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_match,
    ACTIONS(1031), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1033), 1,
      anon_sym_type,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(1967), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1922), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5706] = 26,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1023), 1,
      sym_identifier,
    ACTIONS(1025), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_match,
    ACTIONS(1031), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1033), 1,
      anon_sym_type,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(1881), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1922), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5819] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      anon_sym_match,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1045), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1047), 1,
      anon_sym_type,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1991), 1,
      sym_type,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1973), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5932] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(1996), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6045] = 27,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_RPAREN,
    ACTIONS(1059), 1,
      anon_sym_COMMA,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2242), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2241), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6160] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2402), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6273] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_RPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1687), 1,
      sym_expression,
    STATE(2474), 1,
      sym_with_item,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6390] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(304), 1,
      anon_sym_TILDE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      sym_identifier,
    ACTIONS(1085), 1,
      anon_sym_LPAREN,
    ACTIONS(1087), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1095), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(660), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1476), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1089), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(957), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6495] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      anon_sym_COMMA,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2368), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2479), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6610] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(304), 1,
      anon_sym_TILDE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      sym_identifier,
    ACTIONS(1085), 1,
      anon_sym_LPAREN,
    ACTIONS(1087), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1095), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(660), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1476), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1089), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(971), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6715] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      anon_sym_match,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1045), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1047), 1,
      anon_sym_type,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1940), 1,
      sym_type,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1973), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6828] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6941] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1111), 1,
      anon_sym_RPAREN,
    ACTIONS(1113), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2405), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2404), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7056] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2235), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7169] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2265), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7282] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2449), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7395] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      anon_sym_match,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1045), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1047), 1,
      anon_sym_type,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1885), 1,
      sym_type,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1973), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7508] = 26,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1023), 1,
      sym_identifier,
    ACTIONS(1025), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_match,
    ACTIONS(1031), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1033), 1,
      anon_sym_type,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(1924), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1922), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7621] = 26,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1023), 1,
      sym_identifier,
    ACTIONS(1025), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_match,
    ACTIONS(1031), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1033), 1,
      anon_sym_type,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2100), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1922), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7734] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1057), 1,
      anon_sym_RPAREN,
    ACTIONS(1059), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(2242), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2241), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7849] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1115), 1,
      anon_sym_RPAREN,
    ACTIONS(1117), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2286), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7964] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2301), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8077] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1119), 1,
      anon_sym_RPAREN,
    ACTIONS(1121), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1684), 1,
      sym_expression,
    STATE(2333), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2332), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8192] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(1987), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8305] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2084), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8418] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1123), 1,
      anon_sym_RPAREN,
    ACTIONS(1125), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1690), 1,
      sym_expression,
    STATE(2232), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2361), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8533] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2085), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8646] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2384), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2383), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8761] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_STAR,
    ACTIONS(1109), 1,
      anon_sym_await,
    ACTIONS(1131), 1,
      anon_sym_RPAREN,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2409), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1107), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1105), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2408), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8876] = 25,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1137), 1,
      anon_sym_from,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2021), 1,
      sym_expression_list,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1139), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8987] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(1945), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9100] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(1914), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9213] = 26,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(811), 1,
      anon_sym_STAR_STAR,
    ACTIONS(991), 1,
      sym_identifier,
    ACTIONS(993), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_match,
    ACTIONS(999), 1,
      anon_sym_type,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(1895), 1,
      sym_type,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2046), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9326] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2445), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9439] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2447), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9552] = 26,
    ACTIONS(263), 1,
      sym_identifier,
    ACTIONS(285), 1,
      anon_sym_match,
    ACTIONS(290), 1,
      anon_sym_type,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(333), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2448), 1,
      sym_type,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9665] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      anon_sym_match,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1045), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1047), 1,
      anon_sym_type,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1883), 1,
      sym_type,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1973), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9778] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1147), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1683), 1,
      sym_expression,
    STATE(2238), 1,
      sym_list_splat,
    STATE(2239), 1,
      sym_parenthesized_list_splat,
    STATE(2322), 1,
      sym_yield,
    STATE(2659), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9894] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2318), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2456), 1,
      sym_yield,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2712), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10010] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10122] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1153), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10234] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_RPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2476), 1,
      sym_yield,
    STATE(2641), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10348] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(815), 1,
      anon_sym_RBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2689), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10460] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10572] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10684] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10796] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1163), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10908] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1165), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2378), 1,
      sym_yield,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11022] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1167), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2666), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11134] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1169), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2273), 1,
      sym_yield,
    STATE(2466), 1,
      sym_list_splat,
    STATE(2467), 1,
      sym_parenthesized_list_splat,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2743), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11250] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11362] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11474] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11586] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11698] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2456), 1,
      sym_yield,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2712), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11812] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1179), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1715), 1,
      sym_expression,
    STATE(2657), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11924] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1165), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2318), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2378), 1,
      sym_yield,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12040] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12152] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12264] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12376] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12488] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2401), 1,
      sym_yield,
    STATE(2589), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12602] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1191), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2719), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12714] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2401), 1,
      sym_yield,
    STATE(2466), 1,
      sym_list_splat,
    STATE(2467), 1,
      sym_parenthesized_list_splat,
    STATE(2589), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12830] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1193), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12942] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13054] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13166] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1169), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2273), 1,
      sym_yield,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2743), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13280] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1199), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    STATE(2775), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13392] = 28,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2238), 1,
      sym_list_splat,
    STATE(2239), 1,
      sym_parenthesized_list_splat,
    STATE(2352), 1,
      sym_yield,
    STATE(2602), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13508] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13620] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1205), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13732] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13844] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13956] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2352), 1,
      sym_yield,
    STATE(2602), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14070] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2592), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14182] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2316), 1,
      sym_yield,
    STATE(2698), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14296] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14408] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14520] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14632] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1221), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14744] = 27,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1147), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1683), 1,
      sym_expression,
    STATE(2322), 1,
      sym_yield,
    STATE(2659), 1,
      sym__collection_elements,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2287), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14858] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2614), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14970] = 26,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1225), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2700), 1,
      sym__collection_elements,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2280), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15082] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15194] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15306] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15418] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1233), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15530] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1235), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15642] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15754] = 26,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15866] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2075), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1245), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15975] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2075), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16084] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(308), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16181] = 25,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1882), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2507), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16290] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    ACTIONS(1259), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2075), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1261), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16399] = 25,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1882), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2507), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16508] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    ACTIONS(1265), 1,
      anon_sym_RPAREN,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2075), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16617] = 25,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1249), 1,
      anon_sym_RBRACK,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(807), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2072), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16726] = 25,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(879), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2094), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1261), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16835] = 25,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1241), 1,
      anon_sym_RBRACE,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(879), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2094), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1245), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16944] = 25,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(879), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2094), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17053] = 25,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      anon_sym_RBRACE,
    ACTIONS(1277), 1,
      anon_sym_LPAREN,
    ACTIONS(1279), 1,
      anon_sym_STAR,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1968), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2529), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17162] = 25,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1053), 1,
      sym_identifier,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1069), 1,
      anon_sym_await,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1952), 1,
      sym_expression,
    STATE(2516), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1063), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2512), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17271] = 25,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_RBRACK,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(807), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2072), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17380] = 25,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      anon_sym_RBRACK,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1954), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2574), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17489] = 23,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1287), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17594] = 25,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1255), 1,
      anon_sym_RBRACK,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1954), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2574), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17703] = 23,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1289), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17808] = 25,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(879), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2094), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17917] = 25,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1259), 1,
      anon_sym_RBRACK,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(807), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2072), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1261), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18026] = 25,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1241), 1,
      anon_sym_RBRACK,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(807), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2072), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1245), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18135] = 25,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(1277), 1,
      anon_sym_LPAREN,
    ACTIONS(1279), 1,
      anon_sym_STAR,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1968), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2529), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18244] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1291), 1,
      anon_sym_from,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2523), 1,
      sym_expression_list,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1139), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18352] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18460] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1297), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18568] = 24,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_LPAREN,
    ACTIONS(1279), 1,
      anon_sym_STAR,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1968), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2529), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18674] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1299), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18782] = 24,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(861), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1882), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2507), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18888] = 25,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_from,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1857), 1,
      sym_expression,
    STATE(2549), 1,
      sym_expression_list,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1139), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18996] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_from,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1862), 1,
      sym_expression,
    STATE(2527), 1,
      sym_expression_list,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1139), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19104] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19212] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19320] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1313), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19428] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    ACTIONS(1317), 1,
      anon_sym_from,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1775), 1,
      sym_expression,
    STATE(2278), 1,
      sym_expression_list,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1315), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19536] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19644] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19752] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19860] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19968] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20076] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20184] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20292] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20400] = 24,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      anon_sym_yield,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1954), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2574), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20506] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20614] = 25,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20722] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1341), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20829] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1343), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20936] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21041] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1349), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21148] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1351), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21255] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1353), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21362] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21469] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1359), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1866), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1357), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21574] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    ACTIONS(1361), 1,
      anon_sym_from,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1287), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21679] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21774] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1051), 1,
      anon_sym_not,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    STATE(2498), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21879] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2490), 1,
      sym_expression_list,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1363), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21984] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22091] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1367), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22198] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22305] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1371), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22400] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    ACTIONS(1373), 1,
      anon_sym_from,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1289), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22505] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22612] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22719] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1379), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22826] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22933] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23040] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23147] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23254] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23361] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23468] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23575] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23682] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23789] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23896] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24003] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1403), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24110] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24217] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1407), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24324] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24431] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24538] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24645] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24752] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2386), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24856] = 23,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2072), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24958] = 20,
    ACTIONS(292), 1,
      anon_sym_in,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(308), 1,
      anon_sym_COMMA,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25054] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25156] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1955), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25258] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1419), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25360] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1287), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25462] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1423), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2506), 1,
      sym_with_item,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25566] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1813), 1,
      sym_expression,
    STATE(2417), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25670] = 10,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1431), 1,
      anon_sym_except,
    ACTIONS(1433), 1,
      anon_sym_except_STAR,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(690), 1,
      sym_else_clause,
    STATE(753), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(413), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1425), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1427), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25746] = 23,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1782), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2052), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25848] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2539), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25952] = 10,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1431), 1,
      anon_sym_except,
    ACTIONS(1433), 1,
      anon_sym_except_STAR,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(681), 1,
      sym_else_clause,
    STATE(771), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(482), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1437), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26028] = 23,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1938), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1289), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26130] = 10,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1443), 1,
      anon_sym_except,
    ACTIONS(1445), 1,
      anon_sym_except_STAR,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(692), 1,
      sym_else_clause,
    STATE(794), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(587), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1437), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26206] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1900), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26308] = 10,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1443), 1,
      anon_sym_except,
    ACTIONS(1445), 1,
      anon_sym_except_STAR,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(695), 1,
      sym_else_clause,
    STATE(795), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(418), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1453), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1451), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26384] = 10,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1443), 1,
      anon_sym_except,
    ACTIONS(1445), 1,
      anon_sym_except_STAR,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(701), 1,
      sym_else_clause,
    STATE(811), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(587), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1457), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26460] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2075), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26562] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2055), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26664] = 23,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1929), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26766] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1907), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26868] = 24,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1459), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1950), 1,
      sym_expression,
    STATE(2483), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26972] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2424), 1,
      sym_with_item,
    STATE(2623), 1,
      sym_with_clause,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27076] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27170] = 10,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1431), 1,
      anon_sym_except,
    ACTIONS(1433), 1,
      anon_sym_except_STAR,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(699), 1,
      sym_else_clause,
    STATE(824), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(428), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1453), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1451), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27246] = 23,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1943), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27348] = 10,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1431), 1,
      anon_sym_except,
    ACTIONS(1433), 1,
      anon_sym_except_STAR,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(687), 1,
      sym_else_clause,
    STATE(722), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(482), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1457), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27424] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1463), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27526] = 23,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1953), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27628] = 23,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1821), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2005), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27730] = 23,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1798), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2066), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27832] = 23,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1784), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2014), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27934] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1963), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28036] = 24,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1950), 1,
      sym_expression,
    STATE(2483), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28140] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(1247), 1,
      anon_sym_lambda,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2065), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28242] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1467), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28344] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1469), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2506), 1,
      sym_with_item,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28448] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2424), 1,
      sym_with_item,
    STATE(2637), 1,
      sym_with_clause,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28552] = 10,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1443), 1,
      anon_sym_except,
    ACTIONS(1445), 1,
      anon_sym_except_STAR,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(685), 1,
      sym_else_clause,
    STATE(783), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(415), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1425), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1427), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28628] = 23,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1938), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1287), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28730] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28824] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28918] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2233), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29022] = 23,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1892), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29124] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2245), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29228] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1471), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29330] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2288), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29434] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1289), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29536] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2335), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29640] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1800), 1,
      sym_expression,
    STATE(2363), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29744] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2411), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29848] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1811), 1,
      sym_expression,
    STATE(2421), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29952] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2426), 1,
      sym_slice,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30056] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_STAR,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(265), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30150] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2424), 1,
      sym_with_item,
    STATE(2656), 1,
      sym_with_clause,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30254] = 24,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2424), 1,
      sym_with_item,
    STATE(2663), 1,
      sym_with_clause,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30358] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1473), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30460] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1475), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30562] = 23,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2094), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30664] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1826), 1,
      sym_expression,
    STATE(2631), 1,
      sym_expression_list,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30765] = 11,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(282), 1,
      anon_sym_COLON,
    ACTIONS(292), 1,
      anon_sym_EQ,
    ACTIONS(1477), 1,
      sym_identifier,
    ACTIONS(1479), 1,
      sym_string_start,
    STATE(2435), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(265), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [30842] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2506), 1,
      sym_with_item,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30943] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1969), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31044] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2535), 1,
      sym_expression_list,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31145] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1483), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31246] = 10,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1477), 1,
      sym_identifier,
    ACTIONS(1479), 1,
      sym_string_start,
    STATE(2435), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(292), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(265), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [31321] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1287), 1,
      anon_sym_COLON,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31422] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1485), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31523] = 23,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1950), 1,
      sym_expression,
    STATE(2483), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31624] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31725] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1289), 1,
      anon_sym_COLON,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31826] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2671), 1,
      sym_expression_list,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31927] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1850), 1,
      sym_expression,
    STATE(2680), 1,
      sym_expression_list,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32028] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1489), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32129] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_expression,
    STATE(2662), 1,
      sym_expression_list,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32230] = 10,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1491), 1,
      anon_sym_for,
    ACTIONS(1493), 1,
      anon_sym_with,
    ACTIONS(1495), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(292), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [32305] = 23,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32406] = 10,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1499), 1,
      anon_sym_for,
    ACTIONS(1501), 1,
      anon_sym_with,
    ACTIONS(1503), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(292), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [32481] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2002), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32579] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2086), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32677] = 6,
    ACTIONS(1509), 1,
      anon_sym_except,
    ACTIONS(1512), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(482), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1505), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1507), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32743] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1946), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32841] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32939] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33037] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33135] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33233] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33331] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33429] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33527] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1739), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33625] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33723] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33821] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1975), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33919] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34017] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34115] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34213] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34311] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34409] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1920), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34507] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34605] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34703] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1673), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34801] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1935), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34899] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1648), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34997] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1763), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35095] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35193] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35291] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35389] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35487] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1755), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35585] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35683] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1760), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35781] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35879] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35977] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1765), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36075] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1766), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36173] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36271] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36369] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1658), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36467] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36565] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36663] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36761] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36859] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36957] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37055] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1727), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37153] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37251] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37349] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1774), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37447] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37545] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1750), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37643] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37741] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37839] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1898), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37937] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1788), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38035] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      sym_identifier,
    ACTIONS(1521), 1,
      anon_sym_await,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1932), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1194), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1517), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38135] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2013), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38233] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1904), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38331] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2070), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38429] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1903), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38527] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2037), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38625] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1928), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38723] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38821] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38919] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1651), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39017] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(2003), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39115] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39213] = 23,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1523), 1,
      sym_identifier,
    ACTIONS(1529), 1,
      anon_sym_await,
    STATE(994), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1937), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1527), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1362), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1525), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39313] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1652), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39411] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1664), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39509] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2016), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39607] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1654), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39705] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39803] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1938), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39901] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39999] = 23,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1531), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1535), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1533), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40099] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1871), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40197] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1521), 1,
      anon_sym_await,
    ACTIONS(1539), 1,
      sym_identifier,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1932), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1194), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1517), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40297] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1653), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40395] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1916), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40493] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1917), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40591] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1770), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40689] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40787] = 22,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(857), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1283), 1,
      sym_list_splat_pattern,
    STATE(1671), 1,
      sym_expression,
    STATE(2716), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(807), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(689), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1710), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40885] = 23,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1541), 1,
      sym_identifier,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1937), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1545), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1472), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1543), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40985] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2060), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41083] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41181] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1927), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41279] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2008), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41377] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1794), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41475] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41573] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1796), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41671] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1797), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41769] = 22,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(893), 1,
      sym_primary_expression,
    STATE(958), 1,
      sym_string,
    STATE(1259), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(881), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(879), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(733), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1754), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41867] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(1521), 1,
      anon_sym_await,
    ACTIONS(1547), 1,
      sym_identifier,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1932), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1551), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1458), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1549), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41967] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42065] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1663), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42163] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42261] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2027), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42359] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42457] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1758), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42555] = 23,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1537), 1,
      anon_sym_await,
    ACTIONS(1553), 1,
      sym_identifier,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1557), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1473), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1555), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42655] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42753] = 22,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(953), 1,
      sym_primary_expression,
    STATE(995), 1,
      sym_string,
    STATE(1301), 1,
      sym_list_splat_pattern,
    STATE(1719), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1029), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1027), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1722), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42851] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(857), 1,
      anon_sym_not,
    ACTIONS(859), 1,
      anon_sym_lambda,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(950), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1320), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2698), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1079), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1077), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1807), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42949] = 6,
    ACTIONS(1559), 1,
      anon_sym_except,
    ACTIONS(1562), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(587), 3,
      sym_except_clause,
      sym_except_group_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1505), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1507), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43015] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_not,
    ACTIONS(1005), 1,
      anon_sym_lambda,
    ACTIONS(1007), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1081), 1,
      sym_string,
    STATE(1444), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2585), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(997), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(995), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43113] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2006), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43211] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2029), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43309] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1992), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43407] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43505] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1989), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43603] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2035), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43701] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2071), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43799] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1990), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43897] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2020), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43995] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2022), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44093] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1847), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44191] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2034), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44289] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(398), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_primary_expression,
    STATE(954), 1,
      sym_string,
    STATE(1047), 1,
      sym_list_splat_pattern,
    STATE(1899), 1,
      sym_expression,
    STATE(2616), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(387), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(383), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1649), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44387] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(306), 1,
      anon_sym_lambda,
    ACTIONS(314), 1,
      anon_sym_await,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_not,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(2036), 1,
      sym_expression,
    STATE(2729), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(285), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(278), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44485] = 22,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_not,
    ACTIONS(987), 1,
      anon_sym_lambda,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1145), 1,
      anon_sym_await,
    STATE(901), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1197), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2650), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1143), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1141), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(664), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1769), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44583] = 10,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1574), 1,
      anon_sym_COLON,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2082), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44656] = 8,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(282), 1,
      anon_sym_COLON,
    ACTIONS(292), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44724] = 8,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1587), 1,
      anon_sym_elif,
    STATE(610), 1,
      aux_sym_if_statement_repeat1,
    STATE(704), 1,
      sym_elif_clause,
    STATE(821), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1583), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44792] = 8,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(282), 1,
      anon_sym_COLON,
    ACTIONS(292), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44860] = 7,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(292), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44926] = 8,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1593), 1,
      anon_sym_elif,
    STATE(613), 1,
      aux_sym_if_statement_repeat1,
    STATE(691), 1,
      sym_elif_clause,
    STATE(787), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1591), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44994] = 8,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1587), 1,
      anon_sym_elif,
    STATE(665), 1,
      aux_sym_if_statement_repeat1,
    STATE(704), 1,
      sym_elif_clause,
    STATE(734), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1595), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1597), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45062] = 8,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1587), 1,
      anon_sym_elif,
    STATE(616), 1,
      aux_sym_if_statement_repeat1,
    STATE(704), 1,
      sym_elif_clause,
    STATE(776), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1591), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45130] = 7,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1577), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45196] = 8,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1593), 1,
      anon_sym_elif,
    STATE(663), 1,
      aux_sym_if_statement_repeat1,
    STATE(691), 1,
      sym_elif_clause,
    STATE(802), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1601), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1599), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45264] = 8,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1593), 1,
      anon_sym_elif,
    STATE(617), 1,
      aux_sym_if_statement_repeat1,
    STATE(691), 1,
      sym_elif_clause,
    STATE(803), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1583), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45332] = 7,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(292), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(308), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(267), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45398] = 8,
    ACTIONS(1429), 1,
      anon_sym_else,
    ACTIONS(1587), 1,
      anon_sym_elif,
    STATE(665), 1,
      aux_sym_if_statement_repeat1,
    STATE(704), 1,
      sym_elif_clause,
    STATE(817), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1601), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1599), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45466] = 8,
    ACTIONS(1441), 1,
      anon_sym_else,
    ACTIONS(1593), 1,
      anon_sym_elif,
    STATE(663), 1,
      aux_sym_if_statement_repeat1,
    STATE(691), 1,
      sym_elif_clause,
    STATE(818), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1595), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1597), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1605), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1603), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45591] = 7,
    ACTIONS(1619), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1611), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1614), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1623), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1621), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1627), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1629), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45884] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1642), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45947] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46010] = 6,
    ACTIONS(1651), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1653), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1649), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46073] = 6,
    ACTIONS(1662), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1664), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1660), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46136] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(1639), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1642), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1666), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1668), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1627), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46427] = 6,
    ACTIONS(1657), 1,
      anon_sym_COMMA,
    ACTIONS(1662), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1660), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1674), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1676), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1684), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46661] = 6,
    ACTIONS(1646), 1,
      anon_sym_COMMA,
    ACTIONS(1651), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1649), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46724] = 6,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1686), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1605), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1603), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1623), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1621), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1684), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47129] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(645), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1686), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1698), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47418] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(645), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47479] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1611), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1698), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48167] = 6,
    ACTIONS(1730), 1,
      anon_sym_elif,
    STATE(663), 1,
      aux_sym_if_statement_repeat1,
    STATE(691), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1666), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1668), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48287] = 6,
    ACTIONS(1733), 1,
      anon_sym_elif,
    STATE(665), 1,
      aux_sym_if_statement_repeat1,
    STATE(704), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1674), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1676), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1629), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48745] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1736), 1,
      sym_identifier,
    ACTIONS(1738), 1,
      anon_sym_LPAREN,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1746), 1,
      anon_sym_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1569), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_primary_expression,
    STATE(2053), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1744), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1567), 2,
      sym_attribute,
      sym_subscript,
    STATE(2068), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1742), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(957), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1605), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1603), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1605), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1603), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48949] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1736), 1,
      sym_identifier,
    ACTIONS(1738), 1,
      anon_sym_LPAREN,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1746), 1,
      anon_sym_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1569), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_primary_expression,
    STATE(2053), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1744), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1567), 2,
      sym_attribute,
      sym_subscript,
    STATE(2068), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1742), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(971), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1627), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1627), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49265] = 5,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(721), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49379] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(762), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1760), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49438] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(792), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49497] = 5,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(794), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1437), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1768), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49611] = 5,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(745), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1772), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49670] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(739), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1774), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1776), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49784] = 5,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(771), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1437), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49898] = 5,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(810), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49957] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(808), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1784), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1782), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50016] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(754), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1788), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50075] = 5,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(811), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50134] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(716), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1784), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1782), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50193] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(757), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1790), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50252] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(823), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1774), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1776), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50311] = 5,
    ACTIONS(1435), 1,
      anon_sym_finally,
    STATE(722), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1768), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50425] = 5,
    ACTIONS(1447), 1,
      anon_sym_finally,
    STATE(831), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1772), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50484] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(727), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1790), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50543] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(829), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1788), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50657] = 5,
    ACTIONS(1429), 1,
      anon_sym_else,
    STATE(713), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50716] = 5,
    ACTIONS(1441), 1,
      anon_sym_else,
    STATE(719), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1760), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50829] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1798), 1,
      sym_identifier,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_RPAREN,
    ACTIONS(1804), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      anon_sym_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1581), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_list_splat_pattern,
    STATE(2289), 1,
      sym_pattern,
    STATE(2615), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1806), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1814), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1816), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1814), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1816), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51083] = 22,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1798), 1,
      sym_identifier,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1804), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      anon_sym_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_await,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      sym_string,
    STATE(1581), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_list_splat_pattern,
    STATE(2289), 1,
      sym_pattern,
    STATE(2709), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1806), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1820), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1822), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1834), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1854), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1772), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1856), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1858), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1872), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1876), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1878), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1880), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1882), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1884), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1888), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1890), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52182] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1798), 1,
      sym_identifier,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1804), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      anon_sym_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_await,
    ACTIONS(1892), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      sym_string,
    STATE(1581), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_list_splat_pattern,
    STATE(2542), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1806), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52271] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2400), 1,
      sym_pattern,
    STATE(2587), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1910), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1912), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1918), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52572] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2410), 1,
      sym_pattern,
    STATE(2613), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1936), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1934), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1938), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1950), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53350] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2478), 1,
      sym_pattern,
    STATE(2772), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1437), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1872), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1974), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1976), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1978), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1980), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1982), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1984), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1936), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1934), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1938), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1992), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1990), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1992), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1990), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54340] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    ACTIONS(2002), 1,
      anon_sym_in,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54482] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2477), 1,
      sym_pattern,
    STATE(2768), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54624] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2437), 1,
      sym_pattern,
    STATE(2695), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54713] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2004), 1,
      sym_identifier,
    ACTIONS(2006), 1,
      anon_sym_LPAREN,
    ACTIONS(2008), 1,
      anon_sym_STAR,
    ACTIONS(2014), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_RBRACK,
    ACTIONS(2018), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1586), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_primary_expression,
    STATE(2565), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2012), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1587), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2010), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2020), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54855] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    ACTIONS(2024), 1,
      anon_sym_in,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2028), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54997] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1892), 1,
      anon_sym_RBRACK,
    ACTIONS(2004), 1,
      sym_identifier,
    ACTIONS(2006), 1,
      anon_sym_LPAREN,
    ACTIONS(2008), 1,
      anon_sym_STAR,
    ACTIONS(2014), 1,
      anon_sym_LBRACK,
    ACTIONS(2018), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1586), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_primary_expression,
    STATE(2565), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2012), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1587), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2010), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1950), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1437), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1439), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1982), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1984), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2020), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2028), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2040), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2038), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1820), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1822), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55775] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2436), 1,
      sym_pattern,
    STATE(2674), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2040), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2038), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2044), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2042), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56182] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2048), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2046), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2052), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1856), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1858), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1910), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1912), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1834), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1854), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1772), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1876), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1878), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1880), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1882), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1884), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1888), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1890), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2048), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2046), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2044), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2042), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2052), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1918), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1455), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1974), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1976), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57560] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2439), 1,
      sym_pattern,
    STATE(2669), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57649] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2441), 1,
      sym_pattern,
    STATE(2679), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1978), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1980), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58056] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2453), 1,
      sym_pattern,
    STATE(2703), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58145] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2454), 1,
      sym_pattern,
    STATE(2705), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58234] = 21,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1798), 1,
      sym_identifier,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1804), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      anon_sym_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_await,
    ACTIONS(2016), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      sym_string,
    STATE(1581), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_list_splat_pattern,
    STATE(2542), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1806), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58323] = 20,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      sym_identifier,
    ACTIONS(1085), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1095), 1,
      anon_sym_await,
    ACTIONS(2054), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1091), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1476), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1089), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58409] = 20,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(955), 1,
      sym_identifier,
    ACTIONS(959), 1,
      anon_sym_LPAREN,
    ACTIONS(967), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1345), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_pattern,
    STATE(1598), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(965), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1346), 2,
      sym_attribute,
      sym_subscript,
    STATE(1597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(963), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58495] = 20,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1588), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    STATE(1626), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1898), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58581] = 20,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1736), 1,
      sym_identifier,
    ACTIONS(1738), 1,
      anon_sym_LPAREN,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1746), 1,
      anon_sym_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1569), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_primary_expression,
    STATE(2053), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1744), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1567), 2,
      sym_attribute,
      sym_subscript,
    STATE(2068), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1742), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58667] = 20,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2004), 1,
      sym_identifier,
    ACTIONS(2006), 1,
      anon_sym_LPAREN,
    ACTIONS(2008), 1,
      anon_sym_STAR,
    ACTIONS(2014), 1,
      anon_sym_LBRACK,
    ACTIONS(2018), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1586), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_primary_expression,
    STATE(2565), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2012), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1587), 2,
      sym_attribute,
      sym_subscript,
    STATE(2487), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2010), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58753] = 20,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(1798), 1,
      sym_identifier,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1804), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      anon_sym_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1581), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_list_splat_pattern,
    STATE(2542), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2546), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1806), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58839] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2056), 1,
      sym_identifier,
    ACTIONS(2064), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1581), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2058), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2062), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1579), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2060), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58922] = 19,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2066), 1,
      sym_identifier,
    ACTIONS(2072), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1588), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2058), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2070), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1599), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2068), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59005] = 21,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_PIPE,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2100), 1,
      anon_sym_AMP,
    ACTIONS(2102), 1,
      anon_sym_CARET,
    ACTIONS(2104), 1,
      anon_sym_is,
    STATE(1545), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2106), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2084), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [59091] = 17,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(969), 1,
      sym_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59169] = 17,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(958), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59247] = 17,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(984), 1,
      sym_string,
    STATE(1125), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59325] = 17,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(954), 1,
      sym_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59403] = 17,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(995), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59481] = 17,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(985), 1,
      sym_string,
    STATE(1089), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59559] = 17,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(1081), 1,
      sym_string,
    STATE(1212), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59637] = 17,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(2108), 1,
      anon_sym_not,
    STATE(975), 1,
      sym_string,
    STATE(1030), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59715] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1089), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59790] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(1021), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59865] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1030), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59940] = 21,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2128), 1,
      anon_sym_PIPE,
    ACTIONS(2130), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_CARET,
    ACTIONS(2134), 1,
      anon_sym_is,
    STATE(1552), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2136), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(914), 2,
      sym__not_in,
      sym__is_not,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2118), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [60025] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1210), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60100] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1015), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60175] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      sym_identifier,
    ACTIONS(2144), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1581), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2142), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1349), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2140), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60254] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60329] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1005), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60404] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(959), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60479] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60554] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60629] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1214), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60704] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(956), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60779] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1588), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2150), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2148), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60858] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60933] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61008] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1129), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61083] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61158] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61233] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1449), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61312] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2162), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1588), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2166), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2164), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61391] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1070), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61466] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2170), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2174), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1039), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2172), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61545] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1130), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61620] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61695] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1115), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61770] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(1026), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61845] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(957), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61920] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1132), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61995] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(962), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62070] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_await,
    ACTIONS(2178), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1449), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62149] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62224] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2152), 1,
      anon_sym_await,
    ACTIONS(2180), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1588), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2150), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2148), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62303] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1073), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62378] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_await,
    ACTIONS(2182), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2186), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2184), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62457] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1074), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62532] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1201), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62607] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62682] = 21,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2206), 1,
      anon_sym_PIPE,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(2212), 1,
      anon_sym_is,
    STATE(1560), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2214), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(861), 2,
      sym__not_in,
      sym__is_not,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2196), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [62767] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(977), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62842] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2176), 1,
      anon_sym_await,
    ACTIONS(2216), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2174), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1039), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2172), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62921] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1076), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62996] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(966), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63071] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1127), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63146] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63221] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      anon_sym_STAR,
    STATE(954), 1,
      sym_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(633), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1099), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63296] = 21,
    ACTIONS(2088), 1,
      anon_sym_EQ,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2238), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_is,
    STATE(1558), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(856), 2,
      sym__not_in,
      sym__is_not,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2226), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [63381] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1077), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63456] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2246), 1,
      sym_identifier,
    ACTIONS(2252), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1598), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2250), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(651), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2248), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63535] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2254), 1,
      sym_identifier,
    ACTIONS(2260), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2258), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1230), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2256), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63614] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1123), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63689] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1284), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63764] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63839] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2262), 1,
      sym_identifier,
    ACTIONS(2268), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2266), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1471), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2264), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63918] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2270), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1581), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2274), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1580), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2272), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63997] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64072] = 16,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    STATE(1301), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(719), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(717), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(711), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64147] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(999), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64222] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1001), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64297] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64372] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1016), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64447] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2260), 1,
      anon_sym_await,
    ACTIONS(2278), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1600), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2282), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1196), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2280), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64526] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(997), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64601] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1124), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64676] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1023), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64751] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(1028), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64826] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1024), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64901] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(1025), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64976] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2284), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2288), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2286), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65055] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2252), 1,
      anon_sym_await,
    ACTIONS(2290), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1598), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2250), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(651), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2248), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65134] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1217), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65209] = 16,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(1269), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1283), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(697), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(705), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(695), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(701), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(689), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1280), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65284] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1125), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65359] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1211), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65434] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(983), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65509] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1126), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65584] = 16,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    STATE(984), 1,
      sym_string,
    STATE(1128), 1,
      sym_primary_expression,
    STATE(1372), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(656), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(654), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65659] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1022), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65734] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1085), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65809] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1087), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65884] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65959] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1090), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66034] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1091), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66109] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66184] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2292), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2288), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2286), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66263] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66338] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2260), 1,
      anon_sym_await,
    ACTIONS(2278), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2282), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1196), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2280), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66417] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2292), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1581), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2288), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2286), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66496] = 18,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(1421), 1,
      anon_sym_STAR,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1372), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(310), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1449), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(304), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1377), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66575] = 16,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(958), 1,
      sym_string,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1259), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(741), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(739), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(733), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1180), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66650] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(789), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(1243), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1094), 1,
      sym_primary_expression,
    STATE(1320), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(795), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(791), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1331), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66725] = 16,
    ACTIONS(666), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(977), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1027), 1,
      sym_primary_expression,
    STATE(1197), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(672), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(680), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(670), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(676), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(664), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1279), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66800] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1212), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66875] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1307), 1,
      anon_sym_STAR,
    STATE(1081), 1,
      sym_string,
    STATE(1213), 1,
      sym_primary_expression,
    STATE(1444), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1441), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66950] = 20,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2096), 1,
      anon_sym_PIPE,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2100), 1,
      anon_sym_AMP,
    ACTIONS(2102), 1,
      anon_sym_CARET,
    ACTIONS(2104), 1,
      anon_sym_is,
    ACTIONS(2294), 1,
      anon_sym_DOT,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    STATE(1545), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2106), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2084), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67032] = 21,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2322), 1,
      anon_sym_is,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2324), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(854), 2,
      sym__not_in,
      sym__is_not,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2306), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [67116] = 5,
    ACTIONS(2330), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(951), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67168] = 21,
    ACTIONS(2088), 1,
      anon_sym_EQ,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2357), 1,
      anon_sym_is,
    STATE(1554), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2359), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(927), 2,
      sym__not_in,
      sym__is_not,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2341), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [67252] = 21,
    ACTIONS(2088), 1,
      anon_sym_EQ,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(2379), 1,
      anon_sym_PIPE,
    ACTIONS(2381), 1,
      anon_sym_AMP,
    ACTIONS(2383), 1,
      anon_sym_CARET,
    ACTIONS(2385), 1,
      anon_sym_is,
    STATE(1555), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2387), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(892), 2,
      sym__not_in,
      sym__is_not,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2369), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67336] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(955), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67388] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(951), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67440] = 8,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67497] = 8,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67554] = 5,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(971), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67605] = 8,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67662] = 5,
    ACTIONS(2401), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(960), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67713] = 5,
    ACTIONS(2404), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(961), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67764] = 10,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67825] = 20,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(947), 2,
      sym__not_in,
      sym__is_not,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2074), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [67906] = 5,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(970), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [67957] = 11,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68020] = 14,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_AMP,
    ACTIONS(2102), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68089] = 13,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68156] = 5,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(961), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68207] = 5,
    ACTIONS(709), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(968), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68258] = 5,
    ACTIONS(2435), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(970), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68309] = 5,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(960), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68360] = 12,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68425] = 15,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_PIPE,
    ACTIONS(2100), 1,
      anon_sym_AMP,
    ACTIONS(2102), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2092), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68496] = 8,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68553] = 5,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(964), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68650] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68706] = 5,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(981), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68756] = 10,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68816] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68864] = 5,
    ACTIONS(2450), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(981), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68914] = 12,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68978] = 12,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69042] = 5,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1013), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69092] = 5,
    ACTIONS(799), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(978), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69280] = 20,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2238), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_is,
    STATE(1558), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(856), 2,
      sym__not_in,
      sym__is_not,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2074), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2226), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69360] = 10,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69420] = 8,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69476] = 5,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(998), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69526] = 15,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2206), 1,
      anon_sym_PIPE,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69596] = 20,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_PIPE,
    ACTIONS(2381), 1,
      anon_sym_AMP,
    ACTIONS(2383), 1,
      anon_sym_CARET,
    ACTIONS(2385), 1,
      anon_sym_is,
    STATE(1555), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2387), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(892), 2,
      sym__not_in,
      sym__is_not,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2074), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2369), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69676] = 5,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(992), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69772] = 8,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69828] = 5,
    ACTIONS(2457), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(998), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69878] = 8,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69980] = 11,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70042] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    STATE(2011), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70094] = 14,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(2238), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70162] = 11,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70224] = 8,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70280] = 5,
    ACTIONS(2462), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1006), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70330] = 20,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(947), 2,
      sym__not_in,
      sym__is_not,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2074), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70410] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70466] = 15,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2128), 1,
      anon_sym_PIPE,
    ACTIONS(2130), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70536] = 13,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(2240), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70602] = 12,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70666] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70714] = 5,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1006), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70764] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70820] = 8,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70876] = 8,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70978] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71072] = 8,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71128] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71184] = 8,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71240] = 10,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71300] = 14,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71368] = 13,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2120), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2132), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1281), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2124), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71434] = 14,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71502] = 11,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71564] = 13,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71676] = 15,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2228), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2238), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2222), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2232), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71746] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    STATE(2010), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71798] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(787), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72072] = 5,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72121] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72260] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    STATE(1977), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72311] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    STATE(1966), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72407] = 7,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1619), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1609), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 23,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72595] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2479), 1,
      anon_sym_LBRACK,
    STATE(1956), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72646] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2479), 1,
      anon_sym_LBRACK,
    STATE(1961), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72697] = 8,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72797] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72844] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72891] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72938] = 8,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73038] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(787), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73087] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2485), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73316] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(650), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73367] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(650), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [73598] = 8,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73653] = 8,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [73753] = 8,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73808] = 11,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73869] = 15,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(2379), 1,
      anon_sym_PIPE,
    ACTIONS(2381), 1,
      anon_sym_AMP,
    ACTIONS(2383), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73938] = 8,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73993] = 10,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74052] = 14,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(2381), 1,
      anon_sym_AMP,
    ACTIONS(2383), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74119] = 13,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(2383), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74184] = 12,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2365), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1289), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2375), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74247] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1086), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74296] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74343] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74390] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74437] = 8,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74492] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1088), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2391), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2389), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74541] = 11,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74602] = 5,
    ACTIONS(2503), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1088), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2328), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74651] = 15,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74720] = 8,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74775] = 10,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74834] = 14,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74901] = 13,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74966] = 12,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2300), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2314), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1367), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75614] = 5,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75663] = 5,
    ACTIONS(272), 1,
      anon_sym_COMMA,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75712] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75761] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75810] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75857] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75904] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75951] = 8,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76006] = 8,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76106] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(650), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76157] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(650), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76208] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1617), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76349] = 8,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76404] = 11,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76465] = 15,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2440), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2438), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76534] = 8,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76589] = 10,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76648] = 14,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76715] = 13,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76780] = 12,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2395), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76888] = 14,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2395), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77218] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77310] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2081), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77404] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2082), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78070] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78118] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79090] = 4,
    ACTIONS(1639), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79136] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79182] = 4,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79228] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79274] = 4,
    ACTIONS(1646), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79320] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79368] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79680] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79770] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79862] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79908] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79954] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80000] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2397), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80054] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2444), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80152] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80200] = 4,
    ACTIONS(1657), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80422] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80476] = 11,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2395), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80536] = 15,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2438), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80604] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2395), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2393), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80658] = 10,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2395), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80804] = 12,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2395), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80954] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81002] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81094] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81142] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81190] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81238] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81286] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81332] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81378] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81426] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81518] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81608] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81656] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(643), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(645), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81704] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81884] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82062] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82458] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82902] = 6,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    STATE(2010), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82952] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    STATE(2011), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [83662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83750] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83840] = 13,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2395), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1417), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85495] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(787), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85542] = 5,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(787), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85589] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2485), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85636] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85683] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85730] = 7,
    ACTIONS(1619), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1607), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1611), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [85781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85824] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(265), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(267), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(308), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85869] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(265), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(267), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(308), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2455), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86301] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86346] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86391] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86438] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2446), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86526] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86571] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1565), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86616] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1644), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1649), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1653), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86661] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1649), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86706] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86753] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1664), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86841] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86886] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87062] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87234] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87281] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87455] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1649), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87543] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1660), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87975] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88366] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88413] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88546] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88720] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88808] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88939] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1660), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89328] = 7,
    ACTIONS(1619), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1607), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1611), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2493), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2491), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89506] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2497), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89592] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2520), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2524), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2522), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89848] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2512), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89934] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2516), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2514), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90020] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90106] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90234] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(650), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2489), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2487), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1714), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1706), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1718), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2528), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2526), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90742] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90786] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90872] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1607), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1611), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90920] = 7,
    ACTIONS(1619), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1607), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1611), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2508), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2506), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2532), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91054] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2536), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2534), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91142] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91186] = 4,
    ACTIONS(280), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(645), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1633), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1718), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1670), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1670), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91604] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(686), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(645), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91647] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(265), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(267), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(308), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91690] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1644), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1649), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1653), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91733] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(686), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(645), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(643), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91776] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1664), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91819] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(265), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(267), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(308), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1633), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1714), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1706), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91985] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1611), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1607), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1718), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92151] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92194] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1565), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92237] = 20,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2560), 1,
      anon_sym_if,
    ACTIONS(2562), 1,
      anon_sym_COLON,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2230), 1,
      sym_case_pattern,
    STATE(2722), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2150), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2570), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1944), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92311] = 20,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2560), 1,
      anon_sym_if,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2578), 1,
      anon_sym_COLON,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2230), 1,
      sym_case_pattern,
    STATE(2762), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2150), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2570), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1944), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92385] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2590), 1,
      anon_sym_RBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92453] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_RPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92521] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2624), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92589] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2626), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92657] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2148), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92725] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2630), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2149), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92793] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2153), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92861] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92929] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2636), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92997] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2638), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2229), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93065] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93133] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2642), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93201] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2644), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93269] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93337] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2163), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93405] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2164), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93473] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93541] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93609] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2656), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93677] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93745] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93813] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93881] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93949] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2666), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94017] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94085] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94153] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2672), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94221] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2674), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94289] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2188), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94357] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2190), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94425] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2118), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94493] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2682), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2119), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94561] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94629] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2125), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94697] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94765] = 18,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2170), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94833] = 17,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    STATE(1791), 1,
      sym_string,
    STATE(1886), 1,
      sym_case_pattern,
    STATE(1978), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2150), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2570), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1944), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94898] = 17,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    STATE(2311), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2254), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2616), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2049), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94963] = 17,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2230), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2150), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2570), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1944), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95028] = 17,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    STATE(2394), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2305), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2594), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95093] = 17,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(2692), 1,
      sym_identifier,
    ACTIONS(2694), 1,
      anon_sym_LPAREN,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2700), 1,
      anon_sym_LBRACK,
    ACTIONS(2702), 1,
      anon_sym_DASH,
    ACTIONS(2706), 1,
      anon_sym_LBRACE,
    ACTIONS(2708), 1,
      sym_integer,
    ACTIONS(2710), 1,
      sym_float,
    STATE(1873), 1,
      sym_string,
    STATE(2048), 1,
      sym_dotted_name,
    STATE(2307), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2355), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2704), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2051), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95158] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2031), 1,
      sym_splat_pattern,
    STATE(2303), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95224] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95290] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95356] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95422] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95488] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95554] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95620] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95686] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95752] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95818] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2061), 1,
      sym_splat_pattern,
    STATE(2258), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95884] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95950] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96016] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96082] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96148] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96214] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2058), 1,
      sym_splat_pattern,
    STATE(2360), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96280] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2042), 1,
      sym_splat_pattern,
    STATE(2331), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96346] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96412] = 18,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96478] = 17,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2712), 1,
      sym_identifier,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    STATE(2116), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2714), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2358), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96541] = 15,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2712), 1,
      sym_identifier,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2756), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1918), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96599] = 15,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2760), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2078), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96657] = 15,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(2694), 1,
      anon_sym_LPAREN,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2700), 1,
      anon_sym_LBRACK,
    ACTIONS(2702), 1,
      anon_sym_DASH,
    ACTIONS(2706), 1,
      anon_sym_LBRACE,
    ACTIONS(2708), 1,
      sym_integer,
    ACTIONS(2710), 1,
      sym_float,
    ACTIONS(2762), 1,
      sym_identifier,
    STATE(1873), 1,
      sym_string,
    STATE(2048), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2764), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2054), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96715] = 15,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(2694), 1,
      anon_sym_LPAREN,
    ACTIONS(2696), 1,
      anon_sym_STAR,
    ACTIONS(2698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2700), 1,
      anon_sym_LBRACK,
    ACTIONS(2702), 1,
      anon_sym_DASH,
    ACTIONS(2706), 1,
      anon_sym_LBRACE,
    ACTIONS(2708), 1,
      sym_integer,
    ACTIONS(2710), 1,
      sym_float,
    ACTIONS(2762), 1,
      sym_identifier,
    STATE(1873), 1,
      sym_string,
    STATE(2048), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2766), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2050), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96773] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2104), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_EQ,
    STATE(1550), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2106), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2084), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96819] = 15,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    ACTIONS(2558), 1,
      anon_sym_STAR,
    ACTIONS(2564), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2566), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      anon_sym_DASH,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    ACTIONS(2574), 1,
      sym_integer,
    ACTIONS(2576), 1,
      sym_float,
    ACTIONS(2712), 1,
      sym_identifier,
    STATE(1791), 1,
      sym_string,
    STATE(1978), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2772), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1934), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96877] = 15,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    ACTIONS(2584), 1,
      anon_sym_STAR,
    ACTIONS(2586), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_DASH,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      sym_integer,
    ACTIONS(2600), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1837), 1,
      sym_string,
    STATE(2090), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2774), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2000), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96935] = 15,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2776), 1,
      sym_identifier,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2778), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96993] = 15,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2608), 1,
      anon_sym_STAR,
    ACTIONS(2610), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_DASH,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
    ACTIONS(2620), 1,
      sym_integer,
    ACTIONS(2622), 1,
      sym_float,
    ACTIONS(2776), 1,
      sym_identifier,
    STATE(1853), 1,
      sym_string,
    STATE(2047), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2101), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97051] = 9,
    ACTIONS(2787), 1,
      anon_sym_EQ,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2792), 1,
      anon_sym_is,
    STATE(1550), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2795), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2784), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97097] = 9,
    ACTIONS(2787), 1,
      anon_sym_as,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2801), 1,
      anon_sym_is,
    STATE(1551), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2804), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(914), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2798), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97142] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2134), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_as,
    STATE(1551), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2136), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(914), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2118), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97187] = 9,
    ACTIONS(2787), 1,
      anon_sym_EQ,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2810), 1,
      anon_sym_is,
    STATE(1553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2813), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(892), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2807), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97231] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2357), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_EQ,
    STATE(1556), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2359), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(927), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2341), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97275] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2385), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_EQ,
    STATE(1553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2387), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(892), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2369), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97319] = 9,
    ACTIONS(2787), 1,
      anon_sym_EQ,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2819), 1,
      anon_sym_is,
    STATE(1556), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2822), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(927), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2816), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97363] = 9,
    ACTIONS(2787), 1,
      anon_sym_as,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2828), 1,
      anon_sym_is,
    STATE(1557), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(861), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2825), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97406] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2242), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_EQ,
    STATE(1561), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(856), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2226), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97449] = 8,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(947), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97490] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2212), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_as,
    STATE(1557), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(861), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2196), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97533] = 9,
    ACTIONS(2787), 1,
      anon_sym_EQ,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2837), 1,
      anon_sym_is,
    STATE(1561), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2840), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(856), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2834), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97576] = 8,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2846), 1,
      anon_sym_is,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2849), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(947), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2843), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97617] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97649] = 9,
    ACTIONS(2787), 1,
      anon_sym_as,
    ACTIONS(2789), 1,
      anon_sym_not,
    ACTIONS(2855), 1,
      anon_sym_is,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2858), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(854), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2852), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2782), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97691] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1655), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2863), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2861), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97753] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97785] = 9,
    ACTIONS(2098), 1,
      anon_sym_not,
    ACTIONS(2322), 1,
      anon_sym_is,
    ACTIONS(2770), 1,
      anon_sym_as,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2324), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(854), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2306), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2768), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97827] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97859] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2867), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2865), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97889] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1653), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1644), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97921] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97953] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97983] = 4,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    STATE(1576), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(971), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98013] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98043] = 4,
    ACTIONS(2873), 1,
      anon_sym_COMMA,
    STATE(1576), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98073] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98103] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98133] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98163] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98193] = 13,
    ACTIONS(2298), 1,
      anon_sym_DOT,
    ACTIONS(2310), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98240] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1655), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98269] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98323] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98352] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98381] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98410] = 13,
    ACTIONS(2333), 1,
      anon_sym_DOT,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2345), 1,
      anon_sym_LBRACK,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98457] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98486] = 13,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2090), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98533] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98562] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1655), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98591] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98616] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1655), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98645] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98674] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98728] = 13,
    ACTIONS(2294), 1,
      anon_sym_DOT,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98775] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98804] = 13,
    ACTIONS(2218), 1,
      anon_sym_DOT,
    ACTIONS(2230), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98851] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1653), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1644), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98905] = 13,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2361), 1,
      anon_sym_DOT,
    ACTIONS(2373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98952] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98981] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99010] = 13,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99057] = 13,
    ACTIONS(2110), 1,
      anon_sym_DOT,
    ACTIONS(2122), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99104] = 13,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99151] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99180] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99209] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99238] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1644), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99267] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(643), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99296] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1644), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99325] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(643), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99354] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99383] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(308), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(265), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99412] = 13,
    ACTIONS(2335), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2882), 1,
      anon_sym_DOT,
    ACTIONS(2884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1386), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99459] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2892), 1,
      anon_sym_COLON,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2767), 1,
      sym__parameters,
    STATE(2776), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99505] = 4,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(1620), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99533] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2901), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2760), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99579] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2903), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2728), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99625] = 6,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2911), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99657] = 6,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    ACTIONS(2913), 1,
      anon_sym_COMMA,
    STATE(1638), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2911), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99689] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99713] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99737] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2915), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2652), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99783] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2917), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2764), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99829] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2919), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2751), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99899] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2921), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2684), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99945] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2923), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2639), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99991] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2925), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2668), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100037] = 5,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2927), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2911), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100067] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2929), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2597), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100137] = 13,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2931), 1,
      anon_sym_COLON,
    STATE(2347), 1,
      sym_parameter,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2707), 1,
      sym_lambda_parameters,
    STATE(2767), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100183] = 4,
    ACTIONS(2933), 1,
      anon_sym_COMMA,
    STATE(1620), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(971), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100211] = 12,
    ACTIONS(2935), 1,
      sym_identifier,
    ACTIONS(2937), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_RPAREN,
    ACTIONS(2941), 1,
      anon_sym_STAR,
    ACTIONS(2943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2945), 1,
      anon_sym_SLASH,
    STATE(2320), 1,
      sym_parameter,
    STATE(2321), 1,
      sym_tuple_pattern,
    STATE(2626), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2323), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2544), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100254] = 11,
    ACTIONS(2935), 1,
      sym_identifier,
    ACTIONS(2937), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_STAR,
    ACTIONS(2943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2945), 1,
      anon_sym_SLASH,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    STATE(2321), 1,
      sym_tuple_pattern,
    STATE(2554), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2323), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2544), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100294] = 11,
    ACTIONS(2935), 1,
      sym_identifier,
    ACTIONS(2937), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_STAR,
    ACTIONS(2943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2945), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
    STATE(2321), 1,
      sym_tuple_pattern,
    STATE(2554), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2323), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2544), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100334] = 11,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2947), 1,
      anon_sym_COLON,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2514), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100374] = 11,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_COLON,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2514), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100414] = 4,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2911), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100440] = 11,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2591), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [100479] = 10,
    ACTIONS(2886), 1,
      sym_identifier,
    ACTIONS(2888), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(2350), 1,
      sym_tuple_pattern,
    STATE(2514), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2518), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2503), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100516] = 10,
    ACTIONS(2935), 1,
      sym_identifier,
    ACTIONS(2937), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_STAR,
    ACTIONS(2943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2945), 1,
      anon_sym_SLASH,
    STATE(2321), 1,
      sym_tuple_pattern,
    STATE(2554), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2323), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2544), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100553] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100580] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100599] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2582), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100640] = 5,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(2995), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100665] = 4,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100688] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100715] = 3,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [100736] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2708), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100777] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2757), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100818] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2734), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100859] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100886] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2704), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100927] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2713), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100968] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2692), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101009] = 13,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2604), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101069] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101088] = 12,
    ACTIONS(3008), 1,
      anon_sym_RPAREN,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2653), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3030), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1667), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3032), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101186] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3034), 1,
      anon_sym_RPAREN,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2248), 1,
      aux_sym_argument_list_repeat1,
    STATE(2752), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3038), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101254] = 6,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [101280] = 3,
    ACTIONS(3040), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3042), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1675), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101330] = 6,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [101356] = 3,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3046), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101406] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2622), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101444] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2290), 1,
      aux_sym_argument_list_repeat1,
    STATE(2622), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101482] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2739), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3056), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101550] = 4,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [101572] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3058), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1682), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3060), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101632] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2693), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101670] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3064), 1,
      anon_sym_RPAREN,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2337), 1,
      aux_sym_argument_list_repeat1,
    STATE(2693), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101708] = 9,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(2111), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3068), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2951), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [101740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3072), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1689), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101770] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2752), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101808] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2376), 1,
      aux_sym_argument_list_repeat1,
    STATE(2739), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3083), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101876] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2364), 1,
      aux_sym_argument_list_repeat1,
    STATE(2653), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3089), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1692), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3091), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101974] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2681), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102012] = 6,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102038] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(3097), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym_argument_list_repeat1,
    STATE(2681), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3099), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1698), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3101), 1,
      anon_sym_LBRACE,
    ACTIONS(3107), 1,
      anon_sym_BSLASH,
    ACTIONS(3110), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3104), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3112), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102166] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3114), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2600), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102204] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
    ACTIONS(3118), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2336), 1,
      aux_sym_argument_list_repeat1,
    STATE(2590), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102242] = 12,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2412), 1,
      aux_sym_argument_list_repeat1,
    STATE(2600), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3124), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1703), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102340] = 5,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3128), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102364] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2753), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102402] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3133), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1679), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102432] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2591), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    ACTIONS(3135), 1,
      sym_string_end,
    STATE(1783), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3026), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1669), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102500] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2686), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102538] = 3,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102558] = 5,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3137), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102582] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2697), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102620] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2685), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102658] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2661), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102696] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2682), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102734] = 12,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2955), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_for_in_clause,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2601), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102772] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2590), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102810] = 12,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(1859), 1,
      sym_for_in_clause,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2752), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102865] = 8,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    STATE(1889), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3147), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102894] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102936] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102953] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102978] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103003] = 5,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3169), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103026] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103051] = 4,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103089] = 3,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [103108] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103133] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103158] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103183] = 8,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    STATE(1889), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103229] = 5,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3174), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103252] = 4,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103290] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103315] = 3,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [103334] = 3,
    ACTIONS(3040), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103352] = 5,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3137), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103374] = 3,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103392] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103408] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103432] = 5,
    ACTIONS(3185), 1,
      anon_sym_DOT,
    ACTIONS(3189), 1,
      anon_sym_EQ,
    STATE(1772), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103454] = 4,
    ACTIONS(3185), 1,
      anon_sym_DOT,
    STATE(1772), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103490] = 4,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [103510] = 3,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [103528] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103552] = 6,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103592] = 3,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103610] = 6,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103634] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103658] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103698] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103722] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103746] = 5,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3191), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103768] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103792] = 6,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103816] = 4,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103852] = 3,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [103870] = 4,
    ACTIONS(3196), 1,
      anon_sym_DOT,
    STATE(1767), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103890] = 5,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3199), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103928] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3202), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103952] = 5,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3204), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103974] = 4,
    ACTIONS(3185), 1,
      anon_sym_DOT,
    STATE(1767), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3207), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103994] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104018] = 4,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104038] = 9,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3213), 1,
      anon_sym_from,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 2,
      sym__newline,
      anon_sym_SEMI,
  [104068] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104092] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3217), 1,
      anon_sym_COMMA,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3221), 1,
      anon_sym_RBRACK,
    STATE(2294), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104121] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3223), 2,
      sym__newline,
      anon_sym_SEMI,
  [104148] = 5,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104169] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3227), 1,
      anon_sym_COMMA,
    ACTIONS(3229), 1,
      anon_sym_RBRACK,
    STATE(2251), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104198] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3233), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3231), 2,
      sym__newline,
      anon_sym_SEMI,
  [104225] = 5,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3239), 1,
      anon_sym_BSLASH,
    ACTIONS(3235), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1804), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3237), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104269] = 5,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104290] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [104313] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3241), 1,
      anon_sym_COMMA,
    ACTIONS(3243), 1,
      anon_sym_RBRACK,
    STATE(2385), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104342] = 5,
    ACTIONS(3245), 1,
      anon_sym_DOT,
    ACTIONS(3247), 1,
      anon_sym_EQ,
    STATE(1835), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [104363] = 3,
    ACTIONS(3040), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104380] = 6,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2979), 1,
      anon_sym_if,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3249), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104403] = 6,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2965), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104426] = 4,
    ACTIONS(316), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1013), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3251), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104445] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3253), 1,
      anon_sym_COMMA,
    ACTIONS(3255), 1,
      anon_sym_RBRACK,
    STATE(2340), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104474] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 2,
      sym__newline,
      anon_sym_SEMI,
  [104501] = 5,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3257), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104522] = 5,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3137), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104543] = 3,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104560] = 4,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [104579] = 5,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104600] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(2111), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3068), 2,
      sym__newline,
      anon_sym_SEMI,
  [104627] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_RBRACK,
    STATE(2480), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104656] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    STATE(2216), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3264), 2,
      sym__newline,
      anon_sym_SEMI,
  [104683] = 5,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104704] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3268), 1,
      anon_sym_COMMA,
    ACTIONS(3270), 1,
      anon_sym_RBRACK,
    STATE(2392), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3277), 1,
      anon_sym_BSLASH,
    ACTIONS(3272), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1804), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3274), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104756] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3233), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3280), 2,
      sym__newline,
      anon_sym_SEMI,
  [104783] = 5,
    ACTIONS(3282), 1,
      anon_sym_DOT,
    ACTIONS(3284), 1,
      anon_sym_EQ,
    STATE(1861), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104804] = 3,
    ACTIONS(2088), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104821] = 6,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3004), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104844] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3286), 1,
      anon_sym_COMMA,
    ACTIONS(3288), 1,
      anon_sym_RBRACK,
    STATE(2415), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104873] = 6,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_if,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3000), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104896] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3290), 1,
      anon_sym_COMMA,
    ACTIONS(3292), 1,
      anon_sym_RBRACK,
    STATE(2422), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104925] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3294), 1,
      anon_sym_COMMA,
    ACTIONS(3296), 1,
      anon_sym_RBRACK,
    STATE(2427), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104954] = 9,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3298), 1,
      anon_sym_COMMA,
    ACTIONS(3300), 1,
      anon_sym_RBRACK,
    STATE(2351), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104983] = 5,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105004] = 5,
    ACTIONS(3302), 1,
      anon_sym_DOT,
    ACTIONS(3304), 1,
      anon_sym_EQ,
    STATE(1834), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105025] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2927), 2,
      sym__newline,
      anon_sym_SEMI,
  [105052] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3306), 1,
      anon_sym_async,
    ACTIONS(3308), 1,
      anon_sym_def,
    ACTIONS(3310), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(769), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1897), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [105077] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105092] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3312), 1,
      anon_sym_async,
    ACTIONS(3314), 1,
      anon_sym_def,
    ACTIONS(3316), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(773), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1897), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [105117] = 5,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105138] = 5,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105159] = 5,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3225), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105180] = 8,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3318), 2,
      sym__newline,
      anon_sym_SEMI,
  [105207] = 6,
    ACTIONS(3320), 1,
      anon_sym_if,
    ACTIONS(3323), 1,
      anon_sym_async,
    ACTIONS(3326), 1,
      anon_sym_for,
    ACTIONS(3329), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1824), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105229] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3331), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105251] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3335), 1,
      anon_sym_COLON,
    STATE(2450), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105277] = 8,
    ACTIONS(3034), 1,
      anon_sym_RPAREN,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    STATE(2248), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105303] = 4,
    ACTIONS(3337), 1,
      anon_sym_DOT,
    STATE(1828), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105321] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2268), 1,
      aux_sym_dictionary_repeat1,
    STATE(2723), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105347] = 4,
    ACTIONS(3302), 1,
      anon_sym_DOT,
    STATE(1834), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105365] = 8,
    ACTIONS(3344), 1,
      sym_identifier,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_STAR,
    STATE(1988), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_aliased_import,
    STATE(2481), 1,
      sym_wildcard_import,
    STATE(2559), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3350), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105407] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2407), 1,
      aux_sym_dictionary_repeat1,
    STATE(2605), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105433] = 4,
    ACTIONS(3302), 1,
      anon_sym_DOT,
    STATE(1864), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3207), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105451] = 4,
    ACTIONS(3245), 1,
      anon_sym_DOT,
    STATE(1828), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3207), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105469] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3358), 1,
      anon_sym_COMMA,
    ACTIONS(3360), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2473), 1,
      aux_sym_dictionary_repeat1,
    STATE(2758), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105495] = 4,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1086), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105513] = 6,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3362), 1,
      anon_sym_if,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1867), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3366), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3251), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105551] = 5,
    ACTIONS(2953), 1,
      anon_sym_as,
    ACTIONS(2961), 1,
      anon_sym_and,
    ACTIONS(2963), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3368), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105571] = 7,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_DOT,
    ACTIONS(3372), 1,
      anon_sym___future__,
    STATE(2132), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2349), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2625), 2,
      sym_relative_import,
      sym_dotted_name,
  [105595] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3374), 1,
      anon_sym_COMMA,
    ACTIONS(3376), 1,
      anon_sym_COLON,
    STATE(2432), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105621] = 5,
    ACTIONS(3012), 1,
      anon_sym_as,
    ACTIONS(3020), 1,
      anon_sym_and,
    ACTIONS(3022), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3368), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105641] = 4,
    ACTIONS(3245), 1,
      anon_sym_DOT,
    STATE(1835), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105659] = 7,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3378), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105683] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3382), 1,
      anon_sym_COLON,
    STATE(2470), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105709] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3384), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105731] = 6,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3386), 1,
      anon_sym_RPAREN,
    ACTIONS(3388), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1852), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105753] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3390), 1,
      anon_sym_COLON,
    STATE(2450), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105779] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3392), 1,
      anon_sym_COLON,
    STATE(2450), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105805] = 6,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(3386), 1,
      anon_sym_RBRACK,
    ACTIONS(3394), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1824), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105827] = 6,
    ACTIONS(3329), 1,
      anon_sym_RPAREN,
    ACTIONS(3396), 1,
      anon_sym_if,
    ACTIONS(3399), 1,
      anon_sym_async,
    ACTIONS(3402), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1852), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105849] = 4,
    ACTIONS(731), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(992), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3251), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105867] = 8,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3405), 1,
      anon_sym_COLON,
    STATE(2450), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105893] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3407), 1,
      anon_sym_COMMA,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2359), 1,
      aux_sym_dictionary_repeat1,
    STATE(2724), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105919] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3411), 1,
      anon_sym_COMMA,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2240), 1,
      aux_sym_dictionary_repeat1,
    STATE(2710), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105945] = 8,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3172), 1,
      anon_sym_RPAREN,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(2444), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105971] = 6,
    ACTIONS(2957), 1,
      anon_sym_async,
    ACTIONS(2959), 1,
      anon_sym_for,
    ACTIONS(3364), 1,
      anon_sym_RBRACK,
    ACTIONS(3394), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1851), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105993] = 6,
    ACTIONS(3016), 1,
      anon_sym_async,
    ACTIONS(3018), 1,
      anon_sym_for,
    ACTIONS(3364), 1,
      anon_sym_RPAREN,
    ACTIONS(3388), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1848), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106015] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3417), 1,
      anon_sym_COMMA,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2282), 1,
      aux_sym_dictionary_repeat1,
    STATE(2744), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106041] = 4,
    ACTIONS(3282), 1,
      anon_sym_DOT,
    STATE(1863), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3207), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106059] = 8,
    ACTIONS(3172), 1,
      anon_sym_RBRACK,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3421), 1,
      anon_sym_COMMA,
    STATE(2291), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106085] = 4,
    ACTIONS(3423), 1,
      anon_sym_DOT,
    STATE(1863), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106103] = 4,
    ACTIONS(3426), 1,
      anon_sym_DOT,
    STATE(1864), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106121] = 7,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3219), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106145] = 7,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106169] = 6,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3362), 1,
      anon_sym_if,
    ACTIONS(3386), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1872), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106191] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2330), 1,
      aux_sym_dictionary_repeat1,
    STATE(2706), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106217] = 8,
    ACTIONS(2983), 1,
      anon_sym_async,
    ACTIONS(2985), 1,
      anon_sym_for,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(1838), 1,
      sym_for_in_clause,
    STATE(2381), 1,
      aux_sym_dictionary_repeat1,
    STATE(2696), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106243] = 4,
    ACTIONS(3282), 1,
      anon_sym_DOT,
    STATE(1861), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106261] = 5,
    ACTIONS(2977), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_and,
    ACTIONS(2991), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3368), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106281] = 6,
    ACTIONS(3329), 1,
      anon_sym_RBRACE,
    ACTIONS(3439), 1,
      anon_sym_if,
    ACTIONS(3442), 1,
      anon_sym_async,
    ACTIONS(3445), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1872), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106303] = 4,
    ACTIONS(684), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(964), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106321] = 4,
    ACTIONS(3448), 1,
      anon_sym_DOT,
    STATE(1980), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3207), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [106338] = 4,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3452), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106355] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3454), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106368] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3456), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106389] = 4,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106419] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106440] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106453] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106474] = 5,
    ACTIONS(3472), 1,
      anon_sym_DOT,
    ACTIONS(3474), 1,
      anon_sym_COLON,
    ACTIONS(3476), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [106493] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106510] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106523] = 7,
    ACTIONS(3480), 1,
      anon_sym_COMMA,
    ACTIONS(3482), 1,
      anon_sym_as,
    ACTIONS(3484), 1,
      anon_sym_if,
    ACTIONS(3486), 1,
      anon_sym_COLON,
    STATE(2039), 1,
      aux_sym_case_clause_repeat1,
    STATE(2745), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106546] = 4,
    ACTIONS(3490), 1,
      anon_sym_PIPE,
    STATE(1964), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3488), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106563] = 4,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106580] = 4,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1287), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106597] = 4,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    STATE(1911), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(971), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3503), 1,
      anon_sym_BSLASH,
    ACTIONS(3501), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106631] = 4,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3507), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3511), 1,
      anon_sym_BSLASH,
    ACTIONS(3509), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106665] = 4,
    ACTIONS(3513), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106682] = 7,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3522), 1,
      anon_sym_RBRACK,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    STATE(2297), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106705] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3249), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106726] = 4,
    ACTIONS(3528), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1897), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3526), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [106743] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3202), 2,
      sym__newline,
      anon_sym_SEMI,
  [106764] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3531), 2,
      sym__newline,
      anon_sym_SEMI,
  [106785] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106819] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3535), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106840] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3537), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106861] = 4,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3539), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3350), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106893] = 4,
    ACTIONS(3541), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3452), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106910] = 4,
    ACTIONS(3543), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3507), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106927] = 4,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3547), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106972] = 4,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    STATE(1911), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106989] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107010] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107031] = 7,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    ACTIONS(3556), 1,
      anon_sym_RBRACK,
    STATE(2253), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3560), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107071] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3562), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107092] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107113] = 4,
    ACTIONS(3490), 1,
      anon_sym_PIPE,
    STATE(1887), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3566), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3568), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3350), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107145] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3570), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107192] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107213] = 6,
    ACTIONS(3572), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_COLON,
    ACTIONS(3578), 1,
      anon_sym_EQ,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3574), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107234] = 4,
    ACTIONS(3448), 1,
      anon_sym_DOT,
    STATE(1874), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [107251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3570), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107264] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3202), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107285] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107306] = 4,
    ACTIONS(3584), 1,
      anon_sym_COMMA,
    STATE(1906), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3454), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107336] = 7,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    ACTIONS(3588), 1,
      anon_sym_COMMA,
    ACTIONS(3590), 1,
      anon_sym_RBRACK,
    STATE(2472), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107359] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107393] = 3,
    STATE(1887), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107408] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107429] = 7,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3594), 1,
      anon_sym_COMMA,
    ACTIONS(3596), 1,
      anon_sym_as,
    ACTIONS(3598), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107452] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107473] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3570), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107507] = 6,
    ACTIONS(3472), 1,
      anon_sym_DOT,
    ACTIONS(3474), 1,
      anon_sym_COLON,
    ACTIONS(3476), 1,
      anon_sym_PIPE,
    ACTIONS(3602), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3600), 2,
      sym__newline,
      anon_sym_SEMI,
  [107528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3604), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3251), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107543] = 4,
    ACTIONS(3606), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3452), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107560] = 4,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107577] = 4,
    ACTIONS(3490), 1,
      anon_sym_PIPE,
    STATE(1887), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107594] = 7,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_RBRACK,
    STATE(2236), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107617] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3616), 2,
      sym__newline,
      anon_sym_SEMI,
  [107638] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3620), 1,
      anon_sym_BSLASH,
    ACTIONS(3618), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107681] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3624), 1,
      anon_sym_BSLASH,
    ACTIONS(3622), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107719] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3626), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107740] = 4,
    ACTIONS(3628), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3507), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107757] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107778] = 4,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(1942), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107795] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3632), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107808] = 4,
    ACTIONS(3634), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107825] = 6,
    ACTIONS(3153), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_if,
    ACTIONS(3157), 1,
      anon_sym_and,
    ACTIONS(3159), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3637), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3641), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3645), 1,
      anon_sym_BSLASH,
    ACTIONS(3643), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107893] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107906] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107927] = 4,
    ACTIONS(3649), 1,
      anon_sym_PIPE,
    STATE(1964), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107970] = 5,
    ACTIONS(3572), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_COLON,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [107989] = 6,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(3145), 1,
      anon_sym_if,
    ACTIONS(3149), 1,
      anon_sym_and,
    ACTIONS(3151), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [108010] = 7,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3596), 1,
      anon_sym_as,
    ACTIONS(3652), 1,
      anon_sym_COMMA,
    ACTIONS(3654), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108033] = 4,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108104] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3637), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3350), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108140] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3632), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108153] = 3,
    ACTIONS(3663), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3667), 1,
      anon_sym_BSLASH,
    ACTIONS(3665), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108185] = 4,
    ACTIONS(3669), 1,
      anon_sym_DOT,
    STATE(1980), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [108202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108215] = 6,
    ACTIONS(3177), 1,
      anon_sym_as,
    ACTIONS(3179), 1,
      anon_sym_if,
    ACTIONS(3181), 1,
      anon_sym_and,
    ACTIONS(3183), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108236] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3672), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108248] = 4,
    ACTIONS(3674), 1,
      anon_sym_PIPE,
    STATE(1984), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3677), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3679), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108288] = 5,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [108306] = 5,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(3691), 1,
      anon_sym_as,
    STATE(2162), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3687), 2,
      sym__newline,
      anon_sym_SEMI,
  [108324] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3693), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108344] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3695), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108364] = 5,
    ACTIONS(3472), 1,
      anon_sym_DOT,
    ACTIONS(3474), 1,
      anon_sym_COLON,
    ACTIONS(3476), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3697), 2,
      sym__newline,
      anon_sym_SEMI,
  [108382] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3699), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108402] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3705), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108438] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108450] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108462] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108474] = 6,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(3713), 1,
      anon_sym_EQ,
    ACTIONS(3715), 1,
      anon_sym_RBRACE,
    ACTIONS(3717), 1,
      sym_type_conversion,
    STATE(2730), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108494] = 3,
    STATE(2067), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108508] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108520] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3721), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108540] = 6,
    ACTIONS(2967), 1,
      anon_sym_as,
    ACTIONS(2969), 1,
      anon_sym_if,
    ACTIONS(2971), 1,
      anon_sym_and,
    ACTIONS(2973), 1,
      anon_sym_or,
    ACTIONS(3723), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108560] = 4,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(2004), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [108576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108588] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3730), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108608] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108620] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108652] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3632), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108664] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108688] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3736), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3738), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108720] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108732] = 6,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3742), 1,
      anon_sym_as,
    ACTIONS(3744), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108752] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108776] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3570), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108788] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3748), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108820] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3750), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108840] = 6,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3754), 1,
      anon_sym_COLON,
    STATE(2438), 1,
      sym_type_parameter,
    STATE(2667), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108860] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [108872] = 4,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    STATE(1984), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3488), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108888] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108900] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3758), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108920] = 4,
    ACTIONS(3760), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [108936] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3763), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108956] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108968] = 5,
    ACTIONS(3767), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    STATE(2309), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108986] = 4,
    ACTIONS(3771), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3488), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109002] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3773), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109014] = 6,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3742), 1,
      anon_sym_as,
    ACTIONS(3775), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109034] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3777), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109054] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3779), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109074] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109094] = 5,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_dotted_name,
    STATE(2433), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 2,
      sym__newline,
      anon_sym_SEMI,
  [109112] = 6,
    ACTIONS(2578), 1,
      anon_sym_COLON,
    ACTIONS(3484), 1,
      anon_sym_if,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    STATE(2106), 1,
      aux_sym_case_clause_repeat1,
    STATE(2762), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109132] = 5,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3787), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109150] = 6,
    ACTIONS(3789), 1,
      anon_sym_LBRACE,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(3794), 1,
      aux_sym_format_specifier_token1,
    STATE(2041), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2357), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109170] = 5,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    STATE(2374), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3801), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109200] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3803), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109212] = 5,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_dotted_name,
    STATE(2433), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 2,
      sym__newline,
      anon_sym_SEMI,
  [109230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109242] = 3,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109256] = 3,
    ACTIONS(3807), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109270] = 4,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    STATE(2025), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109286] = 4,
    ACTIONS(3771), 1,
      anon_sym_PIPE,
    STATE(2032), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3566), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109302] = 4,
    ACTIONS(3771), 1,
      anon_sym_PIPE,
    STATE(2032), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109342] = 3,
    STATE(2032), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109356] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3738), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109368] = 4,
    ACTIONS(3809), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109384] = 6,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(3812), 1,
      anon_sym_EQ,
    ACTIONS(3814), 1,
      anon_sym_RBRACE,
    ACTIONS(3816), 1,
      sym_type_conversion,
    STATE(2654), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109404] = 5,
    ACTIONS(3818), 1,
      anon_sym_COMMA,
    ACTIONS(3820), 1,
      anon_sym_RBRACE,
    STATE(2457), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109422] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3822), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109434] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109454] = 5,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    ACTIONS(3828), 1,
      anon_sym_RBRACE,
    STATE(2263), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109472] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3830), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109484] = 4,
    ACTIONS(3832), 1,
      anon_sym_PIPE,
    STATE(2067), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109500] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3738), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109536] = 4,
    ACTIONS(3832), 1,
      anon_sym_PIPE,
    STATE(2004), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3488), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109564] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3834), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109584] = 4,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2998), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [109600] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3836), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109620] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109644] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2951), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109668] = 4,
    ACTIONS(3838), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1287), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [109684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3840), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109696] = 4,
    ACTIONS(3832), 1,
      anon_sym_PIPE,
    STATE(2067), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3566), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109712] = 6,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3842), 1,
      anon_sym_COLON,
    STATE(2249), 1,
      sym_type_parameter,
    STATE(2690), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109732] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3454), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109744] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3632), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109768] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3454), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109780] = 5,
    ACTIONS(3516), 1,
      anon_sym_DOT,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109798] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109810] = 6,
    ACTIONS(3161), 1,
      anon_sym_as,
    ACTIONS(3163), 1,
      anon_sym_if,
    ACTIONS(3165), 1,
      anon_sym_and,
    ACTIONS(3167), 1,
      anon_sym_or,
    ACTIONS(3844), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109830] = 4,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    STATE(2025), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3566), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3846), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109870] = 3,
    ACTIONS(3848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109884] = 5,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_dotted_name,
    STATE(2433), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3850), 2,
      sym__newline,
      anon_sym_SEMI,
  [109902] = 6,
    ACTIONS(3852), 1,
      anon_sym_LBRACE,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
    ACTIONS(3856), 1,
      aux_sym_format_specifier_token1,
    STATE(2041), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2357), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3858), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109934] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109946] = 6,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3860), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109966] = 6,
    ACTIONS(3344), 1,
      sym_identifier,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    STATE(1988), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_aliased_import,
    STATE(2555), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109986] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3864), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109998] = 6,
    ACTIONS(3852), 1,
      anon_sym_LBRACE,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(3868), 1,
      aux_sym_format_specifier_token1,
    STATE(2092), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2357), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [110018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110030] = 5,
    ACTIONS(3572), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_COLON,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3574), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110048] = 3,
    STATE(2025), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110074] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110085] = 5,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(3872), 1,
      anon_sym_RBRACE,
    ACTIONS(3874), 1,
      sym_type_conversion,
    STATE(2628), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110102] = 5,
    ACTIONS(3876), 1,
      anon_sym_case,
    ACTIONS(3878), 1,
      sym__dedent,
    STATE(2110), 1,
      aux_sym__match_block_repeat1,
    STATE(2533), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110119] = 4,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(2106), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3883), 2,
      anon_sym_if,
      anon_sym_COLON,
  [110134] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2494), 1,
      sym_parameters,
    STATE(2497), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110151] = 4,
    ACTIONS(3233), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 2,
      sym__newline,
      anon_sym_SEMI,
  [110166] = 4,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    STATE(2117), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 2,
      sym__newline,
      anon_sym_SEMI,
  [110181] = 5,
    ACTIONS(3876), 1,
      anon_sym_case,
    ACTIONS(3893), 1,
      sym__dedent,
    STATE(2152), 1,
      aux_sym__match_block_repeat1,
    STATE(2533), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110198] = 4,
    ACTIONS(3895), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1467), 2,
      sym__newline,
      anon_sym_SEMI,
  [110213] = 4,
    ACTIONS(3899), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3897), 2,
      sym__newline,
      anon_sym_SEMI,
  [110228] = 4,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    STATE(2161), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3687), 2,
      sym__newline,
      anon_sym_SEMI,
  [110243] = 5,
    ACTIONS(3876), 1,
      anon_sym_case,
    ACTIONS(3902), 1,
      sym__dedent,
    STATE(2215), 1,
      aux_sym__match_block_repeat1,
    STATE(2533), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110260] = 4,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3904), 2,
      sym__newline,
      anon_sym_SEMI,
  [110275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3251), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [110288] = 4,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3908), 2,
      sym__newline,
      anon_sym_SEMI,
  [110303] = 5,
    ACTIONS(3910), 1,
      anon_sym_RPAREN,
    ACTIONS(3912), 1,
      anon_sym_COMMA,
    ACTIONS(3914), 1,
      anon_sym_as,
    STATE(2365), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110320] = 5,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3918), 1,
      anon_sym_as,
    ACTIONS(3920), 1,
      anon_sym_RBRACK,
    STATE(2370), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3803), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110381] = 5,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3922), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110398] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3924), 1,
      anon_sym_RPAREN,
    ACTIONS(3926), 1,
      anon_sym_COMMA,
    STATE(2391), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3672), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3858), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3864), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110448] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3705), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110481] = 4,
    ACTIONS(3930), 1,
      anon_sym_DOT,
    STATE(2173), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3928), 2,
      anon_sym_import,
      sym_identifier,
  [110496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110518] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3773), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3822), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110540] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3840), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110551] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3679), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110562] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3846), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110584] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3830), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110595] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3801), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110606] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3677), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110628] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110650] = 4,
    ACTIONS(3934), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3932), 2,
      sym__newline,
      anon_sym_SEMI,
  [110665] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3936), 1,
      anon_sym_RPAREN,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110682] = 5,
    ACTIONS(3918), 1,
      anon_sym_as,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    ACTIONS(3942), 1,
      anon_sym_RBRACK,
    STATE(2261), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [110710] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3944), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [110721] = 5,
    ACTIONS(3946), 1,
      anon_sym_case,
    ACTIONS(3949), 1,
      sym__dedent,
    STATE(2152), 1,
      aux_sym__match_block_repeat1,
    STATE(2533), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110738] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3951), 1,
      anon_sym_RPAREN,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    STATE(2264), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110755] = 4,
    ACTIONS(3957), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3955), 2,
      sym__newline,
      anon_sym_SEMI,
  [110770] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110792] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3803), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110814] = 5,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3960), 1,
      anon_sym_COMMA,
    ACTIONS(3962), 1,
      anon_sym_as,
    STATE(2375), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110831] = 5,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_aliased_import,
    STATE(2573), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110848] = 4,
    ACTIONS(3966), 1,
      anon_sym_COMMA,
    STATE(2222), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 2,
      sym__newline,
      anon_sym_SEMI,
  [110863] = 4,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    STATE(2222), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 2,
      sym__newline,
      anon_sym_SEMI,
  [110878] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3970), 1,
      anon_sym_RPAREN,
    ACTIONS(3972), 1,
      anon_sym_COMMA,
    STATE(2304), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110895] = 5,
    ACTIONS(3918), 1,
      anon_sym_as,
    ACTIONS(3974), 1,
      anon_sym_COMMA,
    ACTIONS(3976), 1,
      anon_sym_RBRACK,
    STATE(2306), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3672), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3858), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110934] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3864), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3705), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110956] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110967] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3978), 1,
      anon_sym_RPAREN,
    ACTIONS(3980), 1,
      anon_sym_COMMA,
    STATE(2314), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110995] = 5,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111012] = 4,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    STATE(2173), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3982), 2,
      anon_sym_import,
      sym_identifier,
  [111027] = 4,
    ACTIONS(3989), 1,
      anon_sym_COLON,
    ACTIONS(3991), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [111053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3773), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3822), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111086] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3840), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111097] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3679), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111108] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3846), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111130] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3830), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3801), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111152] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3677), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111185] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3995), 1,
      anon_sym_RPAREN,
    ACTIONS(3997), 1,
      anon_sym_COMMA,
    STATE(2442), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111213] = 5,
    ACTIONS(3918), 1,
      anon_sym_as,
    ACTIONS(3999), 1,
      anon_sym_COMMA,
    ACTIONS(4001), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111252] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3803), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111263] = 5,
    ACTIONS(3850), 1,
      anon_sym_RPAREN,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_dotted_name,
    STATE(2564), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3672), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111291] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3858), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111302] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3864), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111313] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3705), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111324] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111346] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3773), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3822), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3840), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3679), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111412] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3846), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111434] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3830), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3801), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111456] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3677), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111489] = 4,
    ACTIONS(4007), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4005), 2,
      sym__newline,
      anon_sym_SEMI,
  [111504] = 5,
    ACTIONS(3876), 1,
      anon_sym_case,
    ACTIONS(4009), 1,
      sym__dedent,
    STATE(2152), 1,
      aux_sym__match_block_repeat1,
    STATE(2533), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111521] = 4,
    ACTIONS(4013), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      sym__newline,
      anon_sym_SEMI,
  [111536] = 4,
    ACTIONS(3233), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4015), 2,
      sym__newline,
      anon_sym_SEMI,
  [111551] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2515), 1,
      sym_type_parameter,
    STATE(2552), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111568] = 5,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    ACTIONS(4019), 1,
      sym_type_conversion,
    STATE(2612), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111585] = 4,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    STATE(2115), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4021), 2,
      sym__newline,
      anon_sym_SEMI,
  [111600] = 3,
    ACTIONS(3691), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4023), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [111613] = 4,
    ACTIONS(4027), 1,
      anon_sym_COMMA,
    STATE(2222), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4025), 2,
      sym__newline,
      anon_sym_SEMI,
  [111628] = 5,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2159), 1,
      sym_dotted_name,
    STATE(2274), 1,
      sym_aliased_import,
    STATE(2759), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111645] = 5,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2159), 1,
      sym_dotted_name,
    STATE(2274), 1,
      sym_aliased_import,
    STATE(2583), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111662] = 5,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_dotted_name,
    STATE(2564), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111679] = 5,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_dotted_name,
    STATE(2564), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111696] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2548), 1,
      sym_parameters,
    STATE(2576), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111713] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2550), 1,
      sym_parameters,
    STATE(2578), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111730] = 5,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(4030), 1,
      anon_sym_RPAREN,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(2353), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111747] = 3,
    ACTIONS(3482), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3883), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [111760] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111771] = 4,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111785] = 4,
    ACTIONS(3241), 1,
      anon_sym_COMMA,
    ACTIONS(3243), 1,
      anon_sym_RBRACK,
    STATE(2387), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111799] = 4,
    ACTIONS(3411), 1,
      anon_sym_COMMA,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(2240), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111813] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4038), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111827] = 4,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
    ACTIONS(4040), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111841] = 4,
    ACTIONS(615), 1,
      sym__newline,
    ACTIONS(4042), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111855] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4044), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111869] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111883] = 4,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111897] = 4,
    ACTIONS(3034), 1,
      anon_sym_RPAREN,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    STATE(2248), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111911] = 4,
    ACTIONS(4050), 1,
      anon_sym_RPAREN,
    ACTIONS(4052), 1,
      anon_sym_COMMA,
    STATE(2250), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111925] = 3,
    ACTIONS(3643), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3645), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [111937] = 3,
    ACTIONS(3558), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [111949] = 4,
    ACTIONS(3227), 1,
      anon_sym_COMMA,
    ACTIONS(3229), 1,
      anon_sym_RBRACK,
    STATE(2252), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111963] = 3,
    ACTIONS(3622), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3624), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [111975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2453), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [111985] = 4,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111999] = 4,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(4056), 1,
      anon_sym_COLON,
    STATE(2606), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112013] = 4,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    ACTIONS(4058), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112027] = 4,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    ACTIONS(4062), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112041] = 4,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112055] = 4,
    ACTIONS(1001), 1,
      anon_sym_RBRACK,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112069] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [112079] = 4,
    ACTIONS(1459), 1,
      anon_sym_RPAREN,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112093] = 4,
    ACTIONS(1423), 1,
      anon_sym_COLON,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    STATE(2259), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112107] = 4,
    ACTIONS(4074), 1,
      anon_sym_RPAREN,
    ACTIONS(4076), 1,
      anon_sym_COMMA,
    STATE(2257), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112121] = 4,
    ACTIONS(4079), 1,
      anon_sym_COMMA,
    ACTIONS(4081), 1,
      anon_sym_RBRACE,
    STATE(2262), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112135] = 4,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    ACTIONS(4086), 1,
      anon_sym_COLON,
    STATE(2259), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112149] = 4,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112163] = 4,
    ACTIONS(2636), 1,
      anon_sym_RBRACK,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112177] = 4,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112191] = 4,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    ACTIONS(4098), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112205] = 4,
    ACTIONS(2644), 1,
      anon_sym_RPAREN,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112219] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4102), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112233] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3955), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [112243] = 3,
    ACTIONS(3509), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3511), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112255] = 4,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112269] = 4,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112283] = 4,
    ACTIONS(4109), 1,
      anon_sym_SEMI,
    ACTIONS(4111), 1,
      sym__newline,
    STATE(2279), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112297] = 4,
    ACTIONS(4113), 1,
      sym__newline,
    ACTIONS(4115), 1,
      sym__indent,
    STATE(778), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112311] = 3,
    ACTIONS(3665), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3667), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112323] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112337] = 4,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3960), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [112361] = 4,
    ACTIONS(3417), 1,
      anon_sym_COMMA,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    STATE(2282), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112375] = 3,
    ACTIONS(3639), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112387] = 3,
    ACTIONS(3213), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 2,
      sym__newline,
      anon_sym_SEMI,
  [112399] = 4,
    ACTIONS(623), 1,
      sym__newline,
    ACTIONS(4117), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112413] = 4,
    ACTIONS(2987), 1,
      anon_sym_RBRACK,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    STATE(2397), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112427] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [112437] = 4,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    ACTIONS(4119), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112451] = 4,
    ACTIONS(4121), 1,
      anon_sym_COMMA,
    ACTIONS(4123), 1,
      anon_sym_RBRACK,
    STATE(2399), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112465] = 4,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RBRACE,
    STATE(2268), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112479] = 4,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(2290), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112493] = 4,
    ACTIONS(4125), 1,
      anon_sym_RPAREN,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    STATE(2292), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112507] = 4,
    ACTIONS(2987), 1,
      anon_sym_RPAREN,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112521] = 4,
    ACTIONS(3217), 1,
      anon_sym_COMMA,
    ACTIONS(3221), 1,
      anon_sym_RBRACK,
    STATE(2295), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112535] = 4,
    ACTIONS(4123), 1,
      anon_sym_RPAREN,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    STATE(2362), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112549] = 4,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112563] = 4,
    ACTIONS(1287), 1,
      anon_sym_RBRACK,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    STATE(2315), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112577] = 4,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    ACTIONS(4135), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112591] = 4,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_RBRACE,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112605] = 4,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112619] = 4,
    ACTIONS(4146), 1,
      anon_sym_COMMA,
    ACTIONS(4148), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112633] = 4,
    ACTIONS(2947), 1,
      anon_sym_COLON,
    ACTIONS(4150), 1,
      anon_sym_COMMA,
    STATE(2310), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112647] = 4,
    ACTIONS(1017), 1,
      anon_sym_RBRACK,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112661] = 4,
    ACTIONS(3787), 1,
      anon_sym_RBRACK,
    ACTIONS(4154), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112675] = 3,
    ACTIONS(3501), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3503), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112687] = 4,
    ACTIONS(4157), 1,
      anon_sym_SEMI,
    ACTIONS(4160), 1,
      sym__newline,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112701] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4162), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112715] = 4,
    ACTIONS(4003), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_dotted_name,
    STATE(2564), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112729] = 4,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RBRACE,
    STATE(2308), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112743] = 4,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    ACTIONS(4168), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [112767] = 4,
    ACTIONS(2656), 1,
      anon_sym_RBRACK,
    ACTIONS(4170), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112781] = 3,
    ACTIONS(4174), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112793] = 4,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112807] = 4,
    ACTIONS(4180), 1,
      anon_sym_COMMA,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112821] = 4,
    ACTIONS(4074), 1,
      anon_sym_COLON,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    STATE(2310), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112835] = 3,
    ACTIONS(3914), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3883), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [112847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [112857] = 4,
    ACTIONS(3883), 1,
      anon_sym_RPAREN,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112871] = 4,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112885] = 4,
    ACTIONS(3209), 1,
      anon_sym_RBRACK,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    STATE(2315), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112899] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112913] = 4,
    ACTIONS(4195), 1,
      sym__newline,
    ACTIONS(4197), 1,
      sym__indent,
    STATE(805), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112927] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112941] = 4,
    ACTIONS(4201), 1,
      anon_sym_SEMI,
    ACTIONS(4203), 1,
      sym__newline,
    STATE(2327), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112955] = 4,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    STATE(2425), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112969] = 3,
    ACTIONS(3991), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [112981] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112995] = 3,
    ACTIONS(4209), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113007] = 4,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(2330), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113021] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4211), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113035] = 4,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    ACTIONS(4216), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113049] = 4,
    ACTIONS(625), 1,
      sym__newline,
    ACTIONS(4218), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113063] = 4,
    ACTIONS(4113), 1,
      sym__newline,
    ACTIONS(4115), 1,
      sym__indent,
    STATE(784), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113077] = 4,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_RBRACE,
    STATE(2651), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113091] = 4,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(4222), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113105] = 4,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    ACTIONS(4226), 1,
      anon_sym_RBRACE,
    STATE(2373), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113119] = 4,
    ACTIONS(3064), 1,
      anon_sym_RPAREN,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    STATE(2337), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113133] = 4,
    ACTIONS(4228), 1,
      anon_sym_RPAREN,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    STATE(2338), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113147] = 4,
    ACTIONS(3468), 1,
      anon_sym_RBRACE,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113161] = 4,
    ACTIONS(3253), 1,
      anon_sym_COMMA,
    ACTIONS(3255), 1,
      anon_sym_RBRACK,
    STATE(2341), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113175] = 4,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113189] = 4,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113203] = 4,
    ACTIONS(1193), 1,
      anon_sym_RPAREN,
    ACTIONS(4239), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113217] = 3,
    ACTIONS(4241), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [113229] = 4,
    ACTIONS(4243), 1,
      anon_sym_COMMA,
    ACTIONS(4245), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113243] = 4,
    ACTIONS(4247), 1,
      anon_sym_COMMA,
    ACTIONS(4249), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113257] = 4,
    ACTIONS(1163), 1,
      anon_sym_RPAREN,
    ACTIONS(4251), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113271] = 4,
    ACTIONS(4195), 1,
      sym__newline,
    ACTIONS(4197), 1,
      sym__indent,
    STATE(790), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113285] = 4,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    STATE(2344), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113299] = 4,
    ACTIONS(3468), 1,
      anon_sym_RPAREN,
    ACTIONS(4258), 1,
      anon_sym_COMMA,
    STATE(2345), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113313] = 4,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    STATE(2345), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113327] = 4,
    ACTIONS(4205), 1,
      anon_sym_COLON,
    ACTIONS(4263), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113341] = 4,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    ACTIONS(4268), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113355] = 4,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(4270), 1,
      anon_sym_import,
    STATE(2627), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113369] = 3,
    ACTIONS(4241), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [113381] = 4,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    ACTIONS(4274), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113395] = 4,
    ACTIONS(3008), 1,
      anon_sym_RPAREN,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113409] = 4,
    ACTIONS(2674), 1,
      anon_sym_RPAREN,
    ACTIONS(4276), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113423] = 4,
    ACTIONS(4278), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [113447] = 4,
    ACTIONS(3407), 1,
      anon_sym_COMMA,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    STATE(2359), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113461] = 3,
    ACTIONS(4284), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113473] = 4,
    ACTIONS(3490), 1,
      anon_sym_PIPE,
    ACTIONS(4286), 1,
      anon_sym_COLON,
    STATE(1887), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113487] = 4,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113501] = 4,
    ACTIONS(4290), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113515] = 4,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(2364), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113529] = 4,
    ACTIONS(2016), 1,
      anon_sym_RPAREN,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    STATE(2429), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113543] = 4,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_RBRACK,
    STATE(2369), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113557] = 4,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    ACTIONS(4296), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113571] = 4,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113585] = 4,
    ACTIONS(1205), 1,
      anon_sym_RPAREN,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113599] = 4,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
    STATE(2676), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113613] = 4,
    ACTIONS(4304), 1,
      anon_sym_RPAREN,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2382), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113627] = 4,
    ACTIONS(4308), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113641] = 4,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    ACTIONS(4312), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113655] = 4,
    ACTIONS(3964), 1,
      anon_sym_RPAREN,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    STATE(2460), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113669] = 4,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    STATE(2434), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113683] = 4,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    ACTIONS(4318), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113697] = 4,
    ACTIONS(4320), 1,
      anon_sym_COMMA,
    ACTIONS(4322), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113711] = 4,
    ACTIONS(3964), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_COMMA,
    STATE(2460), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113725] = 4,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    ACTIONS(4326), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [113749] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113763] = 4,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113777] = 4,
    ACTIONS(4086), 1,
      anon_sym_RPAREN,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113791] = 4,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113805] = 4,
    ACTIONS(1153), 1,
      anon_sym_RPAREN,
    ACTIONS(4333), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113819] = 4,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(3097), 1,
      anon_sym_COMMA,
    STATE(2388), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113833] = 4,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    STATE(2390), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113847] = 4,
    ACTIONS(4339), 1,
      anon_sym_COMMA,
    ACTIONS(4341), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113861] = 4,
    ACTIONS(3268), 1,
      anon_sym_COMMA,
    ACTIONS(3270), 1,
      anon_sym_RBRACK,
    STATE(2393), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113875] = 4,
    ACTIONS(4343), 1,
      anon_sym_COMMA,
    ACTIONS(4345), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113889] = 4,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113903] = 4,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(4349), 1,
      anon_sym_RBRACE,
    STATE(2702), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113917] = 4,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113931] = 4,
    ACTIONS(2624), 1,
      anon_sym_RPAREN,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113945] = 4,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113959] = 4,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113973] = 3,
    ACTIONS(3918), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3883), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [113995] = 4,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_dotted_name,
    STATE(2433), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114009] = 4,
    ACTIONS(1263), 1,
      anon_sym_RBRACK,
    ACTIONS(4363), 1,
      anon_sym_COMMA,
    STATE(2471), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [114033] = 4,
    ACTIONS(2016), 1,
      anon_sym_RBRACK,
    ACTIONS(4365), 1,
      anon_sym_COMMA,
    STATE(2463), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114047] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114061] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3114), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114075] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4371), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114089] = 4,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    STATE(2407), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114103] = 4,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
    ACTIONS(3118), 1,
      anon_sym_COMMA,
    STATE(2336), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114117] = 4,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(2342), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114131] = 4,
    ACTIONS(4377), 1,
      anon_sym_SEMI,
    ACTIONS(4379), 1,
      sym__newline,
    STATE(2418), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114145] = 4,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    ACTIONS(4381), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114159] = 4,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    STATE(2412), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114173] = 4,
    ACTIONS(4383), 1,
      anon_sym_RPAREN,
    ACTIONS(4385), 1,
      anon_sym_COMMA,
    STATE(2413), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114187] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4387), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114201] = 4,
    ACTIONS(3286), 1,
      anon_sym_COMMA,
    ACTIONS(3288), 1,
      anon_sym_RBRACK,
    STATE(2416), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114215] = 4,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    ACTIONS(4389), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114229] = 4,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    ACTIONS(4391), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114243] = 4,
    ACTIONS(3883), 1,
      anon_sym_RBRACK,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114257] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114271] = 4,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114285] = 4,
    ACTIONS(3298), 1,
      anon_sym_COMMA,
    ACTIONS(3300), 1,
      anon_sym_RBRACK,
    STATE(2354), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114299] = 4,
    ACTIONS(609), 1,
      sym__newline,
    ACTIONS(4404), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114313] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [114323] = 4,
    ACTIONS(4113), 1,
      sym__newline,
    ACTIONS(4115), 1,
      sym__indent,
    STATE(735), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114337] = 4,
    ACTIONS(3290), 1,
      anon_sym_COMMA,
    ACTIONS(3292), 1,
      anon_sym_RBRACK,
    STATE(2423), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114351] = 4,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    ACTIONS(4408), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114365] = 4,
    ACTIONS(4410), 1,
      anon_sym_COMMA,
    ACTIONS(4412), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114379] = 4,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    ACTIONS(4416), 1,
      anon_sym_COLON,
    STATE(2256), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114393] = 4,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    ACTIONS(4418), 1,
      anon_sym_COMMA,
    STATE(2257), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114407] = 4,
    ACTIONS(3294), 1,
      anon_sym_COMMA,
    ACTIONS(3296), 1,
      anon_sym_RBRACK,
    STATE(2428), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114421] = 4,
    ACTIONS(4420), 1,
      anon_sym_COMMA,
    ACTIONS(4422), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114435] = 4,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114449] = 4,
    ACTIONS(2871), 1,
      anon_sym_RPAREN,
    ACTIONS(4428), 1,
      anon_sym_COMMA,
    STATE(2429), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114463] = 4,
    ACTIONS(3711), 1,
      anon_sym_COLON,
    ACTIONS(4431), 1,
      anon_sym_RBRACE,
    STATE(2748), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114477] = 4,
    ACTIONS(4113), 1,
      sym__newline,
    ACTIONS(4115), 1,
      sym__indent,
    STATE(748), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114491] = 4,
    ACTIONS(4433), 1,
      anon_sym_COMMA,
    ACTIONS(4435), 1,
      anon_sym_COLON,
    STATE(2344), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4023), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114515] = 4,
    ACTIONS(1263), 1,
      anon_sym_RBRACE,
    ACTIONS(4437), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114529] = 3,
    ACTIONS(4441), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4439), 2,
      sym__newline,
      anon_sym_SEMI,
  [114541] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4443), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114555] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4445), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114569] = 4,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(4447), 1,
      anon_sym_COLON,
    STATE(2677), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114583] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4449), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4451), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114607] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4453), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114621] = 4,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114635] = 4,
    ACTIONS(4195), 1,
      sym__newline,
    ACTIONS(4197), 1,
      sym__indent,
    STATE(788), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114649] = 4,
    ACTIONS(1287), 1,
      anon_sym_RPAREN,
    ACTIONS(4457), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114663] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114677] = 4,
    ACTIONS(2672), 1,
      anon_sym_RBRACK,
    ACTIONS(4461), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114691] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114705] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4465), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114719] = 4,
    ACTIONS(3681), 1,
      anon_sym_DOT,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(4467), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114733] = 4,
    ACTIONS(1287), 1,
      anon_sym_COLON,
    ACTIONS(4469), 1,
      anon_sym_COMMA,
    STATE(2462), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114747] = 4,
    ACTIONS(4471), 1,
      anon_sym_SEMI,
    ACTIONS(4473), 1,
      sym__newline,
    STATE(2464), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114761] = 4,
    ACTIONS(4475), 1,
      anon_sym_COMMA,
    ACTIONS(4477), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114775] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4479), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114789] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4481), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114803] = 3,
    ACTIONS(3618), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3620), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114815] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114829] = 4,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    ACTIONS(4485), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114843] = 3,
    ACTIONS(3962), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4023), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114855] = 4,
    ACTIONS(4487), 1,
      anon_sym_SEMI,
    ACTIONS(4489), 1,
      sym__newline,
    STATE(2237), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114869] = 4,
    ACTIONS(4025), 1,
      anon_sym_RPAREN,
    ACTIONS(4491), 1,
      anon_sym_COMMA,
    STATE(2460), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114883] = 4,
    ACTIONS(3358), 1,
      anon_sym_COMMA,
    ACTIONS(3360), 1,
      anon_sym_RBRACE,
    STATE(2473), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114897] = 4,
    ACTIONS(3209), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_COMMA,
    STATE(2462), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114911] = 4,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    ACTIONS(4497), 1,
      anon_sym_COMMA,
    STATE(2463), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114925] = 4,
    ACTIONS(617), 1,
      sym__newline,
    ACTIONS(4500), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114939] = 4,
    ACTIONS(971), 1,
      anon_sym_in,
    ACTIONS(4502), 1,
      anon_sym_COMMA,
    STATE(2475), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114953] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114967] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(4506), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114981] = 4,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114995] = 4,
    ACTIONS(4195), 1,
      sym__newline,
    ACTIONS(4197), 1,
      sym__indent,
    STATE(782), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115009] = 4,
    ACTIONS(4511), 1,
      anon_sym_COMMA,
    ACTIONS(4513), 1,
      anon_sym_COLON,
    STATE(2344), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115023] = 4,
    ACTIONS(3468), 1,
      anon_sym_RBRACK,
    ACTIONS(4515), 1,
      anon_sym_COMMA,
    STATE(2471), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115037] = 4,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    ACTIONS(4518), 1,
      anon_sym_COMMA,
    STATE(2298), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115051] = 4,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    ACTIONS(4520), 1,
      anon_sym_COMMA,
    STATE(2293), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115065] = 4,
    ACTIONS(4522), 1,
      anon_sym_RPAREN,
    ACTIONS(4524), 1,
      anon_sym_COMMA,
    STATE(2255), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115079] = 4,
    ACTIONS(2871), 1,
      anon_sym_in,
    ACTIONS(4526), 1,
      anon_sym_COMMA,
    STATE(2475), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115093] = 4,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(2346), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115107] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4529), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115121] = 4,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4531), 1,
      anon_sym_in,
    STATE(2465), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115135] = 4,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    STATE(2376), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115149] = 4,
    ACTIONS(4533), 1,
      anon_sym_COMMA,
    ACTIONS(4535), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4537), 2,
      sym__newline,
      anon_sym_SEMI,
  [115172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4539), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4541), 2,
      anon_sym__,
      sym_identifier,
  [115199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4543), 2,
      sym__newline,
      anon_sym_SEMI,
  [115208] = 3,
    ACTIONS(4545), 1,
      sym_integer,
    ACTIONS(4547), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115228] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1605), 2,
      sym__dedent,
      anon_sym_case,
  [115237] = 3,
    ACTIONS(4549), 1,
      sym_integer,
    ACTIONS(4551), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3318), 2,
      sym__newline,
      anon_sym_SEMI,
  [115257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4553), 2,
      sym__dedent,
      anon_sym_case,
  [115266] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4555), 2,
      sym__dedent,
      anon_sym_case,
  [115275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4557), 2,
      sym__dedent,
      anon_sym_case,
  [115284] = 3,
    ACTIONS(4559), 1,
      anon_sym_COLON,
    ACTIONS(4561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4563), 2,
      sym__dedent,
      anon_sym_case,
  [115304] = 3,
    ACTIONS(4565), 1,
      sym_integer,
    ACTIONS(4567), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115315] = 3,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2540), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115326] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4569), 2,
      sym__dedent,
      anon_sym_case,
  [115344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4571), 2,
      anon_sym__,
      sym_identifier,
  [115353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4573), 2,
      sym__dedent,
      anon_sym_case,
  [115362] = 3,
    ACTIONS(4575), 1,
      sym_integer,
    ACTIONS(4577), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115373] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115382] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4579), 2,
      sym__dedent,
      anon_sym_case,
  [115391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4581), 2,
      sym__newline,
      anon_sym_SEMI,
  [115400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115418] = 3,
    ACTIONS(4583), 1,
      sym_integer,
    ACTIONS(4585), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4160), 2,
      sym__newline,
      anon_sym_SEMI,
  [115438] = 3,
    ACTIONS(4587), 1,
      sym_integer,
    ACTIONS(4589), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4591), 2,
      anon_sym__,
      sym_identifier,
  [115458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3626), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115467] = 3,
    ACTIONS(4593), 1,
      sym_integer,
    ACTIONS(4595), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115487] = 3,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2543), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115498] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4597), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115507] = 3,
    ACTIONS(4599), 1,
      sym_integer,
    ACTIONS(4601), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115518] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      sym__dedent,
      anon_sym_case,
  [115536] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4603), 2,
      sym__dedent,
      anon_sym_case,
  [115545] = 3,
    ACTIONS(4605), 1,
      sym_integer,
    ACTIONS(4607), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115556] = 3,
    ACTIONS(4609), 1,
      sym_integer,
    ACTIONS(4611), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 2,
      sym__newline,
      anon_sym_SEMI,
  [115576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4613), 2,
      sym__dedent,
      anon_sym_case,
  [115585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4539), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4615), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4617), 2,
      sym__dedent,
      anon_sym_case,
  [115621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115630] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115648] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4621), 2,
      sym__dedent,
      anon_sym_case,
  [115657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4623), 2,
      sym__dedent,
      anon_sym_case,
  [115666] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4625), 2,
      sym__newline,
      anon_sym_SEMI,
  [115675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3223), 2,
      sym__newline,
      anon_sym_SEMI,
  [115684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4627), 2,
      sym__newline,
      anon_sym_SEMI,
  [115693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 2,
      sym__dedent,
      anon_sym_case,
  [115702] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4629), 2,
      sym__newline,
      anon_sym_SEMI,
  [115711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115720] = 3,
    ACTIONS(4631), 1,
      anon_sym_COLON,
    ACTIONS(4633), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4635), 2,
      sym__newline,
      anon_sym_SEMI,
  [115740] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115749] = 3,
    ACTIONS(4637), 1,
      anon_sym_COLON,
    ACTIONS(4639), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115760] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115769] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115778] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4641), 2,
      sym__newline,
      anon_sym_SEMI,
  [115796] = 3,
    ACTIONS(4643), 1,
      anon_sym_COLON,
    ACTIONS(4645), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115816] = 3,
    ACTIONS(4647), 1,
      anon_sym_COLON,
    ACTIONS(4649), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115827] = 3,
    ACTIONS(4651), 1,
      anon_sym_COLON,
    ACTIONS(4653), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115838] = 3,
    ACTIONS(4655), 1,
      anon_sym_COLON,
    ACTIONS(4657), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115849] = 3,
    ACTIONS(4659), 1,
      anon_sym_COLON,
    ACTIONS(4661), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115860] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4663), 2,
      sym__newline,
      anon_sym_SEMI,
  [115878] = 3,
    ACTIONS(4665), 1,
      sym_integer,
    ACTIONS(4667), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4669), 2,
      sym__newline,
      anon_sym_SEMI,
  [115898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4671), 2,
      sym__newline,
      anon_sym_SEMI,
  [115916] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 2,
      sym__dedent,
      anon_sym_case,
  [115925] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4673), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115934] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 2,
      sym__dedent,
      anon_sym_case,
  [115943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4675), 2,
      sym__newline,
      anon_sym_SEMI,
  [115952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4023), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3068), 2,
      sym__newline,
      anon_sym_SEMI,
  [115979] = 3,
    ACTIONS(4677), 1,
      sym_integer,
    ACTIONS(4679), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4451), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4681), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116008] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4539), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4681), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4683), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4685), 2,
      sym__newline,
      anon_sym_SEMI,
  [116044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4687), 2,
      sym__dedent,
      anon_sym_case,
  [116062] = 3,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2551), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116073] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4681), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116082] = 3,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2553), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116093] = 3,
    ACTIONS(4689), 1,
      anon_sym_COMMA,
    STATE(1890), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116104] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4691), 2,
      anon_sym__,
      sym_identifier,
  [116113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4683), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116122] = 2,
    ACTIONS(4693), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116130] = 2,
    ACTIONS(4695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116138] = 2,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116146] = 2,
    ACTIONS(4697), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116154] = 2,
    ACTIONS(4699), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116162] = 2,
    ACTIONS(4369), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116170] = 2,
    ACTIONS(4701), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116178] = 2,
    ACTIONS(4703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116186] = 2,
    ACTIONS(4705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116194] = 2,
    ACTIONS(4707), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116202] = 2,
    ACTIONS(4709), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116210] = 2,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116218] = 2,
    ACTIONS(4711), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116226] = 2,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116234] = 2,
    ACTIONS(4713), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116242] = 2,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116250] = 2,
    ACTIONS(4717), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116258] = 2,
    ACTIONS(3034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116266] = 2,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116274] = 2,
    ACTIONS(4721), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116282] = 2,
    ACTIONS(4723), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116290] = 2,
    ACTIONS(4725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116298] = 2,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116306] = 2,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116314] = 2,
    ACTIONS(4731), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116322] = 2,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116330] = 2,
    ACTIONS(4733), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116338] = 2,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116346] = 2,
    ACTIONS(4735), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116354] = 2,
    ACTIONS(4737), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116362] = 2,
    ACTIONS(4739), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116370] = 2,
    ACTIONS(4387), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116378] = 2,
    ACTIONS(4741), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116386] = 2,
    ACTIONS(4743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116394] = 2,
    ACTIONS(4745), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116402] = 2,
    ACTIONS(4747), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116410] = 2,
    ACTIONS(4749), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116418] = 2,
    ACTIONS(4751), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116426] = 2,
    ACTIONS(4753), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116434] = 2,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116442] = 2,
    ACTIONS(4755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116450] = 2,
    ACTIONS(4757), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116458] = 2,
    ACTIONS(4759), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116466] = 2,
    ACTIONS(4761), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116474] = 2,
    ACTIONS(4763), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116482] = 2,
    ACTIONS(4765), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116490] = 2,
    ACTIONS(4767), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116498] = 2,
    ACTIONS(4769), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116506] = 2,
    ACTIONS(4771), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116514] = 2,
    ACTIONS(3335), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116522] = 2,
    ACTIONS(4773), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116530] = 2,
    ACTIONS(4775), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116538] = 2,
    ACTIONS(1495), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116546] = 2,
    ACTIONS(4777), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116554] = 2,
    ACTIONS(4779), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116562] = 2,
    ACTIONS(4781), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116570] = 2,
    ACTIONS(4783), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116578] = 2,
    ACTIONS(4785), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116586] = 2,
    ACTIONS(4787), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116594] = 2,
    ACTIONS(4789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116602] = 2,
    ACTIONS(4791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116610] = 2,
    ACTIONS(4793), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116618] = 2,
    ACTIONS(4795), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116626] = 2,
    ACTIONS(4797), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116634] = 2,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116642] = 2,
    ACTIONS(4801), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116650] = 2,
    ACTIONS(4803), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116658] = 2,
    ACTIONS(4805), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116666] = 2,
    ACTIONS(4807), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116674] = 2,
    ACTIONS(4809), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116682] = 2,
    ACTIONS(4811), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116690] = 2,
    ACTIONS(4813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116698] = 2,
    ACTIONS(4815), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116706] = 2,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116714] = 2,
    ACTIONS(4819), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116722] = 2,
    ACTIONS(4821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116730] = 2,
    ACTIONS(4823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116738] = 2,
    ACTIONS(4825), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116746] = 2,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116754] = 2,
    ACTIONS(4827), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116762] = 2,
    ACTIONS(3405), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116770] = 2,
    ACTIONS(4829), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116778] = 2,
    ACTIONS(4831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116786] = 2,
    ACTIONS(4833), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116794] = 2,
    ACTIONS(4835), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116802] = 2,
    ACTIONS(4837), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116810] = 2,
    ACTIONS(4839), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116818] = 2,
    ACTIONS(4449), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116826] = 2,
    ACTIONS(4841), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116834] = 2,
    ACTIONS(3390), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116842] = 2,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116850] = 2,
    ACTIONS(4843), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116858] = 2,
    ACTIONS(4443), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116866] = 2,
    ACTIONS(4845), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116874] = 2,
    ACTIONS(4847), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116882] = 2,
    ACTIONS(4849), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116890] = 2,
    ACTIONS(4851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116898] = 2,
    ACTIONS(4453), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116906] = 2,
    ACTIONS(3392), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116914] = 2,
    ACTIONS(4853), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116922] = 2,
    ACTIONS(4855), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116930] = 2,
    ACTIONS(4857), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116938] = 2,
    ACTIONS(4859), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116946] = 2,
    ACTIONS(4861), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116954] = 2,
    ACTIONS(4863), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116962] = 2,
    ACTIONS(3342), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116970] = 2,
    ACTIONS(4865), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116978] = 2,
    ACTIONS(4867), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116986] = 2,
    ACTIONS(4869), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116994] = 2,
    ACTIONS(4871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117002] = 2,
    ACTIONS(4873), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117010] = 2,
    ACTIONS(4875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117018] = 2,
    ACTIONS(4877), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117026] = 2,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117034] = 2,
    ACTIONS(4879), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117042] = 2,
    ACTIONS(4881), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117050] = 2,
    ACTIONS(4883), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117058] = 2,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117066] = 2,
    ACTIONS(4885), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117074] = 2,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117082] = 2,
    ACTIONS(4887), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117090] = 2,
    ACTIONS(4479), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117098] = 2,
    ACTIONS(4889), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117106] = 2,
    ACTIONS(4481), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117114] = 2,
    ACTIONS(4891), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117122] = 2,
    ACTIONS(4893), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117130] = 2,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117138] = 2,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117146] = 2,
    ACTIONS(4899), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117154] = 2,
    ACTIONS(1469), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117162] = 2,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117170] = 2,
    ACTIONS(4903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117178] = 2,
    ACTIONS(4905), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117186] = 2,
    ACTIONS(3064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117194] = 2,
    ACTIONS(4907), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117202] = 2,
    ACTIONS(4909), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117210] = 2,
    ACTIONS(4911), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117218] = 2,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117226] = 2,
    ACTIONS(4915), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117234] = 2,
    ACTIONS(3360), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117242] = 2,
    ACTIONS(4917), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117250] = 2,
    ACTIONS(4919), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117258] = 2,
    ACTIONS(4921), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117266] = 2,
    ACTIONS(4923), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117274] = 2,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117282] = 2,
    ACTIONS(4927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117290] = 2,
    ACTIONS(4929), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117298] = 2,
    ACTIONS(4931), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117306] = 2,
    ACTIONS(4933), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117314] = 2,
    ACTIONS(4935), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117322] = 2,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117330] = 2,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117338] = 2,
    ACTIONS(4939), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117346] = 2,
    ACTIONS(4941), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117354] = 2,
    ACTIONS(4943), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117362] = 2,
    ACTIONS(4945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117370] = 2,
    ACTIONS(4947), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117378] = 2,
    ACTIONS(4949), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117386] = 2,
    ACTIONS(4951), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117394] = 2,
    ACTIONS(4953), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117402] = 2,
    ACTIONS(4955), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117410] = 2,
    ACTIONS(4957), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117418] = 2,
    ACTIONS(4959), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117426] = 2,
    ACTIONS(4961), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117434] = 2,
    ACTIONS(4963), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117442] = 2,
    ACTIONS(4965), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117450] = 2,
    ACTIONS(4967), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117458] = 2,
    ACTIONS(4969), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117466] = 2,
    ACTIONS(4971), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117474] = 2,
    ACTIONS(4973), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117482] = 2,
    ACTIONS(4975), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117490] = 2,
    ACTIONS(4977), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117498] = 2,
    ACTIONS(4979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117506] = 2,
    ACTIONS(4981), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117514] = 2,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117522] = 2,
    ACTIONS(4985), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117530] = 2,
    ACTIONS(4987), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117538] = 2,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117546] = 2,
    ACTIONS(4991), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117554] = 2,
    ACTIONS(4993), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117562] = 2,
    ACTIONS(4995), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117570] = 2,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117578] = 2,
    ACTIONS(4997), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117586] = 2,
    ACTIONS(4999), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117594] = 2,
    ACTIONS(5001), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117602] = 2,
    ACTIONS(5003), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117610] = 2,
    ACTIONS(4529), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117618] = 2,
    ACTIONS(1503), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117626] = 2,
    ACTIONS(5005), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117634] = 2,
    ACTIONS(5007), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117642] = 2,
    ACTIONS(4531), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117650] = 2,
    ACTIONS(5009), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117658] = 2,
    ACTIONS(5011), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117666] = 2,
    ACTIONS(5013), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117674] = 2,
    ACTIONS(5015), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(181)] = 0,
  [SMALL_STATE(182)] = 120,
  [SMALL_STATE(183)] = 244,
  [SMALL_STATE(184)] = 368,
  [SMALL_STATE(185)] = 488,
  [SMALL_STATE(186)] = 614,
  [SMALL_STATE(187)] = 742,
  [SMALL_STATE(188)] = 868,
  [SMALL_STATE(189)] = 992,
  [SMALL_STATE(190)] = 1116,
  [SMALL_STATE(191)] = 1242,
  [SMALL_STATE(192)] = 1366,
  [SMALL_STATE(193)] = 1492,
  [SMALL_STATE(194)] = 1616,
  [SMALL_STATE(195)] = 1740,
  [SMALL_STATE(196)] = 1864,
  [SMALL_STATE(197)] = 1990,
  [SMALL_STATE(198)] = 2114,
  [SMALL_STATE(199)] = 2238,
  [SMALL_STATE(200)] = 2358,
  [SMALL_STATE(201)] = 2482,
  [SMALL_STATE(202)] = 2608,
  [SMALL_STATE(203)] = 2732,
  [SMALL_STATE(204)] = 2856,
  [SMALL_STATE(205)] = 2982,
  [SMALL_STATE(206)] = 3106,
  [SMALL_STATE(207)] = 3230,
  [SMALL_STATE(208)] = 3356,
  [SMALL_STATE(209)] = 3480,
  [SMALL_STATE(210)] = 3604,
  [SMALL_STATE(211)] = 3730,
  [SMALL_STATE(212)] = 3854,
  [SMALL_STATE(213)] = 3978,
  [SMALL_STATE(214)] = 4106,
  [SMALL_STATE(215)] = 4213,
  [SMALL_STATE(216)] = 4320,
  [SMALL_STATE(217)] = 4436,
  [SMALL_STATE(218)] = 4552,
  [SMALL_STATE(219)] = 4668,
  [SMALL_STATE(220)] = 4784,
  [SMALL_STATE(221)] = 4900,
  [SMALL_STATE(222)] = 5016,
  [SMALL_STATE(223)] = 5132,
  [SMALL_STATE(224)] = 5248,
  [SMALL_STATE(225)] = 5364,
  [SMALL_STATE(226)] = 5480,
  [SMALL_STATE(227)] = 5593,
  [SMALL_STATE(228)] = 5706,
  [SMALL_STATE(229)] = 5819,
  [SMALL_STATE(230)] = 5932,
  [SMALL_STATE(231)] = 6045,
  [SMALL_STATE(232)] = 6160,
  [SMALL_STATE(233)] = 6273,
  [SMALL_STATE(234)] = 6390,
  [SMALL_STATE(235)] = 6495,
  [SMALL_STATE(236)] = 6610,
  [SMALL_STATE(237)] = 6715,
  [SMALL_STATE(238)] = 6828,
  [SMALL_STATE(239)] = 6941,
  [SMALL_STATE(240)] = 7056,
  [SMALL_STATE(241)] = 7169,
  [SMALL_STATE(242)] = 7282,
  [SMALL_STATE(243)] = 7395,
  [SMALL_STATE(244)] = 7508,
  [SMALL_STATE(245)] = 7621,
  [SMALL_STATE(246)] = 7734,
  [SMALL_STATE(247)] = 7849,
  [SMALL_STATE(248)] = 7964,
  [SMALL_STATE(249)] = 8077,
  [SMALL_STATE(250)] = 8192,
  [SMALL_STATE(251)] = 8305,
  [SMALL_STATE(252)] = 8418,
  [SMALL_STATE(253)] = 8533,
  [SMALL_STATE(254)] = 8646,
  [SMALL_STATE(255)] = 8761,
  [SMALL_STATE(256)] = 8876,
  [SMALL_STATE(257)] = 8987,
  [SMALL_STATE(258)] = 9100,
  [SMALL_STATE(259)] = 9213,
  [SMALL_STATE(260)] = 9326,
  [SMALL_STATE(261)] = 9439,
  [SMALL_STATE(262)] = 9552,
  [SMALL_STATE(263)] = 9665,
  [SMALL_STATE(264)] = 9778,
  [SMALL_STATE(265)] = 9894,
  [SMALL_STATE(266)] = 10010,
  [SMALL_STATE(267)] = 10122,
  [SMALL_STATE(268)] = 10234,
  [SMALL_STATE(269)] = 10348,
  [SMALL_STATE(270)] = 10460,
  [SMALL_STATE(271)] = 10572,
  [SMALL_STATE(272)] = 10684,
  [SMALL_STATE(273)] = 10796,
  [SMALL_STATE(274)] = 10908,
  [SMALL_STATE(275)] = 11022,
  [SMALL_STATE(276)] = 11134,
  [SMALL_STATE(277)] = 11250,
  [SMALL_STATE(278)] = 11362,
  [SMALL_STATE(279)] = 11474,
  [SMALL_STATE(280)] = 11586,
  [SMALL_STATE(281)] = 11698,
  [SMALL_STATE(282)] = 11812,
  [SMALL_STATE(283)] = 11924,
  [SMALL_STATE(284)] = 12040,
  [SMALL_STATE(285)] = 12152,
  [SMALL_STATE(286)] = 12264,
  [SMALL_STATE(287)] = 12376,
  [SMALL_STATE(288)] = 12488,
  [SMALL_STATE(289)] = 12602,
  [SMALL_STATE(290)] = 12714,
  [SMALL_STATE(291)] = 12830,
  [SMALL_STATE(292)] = 12942,
  [SMALL_STATE(293)] = 13054,
  [SMALL_STATE(294)] = 13166,
  [SMALL_STATE(295)] = 13280,
  [SMALL_STATE(296)] = 13392,
  [SMALL_STATE(297)] = 13508,
  [SMALL_STATE(298)] = 13620,
  [SMALL_STATE(299)] = 13732,
  [SMALL_STATE(300)] = 13844,
  [SMALL_STATE(301)] = 13956,
  [SMALL_STATE(302)] = 14070,
  [SMALL_STATE(303)] = 14182,
  [SMALL_STATE(304)] = 14296,
  [SMALL_STATE(305)] = 14408,
  [SMALL_STATE(306)] = 14520,
  [SMALL_STATE(307)] = 14632,
  [SMALL_STATE(308)] = 14744,
  [SMALL_STATE(309)] = 14858,
  [SMALL_STATE(310)] = 14970,
  [SMALL_STATE(311)] = 15082,
  [SMALL_STATE(312)] = 15194,
  [SMALL_STATE(313)] = 15306,
  [SMALL_STATE(314)] = 15418,
  [SMALL_STATE(315)] = 15530,
  [SMALL_STATE(316)] = 15642,
  [SMALL_STATE(317)] = 15754,
  [SMALL_STATE(318)] = 15866,
  [SMALL_STATE(319)] = 15975,
  [SMALL_STATE(320)] = 16084,
  [SMALL_STATE(321)] = 16181,
  [SMALL_STATE(322)] = 16290,
  [SMALL_STATE(323)] = 16399,
  [SMALL_STATE(324)] = 16508,
  [SMALL_STATE(325)] = 16617,
  [SMALL_STATE(326)] = 16726,
  [SMALL_STATE(327)] = 16835,
  [SMALL_STATE(328)] = 16944,
  [SMALL_STATE(329)] = 17053,
  [SMALL_STATE(330)] = 17162,
  [SMALL_STATE(331)] = 17271,
  [SMALL_STATE(332)] = 17380,
  [SMALL_STATE(333)] = 17489,
  [SMALL_STATE(334)] = 17594,
  [SMALL_STATE(335)] = 17703,
  [SMALL_STATE(336)] = 17808,
  [SMALL_STATE(337)] = 17917,
  [SMALL_STATE(338)] = 18026,
  [SMALL_STATE(339)] = 18135,
  [SMALL_STATE(340)] = 18244,
  [SMALL_STATE(341)] = 18352,
  [SMALL_STATE(342)] = 18460,
  [SMALL_STATE(343)] = 18568,
  [SMALL_STATE(344)] = 18674,
  [SMALL_STATE(345)] = 18782,
  [SMALL_STATE(346)] = 18888,
  [SMALL_STATE(347)] = 18996,
  [SMALL_STATE(348)] = 19104,
  [SMALL_STATE(349)] = 19212,
  [SMALL_STATE(350)] = 19320,
  [SMALL_STATE(351)] = 19428,
  [SMALL_STATE(352)] = 19536,
  [SMALL_STATE(353)] = 19644,
  [SMALL_STATE(354)] = 19752,
  [SMALL_STATE(355)] = 19860,
  [SMALL_STATE(356)] = 19968,
  [SMALL_STATE(357)] = 20076,
  [SMALL_STATE(358)] = 20184,
  [SMALL_STATE(359)] = 20292,
  [SMALL_STATE(360)] = 20400,
  [SMALL_STATE(361)] = 20506,
  [SMALL_STATE(362)] = 20614,
  [SMALL_STATE(363)] = 20722,
  [SMALL_STATE(364)] = 20829,
  [SMALL_STATE(365)] = 20936,
  [SMALL_STATE(366)] = 21041,
  [SMALL_STATE(367)] = 21148,
  [SMALL_STATE(368)] = 21255,
  [SMALL_STATE(369)] = 21362,
  [SMALL_STATE(370)] = 21469,
  [SMALL_STATE(371)] = 21574,
  [SMALL_STATE(372)] = 21679,
  [SMALL_STATE(373)] = 21774,
  [SMALL_STATE(374)] = 21879,
  [SMALL_STATE(375)] = 21984,
  [SMALL_STATE(376)] = 22091,
  [SMALL_STATE(377)] = 22198,
  [SMALL_STATE(378)] = 22305,
  [SMALL_STATE(379)] = 22400,
  [SMALL_STATE(380)] = 22505,
  [SMALL_STATE(381)] = 22612,
  [SMALL_STATE(382)] = 22719,
  [SMALL_STATE(383)] = 22826,
  [SMALL_STATE(384)] = 22933,
  [SMALL_STATE(385)] = 23040,
  [SMALL_STATE(386)] = 23147,
  [SMALL_STATE(387)] = 23254,
  [SMALL_STATE(388)] = 23361,
  [SMALL_STATE(389)] = 23468,
  [SMALL_STATE(390)] = 23575,
  [SMALL_STATE(391)] = 23682,
  [SMALL_STATE(392)] = 23789,
  [SMALL_STATE(393)] = 23896,
  [SMALL_STATE(394)] = 24003,
  [SMALL_STATE(395)] = 24110,
  [SMALL_STATE(396)] = 24217,
  [SMALL_STATE(397)] = 24324,
  [SMALL_STATE(398)] = 24431,
  [SMALL_STATE(399)] = 24538,
  [SMALL_STATE(400)] = 24645,
  [SMALL_STATE(401)] = 24752,
  [SMALL_STATE(402)] = 24856,
  [SMALL_STATE(403)] = 24958,
  [SMALL_STATE(404)] = 25054,
  [SMALL_STATE(405)] = 25156,
  [SMALL_STATE(406)] = 25258,
  [SMALL_STATE(407)] = 25360,
  [SMALL_STATE(408)] = 25462,
  [SMALL_STATE(409)] = 25566,
  [SMALL_STATE(410)] = 25670,
  [SMALL_STATE(411)] = 25746,
  [SMALL_STATE(412)] = 25848,
  [SMALL_STATE(413)] = 25952,
  [SMALL_STATE(414)] = 26028,
  [SMALL_STATE(415)] = 26130,
  [SMALL_STATE(416)] = 26206,
  [SMALL_STATE(417)] = 26308,
  [SMALL_STATE(418)] = 26384,
  [SMALL_STATE(419)] = 26460,
  [SMALL_STATE(420)] = 26562,
  [SMALL_STATE(421)] = 26664,
  [SMALL_STATE(422)] = 26766,
  [SMALL_STATE(423)] = 26868,
  [SMALL_STATE(424)] = 26972,
  [SMALL_STATE(425)] = 27076,
  [SMALL_STATE(426)] = 27170,
  [SMALL_STATE(427)] = 27246,
  [SMALL_STATE(428)] = 27348,
  [SMALL_STATE(429)] = 27424,
  [SMALL_STATE(430)] = 27526,
  [SMALL_STATE(431)] = 27628,
  [SMALL_STATE(432)] = 27730,
  [SMALL_STATE(433)] = 27832,
  [SMALL_STATE(434)] = 27934,
  [SMALL_STATE(435)] = 28036,
  [SMALL_STATE(436)] = 28140,
  [SMALL_STATE(437)] = 28242,
  [SMALL_STATE(438)] = 28344,
  [SMALL_STATE(439)] = 28448,
  [SMALL_STATE(440)] = 28552,
  [SMALL_STATE(441)] = 28628,
  [SMALL_STATE(442)] = 28730,
  [SMALL_STATE(443)] = 28824,
  [SMALL_STATE(444)] = 28918,
  [SMALL_STATE(445)] = 29022,
  [SMALL_STATE(446)] = 29124,
  [SMALL_STATE(447)] = 29228,
  [SMALL_STATE(448)] = 29330,
  [SMALL_STATE(449)] = 29434,
  [SMALL_STATE(450)] = 29536,
  [SMALL_STATE(451)] = 29640,
  [SMALL_STATE(452)] = 29744,
  [SMALL_STATE(453)] = 29848,
  [SMALL_STATE(454)] = 29952,
  [SMALL_STATE(455)] = 30056,
  [SMALL_STATE(456)] = 30150,
  [SMALL_STATE(457)] = 30254,
  [SMALL_STATE(458)] = 30358,
  [SMALL_STATE(459)] = 30460,
  [SMALL_STATE(460)] = 30562,
  [SMALL_STATE(461)] = 30664,
  [SMALL_STATE(462)] = 30765,
  [SMALL_STATE(463)] = 30842,
  [SMALL_STATE(464)] = 30943,
  [SMALL_STATE(465)] = 31044,
  [SMALL_STATE(466)] = 31145,
  [SMALL_STATE(467)] = 31246,
  [SMALL_STATE(468)] = 31321,
  [SMALL_STATE(469)] = 31422,
  [SMALL_STATE(470)] = 31523,
  [SMALL_STATE(471)] = 31624,
  [SMALL_STATE(472)] = 31725,
  [SMALL_STATE(473)] = 31826,
  [SMALL_STATE(474)] = 31927,
  [SMALL_STATE(475)] = 32028,
  [SMALL_STATE(476)] = 32129,
  [SMALL_STATE(477)] = 32230,
  [SMALL_STATE(478)] = 32305,
  [SMALL_STATE(479)] = 32406,
  [SMALL_STATE(480)] = 32481,
  [SMALL_STATE(481)] = 32579,
  [SMALL_STATE(482)] = 32677,
  [SMALL_STATE(483)] = 32743,
  [SMALL_STATE(484)] = 32841,
  [SMALL_STATE(485)] = 32939,
  [SMALL_STATE(486)] = 33037,
  [SMALL_STATE(487)] = 33135,
  [SMALL_STATE(488)] = 33233,
  [SMALL_STATE(489)] = 33331,
  [SMALL_STATE(490)] = 33429,
  [SMALL_STATE(491)] = 33527,
  [SMALL_STATE(492)] = 33625,
  [SMALL_STATE(493)] = 33723,
  [SMALL_STATE(494)] = 33821,
  [SMALL_STATE(495)] = 33919,
  [SMALL_STATE(496)] = 34017,
  [SMALL_STATE(497)] = 34115,
  [SMALL_STATE(498)] = 34213,
  [SMALL_STATE(499)] = 34311,
  [SMALL_STATE(500)] = 34409,
  [SMALL_STATE(501)] = 34507,
  [SMALL_STATE(502)] = 34605,
  [SMALL_STATE(503)] = 34703,
  [SMALL_STATE(504)] = 34801,
  [SMALL_STATE(505)] = 34899,
  [SMALL_STATE(506)] = 34997,
  [SMALL_STATE(507)] = 35095,
  [SMALL_STATE(508)] = 35193,
  [SMALL_STATE(509)] = 35291,
  [SMALL_STATE(510)] = 35389,
  [SMALL_STATE(511)] = 35487,
  [SMALL_STATE(512)] = 35585,
  [SMALL_STATE(513)] = 35683,
  [SMALL_STATE(514)] = 35781,
  [SMALL_STATE(515)] = 35879,
  [SMALL_STATE(516)] = 35977,
  [SMALL_STATE(517)] = 36075,
  [SMALL_STATE(518)] = 36173,
  [SMALL_STATE(519)] = 36271,
  [SMALL_STATE(520)] = 36369,
  [SMALL_STATE(521)] = 36467,
  [SMALL_STATE(522)] = 36565,
  [SMALL_STATE(523)] = 36663,
  [SMALL_STATE(524)] = 36761,
  [SMALL_STATE(525)] = 36859,
  [SMALL_STATE(526)] = 36957,
  [SMALL_STATE(527)] = 37055,
  [SMALL_STATE(528)] = 37153,
  [SMALL_STATE(529)] = 37251,
  [SMALL_STATE(530)] = 37349,
  [SMALL_STATE(531)] = 37447,
  [SMALL_STATE(532)] = 37545,
  [SMALL_STATE(533)] = 37643,
  [SMALL_STATE(534)] = 37741,
  [SMALL_STATE(535)] = 37839,
  [SMALL_STATE(536)] = 37937,
  [SMALL_STATE(537)] = 38035,
  [SMALL_STATE(538)] = 38135,
  [SMALL_STATE(539)] = 38233,
  [SMALL_STATE(540)] = 38331,
  [SMALL_STATE(541)] = 38429,
  [SMALL_STATE(542)] = 38527,
  [SMALL_STATE(543)] = 38625,
  [SMALL_STATE(544)] = 38723,
  [SMALL_STATE(545)] = 38821,
  [SMALL_STATE(546)] = 38919,
  [SMALL_STATE(547)] = 39017,
  [SMALL_STATE(548)] = 39115,
  [SMALL_STATE(549)] = 39213,
  [SMALL_STATE(550)] = 39313,
  [SMALL_STATE(551)] = 39411,
  [SMALL_STATE(552)] = 39509,
  [SMALL_STATE(553)] = 39607,
  [SMALL_STATE(554)] = 39705,
  [SMALL_STATE(555)] = 39803,
  [SMALL_STATE(556)] = 39901,
  [SMALL_STATE(557)] = 39999,
  [SMALL_STATE(558)] = 40099,
  [SMALL_STATE(559)] = 40197,
  [SMALL_STATE(560)] = 40297,
  [SMALL_STATE(561)] = 40395,
  [SMALL_STATE(562)] = 40493,
  [SMALL_STATE(563)] = 40591,
  [SMALL_STATE(564)] = 40689,
  [SMALL_STATE(565)] = 40787,
  [SMALL_STATE(566)] = 40885,
  [SMALL_STATE(567)] = 40985,
  [SMALL_STATE(568)] = 41083,
  [SMALL_STATE(569)] = 41181,
  [SMALL_STATE(570)] = 41279,
  [SMALL_STATE(571)] = 41377,
  [SMALL_STATE(572)] = 41475,
  [SMALL_STATE(573)] = 41573,
  [SMALL_STATE(574)] = 41671,
  [SMALL_STATE(575)] = 41769,
  [SMALL_STATE(576)] = 41867,
  [SMALL_STATE(577)] = 41967,
  [SMALL_STATE(578)] = 42065,
  [SMALL_STATE(579)] = 42163,
  [SMALL_STATE(580)] = 42261,
  [SMALL_STATE(581)] = 42359,
  [SMALL_STATE(582)] = 42457,
  [SMALL_STATE(583)] = 42555,
  [SMALL_STATE(584)] = 42655,
  [SMALL_STATE(585)] = 42753,
  [SMALL_STATE(586)] = 42851,
  [SMALL_STATE(587)] = 42949,
  [SMALL_STATE(588)] = 43015,
  [SMALL_STATE(589)] = 43113,
  [SMALL_STATE(590)] = 43211,
  [SMALL_STATE(591)] = 43309,
  [SMALL_STATE(592)] = 43407,
  [SMALL_STATE(593)] = 43505,
  [SMALL_STATE(594)] = 43603,
  [SMALL_STATE(595)] = 43701,
  [SMALL_STATE(596)] = 43799,
  [SMALL_STATE(597)] = 43897,
  [SMALL_STATE(598)] = 43995,
  [SMALL_STATE(599)] = 44093,
  [SMALL_STATE(600)] = 44191,
  [SMALL_STATE(601)] = 44289,
  [SMALL_STATE(602)] = 44387,
  [SMALL_STATE(603)] = 44485,
  [SMALL_STATE(604)] = 44583,
  [SMALL_STATE(605)] = 44656,
  [SMALL_STATE(606)] = 44724,
  [SMALL_STATE(607)] = 44792,
  [SMALL_STATE(608)] = 44860,
  [SMALL_STATE(609)] = 44926,
  [SMALL_STATE(610)] = 44994,
  [SMALL_STATE(611)] = 45062,
  [SMALL_STATE(612)] = 45130,
  [SMALL_STATE(613)] = 45196,
  [SMALL_STATE(614)] = 45264,
  [SMALL_STATE(615)] = 45332,
  [SMALL_STATE(616)] = 45398,
  [SMALL_STATE(617)] = 45466,
  [SMALL_STATE(618)] = 45534,
  [SMALL_STATE(619)] = 45591,
  [SMALL_STATE(620)] = 45656,
  [SMALL_STATE(621)] = 45713,
  [SMALL_STATE(622)] = 45770,
  [SMALL_STATE(623)] = 45827,
  [SMALL_STATE(624)] = 45884,
  [SMALL_STATE(625)] = 45947,
  [SMALL_STATE(626)] = 46010,
  [SMALL_STATE(627)] = 46073,
  [SMALL_STATE(628)] = 46136,
  [SMALL_STATE(629)] = 46199,
  [SMALL_STATE(630)] = 46256,
  [SMALL_STATE(631)] = 46313,
  [SMALL_STATE(632)] = 46370,
  [SMALL_STATE(633)] = 46427,
  [SMALL_STATE(634)] = 46490,
  [SMALL_STATE(635)] = 46547,
  [SMALL_STATE(636)] = 46604,
  [SMALL_STATE(637)] = 46661,
  [SMALL_STATE(638)] = 46724,
  [SMALL_STATE(639)] = 46787,
  [SMALL_STATE(640)] = 46844,
  [SMALL_STATE(641)] = 46901,
  [SMALL_STATE(642)] = 46958,
  [SMALL_STATE(643)] = 47015,
  [SMALL_STATE(644)] = 47072,
  [SMALL_STATE(645)] = 47129,
  [SMALL_STATE(646)] = 47190,
  [SMALL_STATE(647)] = 47247,
  [SMALL_STATE(648)] = 47304,
  [SMALL_STATE(649)] = 47361,
  [SMALL_STATE(650)] = 47418,
  [SMALL_STATE(651)] = 47479,
  [SMALL_STATE(652)] = 47540,
  [SMALL_STATE(653)] = 47597,
  [SMALL_STATE(654)] = 47654,
  [SMALL_STATE(655)] = 47711,
  [SMALL_STATE(656)] = 47768,
  [SMALL_STATE(657)] = 47825,
  [SMALL_STATE(658)] = 47882,
  [SMALL_STATE(659)] = 47939,
  [SMALL_STATE(660)] = 47996,
  [SMALL_STATE(661)] = 48053,
  [SMALL_STATE(662)] = 48110,
  [SMALL_STATE(663)] = 48167,
  [SMALL_STATE(664)] = 48230,
  [SMALL_STATE(665)] = 48287,
  [SMALL_STATE(666)] = 48350,
  [SMALL_STATE(667)] = 48407,
  [SMALL_STATE(668)] = 48464,
  [SMALL_STATE(669)] = 48521,
  [SMALL_STATE(670)] = 48577,
  [SMALL_STATE(671)] = 48633,
  [SMALL_STATE(672)] = 48689,
  [SMALL_STATE(673)] = 48745,
  [SMALL_STATE(674)] = 48837,
  [SMALL_STATE(675)] = 48893,
  [SMALL_STATE(676)] = 48949,
  [SMALL_STATE(677)] = 49041,
  [SMALL_STATE(678)] = 49097,
  [SMALL_STATE(679)] = 49153,
  [SMALL_STATE(680)] = 49209,
  [SMALL_STATE(681)] = 49265,
  [SMALL_STATE(682)] = 49324,
  [SMALL_STATE(683)] = 49379,
  [SMALL_STATE(684)] = 49438,
  [SMALL_STATE(685)] = 49497,
  [SMALL_STATE(686)] = 49556,
  [SMALL_STATE(687)] = 49611,
  [SMALL_STATE(688)] = 49670,
  [SMALL_STATE(689)] = 49729,
  [SMALL_STATE(690)] = 49784,
  [SMALL_STATE(691)] = 49843,
  [SMALL_STATE(692)] = 49898,
  [SMALL_STATE(693)] = 49957,
  [SMALL_STATE(694)] = 50016,
  [SMALL_STATE(695)] = 50075,
  [SMALL_STATE(696)] = 50134,
  [SMALL_STATE(697)] = 50193,
  [SMALL_STATE(698)] = 50252,
  [SMALL_STATE(699)] = 50311,
  [SMALL_STATE(700)] = 50370,
  [SMALL_STATE(701)] = 50425,
  [SMALL_STATE(702)] = 50484,
  [SMALL_STATE(703)] = 50543,
  [SMALL_STATE(704)] = 50602,
  [SMALL_STATE(705)] = 50657,
  [SMALL_STATE(706)] = 50716,
  [SMALL_STATE(707)] = 50775,
  [SMALL_STATE(708)] = 50829,
  [SMALL_STATE(709)] = 50921,
  [SMALL_STATE(710)] = 50975,
  [SMALL_STATE(711)] = 51029,
  [SMALL_STATE(712)] = 51083,
  [SMALL_STATE(713)] = 51175,
  [SMALL_STATE(714)] = 51228,
  [SMALL_STATE(715)] = 51281,
  [SMALL_STATE(716)] = 51334,
  [SMALL_STATE(717)] = 51387,
  [SMALL_STATE(718)] = 51440,
  [SMALL_STATE(719)] = 51493,
  [SMALL_STATE(720)] = 51546,
  [SMALL_STATE(721)] = 51599,
  [SMALL_STATE(722)] = 51652,
  [SMALL_STATE(723)] = 51705,
  [SMALL_STATE(724)] = 51758,
  [SMALL_STATE(725)] = 51811,
  [SMALL_STATE(726)] = 51864,
  [SMALL_STATE(727)] = 51917,
  [SMALL_STATE(728)] = 51970,
  [SMALL_STATE(729)] = 52023,
  [SMALL_STATE(730)] = 52076,
  [SMALL_STATE(731)] = 52129,
  [SMALL_STATE(732)] = 52182,
  [SMALL_STATE(733)] = 52271,
  [SMALL_STATE(734)] = 52360,
  [SMALL_STATE(735)] = 52413,
  [SMALL_STATE(736)] = 52466,
  [SMALL_STATE(737)] = 52519,
  [SMALL_STATE(738)] = 52572,
  [SMALL_STATE(739)] = 52661,
  [SMALL_STATE(740)] = 52714,
  [SMALL_STATE(741)] = 52767,
  [SMALL_STATE(742)] = 52820,
  [SMALL_STATE(743)] = 52873,
  [SMALL_STATE(744)] = 52926,
  [SMALL_STATE(745)] = 52979,
  [SMALL_STATE(746)] = 53032,
  [SMALL_STATE(747)] = 53085,
  [SMALL_STATE(748)] = 53138,
  [SMALL_STATE(749)] = 53191,
  [SMALL_STATE(750)] = 53244,
  [SMALL_STATE(751)] = 53297,
  [SMALL_STATE(752)] = 53350,
  [SMALL_STATE(753)] = 53439,
  [SMALL_STATE(754)] = 53492,
  [SMALL_STATE(755)] = 53545,
  [SMALL_STATE(756)] = 53598,
  [SMALL_STATE(757)] = 53651,
  [SMALL_STATE(758)] = 53704,
  [SMALL_STATE(759)] = 53757,
  [SMALL_STATE(760)] = 53810,
  [SMALL_STATE(761)] = 53863,
  [SMALL_STATE(762)] = 53916,
  [SMALL_STATE(763)] = 53969,
  [SMALL_STATE(764)] = 54022,
  [SMALL_STATE(765)] = 54075,
  [SMALL_STATE(766)] = 54128,
  [SMALL_STATE(767)] = 54181,
  [SMALL_STATE(768)] = 54234,
  [SMALL_STATE(769)] = 54287,
  [SMALL_STATE(770)] = 54340,
  [SMALL_STATE(771)] = 54429,
  [SMALL_STATE(772)] = 54482,
  [SMALL_STATE(773)] = 54571,
  [SMALL_STATE(774)] = 54624,
  [SMALL_STATE(775)] = 54713,
  [SMALL_STATE(776)] = 54802,
  [SMALL_STATE(777)] = 54855,
  [SMALL_STATE(778)] = 54944,
  [SMALL_STATE(779)] = 54997,
  [SMALL_STATE(780)] = 55086,
  [SMALL_STATE(781)] = 55139,
  [SMALL_STATE(782)] = 55192,
  [SMALL_STATE(783)] = 55245,
  [SMALL_STATE(784)] = 55298,
  [SMALL_STATE(785)] = 55351,
  [SMALL_STATE(786)] = 55404,
  [SMALL_STATE(787)] = 55457,
  [SMALL_STATE(788)] = 55510,
  [SMALL_STATE(789)] = 55563,
  [SMALL_STATE(790)] = 55616,
  [SMALL_STATE(791)] = 55669,
  [SMALL_STATE(792)] = 55722,
  [SMALL_STATE(793)] = 55775,
  [SMALL_STATE(794)] = 55864,
  [SMALL_STATE(795)] = 55917,
  [SMALL_STATE(796)] = 55970,
  [SMALL_STATE(797)] = 56023,
  [SMALL_STATE(798)] = 56076,
  [SMALL_STATE(799)] = 56129,
  [SMALL_STATE(800)] = 56182,
  [SMALL_STATE(801)] = 56235,
  [SMALL_STATE(802)] = 56288,
  [SMALL_STATE(803)] = 56341,
  [SMALL_STATE(804)] = 56394,
  [SMALL_STATE(805)] = 56447,
  [SMALL_STATE(806)] = 56500,
  [SMALL_STATE(807)] = 56553,
  [SMALL_STATE(808)] = 56606,
  [SMALL_STATE(809)] = 56659,
  [SMALL_STATE(810)] = 56712,
  [SMALL_STATE(811)] = 56765,
  [SMALL_STATE(812)] = 56818,
  [SMALL_STATE(813)] = 56871,
  [SMALL_STATE(814)] = 56924,
  [SMALL_STATE(815)] = 56977,
  [SMALL_STATE(816)] = 57030,
  [SMALL_STATE(817)] = 57083,
  [SMALL_STATE(818)] = 57136,
  [SMALL_STATE(819)] = 57189,
  [SMALL_STATE(820)] = 57242,
  [SMALL_STATE(821)] = 57295,
  [SMALL_STATE(822)] = 57348,
  [SMALL_STATE(823)] = 57401,
  [SMALL_STATE(824)] = 57454,
  [SMALL_STATE(825)] = 57507,
  [SMALL_STATE(826)] = 57560,
  [SMALL_STATE(827)] = 57649,
  [SMALL_STATE(828)] = 57738,
  [SMALL_STATE(829)] = 57791,
  [SMALL_STATE(830)] = 57844,
  [SMALL_STATE(831)] = 57897,
  [SMALL_STATE(832)] = 57950,
  [SMALL_STATE(833)] = 58003,
  [SMALL_STATE(834)] = 58056,
  [SMALL_STATE(835)] = 58145,
  [SMALL_STATE(836)] = 58234,
  [SMALL_STATE(837)] = 58323,
  [SMALL_STATE(838)] = 58409,
  [SMALL_STATE(839)] = 58495,
  [SMALL_STATE(840)] = 58581,
  [SMALL_STATE(841)] = 58667,
  [SMALL_STATE(842)] = 58753,
  [SMALL_STATE(843)] = 58839,
  [SMALL_STATE(844)] = 58922,
  [SMALL_STATE(845)] = 59005,
  [SMALL_STATE(846)] = 59091,
  [SMALL_STATE(847)] = 59169,
  [SMALL_STATE(848)] = 59247,
  [SMALL_STATE(849)] = 59325,
  [SMALL_STATE(850)] = 59403,
  [SMALL_STATE(851)] = 59481,
  [SMALL_STATE(852)] = 59559,
  [SMALL_STATE(853)] = 59637,
  [SMALL_STATE(854)] = 59715,
  [SMALL_STATE(855)] = 59790,
  [SMALL_STATE(856)] = 59865,
  [SMALL_STATE(857)] = 59940,
  [SMALL_STATE(858)] = 60025,
  [SMALL_STATE(859)] = 60100,
  [SMALL_STATE(860)] = 60175,
  [SMALL_STATE(861)] = 60254,
  [SMALL_STATE(862)] = 60329,
  [SMALL_STATE(863)] = 60404,
  [SMALL_STATE(864)] = 60479,
  [SMALL_STATE(865)] = 60554,
  [SMALL_STATE(866)] = 60629,
  [SMALL_STATE(867)] = 60704,
  [SMALL_STATE(868)] = 60779,
  [SMALL_STATE(869)] = 60858,
  [SMALL_STATE(870)] = 60933,
  [SMALL_STATE(871)] = 61008,
  [SMALL_STATE(872)] = 61083,
  [SMALL_STATE(873)] = 61158,
  [SMALL_STATE(874)] = 61233,
  [SMALL_STATE(875)] = 61312,
  [SMALL_STATE(876)] = 61391,
  [SMALL_STATE(877)] = 61466,
  [SMALL_STATE(878)] = 61545,
  [SMALL_STATE(879)] = 61620,
  [SMALL_STATE(880)] = 61695,
  [SMALL_STATE(881)] = 61770,
  [SMALL_STATE(882)] = 61845,
  [SMALL_STATE(883)] = 61920,
  [SMALL_STATE(884)] = 61995,
  [SMALL_STATE(885)] = 62070,
  [SMALL_STATE(886)] = 62149,
  [SMALL_STATE(887)] = 62224,
  [SMALL_STATE(888)] = 62303,
  [SMALL_STATE(889)] = 62378,
  [SMALL_STATE(890)] = 62457,
  [SMALL_STATE(891)] = 62532,
  [SMALL_STATE(892)] = 62607,
  [SMALL_STATE(893)] = 62682,
  [SMALL_STATE(894)] = 62767,
  [SMALL_STATE(895)] = 62842,
  [SMALL_STATE(896)] = 62921,
  [SMALL_STATE(897)] = 62996,
  [SMALL_STATE(898)] = 63071,
  [SMALL_STATE(899)] = 63146,
  [SMALL_STATE(900)] = 63221,
  [SMALL_STATE(901)] = 63296,
  [SMALL_STATE(902)] = 63381,
  [SMALL_STATE(903)] = 63456,
  [SMALL_STATE(904)] = 63535,
  [SMALL_STATE(905)] = 63614,
  [SMALL_STATE(906)] = 63689,
  [SMALL_STATE(907)] = 63764,
  [SMALL_STATE(908)] = 63839,
  [SMALL_STATE(909)] = 63918,
  [SMALL_STATE(910)] = 63997,
  [SMALL_STATE(911)] = 64072,
  [SMALL_STATE(912)] = 64147,
  [SMALL_STATE(913)] = 64222,
  [SMALL_STATE(914)] = 64297,
  [SMALL_STATE(915)] = 64372,
  [SMALL_STATE(916)] = 64447,
  [SMALL_STATE(917)] = 64526,
  [SMALL_STATE(918)] = 64601,
  [SMALL_STATE(919)] = 64676,
  [SMALL_STATE(920)] = 64751,
  [SMALL_STATE(921)] = 64826,
  [SMALL_STATE(922)] = 64901,
  [SMALL_STATE(923)] = 64976,
  [SMALL_STATE(924)] = 65055,
  [SMALL_STATE(925)] = 65134,
  [SMALL_STATE(926)] = 65209,
  [SMALL_STATE(927)] = 65284,
  [SMALL_STATE(928)] = 65359,
  [SMALL_STATE(929)] = 65434,
  [SMALL_STATE(930)] = 65509,
  [SMALL_STATE(931)] = 65584,
  [SMALL_STATE(932)] = 65659,
  [SMALL_STATE(933)] = 65734,
  [SMALL_STATE(934)] = 65809,
  [SMALL_STATE(935)] = 65884,
  [SMALL_STATE(936)] = 65959,
  [SMALL_STATE(937)] = 66034,
  [SMALL_STATE(938)] = 66109,
  [SMALL_STATE(939)] = 66184,
  [SMALL_STATE(940)] = 66263,
  [SMALL_STATE(941)] = 66338,
  [SMALL_STATE(942)] = 66417,
  [SMALL_STATE(943)] = 66496,
  [SMALL_STATE(944)] = 66575,
  [SMALL_STATE(945)] = 66650,
  [SMALL_STATE(946)] = 66725,
  [SMALL_STATE(947)] = 66800,
  [SMALL_STATE(948)] = 66875,
  [SMALL_STATE(949)] = 66950,
  [SMALL_STATE(950)] = 67032,
  [SMALL_STATE(951)] = 67116,
  [SMALL_STATE(952)] = 67168,
  [SMALL_STATE(953)] = 67252,
  [SMALL_STATE(954)] = 67336,
  [SMALL_STATE(955)] = 67388,
  [SMALL_STATE(956)] = 67440,
  [SMALL_STATE(957)] = 67497,
  [SMALL_STATE(958)] = 67554,
  [SMALL_STATE(959)] = 67605,
  [SMALL_STATE(960)] = 67662,
  [SMALL_STATE(961)] = 67713,
  [SMALL_STATE(962)] = 67764,
  [SMALL_STATE(963)] = 67825,
  [SMALL_STATE(964)] = 67906,
  [SMALL_STATE(965)] = 67957,
  [SMALL_STATE(966)] = 68020,
  [SMALL_STATE(967)] = 68089,
  [SMALL_STATE(968)] = 68156,
  [SMALL_STATE(969)] = 68207,
  [SMALL_STATE(970)] = 68258,
  [SMALL_STATE(971)] = 68309,
  [SMALL_STATE(972)] = 68360,
  [SMALL_STATE(973)] = 68425,
  [SMALL_STATE(974)] = 68496,
  [SMALL_STATE(975)] = 68553,
  [SMALL_STATE(976)] = 68604,
  [SMALL_STATE(977)] = 68650,
  [SMALL_STATE(978)] = 68706,
  [SMALL_STATE(979)] = 68756,
  [SMALL_STATE(980)] = 68816,
  [SMALL_STATE(981)] = 68864,
  [SMALL_STATE(982)] = 68914,
  [SMALL_STATE(983)] = 68978,
  [SMALL_STATE(984)] = 69042,
  [SMALL_STATE(985)] = 69092,
  [SMALL_STATE(986)] = 69142,
  [SMALL_STATE(987)] = 69188,
  [SMALL_STATE(988)] = 69234,
  [SMALL_STATE(989)] = 69280,
  [SMALL_STATE(990)] = 69360,
  [SMALL_STATE(991)] = 69420,
  [SMALL_STATE(992)] = 69476,
  [SMALL_STATE(993)] = 69526,
  [SMALL_STATE(994)] = 69596,
  [SMALL_STATE(995)] = 69676,
  [SMALL_STATE(996)] = 69726,
  [SMALL_STATE(997)] = 69772,
  [SMALL_STATE(998)] = 69828,
  [SMALL_STATE(999)] = 69878,
  [SMALL_STATE(1000)] = 69934,
  [SMALL_STATE(1001)] = 69980,
  [SMALL_STATE(1002)] = 70042,
  [SMALL_STATE(1003)] = 70094,
  [SMALL_STATE(1004)] = 70162,
  [SMALL_STATE(1005)] = 70224,
  [SMALL_STATE(1006)] = 70280,
  [SMALL_STATE(1007)] = 70330,
  [SMALL_STATE(1008)] = 70410,
  [SMALL_STATE(1009)] = 70466,
  [SMALL_STATE(1010)] = 70536,
  [SMALL_STATE(1011)] = 70602,
  [SMALL_STATE(1012)] = 70666,
  [SMALL_STATE(1013)] = 70714,
  [SMALL_STATE(1014)] = 70764,
  [SMALL_STATE(1015)] = 70820,
  [SMALL_STATE(1016)] = 70876,
  [SMALL_STATE(1017)] = 70932,
  [SMALL_STATE(1018)] = 70978,
  [SMALL_STATE(1019)] = 71026,
  [SMALL_STATE(1020)] = 71072,
  [SMALL_STATE(1021)] = 71128,
  [SMALL_STATE(1022)] = 71184,
  [SMALL_STATE(1023)] = 71240,
  [SMALL_STATE(1024)] = 71300,
  [SMALL_STATE(1025)] = 71368,
  [SMALL_STATE(1026)] = 71434,
  [SMALL_STATE(1027)] = 71502,
  [SMALL_STATE(1028)] = 71564,
  [SMALL_STATE(1029)] = 71630,
  [SMALL_STATE(1030)] = 71676,
  [SMALL_STATE(1031)] = 71746,
  [SMALL_STATE(1032)] = 71798,
  [SMALL_STATE(1033)] = 71847,
  [SMALL_STATE(1034)] = 71892,
  [SMALL_STATE(1035)] = 71937,
  [SMALL_STATE(1036)] = 71982,
  [SMALL_STATE(1037)] = 72027,
  [SMALL_STATE(1038)] = 72072,
  [SMALL_STATE(1039)] = 72121,
  [SMALL_STATE(1040)] = 72170,
  [SMALL_STATE(1041)] = 72215,
  [SMALL_STATE(1042)] = 72260,
  [SMALL_STATE(1043)] = 72311,
  [SMALL_STATE(1044)] = 72362,
  [SMALL_STATE(1045)] = 72407,
  [SMALL_STATE(1046)] = 72460,
  [SMALL_STATE(1047)] = 72505,
  [SMALL_STATE(1048)] = 72550,
  [SMALL_STATE(1049)] = 72595,
  [SMALL_STATE(1050)] = 72646,
  [SMALL_STATE(1051)] = 72697,
  [SMALL_STATE(1052)] = 72752,
  [SMALL_STATE(1053)] = 72797,
  [SMALL_STATE(1054)] = 72844,
  [SMALL_STATE(1055)] = 72891,
  [SMALL_STATE(1056)] = 72938,
  [SMALL_STATE(1057)] = 72993,
  [SMALL_STATE(1058)] = 73038,
  [SMALL_STATE(1059)] = 73087,
  [SMALL_STATE(1060)] = 73136,
  [SMALL_STATE(1061)] = 73181,
  [SMALL_STATE(1062)] = 73226,
  [SMALL_STATE(1063)] = 73271,
  [SMALL_STATE(1064)] = 73316,
  [SMALL_STATE(1065)] = 73367,
  [SMALL_STATE(1066)] = 73418,
  [SMALL_STATE(1067)] = 73463,
  [SMALL_STATE(1068)] = 73508,
  [SMALL_STATE(1069)] = 73553,
  [SMALL_STATE(1070)] = 73598,
  [SMALL_STATE(1071)] = 73653,
  [SMALL_STATE(1072)] = 73708,
  [SMALL_STATE(1073)] = 73753,
  [SMALL_STATE(1074)] = 73808,
  [SMALL_STATE(1075)] = 73869,
  [SMALL_STATE(1076)] = 73938,
  [SMALL_STATE(1077)] = 73993,
  [SMALL_STATE(1078)] = 74052,
  [SMALL_STATE(1079)] = 74119,
  [SMALL_STATE(1080)] = 74184,
  [SMALL_STATE(1081)] = 74247,
  [SMALL_STATE(1082)] = 74296,
  [SMALL_STATE(1083)] = 74343,
  [SMALL_STATE(1084)] = 74390,
  [SMALL_STATE(1085)] = 74437,
  [SMALL_STATE(1086)] = 74492,
  [SMALL_STATE(1087)] = 74541,
  [SMALL_STATE(1088)] = 74602,
  [SMALL_STATE(1089)] = 74651,
  [SMALL_STATE(1090)] = 74720,
  [SMALL_STATE(1091)] = 74775,
  [SMALL_STATE(1092)] = 74834,
  [SMALL_STATE(1093)] = 74901,
  [SMALL_STATE(1094)] = 74966,
  [SMALL_STATE(1095)] = 75029,
  [SMALL_STATE(1096)] = 75074,
  [SMALL_STATE(1097)] = 75119,
  [SMALL_STATE(1098)] = 75164,
  [SMALL_STATE(1099)] = 75209,
  [SMALL_STATE(1100)] = 75254,
  [SMALL_STATE(1101)] = 75299,
  [SMALL_STATE(1102)] = 75344,
  [SMALL_STATE(1103)] = 75389,
  [SMALL_STATE(1104)] = 75434,
  [SMALL_STATE(1105)] = 75479,
  [SMALL_STATE(1106)] = 75524,
  [SMALL_STATE(1107)] = 75569,
  [SMALL_STATE(1108)] = 75614,
  [SMALL_STATE(1109)] = 75663,
  [SMALL_STATE(1110)] = 75712,
  [SMALL_STATE(1111)] = 75761,
  [SMALL_STATE(1112)] = 75810,
  [SMALL_STATE(1113)] = 75857,
  [SMALL_STATE(1114)] = 75904,
  [SMALL_STATE(1115)] = 75951,
  [SMALL_STATE(1116)] = 76006,
  [SMALL_STATE(1117)] = 76061,
  [SMALL_STATE(1118)] = 76106,
  [SMALL_STATE(1119)] = 76157,
  [SMALL_STATE(1120)] = 76208,
  [SMALL_STATE(1121)] = 76259,
  [SMALL_STATE(1122)] = 76304,
  [SMALL_STATE(1123)] = 76349,
  [SMALL_STATE(1124)] = 76404,
  [SMALL_STATE(1125)] = 76465,
  [SMALL_STATE(1126)] = 76534,
  [SMALL_STATE(1127)] = 76589,
  [SMALL_STATE(1128)] = 76648,
  [SMALL_STATE(1129)] = 76715,
  [SMALL_STATE(1130)] = 76780,
  [SMALL_STATE(1131)] = 76843,
  [SMALL_STATE(1132)] = 76888,
  [SMALL_STATE(1133)] = 76954,
  [SMALL_STATE(1134)] = 76998,
  [SMALL_STATE(1135)] = 77042,
  [SMALL_STATE(1136)] = 77086,
  [SMALL_STATE(1137)] = 77130,
  [SMALL_STATE(1138)] = 77174,
  [SMALL_STATE(1139)] = 77218,
  [SMALL_STATE(1140)] = 77266,
  [SMALL_STATE(1141)] = 77310,
  [SMALL_STATE(1142)] = 77360,
  [SMALL_STATE(1143)] = 77404,
  [SMALL_STATE(1144)] = 77454,
  [SMALL_STATE(1145)] = 77498,
  [SMALL_STATE(1146)] = 77542,
  [SMALL_STATE(1147)] = 77586,
  [SMALL_STATE(1148)] = 77630,
  [SMALL_STATE(1149)] = 77674,
  [SMALL_STATE(1150)] = 77718,
  [SMALL_STATE(1151)] = 77762,
  [SMALL_STATE(1152)] = 77806,
  [SMALL_STATE(1153)] = 77850,
  [SMALL_STATE(1154)] = 77894,
  [SMALL_STATE(1155)] = 77938,
  [SMALL_STATE(1156)] = 77982,
  [SMALL_STATE(1157)] = 78026,
  [SMALL_STATE(1158)] = 78070,
  [SMALL_STATE(1159)] = 78118,
  [SMALL_STATE(1160)] = 78166,
  [SMALL_STATE(1161)] = 78210,
  [SMALL_STATE(1162)] = 78254,
  [SMALL_STATE(1163)] = 78298,
  [SMALL_STATE(1164)] = 78342,
  [SMALL_STATE(1165)] = 78386,
  [SMALL_STATE(1166)] = 78430,
  [SMALL_STATE(1167)] = 78474,
  [SMALL_STATE(1168)] = 78518,
  [SMALL_STATE(1169)] = 78562,
  [SMALL_STATE(1170)] = 78606,
  [SMALL_STATE(1171)] = 78650,
  [SMALL_STATE(1172)] = 78694,
  [SMALL_STATE(1173)] = 78738,
  [SMALL_STATE(1174)] = 78782,
  [SMALL_STATE(1175)] = 78826,
  [SMALL_STATE(1176)] = 78870,
  [SMALL_STATE(1177)] = 78914,
  [SMALL_STATE(1178)] = 78958,
  [SMALL_STATE(1179)] = 79002,
  [SMALL_STATE(1180)] = 79046,
  [SMALL_STATE(1181)] = 79090,
  [SMALL_STATE(1182)] = 79136,
  [SMALL_STATE(1183)] = 79182,
  [SMALL_STATE(1184)] = 79228,
  [SMALL_STATE(1185)] = 79274,
  [SMALL_STATE(1186)] = 79320,
  [SMALL_STATE(1187)] = 79368,
  [SMALL_STATE(1188)] = 79416,
  [SMALL_STATE(1189)] = 79460,
  [SMALL_STATE(1190)] = 79504,
  [SMALL_STATE(1191)] = 79548,
  [SMALL_STATE(1192)] = 79592,
  [SMALL_STATE(1193)] = 79636,
  [SMALL_STATE(1194)] = 79680,
  [SMALL_STATE(1195)] = 79726,
  [SMALL_STATE(1196)] = 79770,
  [SMALL_STATE(1197)] = 79818,
  [SMALL_STATE(1198)] = 79862,
  [SMALL_STATE(1199)] = 79908,
  [SMALL_STATE(1200)] = 79954,
  [SMALL_STATE(1201)] = 80000,
  [SMALL_STATE(1202)] = 80054,
  [SMALL_STATE(1203)] = 80108,
  [SMALL_STATE(1204)] = 80152,
  [SMALL_STATE(1205)] = 80200,
  [SMALL_STATE(1206)] = 80246,
  [SMALL_STATE(1207)] = 80290,
  [SMALL_STATE(1208)] = 80334,
  [SMALL_STATE(1209)] = 80378,
  [SMALL_STATE(1210)] = 80422,
  [SMALL_STATE(1211)] = 80476,
  [SMALL_STATE(1212)] = 80536,
  [SMALL_STATE(1213)] = 80604,
  [SMALL_STATE(1214)] = 80658,
  [SMALL_STATE(1215)] = 80716,
  [SMALL_STATE(1216)] = 80760,
  [SMALL_STATE(1217)] = 80804,
  [SMALL_STATE(1218)] = 80866,
  [SMALL_STATE(1219)] = 80910,
  [SMALL_STATE(1220)] = 80954,
  [SMALL_STATE(1221)] = 81002,
  [SMALL_STATE(1222)] = 81050,
  [SMALL_STATE(1223)] = 81094,
  [SMALL_STATE(1224)] = 81142,
  [SMALL_STATE(1225)] = 81190,
  [SMALL_STATE(1226)] = 81238,
  [SMALL_STATE(1227)] = 81286,
  [SMALL_STATE(1228)] = 81332,
  [SMALL_STATE(1229)] = 81378,
  [SMALL_STATE(1230)] = 81426,
  [SMALL_STATE(1231)] = 81474,
  [SMALL_STATE(1232)] = 81518,
  [SMALL_STATE(1233)] = 81564,
  [SMALL_STATE(1234)] = 81608,
  [SMALL_STATE(1235)] = 81656,
  [SMALL_STATE(1236)] = 81704,
  [SMALL_STATE(1237)] = 81752,
  [SMALL_STATE(1238)] = 81796,
  [SMALL_STATE(1239)] = 81840,
  [SMALL_STATE(1240)] = 81884,
  [SMALL_STATE(1241)] = 81930,
  [SMALL_STATE(1242)] = 81974,
  [SMALL_STATE(1243)] = 82018,
  [SMALL_STATE(1244)] = 82062,
  [SMALL_STATE(1245)] = 82106,
  [SMALL_STATE(1246)] = 82150,
  [SMALL_STATE(1247)] = 82194,
  [SMALL_STATE(1248)] = 82238,
  [SMALL_STATE(1249)] = 82282,
  [SMALL_STATE(1250)] = 82326,
  [SMALL_STATE(1251)] = 82370,
  [SMALL_STATE(1252)] = 82414,
  [SMALL_STATE(1253)] = 82458,
  [SMALL_STATE(1254)] = 82506,
  [SMALL_STATE(1255)] = 82550,
  [SMALL_STATE(1256)] = 82594,
  [SMALL_STATE(1257)] = 82638,
  [SMALL_STATE(1258)] = 82682,
  [SMALL_STATE(1259)] = 82726,
  [SMALL_STATE(1260)] = 82770,
  [SMALL_STATE(1261)] = 82814,
  [SMALL_STATE(1262)] = 82858,
  [SMALL_STATE(1263)] = 82902,
  [SMALL_STATE(1264)] = 82952,
  [SMALL_STATE(1265)] = 83002,
  [SMALL_STATE(1266)] = 83046,
  [SMALL_STATE(1267)] = 83090,
  [SMALL_STATE(1268)] = 83134,
  [SMALL_STATE(1269)] = 83178,
  [SMALL_STATE(1270)] = 83222,
  [SMALL_STATE(1271)] = 83266,
  [SMALL_STATE(1272)] = 83310,
  [SMALL_STATE(1273)] = 83354,
  [SMALL_STATE(1274)] = 83398,
  [SMALL_STATE(1275)] = 83442,
  [SMALL_STATE(1276)] = 83486,
  [SMALL_STATE(1277)] = 83530,
  [SMALL_STATE(1278)] = 83574,
  [SMALL_STATE(1279)] = 83618,
  [SMALL_STATE(1280)] = 83662,
  [SMALL_STATE(1281)] = 83706,
  [SMALL_STATE(1282)] = 83750,
  [SMALL_STATE(1283)] = 83796,
  [SMALL_STATE(1284)] = 83840,
  [SMALL_STATE(1285)] = 83904,
  [SMALL_STATE(1286)] = 83947,
  [SMALL_STATE(1287)] = 83990,
  [SMALL_STATE(1288)] = 84033,
  [SMALL_STATE(1289)] = 84076,
  [SMALL_STATE(1290)] = 84119,
  [SMALL_STATE(1291)] = 84162,
  [SMALL_STATE(1292)] = 84205,
  [SMALL_STATE(1293)] = 84248,
  [SMALL_STATE(1294)] = 84291,
  [SMALL_STATE(1295)] = 84334,
  [SMALL_STATE(1296)] = 84377,
  [SMALL_STATE(1297)] = 84420,
  [SMALL_STATE(1298)] = 84463,
  [SMALL_STATE(1299)] = 84506,
  [SMALL_STATE(1300)] = 84549,
  [SMALL_STATE(1301)] = 84592,
  [SMALL_STATE(1302)] = 84635,
  [SMALL_STATE(1303)] = 84678,
  [SMALL_STATE(1304)] = 84721,
  [SMALL_STATE(1305)] = 84764,
  [SMALL_STATE(1306)] = 84807,
  [SMALL_STATE(1307)] = 84850,
  [SMALL_STATE(1308)] = 84893,
  [SMALL_STATE(1309)] = 84936,
  [SMALL_STATE(1310)] = 84979,
  [SMALL_STATE(1311)] = 85022,
  [SMALL_STATE(1312)] = 85065,
  [SMALL_STATE(1313)] = 85108,
  [SMALL_STATE(1314)] = 85151,
  [SMALL_STATE(1315)] = 85194,
  [SMALL_STATE(1316)] = 85237,
  [SMALL_STATE(1317)] = 85280,
  [SMALL_STATE(1318)] = 85323,
  [SMALL_STATE(1319)] = 85366,
  [SMALL_STATE(1320)] = 85409,
  [SMALL_STATE(1321)] = 85452,
  [SMALL_STATE(1322)] = 85495,
  [SMALL_STATE(1323)] = 85542,
  [SMALL_STATE(1324)] = 85589,
  [SMALL_STATE(1325)] = 85636,
  [SMALL_STATE(1326)] = 85683,
  [SMALL_STATE(1327)] = 85730,
  [SMALL_STATE(1328)] = 85781,
  [SMALL_STATE(1329)] = 85824,
  [SMALL_STATE(1330)] = 85869,
  [SMALL_STATE(1331)] = 85914,
  [SMALL_STATE(1332)] = 85957,
  [SMALL_STATE(1333)] = 86000,
  [SMALL_STATE(1334)] = 86043,
  [SMALL_STATE(1335)] = 86086,
  [SMALL_STATE(1336)] = 86129,
  [SMALL_STATE(1337)] = 86172,
  [SMALL_STATE(1338)] = 86215,
  [SMALL_STATE(1339)] = 86258,
  [SMALL_STATE(1340)] = 86301,
  [SMALL_STATE(1341)] = 86346,
  [SMALL_STATE(1342)] = 86391,
  [SMALL_STATE(1343)] = 86438,
  [SMALL_STATE(1344)] = 86483,
  [SMALL_STATE(1345)] = 86526,
  [SMALL_STATE(1346)] = 86571,
  [SMALL_STATE(1347)] = 86616,
  [SMALL_STATE(1348)] = 86661,
  [SMALL_STATE(1349)] = 86706,
  [SMALL_STATE(1350)] = 86753,
  [SMALL_STATE(1351)] = 86798,
  [SMALL_STATE(1352)] = 86841,
  [SMALL_STATE(1353)] = 86886,
  [SMALL_STATE(1354)] = 86933,
  [SMALL_STATE(1355)] = 86976,
  [SMALL_STATE(1356)] = 87019,
  [SMALL_STATE(1357)] = 87062,
  [SMALL_STATE(1358)] = 87105,
  [SMALL_STATE(1359)] = 87148,
  [SMALL_STATE(1360)] = 87191,
  [SMALL_STATE(1361)] = 87234,
  [SMALL_STATE(1362)] = 87281,
  [SMALL_STATE(1363)] = 87326,
  [SMALL_STATE(1364)] = 87369,
  [SMALL_STATE(1365)] = 87412,
  [SMALL_STATE(1366)] = 87455,
  [SMALL_STATE(1367)] = 87500,
  [SMALL_STATE(1368)] = 87543,
  [SMALL_STATE(1369)] = 87588,
  [SMALL_STATE(1370)] = 87631,
  [SMALL_STATE(1371)] = 87674,
  [SMALL_STATE(1372)] = 87717,
  [SMALL_STATE(1373)] = 87760,
  [SMALL_STATE(1374)] = 87803,
  [SMALL_STATE(1375)] = 87846,
  [SMALL_STATE(1376)] = 87889,
  [SMALL_STATE(1377)] = 87932,
  [SMALL_STATE(1378)] = 87975,
  [SMALL_STATE(1379)] = 88022,
  [SMALL_STATE(1380)] = 88065,
  [SMALL_STATE(1381)] = 88108,
  [SMALL_STATE(1382)] = 88151,
  [SMALL_STATE(1383)] = 88194,
  [SMALL_STATE(1384)] = 88237,
  [SMALL_STATE(1385)] = 88280,
  [SMALL_STATE(1386)] = 88323,
  [SMALL_STATE(1387)] = 88366,
  [SMALL_STATE(1388)] = 88413,
  [SMALL_STATE(1389)] = 88460,
  [SMALL_STATE(1390)] = 88503,
  [SMALL_STATE(1391)] = 88546,
  [SMALL_STATE(1392)] = 88591,
  [SMALL_STATE(1393)] = 88634,
  [SMALL_STATE(1394)] = 88677,
  [SMALL_STATE(1395)] = 88720,
  [SMALL_STATE(1396)] = 88765,
  [SMALL_STATE(1397)] = 88808,
  [SMALL_STATE(1398)] = 88853,
  [SMALL_STATE(1399)] = 88896,
  [SMALL_STATE(1400)] = 88939,
  [SMALL_STATE(1401)] = 88984,
  [SMALL_STATE(1402)] = 89027,
  [SMALL_STATE(1403)] = 89070,
  [SMALL_STATE(1404)] = 89113,
  [SMALL_STATE(1405)] = 89156,
  [SMALL_STATE(1406)] = 89199,
  [SMALL_STATE(1407)] = 89242,
  [SMALL_STATE(1408)] = 89285,
  [SMALL_STATE(1409)] = 89328,
  [SMALL_STATE(1410)] = 89379,
  [SMALL_STATE(1411)] = 89422,
  [SMALL_STATE(1412)] = 89464,
  [SMALL_STATE(1413)] = 89506,
  [SMALL_STATE(1414)] = 89550,
  [SMALL_STATE(1415)] = 89592,
  [SMALL_STATE(1416)] = 89638,
  [SMALL_STATE(1417)] = 89680,
  [SMALL_STATE(1418)] = 89722,
  [SMALL_STATE(1419)] = 89764,
  [SMALL_STATE(1420)] = 89806,
  [SMALL_STATE(1421)] = 89848,
  [SMALL_STATE(1422)] = 89892,
  [SMALL_STATE(1423)] = 89934,
  [SMALL_STATE(1424)] = 89978,
  [SMALL_STATE(1425)] = 90020,
  [SMALL_STATE(1426)] = 90064,
  [SMALL_STATE(1427)] = 90106,
  [SMALL_STATE(1428)] = 90150,
  [SMALL_STATE(1429)] = 90192,
  [SMALL_STATE(1430)] = 90234,
  [SMALL_STATE(1431)] = 90280,
  [SMALL_STATE(1432)] = 90322,
  [SMALL_STATE(1433)] = 90364,
  [SMALL_STATE(1434)] = 90406,
  [SMALL_STATE(1435)] = 90448,
  [SMALL_STATE(1436)] = 90490,
  [SMALL_STATE(1437)] = 90532,
  [SMALL_STATE(1438)] = 90574,
  [SMALL_STATE(1439)] = 90616,
  [SMALL_STATE(1440)] = 90658,
  [SMALL_STATE(1441)] = 90700,
  [SMALL_STATE(1442)] = 90742,
  [SMALL_STATE(1443)] = 90786,
  [SMALL_STATE(1444)] = 90830,
  [SMALL_STATE(1445)] = 90872,
  [SMALL_STATE(1446)] = 90920,
  [SMALL_STATE(1447)] = 90970,
  [SMALL_STATE(1448)] = 91012,
  [SMALL_STATE(1449)] = 91054,
  [SMALL_STATE(1450)] = 91100,
  [SMALL_STATE(1451)] = 91142,
  [SMALL_STATE(1452)] = 91186,
  [SMALL_STATE(1453)] = 91230,
  [SMALL_STATE(1454)] = 91272,
  [SMALL_STATE(1455)] = 91314,
  [SMALL_STATE(1456)] = 91356,
  [SMALL_STATE(1457)] = 91398,
  [SMALL_STATE(1458)] = 91440,
  [SMALL_STATE(1459)] = 91481,
  [SMALL_STATE(1460)] = 91522,
  [SMALL_STATE(1461)] = 91563,
  [SMALL_STATE(1462)] = 91604,
  [SMALL_STATE(1463)] = 91647,
  [SMALL_STATE(1464)] = 91690,
  [SMALL_STATE(1465)] = 91733,
  [SMALL_STATE(1466)] = 91776,
  [SMALL_STATE(1467)] = 91819,
  [SMALL_STATE(1468)] = 91862,
  [SMALL_STATE(1469)] = 91903,
  [SMALL_STATE(1470)] = 91944,
  [SMALL_STATE(1471)] = 91985,
  [SMALL_STATE(1472)] = 92028,
  [SMALL_STATE(1473)] = 92069,
  [SMALL_STATE(1474)] = 92110,
  [SMALL_STATE(1475)] = 92151,
  [SMALL_STATE(1476)] = 92194,
  [SMALL_STATE(1477)] = 92237,
  [SMALL_STATE(1478)] = 92311,
  [SMALL_STATE(1479)] = 92385,
  [SMALL_STATE(1480)] = 92453,
  [SMALL_STATE(1481)] = 92521,
  [SMALL_STATE(1482)] = 92589,
  [SMALL_STATE(1483)] = 92657,
  [SMALL_STATE(1484)] = 92725,
  [SMALL_STATE(1485)] = 92793,
  [SMALL_STATE(1486)] = 92861,
  [SMALL_STATE(1487)] = 92929,
  [SMALL_STATE(1488)] = 92997,
  [SMALL_STATE(1489)] = 93065,
  [SMALL_STATE(1490)] = 93133,
  [SMALL_STATE(1491)] = 93201,
  [SMALL_STATE(1492)] = 93269,
  [SMALL_STATE(1493)] = 93337,
  [SMALL_STATE(1494)] = 93405,
  [SMALL_STATE(1495)] = 93473,
  [SMALL_STATE(1496)] = 93541,
  [SMALL_STATE(1497)] = 93609,
  [SMALL_STATE(1498)] = 93677,
  [SMALL_STATE(1499)] = 93745,
  [SMALL_STATE(1500)] = 93813,
  [SMALL_STATE(1501)] = 93881,
  [SMALL_STATE(1502)] = 93949,
  [SMALL_STATE(1503)] = 94017,
  [SMALL_STATE(1504)] = 94085,
  [SMALL_STATE(1505)] = 94153,
  [SMALL_STATE(1506)] = 94221,
  [SMALL_STATE(1507)] = 94289,
  [SMALL_STATE(1508)] = 94357,
  [SMALL_STATE(1509)] = 94425,
  [SMALL_STATE(1510)] = 94493,
  [SMALL_STATE(1511)] = 94561,
  [SMALL_STATE(1512)] = 94629,
  [SMALL_STATE(1513)] = 94697,
  [SMALL_STATE(1514)] = 94765,
  [SMALL_STATE(1515)] = 94833,
  [SMALL_STATE(1516)] = 94898,
  [SMALL_STATE(1517)] = 94963,
  [SMALL_STATE(1518)] = 95028,
  [SMALL_STATE(1519)] = 95093,
  [SMALL_STATE(1520)] = 95158,
  [SMALL_STATE(1521)] = 95224,
  [SMALL_STATE(1522)] = 95290,
  [SMALL_STATE(1523)] = 95356,
  [SMALL_STATE(1524)] = 95422,
  [SMALL_STATE(1525)] = 95488,
  [SMALL_STATE(1526)] = 95554,
  [SMALL_STATE(1527)] = 95620,
  [SMALL_STATE(1528)] = 95686,
  [SMALL_STATE(1529)] = 95752,
  [SMALL_STATE(1530)] = 95818,
  [SMALL_STATE(1531)] = 95884,
  [SMALL_STATE(1532)] = 95950,
  [SMALL_STATE(1533)] = 96016,
  [SMALL_STATE(1534)] = 96082,
  [SMALL_STATE(1535)] = 96148,
  [SMALL_STATE(1536)] = 96214,
  [SMALL_STATE(1537)] = 96280,
  [SMALL_STATE(1538)] = 96346,
  [SMALL_STATE(1539)] = 96412,
  [SMALL_STATE(1540)] = 96478,
  [SMALL_STATE(1541)] = 96541,
  [SMALL_STATE(1542)] = 96599,
  [SMALL_STATE(1543)] = 96657,
  [SMALL_STATE(1544)] = 96715,
  [SMALL_STATE(1545)] = 96773,
  [SMALL_STATE(1546)] = 96819,
  [SMALL_STATE(1547)] = 96877,
  [SMALL_STATE(1548)] = 96935,
  [SMALL_STATE(1549)] = 96993,
  [SMALL_STATE(1550)] = 97051,
  [SMALL_STATE(1551)] = 97097,
  [SMALL_STATE(1552)] = 97142,
  [SMALL_STATE(1553)] = 97187,
  [SMALL_STATE(1554)] = 97231,
  [SMALL_STATE(1555)] = 97275,
  [SMALL_STATE(1556)] = 97319,
  [SMALL_STATE(1557)] = 97363,
  [SMALL_STATE(1558)] = 97406,
  [SMALL_STATE(1559)] = 97449,
  [SMALL_STATE(1560)] = 97490,
  [SMALL_STATE(1561)] = 97533,
  [SMALL_STATE(1562)] = 97576,
  [SMALL_STATE(1563)] = 97617,
  [SMALL_STATE(1564)] = 97649,
  [SMALL_STATE(1565)] = 97691,
  [SMALL_STATE(1566)] = 97723,
  [SMALL_STATE(1567)] = 97753,
  [SMALL_STATE(1568)] = 97785,
  [SMALL_STATE(1569)] = 97827,
  [SMALL_STATE(1570)] = 97859,
  [SMALL_STATE(1571)] = 97889,
  [SMALL_STATE(1572)] = 97921,
  [SMALL_STATE(1573)] = 97953,
  [SMALL_STATE(1574)] = 97983,
  [SMALL_STATE(1575)] = 98013,
  [SMALL_STATE(1576)] = 98043,
  [SMALL_STATE(1577)] = 98073,
  [SMALL_STATE(1578)] = 98103,
  [SMALL_STATE(1579)] = 98133,
  [SMALL_STATE(1580)] = 98163,
  [SMALL_STATE(1581)] = 98193,
  [SMALL_STATE(1582)] = 98240,
  [SMALL_STATE(1583)] = 98269,
  [SMALL_STATE(1584)] = 98298,
  [SMALL_STATE(1585)] = 98323,
  [SMALL_STATE(1586)] = 98352,
  [SMALL_STATE(1587)] = 98381,
  [SMALL_STATE(1588)] = 98410,
  [SMALL_STATE(1589)] = 98457,
  [SMALL_STATE(1590)] = 98486,
  [SMALL_STATE(1591)] = 98533,
  [SMALL_STATE(1592)] = 98562,
  [SMALL_STATE(1593)] = 98591,
  [SMALL_STATE(1594)] = 98616,
  [SMALL_STATE(1595)] = 98645,
  [SMALL_STATE(1596)] = 98674,
  [SMALL_STATE(1597)] = 98703,
  [SMALL_STATE(1598)] = 98728,
  [SMALL_STATE(1599)] = 98775,
  [SMALL_STATE(1600)] = 98804,
  [SMALL_STATE(1601)] = 98851,
  [SMALL_STATE(1602)] = 98880,
  [SMALL_STATE(1603)] = 98905,
  [SMALL_STATE(1604)] = 98952,
  [SMALL_STATE(1605)] = 98981,
  [SMALL_STATE(1606)] = 99010,
  [SMALL_STATE(1607)] = 99057,
  [SMALL_STATE(1608)] = 99104,
  [SMALL_STATE(1609)] = 99151,
  [SMALL_STATE(1610)] = 99180,
  [SMALL_STATE(1611)] = 99209,
  [SMALL_STATE(1612)] = 99238,
  [SMALL_STATE(1613)] = 99267,
  [SMALL_STATE(1614)] = 99296,
  [SMALL_STATE(1615)] = 99325,
  [SMALL_STATE(1616)] = 99354,
  [SMALL_STATE(1617)] = 99383,
  [SMALL_STATE(1618)] = 99412,
  [SMALL_STATE(1619)] = 99459,
  [SMALL_STATE(1620)] = 99505,
  [SMALL_STATE(1621)] = 99533,
  [SMALL_STATE(1622)] = 99579,
  [SMALL_STATE(1623)] = 99625,
  [SMALL_STATE(1624)] = 99657,
  [SMALL_STATE(1625)] = 99689,
  [SMALL_STATE(1626)] = 99713,
  [SMALL_STATE(1627)] = 99737,
  [SMALL_STATE(1628)] = 99783,
  [SMALL_STATE(1629)] = 99829,
  [SMALL_STATE(1630)] = 99875,
  [SMALL_STATE(1631)] = 99899,
  [SMALL_STATE(1632)] = 99945,
  [SMALL_STATE(1633)] = 99991,
  [SMALL_STATE(1634)] = 100037,
  [SMALL_STATE(1635)] = 100067,
  [SMALL_STATE(1636)] = 100113,
  [SMALL_STATE(1637)] = 100137,
  [SMALL_STATE(1638)] = 100183,
  [SMALL_STATE(1639)] = 100211,
  [SMALL_STATE(1640)] = 100254,
  [SMALL_STATE(1641)] = 100294,
  [SMALL_STATE(1642)] = 100334,
  [SMALL_STATE(1643)] = 100374,
  [SMALL_STATE(1644)] = 100414,
  [SMALL_STATE(1645)] = 100440,
  [SMALL_STATE(1646)] = 100479,
  [SMALL_STATE(1647)] = 100516,
  [SMALL_STATE(1648)] = 100553,
  [SMALL_STATE(1649)] = 100580,
  [SMALL_STATE(1650)] = 100599,
  [SMALL_STATE(1651)] = 100640,
  [SMALL_STATE(1652)] = 100665,
  [SMALL_STATE(1653)] = 100688,
  [SMALL_STATE(1654)] = 100715,
  [SMALL_STATE(1655)] = 100736,
  [SMALL_STATE(1656)] = 100777,
  [SMALL_STATE(1657)] = 100818,
  [SMALL_STATE(1658)] = 100859,
  [SMALL_STATE(1659)] = 100886,
  [SMALL_STATE(1660)] = 100927,
  [SMALL_STATE(1661)] = 100968,
  [SMALL_STATE(1662)] = 101009,
  [SMALL_STATE(1663)] = 101050,
  [SMALL_STATE(1664)] = 101069,
  [SMALL_STATE(1665)] = 101088,
  [SMALL_STATE(1666)] = 101126,
  [SMALL_STATE(1667)] = 101156,
  [SMALL_STATE(1668)] = 101186,
  [SMALL_STATE(1669)] = 101224,
  [SMALL_STATE(1670)] = 101254,
  [SMALL_STATE(1671)] = 101280,
  [SMALL_STATE(1672)] = 101300,
  [SMALL_STATE(1673)] = 101330,
  [SMALL_STATE(1674)] = 101356,
  [SMALL_STATE(1675)] = 101376,
  [SMALL_STATE(1676)] = 101406,
  [SMALL_STATE(1677)] = 101444,
  [SMALL_STATE(1678)] = 101482,
  [SMALL_STATE(1679)] = 101520,
  [SMALL_STATE(1680)] = 101550,
  [SMALL_STATE(1681)] = 101572,
  [SMALL_STATE(1682)] = 101602,
  [SMALL_STATE(1683)] = 101632,
  [SMALL_STATE(1684)] = 101670,
  [SMALL_STATE(1685)] = 101708,
  [SMALL_STATE(1686)] = 101740,
  [SMALL_STATE(1687)] = 101770,
  [SMALL_STATE(1688)] = 101808,
  [SMALL_STATE(1689)] = 101846,
  [SMALL_STATE(1690)] = 101876,
  [SMALL_STATE(1691)] = 101914,
  [SMALL_STATE(1692)] = 101944,
  [SMALL_STATE(1693)] = 101974,
  [SMALL_STATE(1694)] = 102012,
  [SMALL_STATE(1695)] = 102038,
  [SMALL_STATE(1696)] = 102076,
  [SMALL_STATE(1697)] = 102106,
  [SMALL_STATE(1698)] = 102136,
  [SMALL_STATE(1699)] = 102166,
  [SMALL_STATE(1700)] = 102204,
  [SMALL_STATE(1701)] = 102242,
  [SMALL_STATE(1702)] = 102280,
  [SMALL_STATE(1703)] = 102310,
  [SMALL_STATE(1704)] = 102340,
  [SMALL_STATE(1705)] = 102364,
  [SMALL_STATE(1706)] = 102402,
  [SMALL_STATE(1707)] = 102432,
  [SMALL_STATE(1708)] = 102470,
  [SMALL_STATE(1709)] = 102500,
  [SMALL_STATE(1710)] = 102538,
  [SMALL_STATE(1711)] = 102558,
  [SMALL_STATE(1712)] = 102582,
  [SMALL_STATE(1713)] = 102620,
  [SMALL_STATE(1714)] = 102658,
  [SMALL_STATE(1715)] = 102696,
  [SMALL_STATE(1716)] = 102734,
  [SMALL_STATE(1717)] = 102772,
  [SMALL_STATE(1718)] = 102810,
  [SMALL_STATE(1719)] = 102848,
  [SMALL_STATE(1720)] = 102865,
  [SMALL_STATE(1721)] = 102894,
  [SMALL_STATE(1722)] = 102919,
  [SMALL_STATE(1723)] = 102936,
  [SMALL_STATE(1724)] = 102953,
  [SMALL_STATE(1725)] = 102978,
  [SMALL_STATE(1726)] = 103003,
  [SMALL_STATE(1727)] = 103026,
  [SMALL_STATE(1728)] = 103051,
  [SMALL_STATE(1729)] = 103072,
  [SMALL_STATE(1730)] = 103089,
  [SMALL_STATE(1731)] = 103108,
  [SMALL_STATE(1732)] = 103133,
  [SMALL_STATE(1733)] = 103158,
  [SMALL_STATE(1734)] = 103183,
  [SMALL_STATE(1735)] = 103212,
  [SMALL_STATE(1736)] = 103229,
  [SMALL_STATE(1737)] = 103252,
  [SMALL_STATE(1738)] = 103273,
  [SMALL_STATE(1739)] = 103290,
  [SMALL_STATE(1740)] = 103315,
  [SMALL_STATE(1741)] = 103334,
  [SMALL_STATE(1742)] = 103352,
  [SMALL_STATE(1743)] = 103374,
  [SMALL_STATE(1744)] = 103392,
  [SMALL_STATE(1745)] = 103408,
  [SMALL_STATE(1746)] = 103432,
  [SMALL_STATE(1747)] = 103454,
  [SMALL_STATE(1748)] = 103474,
  [SMALL_STATE(1749)] = 103490,
  [SMALL_STATE(1750)] = 103510,
  [SMALL_STATE(1751)] = 103528,
  [SMALL_STATE(1752)] = 103552,
  [SMALL_STATE(1753)] = 103576,
  [SMALL_STATE(1754)] = 103592,
  [SMALL_STATE(1755)] = 103610,
  [SMALL_STATE(1756)] = 103634,
  [SMALL_STATE(1757)] = 103658,
  [SMALL_STATE(1758)] = 103682,
  [SMALL_STATE(1759)] = 103698,
  [SMALL_STATE(1760)] = 103722,
  [SMALL_STATE(1761)] = 103746,
  [SMALL_STATE(1762)] = 103768,
  [SMALL_STATE(1763)] = 103792,
  [SMALL_STATE(1764)] = 103816,
  [SMALL_STATE(1765)] = 103836,
  [SMALL_STATE(1766)] = 103852,
  [SMALL_STATE(1767)] = 103870,
  [SMALL_STATE(1768)] = 103890,
  [SMALL_STATE(1769)] = 103912,
  [SMALL_STATE(1770)] = 103928,
  [SMALL_STATE(1771)] = 103952,
  [SMALL_STATE(1772)] = 103974,
  [SMALL_STATE(1773)] = 103994,
  [SMALL_STATE(1774)] = 104018,
  [SMALL_STATE(1775)] = 104038,
  [SMALL_STATE(1776)] = 104068,
  [SMALL_STATE(1777)] = 104092,
  [SMALL_STATE(1778)] = 104121,
  [SMALL_STATE(1779)] = 104148,
  [SMALL_STATE(1780)] = 104169,
  [SMALL_STATE(1781)] = 104198,
  [SMALL_STATE(1782)] = 104225,
  [SMALL_STATE(1783)] = 104246,
  [SMALL_STATE(1784)] = 104269,
  [SMALL_STATE(1785)] = 104290,
  [SMALL_STATE(1786)] = 104313,
  [SMALL_STATE(1787)] = 104342,
  [SMALL_STATE(1788)] = 104363,
  [SMALL_STATE(1789)] = 104380,
  [SMALL_STATE(1790)] = 104403,
  [SMALL_STATE(1791)] = 104426,
  [SMALL_STATE(1792)] = 104445,
  [SMALL_STATE(1793)] = 104474,
  [SMALL_STATE(1794)] = 104501,
  [SMALL_STATE(1795)] = 104522,
  [SMALL_STATE(1796)] = 104543,
  [SMALL_STATE(1797)] = 104560,
  [SMALL_STATE(1798)] = 104579,
  [SMALL_STATE(1799)] = 104600,
  [SMALL_STATE(1800)] = 104627,
  [SMALL_STATE(1801)] = 104656,
  [SMALL_STATE(1802)] = 104683,
  [SMALL_STATE(1803)] = 104704,
  [SMALL_STATE(1804)] = 104733,
  [SMALL_STATE(1805)] = 104756,
  [SMALL_STATE(1806)] = 104783,
  [SMALL_STATE(1807)] = 104804,
  [SMALL_STATE(1808)] = 104821,
  [SMALL_STATE(1809)] = 104844,
  [SMALL_STATE(1810)] = 104873,
  [SMALL_STATE(1811)] = 104896,
  [SMALL_STATE(1812)] = 104925,
  [SMALL_STATE(1813)] = 104954,
  [SMALL_STATE(1814)] = 104983,
  [SMALL_STATE(1815)] = 105004,
  [SMALL_STATE(1816)] = 105025,
  [SMALL_STATE(1817)] = 105052,
  [SMALL_STATE(1818)] = 105077,
  [SMALL_STATE(1819)] = 105092,
  [SMALL_STATE(1820)] = 105117,
  [SMALL_STATE(1821)] = 105138,
  [SMALL_STATE(1822)] = 105159,
  [SMALL_STATE(1823)] = 105180,
  [SMALL_STATE(1824)] = 105207,
  [SMALL_STATE(1825)] = 105229,
  [SMALL_STATE(1826)] = 105251,
  [SMALL_STATE(1827)] = 105277,
  [SMALL_STATE(1828)] = 105303,
  [SMALL_STATE(1829)] = 105321,
  [SMALL_STATE(1830)] = 105347,
  [SMALL_STATE(1831)] = 105365,
  [SMALL_STATE(1832)] = 105391,
  [SMALL_STATE(1833)] = 105407,
  [SMALL_STATE(1834)] = 105433,
  [SMALL_STATE(1835)] = 105451,
  [SMALL_STATE(1836)] = 105469,
  [SMALL_STATE(1837)] = 105495,
  [SMALL_STATE(1838)] = 105513,
  [SMALL_STATE(1839)] = 105535,
  [SMALL_STATE(1840)] = 105551,
  [SMALL_STATE(1841)] = 105571,
  [SMALL_STATE(1842)] = 105595,
  [SMALL_STATE(1843)] = 105621,
  [SMALL_STATE(1844)] = 105641,
  [SMALL_STATE(1845)] = 105659,
  [SMALL_STATE(1846)] = 105683,
  [SMALL_STATE(1847)] = 105709,
  [SMALL_STATE(1848)] = 105731,
  [SMALL_STATE(1849)] = 105753,
  [SMALL_STATE(1850)] = 105779,
  [SMALL_STATE(1851)] = 105805,
  [SMALL_STATE(1852)] = 105827,
  [SMALL_STATE(1853)] = 105849,
  [SMALL_STATE(1854)] = 105867,
  [SMALL_STATE(1855)] = 105893,
  [SMALL_STATE(1856)] = 105919,
  [SMALL_STATE(1857)] = 105945,
  [SMALL_STATE(1858)] = 105971,
  [SMALL_STATE(1859)] = 105993,
  [SMALL_STATE(1860)] = 106015,
  [SMALL_STATE(1861)] = 106041,
  [SMALL_STATE(1862)] = 106059,
  [SMALL_STATE(1863)] = 106085,
  [SMALL_STATE(1864)] = 106103,
  [SMALL_STATE(1865)] = 106121,
  [SMALL_STATE(1866)] = 106145,
  [SMALL_STATE(1867)] = 106169,
  [SMALL_STATE(1868)] = 106191,
  [SMALL_STATE(1869)] = 106217,
  [SMALL_STATE(1870)] = 106243,
  [SMALL_STATE(1871)] = 106261,
  [SMALL_STATE(1872)] = 106281,
  [SMALL_STATE(1873)] = 106303,
  [SMALL_STATE(1874)] = 106321,
  [SMALL_STATE(1875)] = 106338,
  [SMALL_STATE(1876)] = 106355,
  [SMALL_STATE(1877)] = 106368,
  [SMALL_STATE(1878)] = 106389,
  [SMALL_STATE(1879)] = 106406,
  [SMALL_STATE(1880)] = 106419,
  [SMALL_STATE(1881)] = 106440,
  [SMALL_STATE(1882)] = 106453,
  [SMALL_STATE(1883)] = 106474,
  [SMALL_STATE(1884)] = 106493,
  [SMALL_STATE(1885)] = 106510,
  [SMALL_STATE(1886)] = 106523,
  [SMALL_STATE(1887)] = 106546,
  [SMALL_STATE(1888)] = 106563,
  [SMALL_STATE(1889)] = 106580,
  [SMALL_STATE(1890)] = 106597,
  [SMALL_STATE(1891)] = 106614,
  [SMALL_STATE(1892)] = 106631,
  [SMALL_STATE(1893)] = 106648,
  [SMALL_STATE(1894)] = 106665,
  [SMALL_STATE(1895)] = 106682,
  [SMALL_STATE(1896)] = 106705,
  [SMALL_STATE(1897)] = 106726,
  [SMALL_STATE(1898)] = 106743,
  [SMALL_STATE(1899)] = 106764,
  [SMALL_STATE(1900)] = 106785,
  [SMALL_STATE(1901)] = 106806,
  [SMALL_STATE(1902)] = 106819,
  [SMALL_STATE(1903)] = 106840,
  [SMALL_STATE(1904)] = 106861,
  [SMALL_STATE(1905)] = 106878,
  [SMALL_STATE(1906)] = 106893,
  [SMALL_STATE(1907)] = 106910,
  [SMALL_STATE(1908)] = 106927,
  [SMALL_STATE(1909)] = 106944,
  [SMALL_STATE(1910)] = 106957,
  [SMALL_STATE(1911)] = 106972,
  [SMALL_STATE(1912)] = 106989,
  [SMALL_STATE(1913)] = 107010,
  [SMALL_STATE(1914)] = 107031,
  [SMALL_STATE(1915)] = 107054,
  [SMALL_STATE(1916)] = 107071,
  [SMALL_STATE(1917)] = 107092,
  [SMALL_STATE(1918)] = 107113,
  [SMALL_STATE(1919)] = 107130,
  [SMALL_STATE(1920)] = 107145,
  [SMALL_STATE(1921)] = 107166,
  [SMALL_STATE(1922)] = 107179,
  [SMALL_STATE(1923)] = 107192,
  [SMALL_STATE(1924)] = 107213,
  [SMALL_STATE(1925)] = 107234,
  [SMALL_STATE(1926)] = 107251,
  [SMALL_STATE(1927)] = 107264,
  [SMALL_STATE(1928)] = 107285,
  [SMALL_STATE(1929)] = 107306,
  [SMALL_STATE(1930)] = 107323,
  [SMALL_STATE(1931)] = 107336,
  [SMALL_STATE(1932)] = 107359,
  [SMALL_STATE(1933)] = 107380,
  [SMALL_STATE(1934)] = 107393,
  [SMALL_STATE(1935)] = 107408,
  [SMALL_STATE(1936)] = 107429,
  [SMALL_STATE(1937)] = 107452,
  [SMALL_STATE(1938)] = 107473,
  [SMALL_STATE(1939)] = 107494,
  [SMALL_STATE(1940)] = 107507,
  [SMALL_STATE(1941)] = 107528,
  [SMALL_STATE(1942)] = 107543,
  [SMALL_STATE(1943)] = 107560,
  [SMALL_STATE(1944)] = 107577,
  [SMALL_STATE(1945)] = 107594,
  [SMALL_STATE(1946)] = 107617,
  [SMALL_STATE(1947)] = 107638,
  [SMALL_STATE(1948)] = 107651,
  [SMALL_STATE(1949)] = 107668,
  [SMALL_STATE(1950)] = 107681,
  [SMALL_STATE(1951)] = 107702,
  [SMALL_STATE(1952)] = 107719,
  [SMALL_STATE(1953)] = 107740,
  [SMALL_STATE(1954)] = 107757,
  [SMALL_STATE(1955)] = 107778,
  [SMALL_STATE(1956)] = 107795,
  [SMALL_STATE(1957)] = 107808,
  [SMALL_STATE(1958)] = 107825,
  [SMALL_STATE(1959)] = 107846,
  [SMALL_STATE(1960)] = 107863,
  [SMALL_STATE(1961)] = 107880,
  [SMALL_STATE(1962)] = 107893,
  [SMALL_STATE(1963)] = 107906,
  [SMALL_STATE(1964)] = 107927,
  [SMALL_STATE(1965)] = 107944,
  [SMALL_STATE(1966)] = 107957,
  [SMALL_STATE(1967)] = 107970,
  [SMALL_STATE(1968)] = 107989,
  [SMALL_STATE(1969)] = 108010,
  [SMALL_STATE(1970)] = 108033,
  [SMALL_STATE(1971)] = 108050,
  [SMALL_STATE(1972)] = 108063,
  [SMALL_STATE(1973)] = 108078,
  [SMALL_STATE(1974)] = 108091,
  [SMALL_STATE(1975)] = 108104,
  [SMALL_STATE(1976)] = 108125,
  [SMALL_STATE(1977)] = 108140,
  [SMALL_STATE(1978)] = 108153,
  [SMALL_STATE(1979)] = 108168,
  [SMALL_STATE(1980)] = 108185,
  [SMALL_STATE(1981)] = 108202,
  [SMALL_STATE(1982)] = 108215,
  [SMALL_STATE(1983)] = 108236,
  [SMALL_STATE(1984)] = 108248,
  [SMALL_STATE(1985)] = 108264,
  [SMALL_STATE(1986)] = 108276,
  [SMALL_STATE(1987)] = 108288,
  [SMALL_STATE(1988)] = 108306,
  [SMALL_STATE(1989)] = 108324,
  [SMALL_STATE(1990)] = 108344,
  [SMALL_STATE(1991)] = 108364,
  [SMALL_STATE(1992)] = 108382,
  [SMALL_STATE(1993)] = 108402,
  [SMALL_STATE(1994)] = 108414,
  [SMALL_STATE(1995)] = 108426,
  [SMALL_STATE(1996)] = 108438,
  [SMALL_STATE(1997)] = 108450,
  [SMALL_STATE(1998)] = 108462,
  [SMALL_STATE(1999)] = 108474,
  [SMALL_STATE(2000)] = 108494,
  [SMALL_STATE(2001)] = 108508,
  [SMALL_STATE(2002)] = 108520,
  [SMALL_STATE(2003)] = 108540,
  [SMALL_STATE(2004)] = 108560,
  [SMALL_STATE(2005)] = 108576,
  [SMALL_STATE(2006)] = 108588,
  [SMALL_STATE(2007)] = 108608,
  [SMALL_STATE(2008)] = 108620,
  [SMALL_STATE(2009)] = 108640,
  [SMALL_STATE(2010)] = 108652,
  [SMALL_STATE(2011)] = 108664,
  [SMALL_STATE(2012)] = 108676,
  [SMALL_STATE(2013)] = 108688,
  [SMALL_STATE(2014)] = 108708,
  [SMALL_STATE(2015)] = 108720,
  [SMALL_STATE(2016)] = 108732,
  [SMALL_STATE(2017)] = 108752,
  [SMALL_STATE(2018)] = 108764,
  [SMALL_STATE(2019)] = 108776,
  [SMALL_STATE(2020)] = 108788,
  [SMALL_STATE(2021)] = 108808,
  [SMALL_STATE(2022)] = 108820,
  [SMALL_STATE(2023)] = 108840,
  [SMALL_STATE(2024)] = 108860,
  [SMALL_STATE(2025)] = 108872,
  [SMALL_STATE(2026)] = 108888,
  [SMALL_STATE(2027)] = 108900,
  [SMALL_STATE(2028)] = 108920,
  [SMALL_STATE(2029)] = 108936,
  [SMALL_STATE(2030)] = 108956,
  [SMALL_STATE(2031)] = 108968,
  [SMALL_STATE(2032)] = 108986,
  [SMALL_STATE(2033)] = 109002,
  [SMALL_STATE(2034)] = 109014,
  [SMALL_STATE(2035)] = 109034,
  [SMALL_STATE(2036)] = 109054,
  [SMALL_STATE(2037)] = 109074,
  [SMALL_STATE(2038)] = 109094,
  [SMALL_STATE(2039)] = 109112,
  [SMALL_STATE(2040)] = 109132,
  [SMALL_STATE(2041)] = 109150,
  [SMALL_STATE(2042)] = 109170,
  [SMALL_STATE(2043)] = 109188,
  [SMALL_STATE(2044)] = 109200,
  [SMALL_STATE(2045)] = 109212,
  [SMALL_STATE(2046)] = 109230,
  [SMALL_STATE(2047)] = 109242,
  [SMALL_STATE(2048)] = 109256,
  [SMALL_STATE(2049)] = 109270,
  [SMALL_STATE(2050)] = 109286,
  [SMALL_STATE(2051)] = 109302,
  [SMALL_STATE(2052)] = 109318,
  [SMALL_STATE(2053)] = 109330,
  [SMALL_STATE(2054)] = 109342,
  [SMALL_STATE(2055)] = 109356,
  [SMALL_STATE(2056)] = 109368,
  [SMALL_STATE(2057)] = 109384,
  [SMALL_STATE(2058)] = 109404,
  [SMALL_STATE(2059)] = 109422,
  [SMALL_STATE(2060)] = 109434,
  [SMALL_STATE(2061)] = 109454,
  [SMALL_STATE(2062)] = 109472,
  [SMALL_STATE(2063)] = 109484,
  [SMALL_STATE(2064)] = 109500,
  [SMALL_STATE(2065)] = 109512,
  [SMALL_STATE(2066)] = 109524,
  [SMALL_STATE(2067)] = 109536,
  [SMALL_STATE(2068)] = 109552,
  [SMALL_STATE(2069)] = 109564,
  [SMALL_STATE(2070)] = 109584,
  [SMALL_STATE(2071)] = 109600,
  [SMALL_STATE(2072)] = 109620,
  [SMALL_STATE(2073)] = 109632,
  [SMALL_STATE(2074)] = 109644,
  [SMALL_STATE(2075)] = 109656,
  [SMALL_STATE(2076)] = 109668,
  [SMALL_STATE(2077)] = 109684,
  [SMALL_STATE(2078)] = 109696,
  [SMALL_STATE(2079)] = 109712,
  [SMALL_STATE(2080)] = 109732,
  [SMALL_STATE(2081)] = 109744,
  [SMALL_STATE(2082)] = 109756,
  [SMALL_STATE(2083)] = 109768,
  [SMALL_STATE(2084)] = 109780,
  [SMALL_STATE(2085)] = 109798,
  [SMALL_STATE(2086)] = 109810,
  [SMALL_STATE(2087)] = 109830,
  [SMALL_STATE(2088)] = 109846,
  [SMALL_STATE(2089)] = 109858,
  [SMALL_STATE(2090)] = 109870,
  [SMALL_STATE(2091)] = 109884,
  [SMALL_STATE(2092)] = 109902,
  [SMALL_STATE(2093)] = 109922,
  [SMALL_STATE(2094)] = 109934,
  [SMALL_STATE(2095)] = 109946,
  [SMALL_STATE(2096)] = 109966,
  [SMALL_STATE(2097)] = 109986,
  [SMALL_STATE(2098)] = 109998,
  [SMALL_STATE(2099)] = 110018,
  [SMALL_STATE(2100)] = 110030,
  [SMALL_STATE(2101)] = 110048,
  [SMALL_STATE(2102)] = 110062,
  [SMALL_STATE(2103)] = 110074,
  [SMALL_STATE(2104)] = 110085,
  [SMALL_STATE(2105)] = 110102,
  [SMALL_STATE(2106)] = 110119,
  [SMALL_STATE(2107)] = 110134,
  [SMALL_STATE(2108)] = 110151,
  [SMALL_STATE(2109)] = 110166,
  [SMALL_STATE(2110)] = 110181,
  [SMALL_STATE(2111)] = 110198,
  [SMALL_STATE(2112)] = 110213,
  [SMALL_STATE(2113)] = 110228,
  [SMALL_STATE(2114)] = 110243,
  [SMALL_STATE(2115)] = 110260,
  [SMALL_STATE(2116)] = 110275,
  [SMALL_STATE(2117)] = 110288,
  [SMALL_STATE(2118)] = 110303,
  [SMALL_STATE(2119)] = 110320,
  [SMALL_STATE(2120)] = 110337,
  [SMALL_STATE(2121)] = 110348,
  [SMALL_STATE(2122)] = 110359,
  [SMALL_STATE(2123)] = 110370,
  [SMALL_STATE(2124)] = 110381,
  [SMALL_STATE(2125)] = 110398,
  [SMALL_STATE(2126)] = 110415,
  [SMALL_STATE(2127)] = 110426,
  [SMALL_STATE(2128)] = 110437,
  [SMALL_STATE(2129)] = 110448,
  [SMALL_STATE(2130)] = 110459,
  [SMALL_STATE(2131)] = 110470,
  [SMALL_STATE(2132)] = 110481,
  [SMALL_STATE(2133)] = 110496,
  [SMALL_STATE(2134)] = 110507,
  [SMALL_STATE(2135)] = 110518,
  [SMALL_STATE(2136)] = 110529,
  [SMALL_STATE(2137)] = 110540,
  [SMALL_STATE(2138)] = 110551,
  [SMALL_STATE(2139)] = 110562,
  [SMALL_STATE(2140)] = 110573,
  [SMALL_STATE(2141)] = 110584,
  [SMALL_STATE(2142)] = 110595,
  [SMALL_STATE(2143)] = 110606,
  [SMALL_STATE(2144)] = 110617,
  [SMALL_STATE(2145)] = 110628,
  [SMALL_STATE(2146)] = 110639,
  [SMALL_STATE(2147)] = 110650,
  [SMALL_STATE(2148)] = 110665,
  [SMALL_STATE(2149)] = 110682,
  [SMALL_STATE(2150)] = 110699,
  [SMALL_STATE(2151)] = 110710,
  [SMALL_STATE(2152)] = 110721,
  [SMALL_STATE(2153)] = 110738,
  [SMALL_STATE(2154)] = 110755,
  [SMALL_STATE(2155)] = 110770,
  [SMALL_STATE(2156)] = 110781,
  [SMALL_STATE(2157)] = 110792,
  [SMALL_STATE(2158)] = 110803,
  [SMALL_STATE(2159)] = 110814,
  [SMALL_STATE(2160)] = 110831,
  [SMALL_STATE(2161)] = 110848,
  [SMALL_STATE(2162)] = 110863,
  [SMALL_STATE(2163)] = 110878,
  [SMALL_STATE(2164)] = 110895,
  [SMALL_STATE(2165)] = 110912,
  [SMALL_STATE(2166)] = 110923,
  [SMALL_STATE(2167)] = 110934,
  [SMALL_STATE(2168)] = 110945,
  [SMALL_STATE(2169)] = 110956,
  [SMALL_STATE(2170)] = 110967,
  [SMALL_STATE(2171)] = 110984,
  [SMALL_STATE(2172)] = 110995,
  [SMALL_STATE(2173)] = 111012,
  [SMALL_STATE(2174)] = 111027,
  [SMALL_STATE(2175)] = 111042,
  [SMALL_STATE(2176)] = 111053,
  [SMALL_STATE(2177)] = 111064,
  [SMALL_STATE(2178)] = 111075,
  [SMALL_STATE(2179)] = 111086,
  [SMALL_STATE(2180)] = 111097,
  [SMALL_STATE(2181)] = 111108,
  [SMALL_STATE(2182)] = 111119,
  [SMALL_STATE(2183)] = 111130,
  [SMALL_STATE(2184)] = 111141,
  [SMALL_STATE(2185)] = 111152,
  [SMALL_STATE(2186)] = 111163,
  [SMALL_STATE(2187)] = 111174,
  [SMALL_STATE(2188)] = 111185,
  [SMALL_STATE(2189)] = 111202,
  [SMALL_STATE(2190)] = 111213,
  [SMALL_STATE(2191)] = 111230,
  [SMALL_STATE(2192)] = 111241,
  [SMALL_STATE(2193)] = 111252,
  [SMALL_STATE(2194)] = 111263,
  [SMALL_STATE(2195)] = 111280,
  [SMALL_STATE(2196)] = 111291,
  [SMALL_STATE(2197)] = 111302,
  [SMALL_STATE(2198)] = 111313,
  [SMALL_STATE(2199)] = 111324,
  [SMALL_STATE(2200)] = 111335,
  [SMALL_STATE(2201)] = 111346,
  [SMALL_STATE(2202)] = 111357,
  [SMALL_STATE(2203)] = 111368,
  [SMALL_STATE(2204)] = 111379,
  [SMALL_STATE(2205)] = 111390,
  [SMALL_STATE(2206)] = 111401,
  [SMALL_STATE(2207)] = 111412,
  [SMALL_STATE(2208)] = 111423,
  [SMALL_STATE(2209)] = 111434,
  [SMALL_STATE(2210)] = 111445,
  [SMALL_STATE(2211)] = 111456,
  [SMALL_STATE(2212)] = 111467,
  [SMALL_STATE(2213)] = 111478,
  [SMALL_STATE(2214)] = 111489,
  [SMALL_STATE(2215)] = 111504,
  [SMALL_STATE(2216)] = 111521,
  [SMALL_STATE(2217)] = 111536,
  [SMALL_STATE(2218)] = 111551,
  [SMALL_STATE(2219)] = 111568,
  [SMALL_STATE(2220)] = 111585,
  [SMALL_STATE(2221)] = 111600,
  [SMALL_STATE(2222)] = 111613,
  [SMALL_STATE(2223)] = 111628,
  [SMALL_STATE(2224)] = 111645,
  [SMALL_STATE(2225)] = 111662,
  [SMALL_STATE(2226)] = 111679,
  [SMALL_STATE(2227)] = 111696,
  [SMALL_STATE(2228)] = 111713,
  [SMALL_STATE(2229)] = 111730,
  [SMALL_STATE(2230)] = 111747,
  [SMALL_STATE(2231)] = 111760,
  [SMALL_STATE(2232)] = 111771,
  [SMALL_STATE(2233)] = 111785,
  [SMALL_STATE(2234)] = 111799,
  [SMALL_STATE(2235)] = 111813,
  [SMALL_STATE(2236)] = 111827,
  [SMALL_STATE(2237)] = 111841,
  [SMALL_STATE(2238)] = 111855,
  [SMALL_STATE(2239)] = 111869,
  [SMALL_STATE(2240)] = 111883,
  [SMALL_STATE(2241)] = 111897,
  [SMALL_STATE(2242)] = 111911,
  [SMALL_STATE(2243)] = 111925,
  [SMALL_STATE(2244)] = 111937,
  [SMALL_STATE(2245)] = 111949,
  [SMALL_STATE(2246)] = 111963,
  [SMALL_STATE(2247)] = 111975,
  [SMALL_STATE(2248)] = 111985,
  [SMALL_STATE(2249)] = 111999,
  [SMALL_STATE(2250)] = 112013,
  [SMALL_STATE(2251)] = 112027,
  [SMALL_STATE(2252)] = 112041,
  [SMALL_STATE(2253)] = 112055,
  [SMALL_STATE(2254)] = 112069,
  [SMALL_STATE(2255)] = 112079,
  [SMALL_STATE(2256)] = 112093,
  [SMALL_STATE(2257)] = 112107,
  [SMALL_STATE(2258)] = 112121,
  [SMALL_STATE(2259)] = 112135,
  [SMALL_STATE(2260)] = 112149,
  [SMALL_STATE(2261)] = 112163,
  [SMALL_STATE(2262)] = 112177,
  [SMALL_STATE(2263)] = 112191,
  [SMALL_STATE(2264)] = 112205,
  [SMALL_STATE(2265)] = 112219,
  [SMALL_STATE(2266)] = 112233,
  [SMALL_STATE(2267)] = 112243,
  [SMALL_STATE(2268)] = 112255,
  [SMALL_STATE(2269)] = 112269,
  [SMALL_STATE(2270)] = 112283,
  [SMALL_STATE(2271)] = 112297,
  [SMALL_STATE(2272)] = 112311,
  [SMALL_STATE(2273)] = 112323,
  [SMALL_STATE(2274)] = 112337,
  [SMALL_STATE(2275)] = 112351,
  [SMALL_STATE(2276)] = 112361,
  [SMALL_STATE(2277)] = 112375,
  [SMALL_STATE(2278)] = 112387,
  [SMALL_STATE(2279)] = 112399,
  [SMALL_STATE(2280)] = 112413,
  [SMALL_STATE(2281)] = 112427,
  [SMALL_STATE(2282)] = 112437,
  [SMALL_STATE(2283)] = 112451,
  [SMALL_STATE(2284)] = 112465,
  [SMALL_STATE(2285)] = 112479,
  [SMALL_STATE(2286)] = 112493,
  [SMALL_STATE(2287)] = 112507,
  [SMALL_STATE(2288)] = 112521,
  [SMALL_STATE(2289)] = 112535,
  [SMALL_STATE(2290)] = 112549,
  [SMALL_STATE(2291)] = 112563,
  [SMALL_STATE(2292)] = 112577,
  [SMALL_STATE(2293)] = 112591,
  [SMALL_STATE(2294)] = 112605,
  [SMALL_STATE(2295)] = 112619,
  [SMALL_STATE(2296)] = 112633,
  [SMALL_STATE(2297)] = 112647,
  [SMALL_STATE(2298)] = 112661,
  [SMALL_STATE(2299)] = 112675,
  [SMALL_STATE(2300)] = 112687,
  [SMALL_STATE(2301)] = 112701,
  [SMALL_STATE(2302)] = 112715,
  [SMALL_STATE(2303)] = 112729,
  [SMALL_STATE(2304)] = 112743,
  [SMALL_STATE(2305)] = 112757,
  [SMALL_STATE(2306)] = 112767,
  [SMALL_STATE(2307)] = 112781,
  [SMALL_STATE(2308)] = 112793,
  [SMALL_STATE(2309)] = 112807,
  [SMALL_STATE(2310)] = 112821,
  [SMALL_STATE(2311)] = 112835,
  [SMALL_STATE(2312)] = 112847,
  [SMALL_STATE(2313)] = 112857,
  [SMALL_STATE(2314)] = 112871,
  [SMALL_STATE(2315)] = 112885,
  [SMALL_STATE(2316)] = 112899,
  [SMALL_STATE(2317)] = 112913,
  [SMALL_STATE(2318)] = 112927,
  [SMALL_STATE(2319)] = 112941,
  [SMALL_STATE(2320)] = 112955,
  [SMALL_STATE(2321)] = 112969,
  [SMALL_STATE(2322)] = 112981,
  [SMALL_STATE(2323)] = 112995,
  [SMALL_STATE(2324)] = 113007,
  [SMALL_STATE(2325)] = 113021,
  [SMALL_STATE(2326)] = 113035,
  [SMALL_STATE(2327)] = 113049,
  [SMALL_STATE(2328)] = 113063,
  [SMALL_STATE(2329)] = 113077,
  [SMALL_STATE(2330)] = 113091,
  [SMALL_STATE(2331)] = 113105,
  [SMALL_STATE(2332)] = 113119,
  [SMALL_STATE(2333)] = 113133,
  [SMALL_STATE(2334)] = 113147,
  [SMALL_STATE(2335)] = 113161,
  [SMALL_STATE(2336)] = 113175,
  [SMALL_STATE(2337)] = 113189,
  [SMALL_STATE(2338)] = 113203,
  [SMALL_STATE(2339)] = 113217,
  [SMALL_STATE(2340)] = 113229,
  [SMALL_STATE(2341)] = 113243,
  [SMALL_STATE(2342)] = 113257,
  [SMALL_STATE(2343)] = 113271,
  [SMALL_STATE(2344)] = 113285,
  [SMALL_STATE(2345)] = 113299,
  [SMALL_STATE(2346)] = 113313,
  [SMALL_STATE(2347)] = 113327,
  [SMALL_STATE(2348)] = 113341,
  [SMALL_STATE(2349)] = 113355,
  [SMALL_STATE(2350)] = 113369,
  [SMALL_STATE(2351)] = 113381,
  [SMALL_STATE(2352)] = 113395,
  [SMALL_STATE(2353)] = 113409,
  [SMALL_STATE(2354)] = 113423,
  [SMALL_STATE(2355)] = 113437,
  [SMALL_STATE(2356)] = 113447,
  [SMALL_STATE(2357)] = 113461,
  [SMALL_STATE(2358)] = 113473,
  [SMALL_STATE(2359)] = 113487,
  [SMALL_STATE(2360)] = 113501,
  [SMALL_STATE(2361)] = 113515,
  [SMALL_STATE(2362)] = 113529,
  [SMALL_STATE(2363)] = 113543,
  [SMALL_STATE(2364)] = 113557,
  [SMALL_STATE(2365)] = 113571,
  [SMALL_STATE(2366)] = 113585,
  [SMALL_STATE(2367)] = 113599,
  [SMALL_STATE(2368)] = 113613,
  [SMALL_STATE(2369)] = 113627,
  [SMALL_STATE(2370)] = 113641,
  [SMALL_STATE(2371)] = 113655,
  [SMALL_STATE(2372)] = 113669,
  [SMALL_STATE(2373)] = 113683,
  [SMALL_STATE(2374)] = 113697,
  [SMALL_STATE(2375)] = 113711,
  [SMALL_STATE(2376)] = 113725,
  [SMALL_STATE(2377)] = 113739,
  [SMALL_STATE(2378)] = 113749,
  [SMALL_STATE(2379)] = 113763,
  [SMALL_STATE(2380)] = 113777,
  [SMALL_STATE(2381)] = 113791,
  [SMALL_STATE(2382)] = 113805,
  [SMALL_STATE(2383)] = 113819,
  [SMALL_STATE(2384)] = 113833,
  [SMALL_STATE(2385)] = 113847,
  [SMALL_STATE(2386)] = 113861,
  [SMALL_STATE(2387)] = 113875,
  [SMALL_STATE(2388)] = 113889,
  [SMALL_STATE(2389)] = 113903,
  [SMALL_STATE(2390)] = 113917,
  [SMALL_STATE(2391)] = 113931,
  [SMALL_STATE(2392)] = 113945,
  [SMALL_STATE(2393)] = 113959,
  [SMALL_STATE(2394)] = 113973,
  [SMALL_STATE(2395)] = 113985,
  [SMALL_STATE(2396)] = 113995,
  [SMALL_STATE(2397)] = 114009,
  [SMALL_STATE(2398)] = 114023,
  [SMALL_STATE(2399)] = 114033,
  [SMALL_STATE(2400)] = 114047,
  [SMALL_STATE(2401)] = 114061,
  [SMALL_STATE(2402)] = 114075,
  [SMALL_STATE(2403)] = 114089,
  [SMALL_STATE(2404)] = 114103,
  [SMALL_STATE(2405)] = 114117,
  [SMALL_STATE(2406)] = 114131,
  [SMALL_STATE(2407)] = 114145,
  [SMALL_STATE(2408)] = 114159,
  [SMALL_STATE(2409)] = 114173,
  [SMALL_STATE(2410)] = 114187,
  [SMALL_STATE(2411)] = 114201,
  [SMALL_STATE(2412)] = 114215,
  [SMALL_STATE(2413)] = 114229,
  [SMALL_STATE(2414)] = 114243,
  [SMALL_STATE(2415)] = 114257,
  [SMALL_STATE(2416)] = 114271,
  [SMALL_STATE(2417)] = 114285,
  [SMALL_STATE(2418)] = 114299,
  [SMALL_STATE(2419)] = 114313,
  [SMALL_STATE(2420)] = 114323,
  [SMALL_STATE(2421)] = 114337,
  [SMALL_STATE(2422)] = 114351,
  [SMALL_STATE(2423)] = 114365,
  [SMALL_STATE(2424)] = 114379,
  [SMALL_STATE(2425)] = 114393,
  [SMALL_STATE(2426)] = 114407,
  [SMALL_STATE(2427)] = 114421,
  [SMALL_STATE(2428)] = 114435,
  [SMALL_STATE(2429)] = 114449,
  [SMALL_STATE(2430)] = 114463,
  [SMALL_STATE(2431)] = 114477,
  [SMALL_STATE(2432)] = 114491,
  [SMALL_STATE(2433)] = 114505,
  [SMALL_STATE(2434)] = 114515,
  [SMALL_STATE(2435)] = 114529,
  [SMALL_STATE(2436)] = 114541,
  [SMALL_STATE(2437)] = 114555,
  [SMALL_STATE(2438)] = 114569,
  [SMALL_STATE(2439)] = 114583,
  [SMALL_STATE(2440)] = 114597,
  [SMALL_STATE(2441)] = 114607,
  [SMALL_STATE(2442)] = 114621,
  [SMALL_STATE(2443)] = 114635,
  [SMALL_STATE(2444)] = 114649,
  [SMALL_STATE(2445)] = 114663,
  [SMALL_STATE(2446)] = 114677,
  [SMALL_STATE(2447)] = 114691,
  [SMALL_STATE(2448)] = 114705,
  [SMALL_STATE(2449)] = 114719,
  [SMALL_STATE(2450)] = 114733,
  [SMALL_STATE(2451)] = 114747,
  [SMALL_STATE(2452)] = 114761,
  [SMALL_STATE(2453)] = 114775,
  [SMALL_STATE(2454)] = 114789,
  [SMALL_STATE(2455)] = 114803,
  [SMALL_STATE(2456)] = 114815,
  [SMALL_STATE(2457)] = 114829,
  [SMALL_STATE(2458)] = 114843,
  [SMALL_STATE(2459)] = 114855,
  [SMALL_STATE(2460)] = 114869,
  [SMALL_STATE(2461)] = 114883,
  [SMALL_STATE(2462)] = 114897,
  [SMALL_STATE(2463)] = 114911,
  [SMALL_STATE(2464)] = 114925,
  [SMALL_STATE(2465)] = 114939,
  [SMALL_STATE(2466)] = 114953,
  [SMALL_STATE(2467)] = 114967,
  [SMALL_STATE(2468)] = 114981,
  [SMALL_STATE(2469)] = 114995,
  [SMALL_STATE(2470)] = 115009,
  [SMALL_STATE(2471)] = 115023,
  [SMALL_STATE(2472)] = 115037,
  [SMALL_STATE(2473)] = 115051,
  [SMALL_STATE(2474)] = 115065,
  [SMALL_STATE(2475)] = 115079,
  [SMALL_STATE(2476)] = 115093,
  [SMALL_STATE(2477)] = 115107,
  [SMALL_STATE(2478)] = 115121,
  [SMALL_STATE(2479)] = 115135,
  [SMALL_STATE(2480)] = 115149,
  [SMALL_STATE(2481)] = 115163,
  [SMALL_STATE(2482)] = 115172,
  [SMALL_STATE(2483)] = 115181,
  [SMALL_STATE(2484)] = 115190,
  [SMALL_STATE(2485)] = 115199,
  [SMALL_STATE(2486)] = 115208,
  [SMALL_STATE(2487)] = 115219,
  [SMALL_STATE(2488)] = 115228,
  [SMALL_STATE(2489)] = 115237,
  [SMALL_STATE(2490)] = 115248,
  [SMALL_STATE(2491)] = 115257,
  [SMALL_STATE(2492)] = 115266,
  [SMALL_STATE(2493)] = 115275,
  [SMALL_STATE(2494)] = 115284,
  [SMALL_STATE(2495)] = 115295,
  [SMALL_STATE(2496)] = 115304,
  [SMALL_STATE(2497)] = 115315,
  [SMALL_STATE(2498)] = 115326,
  [SMALL_STATE(2499)] = 115335,
  [SMALL_STATE(2500)] = 115344,
  [SMALL_STATE(2501)] = 115353,
  [SMALL_STATE(2502)] = 115362,
  [SMALL_STATE(2503)] = 115373,
  [SMALL_STATE(2504)] = 115382,
  [SMALL_STATE(2505)] = 115391,
  [SMALL_STATE(2506)] = 115400,
  [SMALL_STATE(2507)] = 115409,
  [SMALL_STATE(2508)] = 115418,
  [SMALL_STATE(2509)] = 115429,
  [SMALL_STATE(2510)] = 115438,
  [SMALL_STATE(2511)] = 115449,
  [SMALL_STATE(2512)] = 115458,
  [SMALL_STATE(2513)] = 115467,
  [SMALL_STATE(2514)] = 115478,
  [SMALL_STATE(2515)] = 115487,
  [SMALL_STATE(2516)] = 115498,
  [SMALL_STATE(2517)] = 115507,
  [SMALL_STATE(2518)] = 115518,
  [SMALL_STATE(2519)] = 115527,
  [SMALL_STATE(2520)] = 115536,
  [SMALL_STATE(2521)] = 115545,
  [SMALL_STATE(2522)] = 115556,
  [SMALL_STATE(2523)] = 115567,
  [SMALL_STATE(2524)] = 115576,
  [SMALL_STATE(2525)] = 115585,
  [SMALL_STATE(2526)] = 115594,
  [SMALL_STATE(2527)] = 115603,
  [SMALL_STATE(2528)] = 115612,
  [SMALL_STATE(2529)] = 115621,
  [SMALL_STATE(2530)] = 115630,
  [SMALL_STATE(2531)] = 115639,
  [SMALL_STATE(2532)] = 115648,
  [SMALL_STATE(2533)] = 115657,
  [SMALL_STATE(2534)] = 115666,
  [SMALL_STATE(2535)] = 115675,
  [SMALL_STATE(2536)] = 115684,
  [SMALL_STATE(2537)] = 115693,
  [SMALL_STATE(2538)] = 115702,
  [SMALL_STATE(2539)] = 115711,
  [SMALL_STATE(2540)] = 115720,
  [SMALL_STATE(2541)] = 115731,
  [SMALL_STATE(2542)] = 115740,
  [SMALL_STATE(2543)] = 115749,
  [SMALL_STATE(2544)] = 115760,
  [SMALL_STATE(2545)] = 115769,
  [SMALL_STATE(2546)] = 115778,
  [SMALL_STATE(2547)] = 115787,
  [SMALL_STATE(2548)] = 115796,
  [SMALL_STATE(2549)] = 115807,
  [SMALL_STATE(2550)] = 115816,
  [SMALL_STATE(2551)] = 115827,
  [SMALL_STATE(2552)] = 115838,
  [SMALL_STATE(2553)] = 115849,
  [SMALL_STATE(2554)] = 115860,
  [SMALL_STATE(2555)] = 115869,
  [SMALL_STATE(2556)] = 115878,
  [SMALL_STATE(2557)] = 115889,
  [SMALL_STATE(2558)] = 115898,
  [SMALL_STATE(2559)] = 115907,
  [SMALL_STATE(2560)] = 115916,
  [SMALL_STATE(2561)] = 115925,
  [SMALL_STATE(2562)] = 115934,
  [SMALL_STATE(2563)] = 115943,
  [SMALL_STATE(2564)] = 115952,
  [SMALL_STATE(2565)] = 115961,
  [SMALL_STATE(2566)] = 115970,
  [SMALL_STATE(2567)] = 115979,
  [SMALL_STATE(2568)] = 115990,
  [SMALL_STATE(2569)] = 115999,
  [SMALL_STATE(2570)] = 116008,
  [SMALL_STATE(2571)] = 116017,
  [SMALL_STATE(2572)] = 116026,
  [SMALL_STATE(2573)] = 116035,
  [SMALL_STATE(2574)] = 116044,
  [SMALL_STATE(2575)] = 116053,
  [SMALL_STATE(2576)] = 116062,
  [SMALL_STATE(2577)] = 116073,
  [SMALL_STATE(2578)] = 116082,
  [SMALL_STATE(2579)] = 116093,
  [SMALL_STATE(2580)] = 116104,
  [SMALL_STATE(2581)] = 116113,
  [SMALL_STATE(2582)] = 116122,
  [SMALL_STATE(2583)] = 116130,
  [SMALL_STATE(2584)] = 116138,
  [SMALL_STATE(2585)] = 116146,
  [SMALL_STATE(2586)] = 116154,
  [SMALL_STATE(2587)] = 116162,
  [SMALL_STATE(2588)] = 116170,
  [SMALL_STATE(2589)] = 116178,
  [SMALL_STATE(2590)] = 116186,
  [SMALL_STATE(2591)] = 116194,
  [SMALL_STATE(2592)] = 116202,
  [SMALL_STATE(2593)] = 116210,
  [SMALL_STATE(2594)] = 116218,
  [SMALL_STATE(2595)] = 116226,
  [SMALL_STATE(2596)] = 116234,
  [SMALL_STATE(2597)] = 116242,
  [SMALL_STATE(2598)] = 116250,
  [SMALL_STATE(2599)] = 116258,
  [SMALL_STATE(2600)] = 116266,
  [SMALL_STATE(2601)] = 116274,
  [SMALL_STATE(2602)] = 116282,
  [SMALL_STATE(2603)] = 116290,
  [SMALL_STATE(2604)] = 116298,
  [SMALL_STATE(2605)] = 116306,
  [SMALL_STATE(2606)] = 116314,
  [SMALL_STATE(2607)] = 116322,
  [SMALL_STATE(2608)] = 116330,
  [SMALL_STATE(2609)] = 116338,
  [SMALL_STATE(2610)] = 116346,
  [SMALL_STATE(2611)] = 116354,
  [SMALL_STATE(2612)] = 116362,
  [SMALL_STATE(2613)] = 116370,
  [SMALL_STATE(2614)] = 116378,
  [SMALL_STATE(2615)] = 116386,
  [SMALL_STATE(2616)] = 116394,
  [SMALL_STATE(2617)] = 116402,
  [SMALL_STATE(2618)] = 116410,
  [SMALL_STATE(2619)] = 116418,
  [SMALL_STATE(2620)] = 116426,
  [SMALL_STATE(2621)] = 116434,
  [SMALL_STATE(2622)] = 116442,
  [SMALL_STATE(2623)] = 116450,
  [SMALL_STATE(2624)] = 116458,
  [SMALL_STATE(2625)] = 116466,
  [SMALL_STATE(2626)] = 116474,
  [SMALL_STATE(2627)] = 116482,
  [SMALL_STATE(2628)] = 116490,
  [SMALL_STATE(2629)] = 116498,
  [SMALL_STATE(2630)] = 116506,
  [SMALL_STATE(2631)] = 116514,
  [SMALL_STATE(2632)] = 116522,
  [SMALL_STATE(2633)] = 116530,
  [SMALL_STATE(2634)] = 116538,
  [SMALL_STATE(2635)] = 116546,
  [SMALL_STATE(2636)] = 116554,
  [SMALL_STATE(2637)] = 116562,
  [SMALL_STATE(2638)] = 116570,
  [SMALL_STATE(2639)] = 116578,
  [SMALL_STATE(2640)] = 116586,
  [SMALL_STATE(2641)] = 116594,
  [SMALL_STATE(2642)] = 116602,
  [SMALL_STATE(2643)] = 116610,
  [SMALL_STATE(2644)] = 116618,
  [SMALL_STATE(2645)] = 116626,
  [SMALL_STATE(2646)] = 116634,
  [SMALL_STATE(2647)] = 116642,
  [SMALL_STATE(2648)] = 116650,
  [SMALL_STATE(2649)] = 116658,
  [SMALL_STATE(2650)] = 116666,
  [SMALL_STATE(2651)] = 116674,
  [SMALL_STATE(2652)] = 116682,
  [SMALL_STATE(2653)] = 116690,
  [SMALL_STATE(2654)] = 116698,
  [SMALL_STATE(2655)] = 116706,
  [SMALL_STATE(2656)] = 116714,
  [SMALL_STATE(2657)] = 116722,
  [SMALL_STATE(2658)] = 116730,
  [SMALL_STATE(2659)] = 116738,
  [SMALL_STATE(2660)] = 116746,
  [SMALL_STATE(2661)] = 116754,
  [SMALL_STATE(2662)] = 116762,
  [SMALL_STATE(2663)] = 116770,
  [SMALL_STATE(2664)] = 116778,
  [SMALL_STATE(2665)] = 116786,
  [SMALL_STATE(2666)] = 116794,
  [SMALL_STATE(2667)] = 116802,
  [SMALL_STATE(2668)] = 116810,
  [SMALL_STATE(2669)] = 116818,
  [SMALL_STATE(2670)] = 116826,
  [SMALL_STATE(2671)] = 116834,
  [SMALL_STATE(2672)] = 116842,
  [SMALL_STATE(2673)] = 116850,
  [SMALL_STATE(2674)] = 116858,
  [SMALL_STATE(2675)] = 116866,
  [SMALL_STATE(2676)] = 116874,
  [SMALL_STATE(2677)] = 116882,
  [SMALL_STATE(2678)] = 116890,
  [SMALL_STATE(2679)] = 116898,
  [SMALL_STATE(2680)] = 116906,
  [SMALL_STATE(2681)] = 116914,
  [SMALL_STATE(2682)] = 116922,
  [SMALL_STATE(2683)] = 116930,
  [SMALL_STATE(2684)] = 116938,
  [SMALL_STATE(2685)] = 116946,
  [SMALL_STATE(2686)] = 116954,
  [SMALL_STATE(2687)] = 116962,
  [SMALL_STATE(2688)] = 116970,
  [SMALL_STATE(2689)] = 116978,
  [SMALL_STATE(2690)] = 116986,
  [SMALL_STATE(2691)] = 116994,
  [SMALL_STATE(2692)] = 117002,
  [SMALL_STATE(2693)] = 117010,
  [SMALL_STATE(2694)] = 117018,
  [SMALL_STATE(2695)] = 117026,
  [SMALL_STATE(2696)] = 117034,
  [SMALL_STATE(2697)] = 117042,
  [SMALL_STATE(2698)] = 117050,
  [SMALL_STATE(2699)] = 117058,
  [SMALL_STATE(2700)] = 117066,
  [SMALL_STATE(2701)] = 117074,
  [SMALL_STATE(2702)] = 117082,
  [SMALL_STATE(2703)] = 117090,
  [SMALL_STATE(2704)] = 117098,
  [SMALL_STATE(2705)] = 117106,
  [SMALL_STATE(2706)] = 117114,
  [SMALL_STATE(2707)] = 117122,
  [SMALL_STATE(2708)] = 117130,
  [SMALL_STATE(2709)] = 117138,
  [SMALL_STATE(2710)] = 117146,
  [SMALL_STATE(2711)] = 117154,
  [SMALL_STATE(2712)] = 117162,
  [SMALL_STATE(2713)] = 117170,
  [SMALL_STATE(2714)] = 117178,
  [SMALL_STATE(2715)] = 117186,
  [SMALL_STATE(2716)] = 117194,
  [SMALL_STATE(2717)] = 117202,
  [SMALL_STATE(2718)] = 117210,
  [SMALL_STATE(2719)] = 117218,
  [SMALL_STATE(2720)] = 117226,
  [SMALL_STATE(2721)] = 117234,
  [SMALL_STATE(2722)] = 117242,
  [SMALL_STATE(2723)] = 117250,
  [SMALL_STATE(2724)] = 117258,
  [SMALL_STATE(2725)] = 117266,
  [SMALL_STATE(2726)] = 117274,
  [SMALL_STATE(2727)] = 117282,
  [SMALL_STATE(2728)] = 117290,
  [SMALL_STATE(2729)] = 117298,
  [SMALL_STATE(2730)] = 117306,
  [SMALL_STATE(2731)] = 117314,
  [SMALL_STATE(2732)] = 117322,
  [SMALL_STATE(2733)] = 117330,
  [SMALL_STATE(2734)] = 117338,
  [SMALL_STATE(2735)] = 117346,
  [SMALL_STATE(2736)] = 117354,
  [SMALL_STATE(2737)] = 117362,
  [SMALL_STATE(2738)] = 117370,
  [SMALL_STATE(2739)] = 117378,
  [SMALL_STATE(2740)] = 117386,
  [SMALL_STATE(2741)] = 117394,
  [SMALL_STATE(2742)] = 117402,
  [SMALL_STATE(2743)] = 117410,
  [SMALL_STATE(2744)] = 117418,
  [SMALL_STATE(2745)] = 117426,
  [SMALL_STATE(2746)] = 117434,
  [SMALL_STATE(2747)] = 117442,
  [SMALL_STATE(2748)] = 117450,
  [SMALL_STATE(2749)] = 117458,
  [SMALL_STATE(2750)] = 117466,
  [SMALL_STATE(2751)] = 117474,
  [SMALL_STATE(2752)] = 117482,
  [SMALL_STATE(2753)] = 117490,
  [SMALL_STATE(2754)] = 117498,
  [SMALL_STATE(2755)] = 117506,
  [SMALL_STATE(2756)] = 117514,
  [SMALL_STATE(2757)] = 117522,
  [SMALL_STATE(2758)] = 117530,
  [SMALL_STATE(2759)] = 117538,
  [SMALL_STATE(2760)] = 117546,
  [SMALL_STATE(2761)] = 117554,
  [SMALL_STATE(2762)] = 117562,
  [SMALL_STATE(2763)] = 117570,
  [SMALL_STATE(2764)] = 117578,
  [SMALL_STATE(2765)] = 117586,
  [SMALL_STATE(2766)] = 117594,
  [SMALL_STATE(2767)] = 117602,
  [SMALL_STATE(2768)] = 117610,
  [SMALL_STATE(2769)] = 117618,
  [SMALL_STATE(2770)] = 117626,
  [SMALL_STATE(2771)] = 117634,
  [SMALL_STATE(2772)] = 117642,
  [SMALL_STATE(2773)] = 117650,
  [SMALL_STATE(2774)] = 117658,
  [SMALL_STATE(2775)] = 117666,
  [SMALL_STATE(2776)] = 117674,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2160),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(374),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2505),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(772),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(467),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(578),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(146),
  [225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(481),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(82),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(268),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(887),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2746),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(880),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(556),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(269),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(303),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(877),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(310),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(863),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(578),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(868),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 45),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 45),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 109),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 109),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 17),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 17),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 17),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 17),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 43),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 43),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 43),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 43),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [1512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 38),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 38),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 117),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 117),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 24),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 24),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 71),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 71),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 105),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 105),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 130),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 130),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 137),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 137),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 50),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 50),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 50),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 50),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 71),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 71),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(602),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(580),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 17),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 17),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 57),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 57),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 42),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 42),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 38),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 38),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 43),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 43),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 54),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 54),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 62),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 62),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 17),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 17),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 43),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 43),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 64),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 64),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 108),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 108),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 17),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 17),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 82),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 82),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 65),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 65),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 116),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 116),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 43),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 43),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 40),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 40),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 44),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 44),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 46),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 46),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 131),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 131),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 136),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 136),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 55),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 55),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 58),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 58),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 60),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 60),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 63),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 63),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 78),
  [2048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 78),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 22),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 22),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [2404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 34),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 34),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [2503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 35),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 35),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 34),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 34),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 35),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 35),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 35),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 35),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 35),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 35),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 34),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 34),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(873),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(2747),
  [2792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(849),
  [2795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(873),
  [2798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(914),
  [2801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(846),
  [2804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(914),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(892),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(850),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(892),
  [2816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(927),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(848),
  [2822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(927),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(861),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(847),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(861),
  [2834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(856),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(853),
  [2840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(856),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(947),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(852),
  [2849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(947),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(854),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(851),
  [2858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 26), SHIFT_REPEAT(854),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__is_not, 2, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__is_not, 2, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_in, 2, 0, 0),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_in, 2, 0, 0),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(837),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 49),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(550),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 23),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 22),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 18),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 22),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(323),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(497),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 23),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(486),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(523),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(515),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(508),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(530),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 47),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 19), SHIFT(572),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(544),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2770),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(826),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2749),
  [3402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(774),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2620),
  [3426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2754),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 70),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(558),
  [3442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2773),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 97),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 109),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 53),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 53),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 96),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 37),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 39),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 69),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 19),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 48),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 19),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 45),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 20),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 27),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 27),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 1),
  [3634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 94),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1546),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 27),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 27),
  [3669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2617),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1549),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 120),
  [3679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 45),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 122),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1547),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 18),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 49),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(592),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 122),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1543),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 110),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 120),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 110),
  [3866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 36),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 36), SHIFT_REPEAT(579),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [3946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79), SHIFT_REPEAT(1515),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [3957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [3984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 29),
  [4027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 29), SHIFT_REPEAT(2396),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1647),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(373),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [4157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(144),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 47),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(564),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121), SHIFT_REPEAT(1540),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(343),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 41), SHIFT_REPEAT(584),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 41),
  [4258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 72), SHIFT_REPEAT(412),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 72),
  [4270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 51),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 51),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(842),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 30),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 29), SHIFT_REPEAT(2302),
  [4494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(489),
  [4497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(841),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(555),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 33),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 34),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 68),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 123),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 132),
  [4557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 133),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 134),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 124),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 135),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 125),
  [4581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 34),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 138),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 139),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 110),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 140),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 141),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 54),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 76),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 21),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 77),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 22),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 31),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 32),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 111),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4981] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[19][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [9] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [10] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [18] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
